(* :Title: IndexNotationPreDefine.m *)
(* :Context: dhPark`IndexNotationPreDefine` *)
(* :Author: D. H. Park *)
(* :Summary: for defining standard tensors and operators *)
(* :Mathematica Version: 4.0 *)
(* :History:
    99.12.17: Initiate
 *)

DefineTensor[AffineG, "\[CapitalGamma]", "bac"];        (* coordinate basis: symmetric *)
DefineTensor[MaxwellF, "F", "-ba"];
DefineTensor[Metricg, "g", "ba"];
DefineTensor[RicciR, "R", "ba"];
DefineTensor[RiemannR, "R", "-bacd-abdc+cdab"];
DefineTensor[ScalarR, "R", ""];
DefineTensor[Structuref, "f", "-bac"];
DefineTensor[WeylC, "C", "-bacd-abdc+cdab"];
DefineTensor[Torsiont, "t", "-bac"];

DefineOperator[CD, "\[Del]", CD];
DefineOperator[BD, "\[PartialD]", CD];
DefineOperator[LD, "\[ScriptCapitalL]", LD];
DefineOperator[TP, "", TP];
