(***** Error messages for the exported objects *****)
Msg::dbg   = "`1` `2` `3` `4`"
Msg::err   = "`1` `2` `3` `4`"
Msg::warn  = "`1` `2` `3` `4`"

BeginPackage["dhPark`dhUtilities`"]

(***** Usage messages for the exported functions *****)
AllQ::usage          = "AllQ[aList, testQ]"
SquareMatrixQ::usage = "SquareMatrixQ[metrix]"
UnionList::usage     = "UnionList[aList]"

Begin["`Private`"]

(* tag AllQ *)
AllQ[aL_List, testQ_:Identity] := And @@ Map[testQ, aL]
(* are all components of aL satisfy testQ? *)

(* tag SquareMatrixQ *)
SquareMatrixQ[mat_?MatrixQ] := SameQ @@ Dimensions[mat]
(* copy in LinearAlgebra`MatrixManipulation` *)

(* tag UnionList *)
UnionList[aL_?VectorQ] := Fold[If[MemberQ[#1, #2], #1, Append[#1, #2]]&, {First @ aL}, Rest @ aL]
(* drop duplicates from aL but does not sort: from Fold example of MMA *)
(********************************************************************)
End[ ] (* end the private context *)

EndPackage[ ]  (* end the package context *)
