(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     46652,       1287]*)
(*NotebookOutlinePosition[     47415,       1314]*)
(*  CellTagsIndexPosition[     47371,       1310]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["Cset and Cclear", "Subtitle",
  TextAlignment->Center,
  TextJustification->0],

Cell["See MathTensor Book, pp 125", "Text"],

Cell[BoxData[
    \(<< \ dhPark`Tensor`\)], "Input"],

Cell[CellGroupData[{

Cell["Cset and Cclear", "Section"],

Cell[BoxData[
    \(\(Dimension = 4;\)\)], "Input"],

Cell[BoxData[
    \(Tdefine[e, "\<a\>"]\)], "Input"],

Cell[BoxData[
    \(Cset[MaxwellF[1, 4], \ \(-e[1]\)]; \ 
    Cset[MaxwellF[2, 4], \ \(-e[2]\)]; \ 
    Cset[MaxwellF[3, 4], \ \(-e[3]\)];\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \({MaxwellF[1, 4], MaxwellF[2, 4], MaxwellF[3, 4]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{"-", 
          InterpretationBox[
            SubsuperscriptBox["e", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                SequenceForm[ "", 1],
                Editable->False]],
            Subsuperscript[ e, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 1]],
            Editable->False]}], ",", 
        RowBox[{"-", 
          InterpretationBox[
            SubsuperscriptBox["e", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                SequenceForm[ "", 2],
                Editable->False]],
            Subsuperscript[ e, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 2]],
            Editable->False]}], ",", 
        RowBox[{"-", 
          InterpretationBox[
            SubsuperscriptBox["e", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
                SequenceForm[ "", 3],
                Editable->False]],
            Subsuperscript[ e, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 3]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(gaussLaw\  = \ BD[la, MaxwellF[4, ua]]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]4\),
                  SequenceForm[ "", 4],
                  Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", 4], "a"],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", 4], "a"]],
          Editable->False]}],
      SequenceForm[ 
        Subscript[ "\[PartialD]", "a"], 
        MaxwellF[ 4, ua]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SumDum[gaussLaw]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        RowBox[{\("\[PartialD]"\_3\), "\[InvisibleSpace]", 
          InterpretationBox[
            SubsuperscriptBox["e", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
                SequenceForm[ "", 3],
                Editable->False]],
            Subsuperscript[ e, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 3]],
            Editable->False]}],
        SequenceForm[ 
          Subscript[ "\[PartialD]", 3], 
          e[ 3]],
        Editable->False], "+", 
      InterpretationBox[
        RowBox[{\("\[PartialD]"\_2\), "\[InvisibleSpace]", 
          InterpretationBox[
            SubsuperscriptBox["e", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                SequenceForm[ "", 2],
                Editable->False]],
            Subsuperscript[ e, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 2]],
            Editable->False]}],
        SequenceForm[ 
          Subscript[ "\[PartialD]", 2], 
          e[ 2]],
        Editable->False], "+", 
      InterpretationBox[
        RowBox[{\("\[PartialD]"\_1\), "\[InvisibleSpace]", 
          InterpretationBox[
            SubsuperscriptBox["e", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                SequenceForm[ "", 1],
                Editable->False]],
            Subsuperscript[ e, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 1]],
            Editable->False]}],
        SequenceForm[ 
          Subscript[ "\[PartialD]", 1], 
          e[ 1]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(Tdefine[b, "\<a\>"]\)], "Input"],

Cell[BoxData[
    \(Cset[MaxwellF[1, 2], b[3]]; Cset[MaxwellF[1, 3], \(-b[2]\)]; 
    Cset[MaxwellF[2, 3], b[1]];\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \({MaxwellF[1, 2], MaxwellF[1, 3], MaxwellF[2, 3]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["b", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
              SequenceForm[ "", 3],
              Editable->False]],
          Subsuperscript[ b, 
            SequenceForm[ "", " "], 
            SequenceForm[ "", 3]],
          Editable->False], ",", 
        RowBox[{"-", 
          InterpretationBox[
            SubsuperscriptBox["b", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                SequenceForm[ "", 2],
                Editable->False]],
            Subsuperscript[ b, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 2]],
            Editable->False]}], ",", 
        InterpretationBox[
          SubsuperscriptBox["b", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
              SequenceForm[ "", 1],
              Editable->False]],
          Subsuperscript[ b, 
            SequenceForm[ "", " "], 
            SequenceForm[ "", 1]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(coSys = {x, y, z, t};\)\)], "Input"],

Cell[BoxData[
    \(\(metric = {{1, 0, 0, 0}, {0, 1, 0, 0}, {0, 0, 1, 0}, {0, 0, 
            0, \(-1\)}};\)\)], "Input"],

Cell[BoxData[
    \(Cset[Metricg[la, lb], metric]\)], "Input"],

Cell[BoxData[
    \(Off[MetricgFlag]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[
      dnF\  = \ Table[
          SumDum[Metricg[la, lc] Metricg[lb, ld] 
              MaxwellF[uc, 
                ud]], {la, \(-1\), \(-4\), \(-1\)}, {lb, \(-1\), \(-4\), \(-1\
\)}]]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{\(0.5409999999999999`\ Second\), ",", 
        RowBox[{"{", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"0", ",", 
                InterpretationBox[
                  SubsuperscriptBox["b", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
                      SequenceForm[ "", 3],
                      Editable->False]],
                  Subsuperscript[ b, 
                    SequenceForm[ "", " "], 
                    SequenceForm[ "", 3]],
                  Editable->False], ",", 
                RowBox[{"-", 
                  InterpretationBox[
                    SubsuperscriptBox["b", 
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], 
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                        SequenceForm[ "", 2],
                        Editable->False]],
                    Subsuperscript[ b, 
                      SequenceForm[ "", " "], 
                      SequenceForm[ "", 2]],
                    Editable->False]}], ",", 
                InterpretationBox[
                  SubsuperscriptBox["e", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                      SequenceForm[ "", 1],
                      Editable->False]],
                  Subsuperscript[ e, 
                    SequenceForm[ "", " "], 
                    SequenceForm[ "", 1]],
                  Editable->False]}], "}"}], ",", 
            RowBox[{"{", 
              RowBox[{
                RowBox[{"-", 
                  InterpretationBox[
                    SubsuperscriptBox["b", 
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], 
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
                        SequenceForm[ "", 3],
                        Editable->False]],
                    Subsuperscript[ b, 
                      SequenceForm[ "", " "], 
                      SequenceForm[ "", 3]],
                    Editable->False]}], ",", "0", ",", 
                InterpretationBox[
                  SubsuperscriptBox["b", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                      SequenceForm[ "", 1],
                      Editable->False]],
                  Subsuperscript[ b, 
                    SequenceForm[ "", " "], 
                    SequenceForm[ "", 1]],
                  Editable->False], ",", 
                InterpretationBox[
                  SubsuperscriptBox["e", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                      SequenceForm[ "", 2],
                      Editable->False]],
                  Subsuperscript[ e, 
                    SequenceForm[ "", " "], 
                    SequenceForm[ "", 2]],
                  Editable->False]}], "}"}], ",", 
            RowBox[{"{", 
              RowBox[{
                InterpretationBox[
                  SubsuperscriptBox["b", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                      SequenceForm[ "", 2],
                      Editable->False]],
                  Subsuperscript[ b, 
                    SequenceForm[ "", " "], 
                    SequenceForm[ "", 2]],
                  Editable->False], ",", 
                RowBox[{"-", 
                  InterpretationBox[
                    SubsuperscriptBox["b", 
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], 
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                        SequenceForm[ "", 1],
                        Editable->False]],
                    Subsuperscript[ b, 
                      SequenceForm[ "", " "], 
                      SequenceForm[ "", 1]],
                    Editable->False]}], ",", "0", ",", 
                InterpretationBox[
                  SubsuperscriptBox["e", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
                      SequenceForm[ "", 3],
                      Editable->False]],
                  Subsuperscript[ e, 
                    SequenceForm[ "", " "], 
                    SequenceForm[ "", 3]],
                  Editable->False]}], "}"}], ",", 
            RowBox[{"{", 
              RowBox[{
                RowBox[{"-", 
                  InterpretationBox[
                    SubsuperscriptBox["e", 
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], 
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                        SequenceForm[ "", 1],
                        Editable->False]],
                    Subsuperscript[ e, 
                      SequenceForm[ "", " "], 
                      SequenceForm[ "", 1]],
                    Editable->False]}], ",", 
                RowBox[{"-", 
                  InterpretationBox[
                    SubsuperscriptBox["e", 
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], 
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                        SequenceForm[ "", 2],
                        Editable->False]],
                    Subsuperscript[ e, 
                      SequenceForm[ "", " "], 
                      SequenceForm[ "", 2]],
                    Editable->False]}], ",", 
                RowBox[{"-", 
                  InterpretationBox[
                    SubsuperscriptBox["e", 
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], 
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
                        SequenceForm[ "", 3],
                        Editable->False]],
                    Subsuperscript[ e, 
                      SequenceForm[ "", " "], 
                      SequenceForm[ "", 3]],
                    Editable->False]}], ",", "0"}], "}"}]}], "}"}]}], 
      "}"}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(Cset[MaxwellF[la, lb], dnF]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \({MaxwellF[\(-1\), \(-4\)], MaxwellF[\(-2\), \(-3\)], 
      MaxwellF[\(-1\), \(-2\)]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["e", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
              SequenceForm[ "", 1],
              Editable->False]],
          Subsuperscript[ e, 
            SequenceForm[ "", " "], 
            SequenceForm[ "", 1]],
          Editable->False], ",", 
        InterpretationBox[
          SubsuperscriptBox["b", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
              SequenceForm[ "", 1],
              Editable->False]],
          Subsuperscript[ b, 
            SequenceForm[ "", " "], 
            SequenceForm[ "", 1]],
          Editable->False], ",", 
        InterpretationBox[
          SubsuperscriptBox["b", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
              SequenceForm[ "", 3],
              Editable->False]],
          Subsuperscript[ b, 
            SequenceForm[ "", " "], 
            SequenceForm[ "", 3]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(dnF2[la_, lb_]\  := \ 
      SumDum[Metricg[la, lc] Metricg[lb, ld] MaxwellF[uc, ud]]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \({dnF2[\(-1\), \(-4\)], dnF2[\(-2\), \(-3\)], 
      dnF2[\(-1\), \(-2\)]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["e", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
              SequenceForm[ "", 1],
              Editable->False]],
          Subsuperscript[ e, 
            SequenceForm[ "", " "], 
            SequenceForm[ "", 1]],
          Editable->False], ",", 
        InterpretationBox[
          SubsuperscriptBox["b", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
              SequenceForm[ "", 1],
              Editable->False]],
          Subsuperscript[ b, 
            SequenceForm[ "", " "], 
            SequenceForm[ "", 1]],
          Editable->False], ",", 
        InterpretationBox[
          SubsuperscriptBox["b", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
              SequenceForm[ "", 3],
              Editable->False]],
          Subsuperscript[ b, 
            SequenceForm[ "", " "], 
            SequenceForm[ "", 3]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(eq1[lb_, ua_, ub_]\  := \ 
      BD[lb, MaxwellF[ua, ub]] /; PairQ[{lb, ub}]\)], "Input"],

Cell[BoxData[
    \(eq2[la_, lb_, lc_]\  := \ 
      BD[la, MaxwellF[lb, lc]]\  + \ BD[lb, MaxwellF[lc, la]]\  + \ 
        BD[lc, MaxwellF[la, lb]]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(SumDum[eq1[lb, 1, ub]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"-", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_4\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["e", 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                    SequenceForm[ "", 1],
                    Editable->False]],
                Subsuperscript[ e, 
                  SequenceForm[ "", " "], 
                  SequenceForm[ "", 1]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", 4], 
              e[ 1]],
            Editable->False], ")"}]}], "-", 
      InterpretationBox[
        RowBox[{\("\[PartialD]"\_3\), "\[InvisibleSpace]", 
          InterpretationBox[
            SubsuperscriptBox["b", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                SequenceForm[ "", 2],
                Editable->False]],
            Subsuperscript[ b, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 2]],
            Editable->False]}],
        SequenceForm[ 
          Subscript[ "\[PartialD]", 3], 
          b[ 2]],
        Editable->False], "+", 
      InterpretationBox[
        RowBox[{\("\[PartialD]"\_2\), "\[InvisibleSpace]", 
          InterpretationBox[
            SubsuperscriptBox["b", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
                SequenceForm[ "", 3],
                Editable->False]],
            Subsuperscript[ b, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 3]],
            Editable->False]}],
        SequenceForm[ 
          Subscript[ "\[PartialD]", 2], 
          b[ 3]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SumDum[eq1[lb, 2, ub]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"-", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_4\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["e", 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                    SequenceForm[ "", 2],
                    Editable->False]],
                Subsuperscript[ e, 
                  SequenceForm[ "", " "], 
                  SequenceForm[ "", 2]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", 4], 
              e[ 2]],
            Editable->False], ")"}]}], "+", 
      InterpretationBox[
        RowBox[{\("\[PartialD]"\_3\), "\[InvisibleSpace]", 
          InterpretationBox[
            SubsuperscriptBox["b", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                SequenceForm[ "", 1],
                Editable->False]],
            Subsuperscript[ b, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 1]],
            Editable->False]}],
        SequenceForm[ 
          Subscript[ "\[PartialD]", 3], 
          b[ 1]],
        Editable->False], "-", 
      InterpretationBox[
        RowBox[{\("\[PartialD]"\_1\), "\[InvisibleSpace]", 
          InterpretationBox[
            SubsuperscriptBox["b", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
                SequenceForm[ "", 3],
                Editable->False]],
            Subsuperscript[ b, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 3]],
            Editable->False]}],
        SequenceForm[ 
          Subscript[ "\[PartialD]", 1], 
          b[ 3]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SumDum[eq1[lb, 4, ub]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        RowBox[{\("\[PartialD]"\_3\), "\[InvisibleSpace]", 
          InterpretationBox[
            SubsuperscriptBox["e", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
                SequenceForm[ "", 3],
                Editable->False]],
            Subsuperscript[ e, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 3]],
            Editable->False]}],
        SequenceForm[ 
          Subscript[ "\[PartialD]", 3], 
          e[ 3]],
        Editable->False], "+", 
      InterpretationBox[
        RowBox[{\("\[PartialD]"\_2\), "\[InvisibleSpace]", 
          InterpretationBox[
            SubsuperscriptBox["e", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                SequenceForm[ "", 2],
                Editable->False]],
            Subsuperscript[ e, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 2]],
            Editable->False]}],
        SequenceForm[ 
          Subscript[ "\[PartialD]", 2], 
          e[ 2]],
        Editable->False], "+", 
      InterpretationBox[
        RowBox[{\("\[PartialD]"\_1\), "\[InvisibleSpace]", 
          InterpretationBox[
            SubsuperscriptBox["e", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                SequenceForm[ "", 1],
                Editable->False]],
            Subsuperscript[ e, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 1]],
            Editable->False]}],
        SequenceForm[ 
          Subscript[ "\[PartialD]", 1], 
          e[ 1]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(eq2[\(-1\), \(-2\), \(-3\)]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        RowBox[{\("\[PartialD]"\_3\), "\[InvisibleSpace]", 
          InterpretationBox[
            SubsuperscriptBox["b", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
                SequenceForm[ "", 3],
                Editable->False]],
            Subsuperscript[ b, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 3]],
            Editable->False]}],
        SequenceForm[ 
          Subscript[ "\[PartialD]", 3], 
          b[ 3]],
        Editable->False], "+", 
      InterpretationBox[
        RowBox[{\("\[PartialD]"\_2\), "\[InvisibleSpace]", 
          InterpretationBox[
            SubsuperscriptBox["b", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                SequenceForm[ "", 2],
                Editable->False]],
            Subsuperscript[ b, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 2]],
            Editable->False]}],
        SequenceForm[ 
          Subscript[ "\[PartialD]", 2], 
          b[ 2]],
        Editable->False], "+", 
      InterpretationBox[
        RowBox[{\("\[PartialD]"\_1\), "\[InvisibleSpace]", 
          InterpretationBox[
            SubsuperscriptBox["b", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                SequenceForm[ "", 1],
                Editable->False]],
            Subsuperscript[ b, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 1]],
            Editable->False]}],
        SequenceForm[ 
          Subscript[ "\[PartialD]", 1], 
          b[ 1]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(eq2[\(-1\), \(-2\), \(-4\)]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        RowBox[{\("\[PartialD]"\_4\), "\[InvisibleSpace]", 
          InterpretationBox[
            SubsuperscriptBox["b", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
                SequenceForm[ "", 3],
                Editable->False]],
            Subsuperscript[ b, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 3]],
            Editable->False]}],
        SequenceForm[ 
          Subscript[ "\[PartialD]", 4], 
          b[ 3]],
        Editable->False], "-", 
      InterpretationBox[
        RowBox[{\("\[PartialD]"\_2\), "\[InvisibleSpace]", 
          InterpretationBox[
            SubsuperscriptBox["e", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                SequenceForm[ "", 1],
                Editable->False]],
            Subsuperscript[ e, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 1]],
            Editable->False]}],
        SequenceForm[ 
          Subscript[ "\[PartialD]", 2], 
          e[ 1]],
        Editable->False], "+", 
      InterpretationBox[
        RowBox[{\("\[PartialD]"\_1\), "\[InvisibleSpace]", 
          InterpretationBox[
            SubsuperscriptBox["e", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                SequenceForm[ "", 2],
                Editable->False]],
            Subsuperscript[ e, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 2]],
            Editable->False]}],
        SequenceForm[ 
          Subscript[ "\[PartialD]", 1], 
          e[ 2]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MaxwellF[la, lb] MaxwellF[ua, ub]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["F", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ F, 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["F", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False]],
        Subsuperscript[ F, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SplitDum[{la, \(-4\), li}, {lb, \(-4\), lj}, %]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]4\),
                  SequenceForm[ "", 4],
                  Editable->False], "\[InvisibleSpace]", "\<\"i\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", 4], "i"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", 4], "i"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]4\),
                  SequenceForm[ "", 4],
                  Editable->False], "\[InvisibleSpace]", "\<\"i\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", 4], "i"],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", 4], "i"]],
          Editable->False]}], "+", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]4\),
                  SequenceForm[ "", 4],
                  Editable->False], "\[InvisibleSpace]", "\<\"j\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", 4], "j"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", 4], "j"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]4\),
                  SequenceForm[ "", 4],
                  Editable->False], "\[InvisibleSpace]", "\<\"j\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", 4], "j"],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", 4], "j"]],
          Editable->False]}], "+", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"i"\),
                  SequenceForm[ "", "i"],
                  Editable->False], "\[InvisibleSpace]", "\<\"j\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "i"], "j"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", "i"], "j"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"i"\),
                  SequenceForm[ "", "i"],
                  Editable->False], "\[InvisibleSpace]", "\<\"j\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "i"], "j"],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "i"], "j"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SumDum[{1, 3}, %]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"2", " ", 
        SuperscriptBox[
          InterpretationBox[
            SubsuperscriptBox["b", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                SequenceForm[ "", 1],
                Editable->False]],
            Subsuperscript[ b, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 1]],
            Editable->False], "2"]}], "+", 
      RowBox[{"2", " ", 
        SuperscriptBox[
          InterpretationBox[
            SubsuperscriptBox["b", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                SequenceForm[ "", 2],
                Editable->False]],
            Subsuperscript[ b, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 2]],
            Editable->False], "2"]}], "+", 
      RowBox[{"2", " ", 
        SuperscriptBox[
          InterpretationBox[
            SubsuperscriptBox["b", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
                SequenceForm[ "", 3],
                Editable->False]],
            Subsuperscript[ b, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 3]],
            Editable->False], "2"]}], "-", 
      RowBox[{"2", " ", 
        SuperscriptBox[
          InterpretationBox[
            SubsuperscriptBox["e", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                SequenceForm[ "", 1],
                Editable->False]],
            Subsuperscript[ e, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 1]],
            Editable->False], "2"]}], "-", 
      RowBox[{"2", " ", 
        SuperscriptBox[
          InterpretationBox[
            SubsuperscriptBox["e", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                SequenceForm[ "", 2],
                Editable->False]],
            Subsuperscript[ e, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 2]],
            Editable->False], "2"]}], "-", 
      RowBox[{"2", " ", 
        SuperscriptBox[
          InterpretationBox[
            SubsuperscriptBox["e", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
                SequenceForm[ "", 3],
                Editable->False]],
            Subsuperscript[ e, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 3]],
            Editable->False], "2"]}]}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(Cclear[MaxwellF[la, lb]]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \({MaxwellF[\(-2\), \(-1\)], MaxwellF[1, 3]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{"-", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                    SequenceForm[ "", 1],
                    Editable->False], "\[InvisibleSpace]", "2"}],
                SequenceForm[ 
                  SequenceForm[ "", 1], 2],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", 1], 2], 
              SequenceForm[ 
                SequenceForm[ "", " "], " "]],
            Editable->False]}], ",", 
        RowBox[{"-", 
          InterpretationBox[
            SubsuperscriptBox["b", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                SequenceForm[ "", 2],
                Editable->False]],
            Subsuperscript[ b, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", 2]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({MaxwellF[\(-1\), \(-1\)], MaxwellF[\(-1\), \(-2\)]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{"0", ",", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                  SequenceForm[ "", 1],
                  Editable->False], "\[InvisibleSpace]", "2"}],
              SequenceForm[ 
                SequenceForm[ "", 1], 2],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", 1], 2], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]]
}, Closed]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{},
WindowSize->{586, 685},
WindowMargins->{{26, Automatic}, {Automatic, 8}},
Magnification->1,
StyleDefinitions -> "Demo.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 84, 2, 81, "Subtitle"],
Cell[1804, 53, 43, 0, 45, "Text"],
Cell[1850, 55, 52, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[1927, 60, 34, 0, 77, "Section"],
Cell[1964, 62, 51, 1, 54, "Input"],
Cell[2018, 65, 52, 1, 54, "Input"],
Cell[2073, 68, 151, 3, 100, "Input"],

Cell[CellGroupData[{
Cell[2249, 75, 81, 1, 77, "Input"],
Cell[2333, 78, 1617, 41, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3987, 124, 71, 1, 54, "Input"],
Cell[4061, 127, 1173, 30, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5271, 162, 49, 1, 54, "Input"],
Cell[5323, 165, 2103, 55, 56, "Output"]
}, Open  ]],
Cell[7441, 223, 52, 1, 54, "Input"],
Cell[7496, 226, 126, 2, 100, "Input"],

Cell[CellGroupData[{
Cell[7647, 232, 81, 1, 77, "Input"],
Cell[7731, 235, 1521, 39, 56, "Output"]
}, Open  ]],
Cell[9267, 277, 58, 1, 54, "Input"],
Cell[9328, 280, 121, 2, 77, "Input"],
Cell[9452, 284, 62, 1, 54, "Input"],
Cell[9517, 287, 49, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[9591, 292, 226, 6, 169, "Input"],
Cell[9820, 300, 7567, 163, 101, "Output"]
}, Open  ]],
Cell[17402, 466, 60, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[17487, 471, 118, 2, 77, "Input"],
Cell[17608, 475, 1473, 38, 56, "Output"]
}, Open  ]],
Cell[19096, 516, 118, 2, 100, "Input"],

Cell[CellGroupData[{
Cell[19239, 522, 106, 2, 54, "Input"],
Cell[19348, 526, 1473, 38, 56, "Output"]
}, Open  ]],
Cell[20836, 567, 109, 2, 77, "Input"],
Cell[20948, 571, 161, 3, 123, "Input"],

Cell[CellGroupData[{
Cell[21134, 578, 55, 1, 54, "Input"],
Cell[21192, 581, 2226, 57, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[23455, 643, 55, 1, 54, "Input"],
Cell[23513, 646, 2226, 57, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[25776, 708, 55, 1, 54, "Input"],
Cell[25834, 711, 2103, 55, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[27974, 771, 60, 1, 54, "Input"],
Cell[28037, 774, 2103, 55, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[30177, 834, 60, 1, 54, "Input"],
Cell[30240, 837, 2103, 55, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[32380, 897, 66, 1, 54, "Input"],
Cell[32449, 900, 1867, 49, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[34353, 954, 80, 1, 54, "Input"],
Cell[34436, 957, 5842, 148, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[40315, 1110, 50, 1, 54, "Input"],
Cell[40368, 1113, 3345, 85, 57, "Output"]
}, Open  ]],
Cell[43728, 1201, 57, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[43810, 1206, 75, 1, 54, "Input"],
Cell[43888, 1209, 1596, 40, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[45521, 1254, 85, 1, 54, "Input"],
Cell[45609, 1257, 1015, 26, 55, "Output"]
}, Open  ]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

