(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     61466,       1676]*)
(*NotebookOutlinePosition[     64944,       1765]*)
(*  CellTagsIndexPosition[     64900,       1761]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["ApplyRules", "Subtitle",
  TextAlignment->Center,
  TextJustification->0],

Cell[BoxData[
    \(<< \ dhPark`IndexNotation`\)], "Input"],

Cell[BoxData[
    \(<< \ dhPark`IndexNotationPreDefine`\)], "Input"],

Cell[BoxData[
    \(DefineTensor[a, "\<a\>"]; DefineTensor[{b, c}, "\<ab\>"]\)], "Input"],

Cell["See MathTensor Book!", "Text"],

Cell[CellGroupData[{

Cell["ObjectRule", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(aRule = 
      ObjectRule[b[la_, ub_], a[la] a[ub] a[lc] a[uc], 
        PairQ[{la, ub}]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]la_\),
                SequenceForm[ "", 
                  Pattern[ la, 
                    Blank[ ]]],
                Editable->False], "\[InvisibleSpace]", "ub_"}],
            SequenceForm[ 
              SequenceForm[ "", 
                Pattern[ la, 
                  Blank[ ]]], 
              Pattern[ ub, 
                Blank[ ]]],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", 
              Pattern[ la, 
                Blank[ ]]], 
            Pattern[ ub, 
              Blank[ ]]]],
        Editable->False], "\[RuleDelayed]", 
      RowBox[{
        RowBox[{"DumFresh", "[", 
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["a", 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                  SequenceForm[ "", "p"],
                  Editable->False], 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False]],
              Subsuperscript[ a, 
                SequenceForm[ "", "p"], 
                SequenceForm[ "", " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["a", 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                  SequenceForm[ "", "p"],
                  Editable->False]],
              Subsuperscript[ a, 
                SequenceForm[ "", " "], 
                SequenceForm[ "", "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["a", 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False]],
              Subsuperscript[ a, 
                SequenceForm[ "", "a"], 
                SequenceForm[ "", " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["a", 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False]],
              Subsuperscript[ a, 
                SequenceForm[ "", " "], 
                SequenceForm[ "", "b"]],
              Editable->False]}], "]"}], 
        "/;", \(PairQ[{la, ub}]\)}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(expr1 = b[la, ua] b[lb, ub]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], "a"],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", "a"], " "], 
          SequenceForm[ 
            SequenceForm[ "", " "], "a"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                SequenceForm[ "", "b"],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "b"], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], "b"],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", "b"], " "], 
          SequenceForm[ 
            SequenceForm[ "", " "], "b"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(expr1\)\(/.\)\(aRule\)\(\ \)\)\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
            SequenceForm[ "", "q"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "q"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
            SequenceForm[ "", "r"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "r"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"s"\),
            SequenceForm[ "", "s"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "s"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"t"\),
            SequenceForm[ "", "t"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "t"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
            SequenceForm[ "", "q"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "q"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
            SequenceForm[ "", "r"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "r"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"s"\),
            SequenceForm[ "", "s"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "s"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"t"\),
            SequenceForm[ "", "t"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "t"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(bRule = ObjectRule[c[la_, lb_], 2  b[la, lb]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["c", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]la_\),
                SequenceForm[ "", 
                  Pattern[ la, 
                    Blank[ ]]],
                Editable->False], "\[InvisibleSpace]", "lb_"}],
            SequenceForm[ 
              SequenceForm[ "", 
                Pattern[ la, 
                  Blank[ ]]], 
              Pattern[ lb, 
                Blank[ ]]],
            Editable->False]],
        Subsuperscript[ c, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", 
              Pattern[ la, 
                Blank[ ]]], 
            Pattern[ lb, 
              Blank[ ]]]],
        Editable->False], "\[RuleDelayed]", 
      RowBox[{
        RowBox[{"DumFresh", "[", 
          RowBox[{"2", " ", 
            InterpretationBox[
              SubsuperscriptBox["b", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ b, 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False]}], "]"}], "/;", "True"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(rules = {aRule, bRule}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          InterpretationBox[
            SubsuperscriptBox["b", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]la_\),
                    SequenceForm[ "", 
                      Pattern[ la, 
                        Blank[ ]]],
                    Editable->False], "\[InvisibleSpace]", "ub_"}],
                SequenceForm[ 
                  SequenceForm[ "", 
                    Pattern[ la, 
                      Blank[ ]]], 
                  Pattern[ ub, 
                    Blank[ ]]],
                Editable->False]],
            Subsuperscript[ b, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", 
                  Pattern[ la, 
                    Blank[ ]]], 
                Pattern[ ub, 
                  Blank[ ]]]],
            Editable->False], "\[RuleDelayed]", 
          RowBox[{
            RowBox[{"DumFresh", "[", 
              RowBox[{
                InterpretationBox[
                  SubsuperscriptBox["a", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False]],
                  Subsuperscript[ a, 
                    SequenceForm[ "", "p"], 
                    SequenceForm[ "", " "]],
                  Editable->False], " ", 
                InterpretationBox[
                  SubsuperscriptBox["a", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False]],
                  Subsuperscript[ a, 
                    SequenceForm[ "", " "], 
                    SequenceForm[ "", "p"]],
                  Editable->False], " ", 
                InterpretationBox[
                  SubsuperscriptBox["a", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False]],
                  Subsuperscript[ a, 
                    SequenceForm[ "", "a"], 
                    SequenceForm[ "", " "]],
                  Editable->False], " ", 
                InterpretationBox[
                  SubsuperscriptBox["a", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False]],
                  Subsuperscript[ a, 
                    SequenceForm[ "", " "], 
                    SequenceForm[ "", "b"]],
                  Editable->False]}], "]"}], "/;", \(PairQ[{la, ub}]\)}]}], 
        ",", 
        RowBox[{
          InterpretationBox[
            SubsuperscriptBox["c", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]la_\),
                    SequenceForm[ "", 
                      Pattern[ la, 
                        Blank[ ]]],
                    Editable->False], "\[InvisibleSpace]", "lb_"}],
                SequenceForm[ 
                  SequenceForm[ "", 
                    Pattern[ la, 
                      Blank[ ]]], 
                  Pattern[ lb, 
                    Blank[ ]]],
                Editable->False]],
            Subsuperscript[ c, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", 
                  Pattern[ la, 
                    Blank[ ]]], 
                Pattern[ lb, 
                  Blank[ ]]]],
            Editable->False], "\[RuleDelayed]", 
          RowBox[{
            RowBox[{"DumFresh", "[", 
              RowBox[{"2", " ", 
                InterpretationBox[
                  SubsuperscriptBox["b", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False]],
                  Subsuperscript[ b, 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "]],
                  Editable->False]}], "]"}], "/;", "True"}]}]}], 
      "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(rc = c[la, ua] c[lb, ub] /. rules\)], "Input"],

Cell[BoxData[
    RowBox[{"4", " ", 
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"u"\),
                SequenceForm[ "", "u"],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "u"], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\"u\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], "u"],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", "u"], " "], 
          SequenceForm[ 
            SequenceForm[ "", " "], "u"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"v"\),
                SequenceForm[ "", "v"],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "v"], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\"v\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], "v"],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", "v"], " "], 
          SequenceForm[ 
            SequenceForm[ "", " "], "v"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(rc\)\(/.\)\(rules\)\(\ \)\)\)], "Input"],

Cell[BoxData[
    RowBox[{"4", " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"y"\),
            SequenceForm[ "", "y"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "y"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"z"\),
            SequenceForm[ "", "z"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "z"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"w"\),
            SequenceForm[ "", "w"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "w"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"x"\),
            SequenceForm[ "", "x"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "x"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"y"\),
            SequenceForm[ "", "y"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "y"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"z"\),
            SequenceForm[ "", "z"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "z"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"w"\),
            SequenceForm[ "", "w"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "w"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"x"\),
            SequenceForm[ "", "x"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "x"]],
        Editable->False]}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["ApplyRules", "Section"],

Cell[BoxData[
    \(DefineTensor[f, "\<\>"]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(cRule = ObjectRule[f[], b[la, lb] b[ua, ub]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
        Subsuperscript[ f, "", ""],
        Editable->False], "\[RuleDelayed]", 
      RowBox[{
        RowBox[{"DumFresh", "[", 
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["b", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$12"\),
                      SequenceForm[ "", "$12"],
                      Editable->False], "\[InvisibleSpace]", "\<\"$13\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "$12"], "$13"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                      SequenceForm[ "", "   "],
                      Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "   "], "   "],
                  Editable->False]],
              Subsuperscript[ b, 
                SequenceForm[ 
                  SequenceForm[ "", "$12"], "$13"], 
                SequenceForm[ 
                  SequenceForm[ "", "   "], "   "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["b", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                      SequenceForm[ "", "   "],
                      Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "   "], "   "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$12"\),
                      SequenceForm[ "", "$12"],
                      Editable->False], "\[InvisibleSpace]", "\<\"$13\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "$12"], "$13"],
                  Editable->False]],
              Subsuperscript[ b, 
                SequenceForm[ 
                  SequenceForm[ "", "   "], "   "], 
                SequenceForm[ 
                  SequenceForm[ "", "$12"], "$13"]],
              Editable->False]}], "]"}], "/;", "True"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(f[]\^2\)\(/.\)\(cRule\)\(\ \ \)\( (*\ 
        Pitfall\ for\ dummies\ *) \)\)\)], "Input"],

Cell[BoxData[
    RowBox[{
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["b", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$14"\),
                  SequenceForm[ "", "$14"],
                  Editable->False], "\[InvisibleSpace]", "\<\"$15\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "$14"], "$15"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                  SequenceForm[ "", "   "],
                  Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "   "], "   "],
              Editable->False]],
          Subsuperscript[ b, 
            SequenceForm[ 
              SequenceForm[ "", "$14"], "$15"], 
            SequenceForm[ 
              SequenceForm[ "", "   "], "   "]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["b", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                  SequenceForm[ "", "   "],
                  Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "   "], "   "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$14"\),
                  SequenceForm[ "", "$14"],
                  Editable->False], "\[InvisibleSpace]", "\<\"$15\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "$14"], "$15"],
              Editable->False]],
          Subsuperscript[ b, 
            SequenceForm[ 
              SequenceForm[ "", "   "], "   "], 
            SequenceForm[ 
              SequenceForm[ "", "$14"], "$15"]],
          Editable->False], "2"]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ApplyRules[f[]\^2, cRule]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$18"\),
                SequenceForm[ "", "$18"],
                Editable->False], "\[InvisibleSpace]", "\<\"$19\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "$18"], "$19"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                SequenceForm[ "", "   "],
                Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "   "], "   "],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", "$18"], "$19"], 
          SequenceForm[ 
            SequenceForm[ "", "   "], "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$22"\),
                SequenceForm[ "", "$22"],
                Editable->False], "\[InvisibleSpace]", "\<\"$23\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "$22"], "$23"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                SequenceForm[ "", "   "],
                Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "   "], "   "],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", "$22"], "$23"], 
          SequenceForm[ 
            SequenceForm[ "", "   "], "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                SequenceForm[ "", "   "],
                Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "   "], "   "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$18"\),
                SequenceForm[ "", "$18"],
                Editable->False], "\[InvisibleSpace]", "\<\"$19\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "$18"], "$19"],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", "   "], "   "], 
          SequenceForm[ 
            SequenceForm[ "", "$18"], "$19"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                SequenceForm[ "", "   "],
                Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "   "], "   "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$22"\),
                SequenceForm[ "", "$22"],
                Editable->False], "\[InvisibleSpace]", "\<\"$23\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "$22"], "$23"],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", "   "], "   "], 
          SequenceForm[ 
            SequenceForm[ "", "$22"], "$23"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(f[] b[la, ua] /. {aRule, cRule}\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$24"\),
            SequenceForm[ "", "$24"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "$24"], 
          SequenceForm[ "", "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$25"\),
            SequenceForm[ "", "$25"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "$25"], 
          SequenceForm[ "", "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$24"\),
            SequenceForm[ "", "$24"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "   "], 
          SequenceForm[ "", "$24"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$25"\),
            SequenceForm[ "", "$25"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "   "], 
          SequenceForm[ "", "$25"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$26"\),
                SequenceForm[ "", "$26"],
                Editable->False], "\[InvisibleSpace]", "\<\"$27\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "$26"], "$27"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                SequenceForm[ "", "   "],
                Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "   "], "   "],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", "$26"], "$27"], 
          SequenceForm[ 
            SequenceForm[ "", "   "], "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                SequenceForm[ "", "   "],
                Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "   "], "   "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$26"\),
                SequenceForm[ "", "$26"],
                Editable->False], "\[InvisibleSpace]", "\<\"$27\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "$26"], "$27"],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", "   "], "   "], 
          SequenceForm[ 
            SequenceForm[ "", "$26"], "$27"]],
        Editable->False]}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["ObjectSet", "Section"],

Cell[BoxData[
    \(ObjectSet[b[la_, lb_], a[la] a[lb] a[lc] a[uc], 
      PairQ[la, lb]]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(b[la, ua]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$29"\),
            SequenceForm[ "", "$29"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "$29"], 
          SequenceForm[ "", "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$30"\),
            SequenceForm[ "", "$30"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "$30"], 
          SequenceForm[ "", "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$29"\),
            SequenceForm[ "", "$29"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "   "], 
          SequenceForm[ "", "$29"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$30"\),
            SequenceForm[ "", "$30"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "   "], 
          SequenceForm[ "", "$30"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(ObjectSet[c[la_, lb_], 2  b[la, lb]]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(c[la, lb]\)], "Input"],

Cell[BoxData[
    RowBox[{"2", " ", 
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(c[la, ua]\)], "Input"],

Cell[BoxData[
    RowBox[{"2", " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$33"\),
            SequenceForm[ "", "$33"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "$33"], 
          SequenceForm[ "", "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$34"\),
            SequenceForm[ "", "$34"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "$34"], 
          SequenceForm[ "", "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$33"\),
            SequenceForm[ "", "$33"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "   "], 
          SequenceForm[ "", "$33"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$34"\),
            SequenceForm[ "", "$34"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "   "], 
          SequenceForm[ "", "$34"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(c[la, ua] b[lb, ub]\)], "Input"],

Cell[BoxData[
    RowBox[{"2", " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$37"\),
            SequenceForm[ "", "$37"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "$37"], 
          SequenceForm[ "", "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$38"\),
            SequenceForm[ "", "$38"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "$38"], 
          SequenceForm[ "", "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$39"\),
            SequenceForm[ "", "$39"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "$39"], 
          SequenceForm[ "", "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$40"\),
            SequenceForm[ "", "$40"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "$40"], 
          SequenceForm[ "", "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$37"\),
            SequenceForm[ "", "$37"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "   "], 
          SequenceForm[ "", "$37"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$38"\),
            SequenceForm[ "", "$38"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "   "], 
          SequenceForm[ "", "$38"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$39"\),
            SequenceForm[ "", "$39"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "   "], 
          SequenceForm[ "", "$39"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$40"\),
            SequenceForm[ "", "$40"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "   "], 
          SequenceForm[ "", "$40"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(ObjectSet[ScalarR[], b[la, ua] b[lb, ub]]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ScalarR[]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$45"\),
            SequenceForm[ "", "$45"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "$45"], 
          SequenceForm[ "", "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$46"\),
            SequenceForm[ "", "$46"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "$46"], 
          SequenceForm[ "", "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$47"\),
            SequenceForm[ "", "$47"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "$47"], 
          SequenceForm[ "", "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$48"\),
            SequenceForm[ "", "$48"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "$48"], 
          SequenceForm[ "", "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$45"\),
            SequenceForm[ "", "$45"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "   "], 
          SequenceForm[ "", "$45"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$46"\),
            SequenceForm[ "", "$46"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "   "], 
          SequenceForm[ "", "$46"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$47"\),
            SequenceForm[ "", "$47"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "   "], 
          SequenceForm[ "", "$47"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
            SequenceForm[ "", "   "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$48"\),
            SequenceForm[ "", "$48"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "   "], 
          SequenceForm[ "", "$48"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(ScalarR[]\^2\)\(\ \ \)\( (*\ 
      error\ as\ in\ MathTensor\ *) \)\)\)], "Input"],

Cell[BoxData[
    RowBox[{
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["a", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$49"\),
              SequenceForm[ "", "$49"],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
              SequenceForm[ "", "   "],
              Editable->False]],
          Subsuperscript[ a, 
            SequenceForm[ "", "$49"], 
            SequenceForm[ "", "   "]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["a", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$50"\),
              SequenceForm[ "", "$50"],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
              SequenceForm[ "", "   "],
              Editable->False]],
          Subsuperscript[ a, 
            SequenceForm[ "", "$50"], 
            SequenceForm[ "", "   "]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["a", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$51"\),
              SequenceForm[ "", "$51"],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
              SequenceForm[ "", "   "],
              Editable->False]],
          Subsuperscript[ a, 
            SequenceForm[ "", "$51"], 
            SequenceForm[ "", "   "]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["a", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$52"\),
              SequenceForm[ "", "$52"],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
              SequenceForm[ "", "   "],
              Editable->False]],
          Subsuperscript[ a, 
            SequenceForm[ "", "$52"], 
            SequenceForm[ "", "   "]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["a", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
              SequenceForm[ "", "   "],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$49"\),
              SequenceForm[ "", "$49"],
              Editable->False]],
          Subsuperscript[ a, 
            SequenceForm[ "", "   "], 
            SequenceForm[ "", "$49"]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["a", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
              SequenceForm[ "", "   "],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$50"\),
              SequenceForm[ "", "$50"],
              Editable->False]],
          Subsuperscript[ a, 
            SequenceForm[ "", "   "], 
            SequenceForm[ "", "$50"]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["a", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
              SequenceForm[ "", "   "],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$51"\),
              SequenceForm[ "", "$51"],
              Editable->False]],
          Subsuperscript[ a, 
            SequenceForm[ "", "   "], 
            SequenceForm[ "", "$51"]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["a", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
              SequenceForm[ "", "   "],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$52"\),
              SequenceForm[ "", "$52"],
              Editable->False]],
          Subsuperscript[ a, 
            SequenceForm[ "", "   "], 
            SequenceForm[ "", "$52"]],
          Editable->False], "2"]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(TP[ScalarR[], 2]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SuperscriptBox[
        RowBox[{"(", 
          TagBox[
            RowBox[{
              InterpretationBox[
                SubsuperscriptBox["a", 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$53"\),
                    SequenceForm[ "", "$53"],
                    Editable->False], 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                    SequenceForm[ "", "   "],
                    Editable->False]],
                Subsuperscript[ a, 
                  SequenceForm[ "", "$53"], 
                  SequenceForm[ "", "   "]],
                Editable->False], " ", 
              InterpretationBox[
                SubsuperscriptBox["a", 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$54"\),
                    SequenceForm[ "", "$54"],
                    Editable->False], 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                    SequenceForm[ "", "   "],
                    Editable->False]],
                Subsuperscript[ a, 
                  SequenceForm[ "", "$54"], 
                  SequenceForm[ "", "   "]],
                Editable->False], " ", 
              InterpretationBox[
                SubsuperscriptBox["a", 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$55"\),
                    SequenceForm[ "", "$55"],
                    Editable->False], 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                    SequenceForm[ "", "   "],
                    Editable->False]],
                Subsuperscript[ a, 
                  SequenceForm[ "", "$55"], 
                  SequenceForm[ "", "   "]],
                Editable->False], " ", 
              InterpretationBox[
                SubsuperscriptBox["a", 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$56"\),
                    SequenceForm[ "", "$56"],
                    Editable->False], 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                    SequenceForm[ "", "   "],
                    Editable->False]],
                Subsuperscript[ a, 
                  SequenceForm[ "", "$56"], 
                  SequenceForm[ "", "   "]],
                Editable->False], " ", 
              InterpretationBox[
                SubsuperscriptBox["a", 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                    SequenceForm[ "", "   "],
                    Editable->False], 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$53"\),
                    SequenceForm[ "", "$53"],
                    Editable->False]],
                Subsuperscript[ a, 
                  SequenceForm[ "", "   "], 
                  SequenceForm[ "", "$53"]],
                Editable->False], " ", 
              InterpretationBox[
                SubsuperscriptBox["a", 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                    SequenceForm[ "", "   "],
                    Editable->False], 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$54"\),
                    SequenceForm[ "", "$54"],
                    Editable->False]],
                Subsuperscript[ a, 
                  SequenceForm[ "", "   "], 
                  SequenceForm[ "", "$54"]],
                Editable->False], " ", 
              InterpretationBox[
                SubsuperscriptBox["a", 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                    SequenceForm[ "", "   "],
                    Editable->False], 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$55"\),
                    SequenceForm[ "", "$55"],
                    Editable->False]],
                Subsuperscript[ a, 
                  SequenceForm[ "", "   "], 
                  SequenceForm[ "", "$55"]],
                Editable->False], " ", 
              InterpretationBox[
                SubsuperscriptBox["a", 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                    SequenceForm[ "", "   "],
                    Editable->False], 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$56"\),
                    SequenceForm[ "", "$56"],
                    Editable->False]],
                Subsuperscript[ a, 
                  SequenceForm[ "", "   "], 
                  SequenceForm[ "", "$56"]],
                Editable->False]}],
            HoldForm], ")"}], "2"],
      SequenceForm[ 
        Power[ 
          HoldForm[ 
            Times[ 
              a[ "l$53"], 
              a[ "l$54"], 
              a[ "l$55"], 
              a[ "l$56"], 
              a[ "u$53"], 
              a[ "u$54"], 
              a[ "u$55"], 
              a[ "u$56"]]], 2]],
      Editable->False]], "Output"]
}, Open  ]]
}, Closed]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{},
WindowSize->{645, 694},
WindowMargins->{{34, Automatic}, {0, Automatic}},
Visible->True,
InputAliases->{"notation"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftRightArrow]", " ",
           
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation>"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongRightArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation<"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "symb"->RowBox[ {"Symbolize", "[", 
        TagBox[ 
        "\[Placeholder]", NotationBoxTag, TagStyle -> 
          "NotationTemplateStyle"], "]"}], 
    "infixnotation"->RowBox[ {"InfixNotation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "addia"->RowBox[ {"AddInputAlias", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "pattwraper"->TagBox[ 
      "\[Placeholder]", NotationPatternTag, TagStyle -> 
        "NotationPatternWrapperStyle"], 
    "madeboxeswraper"->TagBox[ 
      "\[Placeholder]", NotationMadeBoxesTag, TagStyle -> 
        "NotationMadeBoxesWrapperStyle"], 
    "Vdefine"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
            OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
            NotationBoxTag, TagStyle -> "NotationTemplateStyle"], " ", 
          "\[DoubleLongLeftRightArrow]", " ", 
          TagBox[ 
            RowBox[ {"Vector", "[", "\[Placeholder]", "]"}], NotationBoxTag, 
            TagStyle -> "NotationTemplateStyle"]}], "]"}], 
    "ivec"->OverscriptBox[ "\[DotlessI]", "^"], 
    "jvec"->OverscriptBox[ "\[DotlessJ]", "^"], 
    "vect"->OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
    "xvec"->OverscriptBox[ "x", "^"], "yvec"->OverscriptBox[ "y", "^"], 
    "zvec"->OverscriptBox[ "z", "^"], "rvec"->OverscriptBox[ "r", "^"], 
    "tvec"->OverscriptBox[ "\[Theta]", "^"], 
    "pvec"->OverscriptBox[ "\[Phi]", "^"]},
Magnification->1,
StyleDefinitions -> "Demo.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 79, 2, 81, "Subtitle"],
Cell[1799, 53, 59, 1, 54, "Input"],
Cell[1861, 56, 68, 1, 54, "Input"],
Cell[1932, 59, 89, 1, 77, "Input"],
Cell[2024, 62, 36, 0, 45, "Text"],

Cell[CellGroupData[{
Cell[2085, 66, 29, 0, 77, "Section"],

Cell[CellGroupData[{
Cell[2139, 70, 122, 3, 77, "Input"],
Cell[2264, 75, 3435, 87, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5736, 167, 60, 1, 54, "Input"],
Cell[5799, 170, 1867, 49, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7703, 224, 67, 1, 54, "Input"],
Cell[7773, 227, 3657, 97, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[11467, 329, 78, 1, 54, "Input"],
Cell[11548, 332, 2384, 62, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13969, 399, 55, 1, 54, "Input"],
Cell[14027, 402, 6546, 158, 82, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[20610, 565, 66, 1, 54, "Input"],
Cell[20679, 568, 1877, 49, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[22593, 622, 64, 1, 54, "Input"],
Cell[22660, 625, 3667, 97, 57, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[26376, 728, 29, 0, 49, "Section"],
Cell[26408, 730, 56, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[26489, 735, 77, 1, 54, "Input"],
Cell[26569, 738, 2452, 55, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[29058, 798, 114, 2, 56, "Input"],
Cell[29175, 802, 2075, 51, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[31287, 858, 58, 1, 56, "Input"],
Cell[31348, 861, 3813, 97, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[35198, 963, 64, 1, 54, "Input"],
Cell[35265, 966, 3783, 97, 57, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[39097, 1069, 28, 0, 49, "Section"],
Cell[39128, 1071, 102, 2, 77, "Input"],

Cell[CellGroupData[{
Cell[39255, 1077, 42, 1, 54, "Input"],
Cell[39300, 1080, 1893, 49, 57, "Output"]
}, Open  ]],
Cell[41208, 1132, 69, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[41302, 1137, 42, 1, 54, "Input"],
Cell[41347, 1140, 960, 25, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[42344, 1170, 42, 1, 54, "Input"],
Cell[42389, 1173, 1903, 49, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[44329, 1227, 52, 1, 54, "Input"],
Cell[44384, 1230, 3763, 97, 57, "Output"]
}, Open  ]],
Cell[48162, 1330, 74, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[48261, 1335, 42, 1, 54, "Input"],
Cell[48306, 1338, 3753, 97, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[52096, 1440, 107, 2, 56, "Input"],
Cell[52206, 1444, 4169, 105, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[56412, 1554, 49, 1, 54, "Input"],
Cell[56464, 1557, 4974, 115, 58, "Output"]
}, Open  ]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

