(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     21600,        588]*)
(*NotebookOutlinePosition[     25078,        677]*)
(*  CellTagsIndexPosition[     25034,        673]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["Can and On/Off", "Subtitle",
  TextAlignment->Center,
  TextJustification->0],

Cell[BoxData[
    \(<< \ dhPark`IndexNotation`\)], "Input"],

Cell[BoxData[
    \(<< \ dhPark`IndexNotationPreDefine`\)], "Input"],

Cell[CellGroupData[{

Cell["Can", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(a\ ScalarR[]\ CD[lc, RicciR[ub, uc]] CD[ua, MaxwellF[lb, la]]\  + \ 
      b\ MaxwellF[uc, la]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"b", " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], "a"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                  SequenceForm[ "", "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "c"], " "],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", " "], "a"], 
            SequenceForm[ 
              SequenceForm[ "", "c"], " "]],
          Editable->False]}], "+", 
      RowBox[{"a", " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[Del]"\_"c"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                        SequenceForm[ "", "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[Del]", "c"], 
              RicciR[ ub, uc]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\("\[Del]"\^"a"\),
                Superscript[ "\[Del]", "a"],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["F", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                        SequenceForm[ "", "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "a"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ F, 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "a"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Superscript[ "\[Del]", "a"], 
              MaxwellF[ lb, la]],
            Editable->False], ")"}], " ", 
        InterpretationBox[\(R\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
          Subsuperscript[ R, "", ""],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Can[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(-b\), " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], "c"],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", "a"], " "], 
            SequenceForm[ 
              SequenceForm[ "", " "], "c"]],
          Editable->False]}], "+", 
      RowBox[{"a", " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[Del]"\_"p"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                        SequenceForm[ "", "q"],
                        Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "q"], "p"],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "p"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[Del]", "p"], 
              RicciR[ "u$2", "u$1"]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\("\[Del]"\^"r"\),
                Superscript[ "\[Del]", "r"],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["F", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                        SequenceForm[ "", "q"],
                        Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "q"], "r"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ F, 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "r"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Superscript[ "\[Del]", "r"], 
              MaxwellF[ "l$2", "l$3"]],
            Editable->False], ")"}], " ", 
        InterpretationBox[\(R\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
          Subsuperscript[ R, "", ""],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Can[%, {CD}]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(-b\), " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], "c"],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", "a"], " "], 
            SequenceForm[ 
              SequenceForm[ "", " "], "c"]],
          Editable->False]}], "+", 
      RowBox[{"a", " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[Del]"\_"p"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                        SequenceForm[ "", "q"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[Del]", "p"], 
              RicciR[ "l$2", "u$1"]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[Del]"\_"r"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["F", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                        SequenceForm[ "", "q"],
                        Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "q"], "r"],
                    Editable->False]],
                Subsuperscript[ F, 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "r"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[Del]", "r"], 
              MaxwellF[ "u$2", "u$3"]],
            Editable->False], ")"}], " ", 
        InterpretationBox[\(R\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
          Subsuperscript[ R, "", ""],
          Editable->False]}]}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["On/Off", "Section"],

Cell[BoxData[
    \(On[SyntaxCheckFlag]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(CD[la, RicciR[lb, uc] RicciR[lc, lb]]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"duplicated indices:\"\) \!\({lb, lb}\) \!\(\"\"\) \
\!\(\"\"\)"\)], "Message"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
        RowBox[{
          InterpretationBox[
            SubsuperscriptBox["R", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"s"\),
                    SequenceForm[ "", "s"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "s"], "b"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False]],
            Subsuperscript[ R, 
              SequenceForm[ 
                SequenceForm[ "", "s"], "b"], 
              SequenceForm[ 
                SequenceForm[ "", " "], " "]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["R", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                    SequenceForm[ "", "b"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "b"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"s\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "s"],
                Editable->False]],
            Subsuperscript[ R, 
              SequenceForm[ 
                SequenceForm[ "", "b"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "s"]],
            Editable->False]}]}],
      SequenceForm[ 
        Subscript[ "\[Del]", "a"], 
        Times[ 
          RicciR[ "l$4", lb], 
          RicciR[ lb, "u$4"]]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(Off[SyntaxCheckFlag]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(CD[la, RicciR[lb, uc] RicciR[lc, lb]]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
        RowBox[{
          InterpretationBox[
            SubsuperscriptBox["R", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                    SequenceForm[ "", "p"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "p"], "b"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False]],
            Subsuperscript[ R, 
              SequenceForm[ 
                SequenceForm[ "", "p"], "b"], 
              SequenceForm[ 
                SequenceForm[ "", " "], " "]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["R", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                    SequenceForm[ "", "b"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "b"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "p"],
                Editable->False]],
            Subsuperscript[ R, 
              SequenceForm[ 
                SequenceForm[ "", "b"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "p"]],
            Editable->False]}]}],
      SequenceForm[ 
        Subscript[ "\[Del]", "a"], 
        Times[ 
          RicciR[ "l$1", lb], 
          RicciR[ lb, "u$1"]]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(On[AutoCanFlag]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(MaxwellF[lb, la]\)], "Input"],

Cell[BoxData[
    RowBox[{"-", 
      InterpretationBox[
        SubsuperscriptBox["F", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ F, 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(Off[AutoCanFlag]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(MaxwellF[lb, la]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox["F", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
              SequenceForm[ "", "b"],
              Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
          SequenceForm[ 
            SequenceForm[ "", "b"], "a"],
          Editable->False], 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
          SequenceForm[ 
            SequenceForm[ "", " "], " "],
          Editable->False]],
      Subsuperscript[ F, 
        SequenceForm[ 
          SequenceForm[ "", "b"], "a"], 
        SequenceForm[ 
          SequenceForm[ "", " "], " "]],
      Editable->False]], "Output"]
}, Open  ]]
}, Closed]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{},
WindowSize->{645, 694},
WindowMargins->{{34, Automatic}, {0, Automatic}},
Visible->True,
InputAliases->{"notation"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftRightArrow]", " ",
           
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation>"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongRightArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation<"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "symb"->RowBox[ {"Symbolize", "[", 
        TagBox[ 
        "\[Placeholder]", NotationBoxTag, TagStyle -> 
          "NotationTemplateStyle"], "]"}], 
    "infixnotation"->RowBox[ {"InfixNotation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "addia"->RowBox[ {"AddInputAlias", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "pattwraper"->TagBox[ 
      "\[Placeholder]", NotationPatternTag, TagStyle -> 
        "NotationPatternWrapperStyle"], 
    "madeboxeswraper"->TagBox[ 
      "\[Placeholder]", NotationMadeBoxesTag, TagStyle -> 
        "NotationMadeBoxesWrapperStyle"], 
    "Vdefine"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
            OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
            NotationBoxTag, TagStyle -> "NotationTemplateStyle"], " ", 
          "\[DoubleLongLeftRightArrow]", " ", 
          TagBox[ 
            RowBox[ {"Vector", "[", "\[Placeholder]", "]"}], NotationBoxTag, 
            TagStyle -> "NotationTemplateStyle"]}], "]"}], 
    "ivec"->OverscriptBox[ "\[DotlessI]", "^"], 
    "jvec"->OverscriptBox[ "\[DotlessJ]", "^"], 
    "vect"->OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
    "xvec"->OverscriptBox[ "x", "^"], "yvec"->OverscriptBox[ "y", "^"], 
    "zvec"->OverscriptBox[ "z", "^"], "rvec"->OverscriptBox[ "r", "^"], 
    "tvec"->OverscriptBox[ "\[Theta]", "^"], 
    "pvec"->OverscriptBox[ "\[Phi]", "^"]},
Magnification->1,
StyleDefinitions -> "Demo.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 83, 2, 81, "Subtitle"],
Cell[1803, 53, 59, 1, 54, "Input"],
Cell[1865, 56, 68, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[1958, 61, 22, 0, 77, "Section"],

Cell[CellGroupData[{
Cell[2005, 65, 127, 2, 77, "Input"],
Cell[2135, 69, 4031, 95, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6203, 169, 39, 1, 54, "Input"],
Cell[6245, 172, 4046, 95, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10328, 272, 45, 1, 54, "Input"],
Cell[10376, 275, 3932, 92, 57, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[14357, 373, 25, 0, 49, "Section"],
Cell[14385, 375, 52, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[14462, 380, 70, 1, 54, "Input"],
Cell[14535, 383, 139, 3, 28, "Message"],
Cell[14677, 388, 2303, 57, 55, "Output"]
}, Open  ]],
Cell[16995, 448, 53, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[17073, 453, 70, 1, 54, "Input"],
Cell[17146, 456, 2303, 57, 57, "Output"]
}, Open  ]],
Cell[19464, 516, 48, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[19537, 521, 49, 1, 54, "Input"],
Cell[19589, 524, 955, 25, 55, "Output"]
}, Open  ]],
Cell[20559, 552, 49, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[20633, 557, 49, 1, 54, "Input"],
Cell[20685, 560, 887, 24, 55, "Output"]
}, Open  ]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

