(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     28060,        781]*)
(*NotebookOutlinePosition[     31538,        870]*)
(*  CellTagsIndexPosition[     31494,        866]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["Define Operators", "Subtitle",
  TextAlignment->Center,
  TextJustification->0],

Cell[BoxData[
    \(<< \ dhPark`IndexNotation`\)], "Input"],

Cell[BoxData[
    \(DefineTensor[T, "\<ba\>"]\)], "Input"],

Cell[CellGroupData[{

Cell["DefineOperator", "Section"],

Cell[CellGroupData[{

Cell["CD(Covariant Derivative)-like Operator", "Subsubsection"],

Cell[BoxData[
    \(DefineOperator[CovD, "\<\[Del]\>", CD]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \({CovD[\(-1\), T[ua, ub]], CovD[1, T[ua, ub]], CovD[la, T[ua, ub]], 
      CovD[ua, T[la, ub]], CovD[ua, nonT[ub, uc]]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          RowBox[{\("\[Del]"\_1\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["T", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False]],
              Subsuperscript[ T, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[Del]", 1], 
            T[ ua, ub]],
          Editable->False], ",", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[Del]"\^1\),
              Superscript[ "\[Del]", 1],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["T", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False]],
              Subsuperscript[ T, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[Del]", 1], 
            T[ ua, ub]],
          Editable->False], ",", 
        InterpretationBox[
          RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["T", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False]],
              Subsuperscript[ T, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[Del]", "a"], 
            T[ ua, ub]],
          Editable->False], ",", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[Del]"\^"a"\),
              Superscript[ "\[Del]", "a"],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["T", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "b"],
                  Editable->False]],
              Subsuperscript[ T, 
                SequenceForm[ 
                  SequenceForm[ "", "a"], " "], 
                SequenceForm[ 
                  SequenceForm[ "", " "], "b"]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[Del]", "a"], 
            T[ la, ub]],
          Editable->False], ",", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[Del]"\^"a"\),
              Superscript[ "\[Del]", "a"],
              Editable->False], "\[InvisibleSpace]", \(nonT[ub, uc]\)}],
          SequenceForm[ 
            Superscript[ "\[Del]", "a"], 
            nonT[ ub, uc]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(DefineOperator[OD, "\<\[PartialD]\>", CD]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \({OD[\(-1\), T[ua, ub]], OD[1, T[ua, ub]], OD[l\[Mu], T[ua, ub]], 
      OD[u\[Mu], T[ua, ub]], OD[u\[Mu], nonT[ua, ub]]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          RowBox[{\("\[PartialD]"\_1\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["T", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False]],
              Subsuperscript[ T, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[PartialD]", 1], 
            T[ ua, ub]],
          Editable->False], ",", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[PartialD]"\^1\),
              Superscript[ "\[PartialD]", 1],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["T", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False]],
              Subsuperscript[ T, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[PartialD]", 1], 
            T[ ua, ub]],
          Editable->False], ",", 
        InterpretationBox[
          RowBox[{\("\[PartialD]"\_"\[Mu]"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["T", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False]],
              Subsuperscript[ T, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[PartialD]", "\[Mu]"], 
            T[ ua, ub]],
          Editable->False], ",", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[PartialD]"\^"\[Mu]"\),
              Superscript[ "\[PartialD]", "\[Mu]"],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["T", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False]],
              Subsuperscript[ T, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[PartialD]", "\[Mu]"], 
            T[ ua, ub]],
          Editable->False], ",", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[PartialD]"\^"\[Mu]"\),
              Superscript[ "\[PartialD]", "\[Mu]"],
              Editable->False], "\[InvisibleSpace]", \(nonT[ua, ub]\)}],
          SequenceForm[ 
            Superscript[ "\[PartialD]", "\[Mu]"], 
            nonT[ ua, ub]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(ClearName[{CovD, OD}]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \({CovD[l\[Mu], T[ua, ub]], OD[lA, T[ua, ub]]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{"CovD", "[", 
          RowBox[{"l\[Mu]", ",", 
            InterpretationBox[
              SubsuperscriptBox["T", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False]],
              Subsuperscript[ T, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"]],
              Editable->False]}], "]"}], ",", 
        RowBox[{"OD", "[", 
          RowBox[{"lA", ",", 
            InterpretationBox[
              SubsuperscriptBox["T", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False]],
              Subsuperscript[ T, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"]],
              Editable->False]}], "]"}]}], "}"}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["LD(Lie Derivative)-like Operator", "Subsubsection"],

Cell[BoxData[
    \(DefineOperator[LD, "\<\[ScriptCapitalL]\>", LD]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \({LD[nonV, T[ua, ub]], LD[nonV, nonT[ua, ub]]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          RowBox[{\("\[ScriptCapitalL]"\_nonV\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["T", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False]],
              Subsuperscript[ T, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[ScriptCapitalL]", nonV], 
            T[ ua, ub]],
          Editable->False], ",", 
        InterpretationBox[\("\[ScriptCapitalL]"\_nonV\[InvisibleSpace]nonT[
              ua, ub]\),
          SequenceForm[ 
            Subscript[ "\[ScriptCapitalL]", nonV], 
            nonT[ ua, ub]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(DefineTensor[V, "\<\[Xi]\>", "\<a\>"]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(LD[V, T[ua, ub]]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{\("\[ScriptCapitalL]"\_"\[Xi]"\), "\[InvisibleSpace]", 
        InterpretationBox[
          SubsuperscriptBox["T", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"],
              Editable->False]],
          Subsuperscript[ T, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"]],
          Editable->False]}],
      SequenceForm[ 
        Subscript[ "\[ScriptCapitalL]", "\[Xi]"], 
        T[ ua, ub]],
      Editable->False]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["XD(Exterior Derivative)-like Operator", "Subsubsection"],

Cell[BoxData[
    \(DefineOperator[BOX, "\<\[Square]\>", XD]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \({BOX[T[ua, ub]], BOX[nonT[ua, ub]]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          RowBox[{"\<\"\[Square]\"\>", "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["T", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False]],
              Subsuperscript[ T, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"]],
              Editable->False]}],
          SequenceForm[ "\[Square]", 
            T[ ua, ub]],
          Editable->False], ",", 
        InterpretationBox[\("\[Square]"\[InvisibleSpace]nonT[ua, ub]\),
          SequenceForm[ "\[Square]", 
            nonT[ ua, ub]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(DefineOperator[Lap, \*"\"\<\!\(\[PartialD]\^2\)\>\"", XD]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Lap[T[ua, ub]]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"\\!\\(\[PartialD]\\^2\\)\"\>", "\[InvisibleSpace]", 
        InterpretationBox[
          SubsuperscriptBox["T", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"],
              Editable->False]],
          Subsuperscript[ T, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"]],
          Editable->False]}],
      SequenceForm[ "\!\(\[PartialD]\^2\)", 
        T[ ua, ub]],
      Editable->False]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["XP(Exterior Product)-like Operator", "Subsubsection"],

Cell[BoxData[
    \(DefineOperator[XP, "\<\[Wedge]\>", XP]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \({XP[T[ua, ub]], XP[nonT[ua, ub]]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{"FormatOperatorXP", "[", 
          RowBox[{"XP", ",", 
            InterpretationBox[
              SubsuperscriptBox["T", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False]],
              Subsuperscript[ T, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"]],
              Editable->False]}], "]"}], 
        ",", \(FormatOperatorXP[XP, nonT[ua, ub]]\)}], "}"}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["TP(Tensor Product)-like Operator", "Subsubsection"],

Cell[BoxData[
    \(DefineOperator[TP, "\<\>", TP]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(TP[T[la, lb] T[ua, ub], 2]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SuperscriptBox[
        RowBox[{"(", 
          TagBox[
            RowBox[{
              InterpretationBox[
                SubsuperscriptBox["T", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                        SequenceForm[ "", "a"],
                        Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ T, 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False], " ", 
              InterpretationBox[
                SubsuperscriptBox["T", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                        SequenceForm[ "", "a"],
                        Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"],
                    Editable->False]],
                Subsuperscript[ T, 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"]],
                Editable->False]}],
            HoldForm], ")"}], "2"],
      SequenceForm[ 
        Power[ 
          HoldForm[ 
            Times[ 
              T[ la, lb], 
              T[ ua, ub]]], 2]],
      Editable->False]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Check", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(DefineOperator[ld, "\<D\>", CD]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"operator name\"\) \!\(ld\) \!\(\"is used as an index name!\"\) \
\!\(\"\"\)"\)], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(DefineOperator[XD, "\<d\>", LP]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"illegal operator type:\"\) \!\(LP\) \!\(\"\"\) \!\(\"\"\)"\)], \
"Message"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["DefinedOperatorQ", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \({DefinedOperatorQ[CovD], DefinedOperatorQ[Lap]}\)], "Input"],

Cell[BoxData[
    \({False, True}\)], "Output"]
}, Open  ]]
}, Closed]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{},
WindowSize->{613, 678},
WindowMargins->{{19, Automatic}, {Automatic, 4}},
Visible->True,
InputAliases->{"notation"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftRightArrow]", " ",
           
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation>"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongRightArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation<"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "symb"->RowBox[ {"Symbolize", "[", 
        TagBox[ 
        "\[Placeholder]", NotationBoxTag, TagStyle -> 
          "NotationTemplateStyle"], "]"}], 
    "infixnotation"->RowBox[ {"InfixNotation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "addia"->RowBox[ {"AddInputAlias", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "pattwraper"->TagBox[ 
      "\[Placeholder]", NotationPatternTag, TagStyle -> 
        "NotationPatternWrapperStyle"], 
    "madeboxeswraper"->TagBox[ 
      "\[Placeholder]", NotationMadeBoxesTag, TagStyle -> 
        "NotationMadeBoxesWrapperStyle"], 
    "Vdefine"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
            OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
            NotationBoxTag, TagStyle -> "NotationTemplateStyle"], " ", 
          "\[DoubleLongLeftRightArrow]", " ", 
          TagBox[ 
            RowBox[ {"Vector", "[", "\[Placeholder]", "]"}], NotationBoxTag, 
            TagStyle -> "NotationTemplateStyle"]}], "]"}], 
    "ivec"->OverscriptBox[ "\[DotlessI]", "^"], 
    "jvec"->OverscriptBox[ "\[DotlessJ]", "^"], 
    "vect"->OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
    "xvec"->OverscriptBox[ "x", "^"], "yvec"->OverscriptBox[ "y", "^"], 
    "zvec"->OverscriptBox[ "z", "^"], "rvec"->OverscriptBox[ "r", "^"], 
    "tvec"->OverscriptBox[ "\[Theta]", "^"], 
    "pvec"->OverscriptBox[ "\[Phi]", "^"]},
Magnification->1,
StyleDefinitions -> "Demo.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 85, 2, 81, "Subtitle"],
Cell[1805, 53, 59, 1, 54, "Input"],
Cell[1867, 56, 58, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[1950, 61, 33, 0, 77, "Section"],

Cell[CellGroupData[{
Cell[2008, 65, 63, 0, 57, "Subsubsection"],
Cell[2074, 67, 71, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[2170, 72, 151, 2, 100, "Input"],
Cell[2324, 76, 5674, 137, 56, "Output"]
}, Open  ]],
Cell[8013, 216, 74, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[8112, 221, 153, 2, 100, "Input"],
Cell[8268, 225, 5771, 137, 56, "Output"]
}, Open  ]],
Cell[14054, 365, 54, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[14133, 370, 77, 1, 54, "Input"],
Cell[14213, 373, 2322, 54, 56, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[16584, 433, 57, 0, 35, "Subsubsection"],
Cell[16644, 435, 80, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[16749, 440, 78, 1, 54, "Input"],
Cell[16830, 443, 1591, 38, 56, "Output"]
}, Open  ]],
Cell[18436, 484, 70, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[18531, 489, 49, 1, 54, "Input"],
Cell[18583, 492, 1195, 30, 56, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[19827, 528, 62, 0, 35, "Subsubsection"],
Cell[19892, 530, 73, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[19990, 535, 68, 1, 54, "Input"],
Cell[20061, 538, 1474, 35, 56, "Output"]
}, Open  ]],
Cell[21550, 576, 90, 1, 56, "Input"],

Cell[CellGroupData[{
Cell[21665, 581, 47, 1, 54, "Input"],
Cell[21715, 584, 1170, 29, 56, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[22934, 619, 59, 0, 35, "Subsubsection"],
Cell[22996, 621, 71, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[23092, 626, 66, 1, 54, "Input"],
Cell[23161, 629, 1256, 29, 78, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[24466, 664, 57, 0, 35, "Subsubsection"],
Cell[24526, 666, 63, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[24614, 671, 59, 1, 54, "Input"],
Cell[24676, 674, 2542, 61, 57, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[27267, 741, 30, 0, 35, "Subsubsection"],

Cell[CellGroupData[{
Cell[27322, 745, 64, 1, 54, "Input"],
Cell[27389, 748, 152, 3, 51, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[27578, 756, 64, 1, 54, "Input"],
Cell[27645, 759, 136, 3, 28, "Message"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[27842, 769, 35, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[27902, 773, 80, 1, 77, "Input"],
Cell[27985, 776, 47, 1, 54, "Output"]
}, Open  ]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

