(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     18054,        591]*)
(*NotebookOutlinePosition[     21532,        680]*)
(*  CellTagsIndexPosition[     21488,        676]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["Define Tensors", "Subtitle",
  TextAlignment->Center,
  TextJustification->0],

Cell[BoxData[
    \(<< \ dhPark`IndexNotation`\)], "Input"],

Cell[CellGroupData[{

Cell["PermWeight", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(PermWeight["\<abc\>"]\)], "Input"],

Cell[BoxData[
    \("+abc"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(PermWeight["\<bca-cba\>"]\)], "Input"],

Cell[BoxData[
    \("+bca-cba+cab-acb-bac+abc"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(PermWeight["\<-ab\>"]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"illegal permWeight(s):\"\) \!\(\"-ab\"\) \!\(\"\"\) \
\!\(\"\"\)"\)], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(PermWeight["\<-cab\>"]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"illegal permWeight(s):\"\) \!\(\"-cab\"\) \!\(\"\"\) \!\(\"\"\)"\
\)], "Message"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["DefineTensor and ClearName", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(DefineTensor[s, "\<\>"]; s[]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\(s\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
      Subsuperscript[ s, "", ""],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(DefineTensor[R, "\<abcd\>"]; \ R[la, lb, lc, ud]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox["R", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], "c"],
              Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], "c"], " "],
          Editable->False], 
        InterpretationBox[
          RowBox[{
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "],
              Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], " "], "d"],
          Editable->False]],
      Subsuperscript[ R, 
        SequenceForm[ 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"], "c"], " "], 
        SequenceForm[ 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], " "], "d"]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(DefineTensor[F, "\<F\>", "\<-ba\>"]; F[lb, la]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox["F", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
              SequenceForm[ "", "b"],
              Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
          SequenceForm[ 
            SequenceForm[ "", "b"], "a"],
          Editable->False], 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
          SequenceForm[ 
            SequenceForm[ "", " "], " "],
          Editable->False]],
      Subsuperscript[ F, 
        SequenceForm[ 
          SequenceForm[ "", "b"], "a"], 
        SequenceForm[ 
          SequenceForm[ "", " "], " "]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(DefineTensor[AffineG, "\<\[CapitalGamma]\>", "\<bac\>"]; 
    AffineG[lb, la, uc]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox["\[CapitalGamma]", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "b"], "a"],
              Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ "", "b"], "a"], " "],
          Editable->False], 
        InterpretationBox[
          RowBox[{
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], "c"],
          Editable->False]],
      Subsuperscript[ \[CapitalGamma], 
        SequenceForm[ 
          SequenceForm[ 
            SequenceForm[ "", "b"], "a"], " "], 
        SequenceForm[ 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], "c"]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(DefineTensor[{t, f}, "\<-bac\>"]; {t[lb, la, uc], 
      f[la, lb, uc]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "a"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "c"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "a"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "c"]],
          Editable->False], ",", 
        InterpretationBox[
          SubsuperscriptBox["f", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "c"],
              Editable->False]],
          Subsuperscript[ f, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "c"]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(DefineTensor[{g, T}, {"\<g\>", "\<T\>"}, "\<ba\>"]; \ {g[la, lb], \ 
      T[ua, ub]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False], ",", 
        InterpretationBox[
          SubsuperscriptBox["T", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"],
              Editable->False]],
          Subsuperscript[ T, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(ClearName[{t, T}]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \({t[la, lb, uc], T[ua, ub]}\)], "Input"],

Cell[BoxData[
    \({t[la, lb, uc], T[ua, ub]}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Kaluza-Klein Class", "Subsubsection"],

Cell[BoxData[
    \(SetIndexClass[
      CapitalIndexQ, {GreekIndexQ, NormalIndexQ, ComponentIndexQ}]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(DefineTensor[g, "\<g\>", "\<ba\>"]; g[lA, lB]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox["g", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"A"\),
              SequenceForm[ "", "A"],
              Editable->False], "\[InvisibleSpace]", "\<\"B\"\>"}],
          SequenceForm[ 
            SequenceForm[ "", "A"], "B"],
          Editable->False], 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
          SequenceForm[ 
            SequenceForm[ "", " "], " "],
          Editable->False]],
      Subsuperscript[ g, 
        SequenceForm[ 
          SequenceForm[ "", "A"], "B"], 
        SequenceForm[ 
          SequenceForm[ "", " "], " "]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(DefineTensor[baseg, \*"\"\<\!\(g\&~\)\>\"", "\<ba\>"]; 
    baseg[l\[Mu], l\[Nu]]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox[\(g\&~\), 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"\[Mu]"\),
              SequenceForm[ "", "\[Mu]"],
              Editable->False], "\[InvisibleSpace]", "\<\"\[Nu]\"\>"}],
          SequenceForm[ 
            SequenceForm[ "", "\[Mu]"], "\[Nu]"],
          Editable->False], 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
          SequenceForm[ 
            SequenceForm[ "", " "], " "],
          Editable->False]],
      Subsuperscript[ 
        OverTilde[ g], 
        SequenceForm[ 
          SequenceForm[ "", "\[Mu]"], "\[Nu]"], 
        SequenceForm[ 
          SequenceForm[ "", " "], " "]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(DefineTensor[fibreg, "\<\[Phi]\>", "\<ba\>"]; fibreg[la, lb]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox["\[Phi]", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
              SequenceForm[ "", "a"],
              Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"],
          Editable->False], 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
          SequenceForm[ 
            SequenceForm[ "", " "], " "],
          Editable->False]],
      Subsuperscript[ \[Phi], 
        SequenceForm[ 
          SequenceForm[ "", "a"], "b"], 
        SequenceForm[ 
          SequenceForm[ "", " "], " "]],
      Editable->False]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Restore to Normal Class", "Subsubsection"],

Cell[BoxData[
    \(SetIndexClass[NormalIndexQ]\)], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["DefinedNameQ and DefinedTensorQ", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \({DefinedTensorQ[R], DefinedNameQ[nonT]}\)], "Input"],

Cell[BoxData[
    \({True, False}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Symmetries", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Symmetries[R]\)], "Input"],

Cell[BoxData[
    \("+abcd"\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(DefineTensor[t, \ "\<abc\>"]\)], "Input"],

Cell[BoxData[
    \(SetSymmetric[t]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Symmetries[t]\)], "Input"],

Cell[BoxData[
    \("+abc+acb+bac+bca+cab+cba"\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(SetAntisymmetric[t]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Symmetries[t]\)], "Input"],

Cell[BoxData[
    \("+abc-acb-bac+bca+cab-cba"\)], "Output"]
}, Open  ]]
}, Closed]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{},
WindowSize->{613, 661},
WindowMargins->{{48, Automatic}, {Automatic, 9}},
Visible->True,
InputAliases->{"notation"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftRightArrow]", " ",
           
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation>"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongRightArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation<"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "symb"->RowBox[ {"Symbolize", "[", 
        TagBox[ 
        "\[Placeholder]", NotationBoxTag, TagStyle -> 
          "NotationTemplateStyle"], "]"}], 
    "infixnotation"->RowBox[ {"InfixNotation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "addia"->RowBox[ {"AddInputAlias", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "pattwraper"->TagBox[ 
      "\[Placeholder]", NotationPatternTag, TagStyle -> 
        "NotationPatternWrapperStyle"], 
    "madeboxeswraper"->TagBox[ 
      "\[Placeholder]", NotationMadeBoxesTag, TagStyle -> 
        "NotationMadeBoxesWrapperStyle"], 
    "Vdefine"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
            OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
            NotationBoxTag, TagStyle -> "NotationTemplateStyle"], " ", 
          "\[DoubleLongLeftRightArrow]", " ", 
          TagBox[ 
            RowBox[ {"Vector", "[", "\[Placeholder]", "]"}], NotationBoxTag, 
            TagStyle -> "NotationTemplateStyle"]}], "]"}], 
    "ivec"->OverscriptBox[ "\[DotlessI]", "^"], 
    "jvec"->OverscriptBox[ "\[DotlessJ]", "^"], 
    "vect"->OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
    "xvec"->OverscriptBox[ "x", "^"], "yvec"->OverscriptBox[ "y", "^"], 
    "zvec"->OverscriptBox[ "z", "^"], "rvec"->OverscriptBox[ "r", "^"], 
    "tvec"->OverscriptBox[ "\[Theta]", "^"], 
    "pvec"->OverscriptBox[ "\[Phi]", "^"]},
Magnification->1,
StyleDefinitions -> "Demo.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 83, 2, 81, "Subtitle"],
Cell[1803, 53, 59, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[1887, 58, 29, 0, 77, "Section"],

Cell[CellGroupData[{
Cell[1941, 62, 54, 1, 54, "Input"],
Cell[1998, 65, 40, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2075, 71, 58, 1, 54, "Input"],
Cell[2136, 74, 60, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2233, 80, 30, 0, 57, "Subsubsection"],

Cell[CellGroupData[{
Cell[2288, 84, 54, 1, 54, "Input"],
Cell[2345, 87, 141, 3, 28, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2523, 95, 55, 1, 54, "Input"],
Cell[2581, 98, 142, 3, 28, "Message"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[2784, 108, 45, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[2854, 112, 61, 1, 54, "Input"],
Cell[2918, 115, 147, 3, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3102, 123, 81, 1, 77, "Input"],
Cell[3186, 126, 2121, 54, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5344, 185, 79, 1, 54, "Input"],
Cell[5426, 188, 887, 24, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6350, 217, 114, 2, 77, "Input"],
Cell[6467, 221, 1469, 38, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7973, 264, 104, 2, 77, "Input"],
Cell[8080, 268, 3210, 78, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[11327, 351, 118, 2, 77, "Input"],
Cell[11448, 355, 1990, 50, 56, "Output"]
}, Open  ]],
Cell[13453, 408, 50, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[13528, 413, 59, 1, 54, "Input"],
Cell[13590, 416, 60, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13687, 422, 43, 0, 57, "Subsubsection"],
Cell[13733, 424, 114, 2, 77, "Input"],

Cell[CellGroupData[{
Cell[13872, 430, 78, 1, 54, "Input"],
Cell[13953, 433, 887, 24, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[14877, 462, 114, 2, 77, "Input"],
Cell[14994, 466, 941, 25, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15972, 496, 93, 1, 77, "Input"],
Cell[16068, 499, 897, 24, 55, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[17014, 529, 48, 0, 35, "Subsubsection"],
Cell[17065, 531, 60, 1, 54, "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[17174, 538, 50, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[17249, 542, 72, 1, 54, "Input"],
Cell[17324, 545, 47, 1, 54, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[17420, 552, 29, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[17474, 556, 46, 1, 54, "Input"],
Cell[17523, 559, 41, 1, 54, "Output"]
}, Open  ]],
Cell[17579, 563, 61, 1, 54, "Input"],
Cell[17643, 566, 48, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[17716, 571, 46, 1, 54, "Input"],
Cell[17765, 574, 60, 1, 54, "Output"]
}, Open  ]],
Cell[17840, 578, 52, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[17917, 583, 46, 1, 54, "Input"],
Cell[17966, 586, 60, 1, 54, "Output"]
}, Open  ]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

