(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     49207,       1213]*)
(*NotebookOutlinePosition[     52685,       1302]*)
(*  CellTagsIndexPosition[     52641,       1298]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["Dnup", "Subtitle",
  TextAlignment->Center,
  TextJustification->0],

Cell[BoxData[
    \(<< \ dhPark`IndexNotation`\)], "Input"],

Cell[BoxData[
    \(<< dhPark`IndexNotationPreDefine`\)], "Input"],

Cell[CellGroupData[{

Cell["Dnup", "Section"],

Cell[BoxData[
    \(DefineTensor[A, "\<abcd\>"]\)], "Input"],

Cell[BoxData[
    \(DefineTensor[{a, V}, "\<a\>"]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(BD[la, CD[lb, A[uc, ld, le, lc]]] a[ua]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
            SequenceForm[ "", "a"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "a"]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"b"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"d\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], "d"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"e\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", " "], "d"], "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "d"], "e"], "c"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"c"\),
                                  SequenceForm[ "", "c"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "c"], " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", "c"], " "], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "c"], " "], " "], " "],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "d"], "e"], "c"], 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "c"], " "], " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "b"], 
                A[ uc, ld, le, lc]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[PartialD]", "a"], 
            CD[ lb, 
              A[ uc, ld, le, lc]]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dnup[%, {CD}]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
            SequenceForm[ "", "a"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "a"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[PartialD]"\^"a"\),
              Superscript[ "\[PartialD]", "a"],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"b"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"c"\),
                                  SequenceForm[ "", "c"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"d\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "c"], "d"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"e\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", "c"], "d"], "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "c"], "d"], "e"], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "], "c"],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"], "e"], " "], 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], "c"]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "b"], 
                A[ lc, ld, le, uc]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[PartialD]", "a"], 
            CD[ lb, 
              A[ lc, ld, le, uc]]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(BD[ua, CD[ub, A[lc, lb, le, lf]]] a[uc] V[la]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
            SequenceForm[ "", "c"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "c"]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[PartialD]"\^"a"\),
              Superscript[ "\[PartialD]", "a"],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\("\[Del]"\^"b"\),
                  Superscript[ "\[Del]", "b"],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"c"\),
                                  SequenceForm[ "", "c"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"b\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "c"], "b"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"e\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", "c"], "b"], "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "c"], "b"], "e"], "f"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "], " "],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "b"], "e"], "f"], 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Superscript[ "\[Del]", "b"], 
                A[ lc, lb, le, lf]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[PartialD]", "a"], 
            CD[ ub, 
              A[ lc, lb, le, lf]]],
          Editable->False], ")"}], " ", 
      InterpretationBox[
        SubsuperscriptBox["V", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
            SequenceForm[ "", "a"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ V, 
          SequenceForm[ "", "a"], 
          SequenceForm[ "", " "]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dnup[%, {CD}]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
            SequenceForm[ "", "c"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "c"]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"b"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"c"\),
                                  SequenceForm[ "", "c"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "c"], " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"e\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", "c"], " "], "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "c"], " "], "e"], "f"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"b\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], "b"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", " "], "b"], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "b"], " "], " "],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "c"], " "], "e"], "f"], 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "b"], " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "b"], 
                A[ lc, ub, le, lf]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[PartialD]", "a"], 
            CD[ lb, 
              A[ lc, ub, le, lf]]],
          Editable->False], ")"}], " ", 
      InterpretationBox[
        SubsuperscriptBox["V", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
            SequenceForm[ "", "a"],
            Editable->False]],
        Subsuperscript[ V, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "a"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CD[ua, BD[lb, A[la, ld, le, lf]]] a[ub]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
            SequenceForm[ "", "b"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "b"]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[Del]"\^"a"\),
              Superscript[ "\[Del]", "a"],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                  SequenceForm[ "", "a"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"d\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "a"], "d"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"e\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "d"], "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "d"], "e"], "f"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "], " "],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"], "e"], "f"], 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[PartialD]", "b"], 
                A[ la, ld, le, lf]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[Del]", "a"], 
            BD[ lb, 
              A[ la, ld, le, lf]]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dnup[%, {CD}]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
            SequenceForm[ "", "b"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "b"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[Del]"\^"a"\),
              Superscript[ "\[Del]", "a"],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\("\[PartialD]"\^"b"\),
                  Superscript[ "\[PartialD]", "b"],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                  SequenceForm[ "", "a"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"d\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "a"], "d"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"e\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "d"], "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "d"], "e"], "f"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "], " "],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"], "e"], "f"], 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Superscript[ "\[PartialD]", "b"], 
                A[ la, ld, le, lf]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[Del]", "a"], 
            BD[ ub, 
              A[ la, ld, le, lf]]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CD[ua, BD[la, A[lb, ld, le, lf]]] a[ub]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
            SequenceForm[ "", "b"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "b"]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[Del]"\^"a"\),
              Superscript[ "\[Del]", "a"],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"b"\),
                                  SequenceForm[ "", "b"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"d\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "b"], "d"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"e\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", "b"], "d"], "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "b"], "d"], "e"], "f"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "], " "],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "d"], "e"], "f"], 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[PartialD]", "a"], 
                A[ lb, ld, le, lf]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[Del]", "a"], 
            BD[ la, 
              A[ lb, ld, le, lf]]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dnup[%, {CD}]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
            SequenceForm[ "", "b"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "b"]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\("\[PartialD]"\^"a"\),
                  Superscript[ "\[PartialD]", "a"],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"b"\),
                                  SequenceForm[ "", "b"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"d\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "b"], "d"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"e\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", "b"], "d"], "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "b"], "d"], "e"], "f"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "], " "],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "d"], "e"], "f"], 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Superscript[ "\[PartialD]", "a"], 
                A[ lb, ld, le, lf]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[Del]", "a"], 
            BD[ ua, 
              A[ lb, ld, le, lf]]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CD[ua, LD[V, A[la, ld, le, lf]]] a[ud]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\),
            SequenceForm[ "", "d"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "d"]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[Del]"\^"a"\),
              Superscript[ "\[Del]", "a"],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{\("\[ScriptCapitalL]"\_"V"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                  SequenceForm[ "", "a"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"d\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "a"], "d"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"e\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "d"], "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "d"], "e"], "f"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "], " "],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"], "e"], "f"], 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[ScriptCapitalL]", "V"], 
                A[ la, ld, le, lf]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[Del]", "a"], 
            LD[ V, 
              A[ la, ld, le, lf]]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dnup[%, {CD}]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\),
            SequenceForm[ "", "d"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "d"]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[Del]"\^"a"\),
              Superscript[ "\[Del]", "a"],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{\("\[ScriptCapitalL]"\_"V"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                  SequenceForm[ "", "a"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"d\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "a"], "d"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"e\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "d"], "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "d"], "e"], "f"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "], " "],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"], "e"], "f"], 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[ScriptCapitalL]", "V"], 
                A[ la, ld, le, lf]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[Del]", "a"], 
            LD[ V, 
              A[ la, ld, le, lf]]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dnup[%, {CD, LD}]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\),
            SequenceForm[ "", "d"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "d"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{\("\[ScriptCapitalL]"\_"V"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"e\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "], "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], "e"], "f"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                  SequenceForm[ "", "a"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"d\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "a"], "d"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "d"], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "d"], " "], " "],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], "e"], "f"], 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"], " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[ScriptCapitalL]", "V"], 
                A[ ua, ud, le, lf]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[Del]", "a"], 
            LD[ V, 
              A[ ua, ud, le, lf]]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]]
}, Closed]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{},
WindowSize->{579, 694},
WindowMargins->{{12, Automatic}, {0, Automatic}},
Visible->True,
InputAliases->{"notation"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftRightArrow]", " ",
           
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation>"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongRightArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation<"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "symb"->RowBox[ {"Symbolize", "[", 
        TagBox[ 
        "\[Placeholder]", NotationBoxTag, TagStyle -> 
          "NotationTemplateStyle"], "]"}], 
    "infixnotation"->RowBox[ {"InfixNotation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "addia"->RowBox[ {"AddInputAlias", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "pattwraper"->TagBox[ 
      "\[Placeholder]", NotationPatternTag, TagStyle -> 
        "NotationPatternWrapperStyle"], 
    "madeboxeswraper"->TagBox[ 
      "\[Placeholder]", NotationMadeBoxesTag, TagStyle -> 
        "NotationMadeBoxesWrapperStyle"], 
    "Vdefine"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
            OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
            NotationBoxTag, TagStyle -> "NotationTemplateStyle"], " ", 
          "\[DoubleLongLeftRightArrow]", " ", 
          TagBox[ 
            RowBox[ {"Vector", "[", "\[Placeholder]", "]"}], NotationBoxTag, 
            TagStyle -> "NotationTemplateStyle"]}], "]"}], 
    "ivec"->OverscriptBox[ "\[DotlessI]", "^"], 
    "jvec"->OverscriptBox[ "\[DotlessJ]", "^"], 
    "vect"->OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
    "xvec"->OverscriptBox[ "x", "^"], "yvec"->OverscriptBox[ "y", "^"], 
    "zvec"->OverscriptBox[ "z", "^"], "rvec"->OverscriptBox[ "r", "^"], 
    "tvec"->OverscriptBox[ "\[Theta]", "^"], 
    "pvec"->OverscriptBox[ "\[Phi]", "^"]},
Magnification->1,
StyleDefinitions -> "Demo.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 73, 2, 81, "Subtitle"],
Cell[1793, 53, 59, 1, 54, "Input"],
Cell[1855, 56, 66, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[1946, 61, 23, 0, 77, "Section"],
Cell[1972, 63, 60, 1, 54, "Input"],
Cell[2035, 66, 62, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[2122, 71, 72, 1, 54, "Input"],
Cell[2197, 74, 3994, 91, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6228, 170, 46, 1, 54, "Input"],
Cell[6277, 173, 4107, 94, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10421, 272, 78, 1, 77, "Input"],
Cell[10502, 275, 4680, 109, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15219, 389, 46, 1, 54, "Input"],
Cell[15268, 392, 4447, 103, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19752, 500, 72, 1, 54, "Input"],
Cell[19827, 503, 4102, 94, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[23966, 602, 46, 1, 54, "Input"],
Cell[24015, 605, 4227, 97, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[28279, 707, 72, 1, 54, "Input"],
Cell[28354, 710, 4102, 94, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[32493, 809, 46, 1, 54, "Input"],
Cell[32542, 812, 4119, 94, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[36698, 911, 71, 1, 54, "Input"],
Cell[36772, 914, 4113, 94, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[40922, 1013, 46, 1, 54, "Input"],
Cell[40971, 1016, 4113, 94, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[45121, 1115, 50, 1, 54, "Input"],
Cell[45174, 1118, 4005, 91, 56, "Output"]
}, Open  ]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

