(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    106320,       2455]*)
(*NotebookOutlinePosition[    109798,       2544]*)
(*  CellTagsIndexPosition[    109754,       2540]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["Kaluza-Klein Mode", "Subtitle",
  TextAlignment->Center,
  TextJustification->0],

Cell[BoxData[
    \(<< \ dhPark`IndexNotation`\)], "Input"],

Cell[BoxData[
    \(SetIndexClass[CapitalIndexQ, {GreekIndexQ, NormalIndexQ}]\)], "Input"],

Cell[BoxData[
    \(DefineTensor[{R, g}, "\<ab\>"]\)], "Input"],

Cell[CellGroupData[{

Cell["SumDumKK", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(SumDumKK[a\ R[lA, lB]]\)], "Input"],

Cell[BoxData[
    RowBox[{"a", " ", 
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"A"\),
                SequenceForm[ "", "A"],
                Editable->False], "\[InvisibleSpace]", "\<\"B\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "A"], "B"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ "", "A"], "B"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SumDumKK[a\ R[lA, uA]]\)], "Input"],

Cell[BoxData[
    RowBox[{"a", " ", 
      RowBox[{"(", 
        RowBox[{
          InterpretationBox[
            SubsuperscriptBox["R", 
              InterpretationBox[
                RowBox[{
                  
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"\[Chi]"\),
                    
                    SequenceForm[ "", "\[Chi]"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "\[Chi]"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"\[Chi]\"\>"}],
                
                SequenceForm[ 
                  SequenceForm[ "", " "], "\[Chi]"],
                Editable->False]],
            Subsuperscript[ R, 
              SequenceForm[ 
                SequenceForm[ "", "\[Chi]"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "\[Chi]"]],
            Editable->False], "+", 
          InterpretationBox[
            SubsuperscriptBox["R", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                    SequenceForm[ "", "p"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "p"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "p"],
                Editable->False]],
            Subsuperscript[ R, 
              SequenceForm[ 
                SequenceForm[ "", "p"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "p"]],
            Editable->False]}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SumDumKK[a\ R[lA, uA] g[lB, lC]]\)], "Input"],

Cell[BoxData[
    RowBox[{"a", " ", 
      RowBox[{"(", 
        RowBox[{
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"B"\),
                      SequenceForm[ "", "B"],
                      Editable->False], "\[InvisibleSpace]", "\<\"C\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "B"], "C"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", "B"], "C"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"\[Psi]"\
\),
                      SequenceForm[ "", "\[Psi]"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "\[Psi]"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], 
                    "\[InvisibleSpace]", "\<\"\[Psi]\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "\[Psi]"],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ "", "\[Psi]"], " "], 
                SequenceForm[ 
                  SequenceForm[ "", " "], "\[Psi]"]],
              Editable->False]}], "+", 
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"B"\),
                      SequenceForm[ "", "B"],
                      Editable->False], "\[InvisibleSpace]", "\<\"C\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "B"], "C"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", "B"], "C"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ "", "q"], " "], 
                SequenceForm[ 
                  SequenceForm[ "", " "], "q"]],
              Editable->False]}]}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SumDumKK[a\ R[lA, uA] g[lB, uB]]\)], "Input"],

Cell[BoxData[
    RowBox[{"a", " ", 
      RowBox[{"(", 
        RowBox[{
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"\[Xi]"\)\
,
                      SequenceForm[ "", "\[Xi]"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "\[Xi]"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], 
                    "\[InvisibleSpace]", "\<\"\[Xi]\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "\[Xi]"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", "\[Xi]"], " "], 
                SequenceForm[ 
                  SequenceForm[ "", " "], "\[Xi]"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"\[Phi]"\
\),
                      SequenceForm[ "", "\[Phi]"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "\[Phi]"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], 
                    "\[InvisibleSpace]", "\<\"\[Phi]\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "\[Phi]"],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ "", "\[Phi]"], " "], 
                SequenceForm[ 
                  SequenceForm[ "", " "], "\[Phi]"]],
              Editable->False]}], "+", 
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"s"\),
                      SequenceForm[ "", "s"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "s"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"s\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "s"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", "s"], " "], 
                SequenceForm[ 
                  SequenceForm[ "", " "], "s"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"\[Phi]"\
\),
                      SequenceForm[ "", "\[Phi]"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "\[Phi]"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], 
                    "\[InvisibleSpace]", "\<\"\[Phi]\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "\[Phi]"],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ "", "\[Phi]"], " "], 
                SequenceForm[ 
                  SequenceForm[ "", " "], "\[Phi]"]],
              Editable->False]}], "+", 
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"\[Xi]"\)\
,
                      SequenceForm[ "", "\[Xi]"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "\[Xi]"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], 
                    "\[InvisibleSpace]", "\<\"\[Xi]\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "\[Xi]"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", "\[Xi]"], " "], 
                SequenceForm[ 
                  SequenceForm[ "", " "], "\[Xi]"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                      SequenceForm[ "", "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "r"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "r"],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ "", "r"], " "], 
                SequenceForm[ 
                  SequenceForm[ "", " "], "r"]],
              Editable->False]}], "+", 
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"s"\),
                      SequenceForm[ "", "s"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "s"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"s\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "s"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", "s"], " "], 
                SequenceForm[ 
                  SequenceForm[ "", " "], "s"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                      SequenceForm[ "", "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "r"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "r"],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ "", "r"], " "], 
                SequenceForm[ 
                  SequenceForm[ "", " "], "r"]],
              Editable->False]}]}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SumDumKK[a\ R[lA, lB] g[uA, uB]]\)], "Input"],

Cell[BoxData[
    RowBox[{"a", " ", 
      RowBox[{"(", 
        RowBox[{
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"\[Eta]"\
\),
                      SequenceForm[ "", "\[Eta]"],
                      Editable->False], 
                    "\[InvisibleSpace]", "\<\"\[Theta]\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "\[Eta]"], "\[Theta]"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "\[Eta]"], "\[Theta]"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"\[Eta]"\
\),
                      SequenceForm[ "", "\[Eta]"],
                      Editable->False], 
                    "\[InvisibleSpace]", "\<\"\[Theta]\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "\[Eta]"], "\[Theta]"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ "", "\[Eta]"], "\[Theta]"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False]}], "+", 
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"\[Eta]"\
\),
                      SequenceForm[ "", "\[Eta]"],
                      Editable->False], "\[InvisibleSpace]", "\<\"u\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "\[Eta]"], "u"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "\[Eta]"], "u"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"\[Eta]"\
\),
                      SequenceForm[ "", "\[Eta]"],
                      Editable->False], "\[InvisibleSpace]", "\<\"u\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "\[Eta]"], "u"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ "", "\[Eta]"], "u"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False]}], "+", 
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"t"\),
                      SequenceForm[ "", "t"],
                      Editable->False], 
                    "\[InvisibleSpace]", "\<\"\[Theta]\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "t"], "\[Theta]"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "t"], "\[Theta]"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"t"\),
                      SequenceForm[ "", "t"],
                      Editable->False], 
                    "\[InvisibleSpace]", "\<\"\[Theta]\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "t"], "\[Theta]"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ "", "t"], "\[Theta]"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False]}], "+", 
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"t"\),
                      SequenceForm[ "", "t"],
                      Editable->False], "\[InvisibleSpace]", "\<\"u\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "t"], "u"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "t"], "u"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"t"\),
                      SequenceForm[ "", "t"],
                      Editable->False], "\[InvisibleSpace]", "\<\"u\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "t"], "u"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ "", "t"], "u"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False]}]}], ")"}]}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["TableKK", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(TableKK[g[lA, lB], {lC}]\)], "Input"],

Cell[BoxData[
    \(Msg::"warn" \(\(:\)\(\ \)\) 
      "\!\(\"no index or sub-index:\"\) \!\(lC\) \!\(\"in\"\) \!\({lA, lB}\)"\
\)], "Message"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox["g", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"A"\),
              SequenceForm[ "", "A"],
              Editable->False], "\[InvisibleSpace]", "\<\"B\"\>"}],
          SequenceForm[ 
            SequenceForm[ "", "A"], "B"],
          Editable->False], 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
          SequenceForm[ 
            SequenceForm[ "", " "], " "],
          Editable->False]],
      Subsuperscript[ g, 
        SequenceForm[ 
          SequenceForm[ "", "A"], "B"], 
        SequenceForm[ 
          SequenceForm[ "", " "], " "]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(TableKK[g[lA, lB], {lA}]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"\[Alpha]"\),
                  
                  SequenceForm[ "", "\[Alpha]"],
                  Editable->False], "\[InvisibleSpace]", "\<\"B\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "\[Alpha]"], "B"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", "\[Alpha]"], "B"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False], ",", 
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"B\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "B"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", "a"], "B"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(TableKK[g[lA, lB], {lA, lB}]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{"{", 
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"\[Alpha]\
"\),
                      SequenceForm[ "", "\[Alpha]"],
                      Editable->False], 
                    "\[InvisibleSpace]", "\<\"\[Beta]\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "\[Alpha]"], "\[Beta]"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", "\[Alpha]"], "\[Beta]"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False], ",", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"\[Alpha]\
"\),
                      SequenceForm[ "", "\[Alpha]"],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "\[Alpha]"], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", "\[Alpha]"], "a"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], 
                    "\[InvisibleSpace]", "\<\"\[Alpha]\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "\[Alpha]"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "\[Alpha]"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False], ",", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False]}], "}"}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(TableKK[g[lA, lB] R[uC, lD], {lA, lB, uC}]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{"{", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{
                RowBox[{
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"\
\[Alpha]"\),
                            SequenceForm[ "", "\[Alpha]"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"\[Beta]\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "\[Alpha]"], "\[Beta]"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "\[Alpha]"], "\[Beta]"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False], " ", 
                  InterpretationBox[
                    SubsuperscriptBox["R", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"D\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], "D"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"\
\[Gamma]"\),
                            SequenceForm[ "", "\[Gamma]"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "\[Gamma]"], " "],
                        Editable->False]],
                    Subsuperscript[ R, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], "D"], 
                      SequenceForm[ 
                        SequenceForm[ "", "\[Gamma]"], " "]],
                    Editable->False]}], ",", 
                RowBox[{
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"\
\[Alpha]"\),
                            SequenceForm[ "", "\[Alpha]"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"\[Beta]\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "\[Alpha]"], "\[Beta]"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "\[Alpha]"], "\[Beta]"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False], " ", 
                  InterpretationBox[
                    SubsuperscriptBox["R", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"D\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], "D"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], " "],
                        Editable->False]],
                    Subsuperscript[ R, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], "D"], 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "]],
                    Editable->False]}]}], "}"}], ",", 
            RowBox[{"{", 
              RowBox[{
                RowBox[{
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"\
\[Alpha]"\),
                            SequenceForm[ "", "\[Alpha]"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"a\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "\[Alpha]"], "a"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "\[Alpha]"], "a"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False], " ", 
                  InterpretationBox[
                    SubsuperscriptBox["R", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"D\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], "D"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"\
\[Beta]"\),
                            SequenceForm[ "", "\[Beta]"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "\[Beta]"], " "],
                        Editable->False]],
                    Subsuperscript[ R, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], "D"], 
                      SequenceForm[ 
                        SequenceForm[ "", "\[Beta]"], " "]],
                    Editable->False]}], ",", 
                RowBox[{
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"\
\[Alpha]"\),
                            SequenceForm[ "", "\[Alpha]"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"a\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "\[Alpha]"], "a"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "\[Alpha]"], "a"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False], " ", 
                  InterpretationBox[
                    SubsuperscriptBox["R", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"D\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], "D"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], " "],
                        Editable->False]],
                    Subsuperscript[ R, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], "D"], 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "]],
                    Editable->False]}]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{
                RowBox[{
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"\[Alpha]\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "\[Alpha]"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "\[Alpha]"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False], " ", 
                  InterpretationBox[
                    SubsuperscriptBox["R", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"D\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], "D"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"\
\[Beta]"\),
                            SequenceForm[ "", "\[Beta]"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "\[Beta]"], " "],
                        Editable->False]],
                    Subsuperscript[ R, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], "D"], 
                      SequenceForm[ 
                        SequenceForm[ "", "\[Beta]"], " "]],
                    Editable->False]}], ",", 
                RowBox[{
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"\[Alpha]\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "\[Alpha]"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "\[Alpha]"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False], " ", 
                  InterpretationBox[
                    SubsuperscriptBox["R", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"D\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], "D"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], " "],
                        Editable->False]],
                    Subsuperscript[ R, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], "D"], 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "]],
                    Editable->False]}]}], "}"}], ",", 
            RowBox[{"{", 
              RowBox[{
                RowBox[{
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"b\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "b"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False], " ", 
                  InterpretationBox[
                    SubsuperscriptBox["R", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"D\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], "D"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"\
\[Alpha]"\),
                            SequenceForm[ "", "\[Alpha]"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "\[Alpha]"], " "],
                        Editable->False]],
                    Subsuperscript[ R, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], "D"], 
                      SequenceForm[ 
                        SequenceForm[ "", "\[Alpha]"], " "]],
                    Editable->False]}], ",", 
                RowBox[{
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"b\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "b"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False], " ", 
                  InterpretationBox[
                    SubsuperscriptBox["R", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"D\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], "D"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], " "],
                        Editable->False]],
                    Subsuperscript[ R, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], "D"], 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "]],
                    Editable->False]}]}], "}"}]}], "}"}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(TableKK[g[lA, lB] R[uC, lD], {lA, lB, uC, lD}]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{"{", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{
                RowBox[{"{", 
                  RowBox[{
                    RowBox[{
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"\[Alpha]"\),
                                SequenceForm[ "", "\[Alpha]"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"\[Beta]\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "\[Alpha]"], "\[Beta]"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "\[Alpha]"], "\[Beta]"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False], " ", 
                      InterpretationBox[
                        SubsuperscriptBox["R", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"\[Delta]\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "\[Delta]"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"\[Gamma]"\),
                                SequenceForm[ "", "\[Gamma]"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "\[Gamma]"], " "],
                            Editable->False]],
                        Subsuperscript[ R, 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "\[Delta]"], 
                          SequenceForm[ 
                            SequenceForm[ "", "\[Gamma]"], " "]],
                        Editable->False]}], ",", 
                    RowBox[{
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"\[Alpha]"\),
                                SequenceForm[ "", "\[Alpha]"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"\[Beta]\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "\[Alpha]"], "\[Beta]"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "\[Alpha]"], "\[Beta]"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False], " ", 
                      InterpretationBox[
                        SubsuperscriptBox["R", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"a\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "a"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"\[Gamma]"\),
                                SequenceForm[ "", "\[Gamma]"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "\[Gamma]"], " "],
                            Editable->False]],
                        Subsuperscript[ R, 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "a"], 
                          SequenceForm[ 
                            SequenceForm[ "", "\[Gamma]"], " "]],
                        Editable->False]}]}], "}"}], ",", 
                RowBox[{"{", 
                  RowBox[{
                    RowBox[{
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"\[Alpha]"\),
                                SequenceForm[ "", "\[Alpha]"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"\[Beta]\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "\[Alpha]"], "\[Beta]"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "\[Alpha]"], "\[Beta]"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False], " ", 
                      InterpretationBox[
                        SubsuperscriptBox["R", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"\[Gamma]\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "\[Gamma]"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                SequenceForm[ "", "a"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "a"], " "],
                            Editable->False]],
                        Subsuperscript[ R, 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "\[Gamma]"], 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], " "]],
                        Editable->False]}], ",", 
                    RowBox[{
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"\[Alpha]"\),
                                SequenceForm[ "", "\[Alpha]"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"\[Beta]\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "\[Alpha]"], "\[Beta]"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "\[Alpha]"], "\[Beta]"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False], " ", 
                      InterpretationBox[
                        SubsuperscriptBox["R", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"b\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "b"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                SequenceForm[ "", "a"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "a"], " "],
                            Editable->False]],
                        Subsuperscript[ R, 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "b"], 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], " "]],
                        Editable->False]}]}], "}"}]}], "}"}], ",", 
            RowBox[{"{", 
              RowBox[{
                RowBox[{"{", 
                  RowBox[{
                    RowBox[{
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"\[Alpha]"\),
                                SequenceForm[ "", "\[Alpha]"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"a\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "\[Alpha]"], "a"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "\[Alpha]"], "a"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False], " ", 
                      InterpretationBox[
                        SubsuperscriptBox["R", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"\[Gamma]\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "\[Gamma]"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"\[Beta]"\),
                                SequenceForm[ "", "\[Beta]"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "\[Beta]"], " "],
                            Editable->False]],
                        Subsuperscript[ R, 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "\[Gamma]"], 
                          SequenceForm[ 
                            SequenceForm[ "", "\[Beta]"], " "]],
                        Editable->False]}], ",", 
                    RowBox[{
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"\[Alpha]"\),
                                SequenceForm[ "", "\[Alpha]"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"a\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "\[Alpha]"], "a"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "\[Alpha]"], "a"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False], " ", 
                      InterpretationBox[
                        SubsuperscriptBox["R", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"b\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "b"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"\[Beta]"\),
                                SequenceForm[ "", "\[Beta]"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "\[Beta]"], " "],
                            Editable->False]],
                        Subsuperscript[ R, 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "b"], 
                          SequenceForm[ 
                            SequenceForm[ "", "\[Beta]"], " "]],
                        Editable->False]}]}], "}"}], ",", 
                RowBox[{"{", 
                  RowBox[{
                    RowBox[{
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"\[Alpha]"\),
                                SequenceForm[ "", "\[Alpha]"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"a\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "\[Alpha]"], "a"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "\[Alpha]"], "a"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False], " ", 
                      InterpretationBox[
                        SubsuperscriptBox["R", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"\[Beta]\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "\[Beta]"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"b"\),
                                SequenceForm[ "", "b"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "b"], " "],
                            Editable->False]],
                        Subsuperscript[ R, 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "\[Beta]"], 
                          SequenceForm[ 
                            SequenceForm[ "", "b"], " "]],
                        Editable->False]}], ",", 
                    RowBox[{
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"\[Alpha]"\),
                                SequenceForm[ "", "\[Alpha]"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"a\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "\[Alpha]"], "a"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "\[Alpha]"], "a"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False], " ", 
                      InterpretationBox[
                        SubsuperscriptBox["R", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"c\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "c"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"b"\),
                                SequenceForm[ "", "b"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "b"], " "],
                            Editable->False]],
                        Subsuperscript[ R, 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "c"], 
                          SequenceForm[ 
                            SequenceForm[ "", "b"], " "]],
                        Editable->False]}]}], "}"}]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{
                RowBox[{"{", 
                  RowBox[{
                    RowBox[{
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                SequenceForm[ "", "a"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"\[Alpha]\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "\[Alpha]"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "\[Alpha]"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False], " ", 
                      InterpretationBox[
                        SubsuperscriptBox["R", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"\[Gamma]\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "\[Gamma]"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"\[Beta]"\),
                                SequenceForm[ "", "\[Beta]"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "\[Beta]"], " "],
                            Editable->False]],
                        Subsuperscript[ R, 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "\[Gamma]"], 
                          SequenceForm[ 
                            SequenceForm[ "", "\[Beta]"], " "]],
                        Editable->False]}], ",", 
                    RowBox[{
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                SequenceForm[ "", "a"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"\[Alpha]\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "\[Alpha]"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "\[Alpha]"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False], " ", 
                      InterpretationBox[
                        SubsuperscriptBox["R", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"b\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "b"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"\[Beta]"\),
                                SequenceForm[ "", "\[Beta]"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "\[Beta]"], " "],
                            Editable->False]],
                        Subsuperscript[ R, 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "b"], 
                          SequenceForm[ 
                            SequenceForm[ "", "\[Beta]"], " "]],
                        Editable->False]}]}], "}"}], ",", 
                RowBox[{"{", 
                  RowBox[{
                    RowBox[{
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                SequenceForm[ "", "a"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"\[Alpha]\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "\[Alpha]"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "\[Alpha]"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False], " ", 
                      InterpretationBox[
                        SubsuperscriptBox["R", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"\[Beta]\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "\[Beta]"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"b"\),
                                SequenceForm[ "", "b"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "b"], " "],
                            Editable->False]],
                        Subsuperscript[ R, 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "\[Beta]"], 
                          SequenceForm[ 
                            SequenceForm[ "", "b"], " "]],
                        Editable->False]}], ",", 
                    RowBox[{
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                SequenceForm[ "", "a"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"\[Alpha]\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "\[Alpha]"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "\[Alpha]"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False], " ", 
                      InterpretationBox[
                        SubsuperscriptBox["R", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"c\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "c"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"b"\),
                                SequenceForm[ "", "b"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "b"], " "],
                            Editable->False]],
                        Subsuperscript[ R, 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "c"], 
                          SequenceForm[ 
                            SequenceForm[ "", "b"], " "]],
                        Editable->False]}]}], "}"}]}], "}"}], ",", 
            RowBox[{"{", 
              RowBox[{
                RowBox[{"{", 
                  RowBox[{
                    RowBox[{
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                SequenceForm[ "", "a"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"b\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "b"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "b"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False], " ", 
                      InterpretationBox[
                        SubsuperscriptBox["R", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"\[Beta]\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "\[Beta]"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"\[Alpha]"\),
                                SequenceForm[ "", "\[Alpha]"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "\[Alpha]"], " "],
                            Editable->False]],
                        Subsuperscript[ R, 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "\[Beta]"], 
                          SequenceForm[ 
                            SequenceForm[ "", "\[Alpha]"], " "]],
                        Editable->False]}], ",", 
                    RowBox[{
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                SequenceForm[ "", "a"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"b\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "b"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "b"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False], " ", 
                      InterpretationBox[
                        SubsuperscriptBox["R", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"c\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "c"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"\[Alpha]"\),
                                SequenceForm[ "", "\[Alpha]"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "\[Alpha]"], " "],
                            Editable->False]],
                        Subsuperscript[ R, 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "c"], 
                          SequenceForm[ 
                            SequenceForm[ "", "\[Alpha]"], " "]],
                        Editable->False]}]}], "}"}], ",", 
                RowBox[{"{", 
                  RowBox[{
                    RowBox[{
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                SequenceForm[ "", "a"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"b\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "b"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "b"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False], " ", 
                      InterpretationBox[
                        SubsuperscriptBox["R", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"\[Alpha]\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "\[Alpha]"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"c"\),
                                SequenceForm[ "", "c"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "c"], " "],
                            Editable->False]],
                        Subsuperscript[ R, 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "\[Alpha]"], 
                          SequenceForm[ 
                            SequenceForm[ "", "c"], " "]],
                        Editable->False]}], ",", 
                    RowBox[{
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                SequenceForm[ "", "a"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"b\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "b"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "b"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False], " ", 
                      InterpretationBox[
                        SubsuperscriptBox["R", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"d\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "d"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"c"\),
                                SequenceForm[ "", "c"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "c"], " "],
                            Editable->False]],
                        Subsuperscript[ R, 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "d"], 
                          SequenceForm[ 
                            SequenceForm[ "", "c"], " "]],
                        Editable->False]}]}], "}"}]}], "}"}]}], "}"}]}], 
      "}"}]], "Output"]
}, Open  ]]
}, Closed]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{},
WindowSize->{629, 694},
WindowMargins->{{35, Automatic}, {Automatic, 0}},
Visible->True,
InputAliases->{"notation"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftRightArrow]", " ",
           
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation>"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongRightArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation<"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "symb"->RowBox[ {"Symbolize", "[", 
        TagBox[ 
        "\[Placeholder]", NotationBoxTag, TagStyle -> 
          "NotationTemplateStyle"], "]"}], 
    "infixnotation"->RowBox[ {"InfixNotation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "addia"->RowBox[ {"AddInputAlias", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "pattwraper"->TagBox[ 
      "\[Placeholder]", NotationPatternTag, TagStyle -> 
        "NotationPatternWrapperStyle"], 
    "madeboxeswraper"->TagBox[ 
      "\[Placeholder]", NotationMadeBoxesTag, TagStyle -> 
        "NotationMadeBoxesWrapperStyle"], 
    "Vdefine"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
            OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
            NotationBoxTag, TagStyle -> "NotationTemplateStyle"], " ", 
          "\[DoubleLongLeftRightArrow]", " ", 
          TagBox[ 
            RowBox[ {"Vector", "[", "\[Placeholder]", "]"}], NotationBoxTag, 
            TagStyle -> "NotationTemplateStyle"]}], "]"}], 
    "ivec"->OverscriptBox[ "\[DotlessI]", "^"], 
    "jvec"->OverscriptBox[ "\[DotlessJ]", "^"], 
    "vect"->OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
    "xvec"->OverscriptBox[ "x", "^"], "yvec"->OverscriptBox[ "y", "^"], 
    "zvec"->OverscriptBox[ "z", "^"], "rvec"->OverscriptBox[ "r", "^"], 
    "tvec"->OverscriptBox[ "\[Theta]", "^"], 
    "pvec"->OverscriptBox[ "\[Phi]", "^"]},
Magnification->1,
StyleDefinitions -> "Demo.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 86, 2, 81, "Subtitle"],
Cell[1806, 53, 59, 1, 54, "Input"],
Cell[1868, 56, 90, 1, 77, "Input"],
Cell[1961, 59, 63, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[2049, 64, 27, 0, 77, "Section"],

Cell[CellGroupData[{
Cell[2101, 68, 55, 1, 54, "Input"],
Cell[2159, 71, 960, 25, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3156, 101, 55, 1, 54, "Input"],
Cell[3214, 104, 2207, 54, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5458, 163, 65, 1, 54, "Input"],
Cell[5526, 166, 4454, 104, 59, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10017, 275, 65, 1, 54, "Input"],
Cell[10085, 278, 8963, 211, 59, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19085, 494, 65, 1, 54, "Input"],
Cell[19153, 497, 9001, 211, 58, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[28203, 714, 26, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[28254, 718, 57, 1, 54, "Input"],
Cell[28314, 721, 143, 3, 28, "Message"],
Cell[28460, 726, 887, 24, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[29384, 755, 57, 1, 54, "Input"],
Cell[29444, 758, 2054, 52, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[31535, 815, 61, 1, 54, "Input"],
Cell[31599, 818, 4587, 108, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[36223, 931, 75, 1, 54, "Input"],
Cell[36301, 934, 21974, 502, 86, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[58312, 1441, 79, 1, 54, "Input"],
Cell[58394, 1444, 47898, 1007, 138, "Output"]
}, Open  ]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

