(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     21390,        692]*)
(*NotebookOutlinePosition[     24868,        781]*)
(*  CellTagsIndexPosition[     24824,        777]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["SyntaxCheck", "Subtitle",
  TextAlignment->Center,
  TextJustification->0],

Cell[BoxData[
    \(<< \ dhPark`IndexNotation`\)], "Input"],

Cell[BoxData[
    \(<< \ dhPark`IndexNotationPreDefine`\)], "Input"],

Cell[CellGroupData[{

Cell["SyntexCheck", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(a\ ScalarR[]\ MaxwellF[lb, ua] + \ b\ RicciR[lb, la]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"b", " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "b"], "a"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "b"], "a"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False]}], "+", 
      RowBox[{"a", " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], "a"],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", "b"], " "], 
            SequenceForm[ 
              SequenceForm[ "", " "], "a"]],
          Editable->False], " ", 
        InterpretationBox[\(R\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
          Subsuperscript[ R, "", ""],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SyntaxCheck[%]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"incompatible free indices:\"\) \!\({la, lb}\) \!\(\"and\"\) \
\!\({lb, ua}\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(RicciR[la, la]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox["R", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
              SequenceForm[ "", "a"],
              Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
          SequenceForm[ 
            SequenceForm[ "", "a"], "a"],
          Editable->False], 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
          SequenceForm[ 
            SequenceForm[ "", " "], " "],
          Editable->False]],
      Subsuperscript[ R, 
        SequenceForm[ 
          SequenceForm[ "", "a"], "a"], 
        SequenceForm[ 
          SequenceForm[ "", " "], " "]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SyntaxCheck[%]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"duplicated indices:\"\) \!\({la, la}\) \!\(\"\"\) \
\!\(\"\"\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(RicciR[la, lb] MaxwellF[lb, ua]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["F", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                SequenceForm[ "", "b"],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "b"], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], "a"],
            Editable->False]],
        Subsuperscript[ F, 
          SequenceForm[ 
            SequenceForm[ "", "b"], " "], 
          SequenceForm[ 
            SequenceForm[ "", " "], "a"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SyntaxCheck[%]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"duplicated indices:\"\) \!\({lb, ua, la, lb}\) \!\(\"\"\) \!\(\"\
\"\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(RicciR[la]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox["R", 
        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
          SequenceForm[ "", "a"],
          Editable->False], 
        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
          SequenceForm[ "", " "],
          Editable->False]],
      Subsuperscript[ R, 
        SequenceForm[ "", "a"], 
        SequenceForm[ "", " "]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SyntaxCheck[%]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\({la}\) \!\(\"has invalid number of indices for\"\) \!\(RicciR\) \!\
\(\"\"\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(RicciR[la, lB]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox["R", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
              SequenceForm[ "", "a"],
              Editable->False], "\[InvisibleSpace]", "\<\"B\"\>"}],
          SequenceForm[ 
            SequenceForm[ "", "a"], "B"],
          Editable->False], 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
          SequenceForm[ 
            SequenceForm[ "", " "], " "],
          Editable->False]],
      Subsuperscript[ R, 
        SequenceForm[ 
          SequenceForm[ "", "a"], "B"], 
        SequenceForm[ 
          SequenceForm[ "", " "], " "]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SyntaxCheck[%]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"invalid index\"\) \!\(lB\) \!\(\"\"\) \!\(\"\"\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CD[la, RicciR[lb, uc] RicciR[lc, lb]]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
        RowBox[{
          InterpretationBox[
            SubsuperscriptBox["R", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                    SequenceForm[ "", "b"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "b"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "c"],
                Editable->False]],
            Subsuperscript[ R, 
              SequenceForm[ 
                SequenceForm[ "", "b"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "c"]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["R", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                    SequenceForm[ "", "c"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "c"], "b"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False]],
            Subsuperscript[ R, 
              SequenceForm[ 
                SequenceForm[ "", "c"], "b"], 
              SequenceForm[ 
                SequenceForm[ "", " "], " "]],
            Editable->False]}]}],
      SequenceForm[ 
        Subscript[ "\[Del]", "a"], 
        Times[ 
          RicciR[ lb, uc], 
          RicciR[ lc, lb]]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SyntaxCheck[%]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"duplicated indices:\"\) \!\({lb, uc, lc, lb}\) \!\(\"\"\) \!\(\"\
\"\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CD[lA, RicciR[la, uc] RicciR[lc, lb]]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{\("\[Del]"\_"A"\), "\[InvisibleSpace]", 
        RowBox[{
          InterpretationBox[
            SubsuperscriptBox["R", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "c"],
                Editable->False]],
            Subsuperscript[ R, 
              SequenceForm[ 
                SequenceForm[ "", "a"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "c"]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["R", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                    SequenceForm[ "", "c"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "c"], "b"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False]],
            Subsuperscript[ R, 
              SequenceForm[ 
                SequenceForm[ "", "c"], "b"], 
              SequenceForm[ 
                SequenceForm[ "", " "], " "]],
            Editable->False]}]}],
      SequenceForm[ 
        Subscript[ "\[Del]", "A"], 
        Times[ 
          RicciR[ la, uc], 
          RicciR[ lc, lb]]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SyntaxCheck[%]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"invalid index\"\) \!\(lA\) \!\(\"\"\) \!\(\"\"\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(LD[V, RicciR[la, ub]]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{\("\[ScriptCapitalL]"\_V\), "\[InvisibleSpace]", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], "b"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "a"], " "], 
            SequenceForm[ 
              SequenceForm[ "", " "], "b"]],
          Editable->False]}],
      SequenceForm[ 
        Subscript[ "\[ScriptCapitalL]", V], 
        RicciR[ la, ub]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SyntaxCheck[%]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"non-tensorial argument\"\) \!\(V\) \!\(\"for an operator\"\) \
\!\(LD\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\((RicciR[la, la])\)\^2\)], "Input"],

Cell[BoxData[
    SuperscriptBox[
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "a"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ "", "a"], "a"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False], "2"]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SyntaxCheck[%]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"non-scalar expression in Power:\"\) \!\(R\_\(\(\(\"\" \
\[InvisibleSpace] \"a\"\)\) \[InvisibleSpace] \"a\"\)\%\(\(\(\"\" \
\[InvisibleSpace] \" \"\)\) \[InvisibleSpace] \" \"\)\) \!\(\"\"\) \
\!\(\"\"\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(TP[RicciR[la, la], 2]\)], "Input"],

Cell[BoxData[
    SuperscriptBox[
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "a"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ "", "a"], "a"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False], "2"]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SyntaxCheck[%]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"non-scalar expression in Power:\"\) \!\(R\_\(\(\(\"\" \
\[InvisibleSpace] \"a\"\)\) \[InvisibleSpace] \"a\"\)\%\(\(\(\"\" \
\[InvisibleSpace] \" \"\)\) \[InvisibleSpace] \" \"\)\) \!\(\"\"\) \
\!\(\"\"\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(TP[RicciR[la, lb], 2]\)], "Input"],

Cell[BoxData[
    SuperscriptBox[
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False], "2"]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SyntaxCheck[%]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"non-scalar expression in Power:\"\) \!\(R\_\(\(\(\"\" \
\[InvisibleSpace] \"a\"\)\) \[InvisibleSpace] \"b\"\)\%\(\(\(\"\" \
\[InvisibleSpace] \" \"\)\) \[InvisibleSpace] \" \"\)\) \!\(\"\"\) \
\!\(\"\"\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]]
}, Closed]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{},
WindowSize->{645, 694},
WindowMargins->{{34, Automatic}, {0, Automatic}},
Visible->True,
InputAliases->{"notation"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftRightArrow]", " ",
           
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation>"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongRightArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation<"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "symb"->RowBox[ {"Symbolize", "[", 
        TagBox[ 
        "\[Placeholder]", NotationBoxTag, TagStyle -> 
          "NotationTemplateStyle"], "]"}], 
    "infixnotation"->RowBox[ {"InfixNotation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "addia"->RowBox[ {"AddInputAlias", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "pattwraper"->TagBox[ 
      "\[Placeholder]", NotationPatternTag, TagStyle -> 
        "NotationPatternWrapperStyle"], 
    "madeboxeswraper"->TagBox[ 
      "\[Placeholder]", NotationMadeBoxesTag, TagStyle -> 
        "NotationMadeBoxesWrapperStyle"], 
    "Vdefine"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
            OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
            NotationBoxTag, TagStyle -> "NotationTemplateStyle"], " ", 
          "\[DoubleLongLeftRightArrow]", " ", 
          TagBox[ 
            RowBox[ {"Vector", "[", "\[Placeholder]", "]"}], NotationBoxTag, 
            TagStyle -> "NotationTemplateStyle"]}], "]"}], 
    "ivec"->OverscriptBox[ "\[DotlessI]", "^"], 
    "jvec"->OverscriptBox[ "\[DotlessJ]", "^"], 
    "vect"->OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
    "xvec"->OverscriptBox[ "x", "^"], "yvec"->OverscriptBox[ "y", "^"], 
    "zvec"->OverscriptBox[ "z", "^"], "rvec"->OverscriptBox[ "r", "^"], 
    "tvec"->OverscriptBox[ "\[Theta]", "^"], 
    "pvec"->OverscriptBox[ "\[Phi]", "^"]},
Magnification->1,
StyleDefinitions -> "Demo.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 80, 2, 81, "Subtitle"],
Cell[1800, 53, 59, 1, 54, "Input"],
Cell[1862, 56, 68, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[1955, 61, 30, 0, 77, "Section"],

Cell[CellGroupData[{
Cell[2010, 65, 85, 1, 54, "Input"],
Cell[2098, 68, 2158, 54, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4293, 127, 47, 1, 54, "Input"],
Cell[4343, 130, 153, 3, 51, "Message"],
Cell[4499, 135, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4575, 141, 47, 1, 54, "Input"],
Cell[4625, 144, 887, 24, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5549, 173, 47, 1, 54, "Input"],
Cell[5599, 176, 139, 3, 28, "Message"],
Cell[5741, 181, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5817, 187, 64, 1, 54, "Input"],
Cell[5884, 190, 1867, 49, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7788, 244, 47, 1, 54, "Input"],
Cell[7838, 247, 147, 3, 28, "Message"],
Cell[7988, 252, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8064, 258, 43, 1, 54, "Input"],
Cell[8110, 261, 447, 12, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8594, 278, 47, 1, 54, "Input"],
Cell[8644, 281, 151, 3, 51, "Message"],
Cell[8798, 286, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8874, 292, 47, 1, 54, "Input"],
Cell[8924, 295, 887, 24, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[9848, 324, 47, 1, 54, "Input"],
Cell[9898, 327, 125, 2, 28, "Message"],
Cell[10026, 331, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10102, 337, 70, 1, 54, "Input"],
Cell[10175, 340, 2297, 57, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[12509, 402, 47, 1, 54, "Input"],
Cell[12559, 405, 147, 3, 28, "Message"],
Cell[12709, 410, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[12785, 416, 70, 1, 54, "Input"],
Cell[12858, 419, 2297, 57, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15192, 481, 47, 1, 54, "Input"],
Cell[15242, 484, 125, 2, 28, "Message"],
Cell[15370, 488, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15446, 494, 54, 1, 54, "Input"],
Cell[15503, 497, 1188, 30, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[16728, 532, 47, 1, 54, "Input"],
Cell[16778, 535, 148, 3, 51, "Message"],
Cell[16929, 540, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[17005, 546, 56, 1, 56, "Input"],
Cell[17064, 549, 961, 25, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[18062, 579, 47, 1, 54, "Input"],
Cell[18112, 582, 280, 5, 29, "Message"],
Cell[18395, 589, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[18471, 595, 54, 1, 54, "Input"],
Cell[18528, 598, 961, 25, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19526, 628, 47, 1, 54, "Input"],
Cell[19576, 631, 280, 5, 29, "Message"],
Cell[19859, 638, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19935, 644, 54, 1, 54, "Input"],
Cell[19992, 647, 961, 25, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[20990, 677, 47, 1, 54, "Input"],
Cell[21040, 680, 280, 5, 29, "Message"],
Cell[21323, 687, 39, 1, 54, "Output"]
}, Open  ]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

