(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     14258,        713]*)
(*NotebookOutlinePosition[     17735,        802]*)
(*  CellTagsIndexPosition[     17691,        798]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["Using Indices", "Subtitle",
  TextAlignment->Center,
  TextJustification->0],

Cell[BoxData[
    \(<< dhPark`IndexNotation`\)], "Input"],

Cell[BoxData[
    \(\(indexL = {1, \(-1\), la, ua, uA, lA, l\[Mu], u\[Mu], lha, l0, uha, 
          lba, uba, uda, lda, u0};\)\)], "Input"],

Cell[BoxData[
    \(\(dnIndexL = {\(-1\), la, l\[Mu], lA, lba, lda, lha, l0};\)\)], "Input"],

Cell[BoxData[
    \(\(upIndexL = {1, ua, u\[Mu], uA, uba, uda, uha, u0};\)\)], "Input"],

Cell[CellGroupData[{

Cell["Various Indices", "Section"],

Cell[CellGroupData[{

Cell["Index Types", "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(ComponentIndexQ\  /@ {\(-1\), \(-2\), 1, 2}\)\(\ \)\( (*\ 
      is\ \(\(Integer\)\(?\)\)\ *) \)\)\)], "Input"],

Cell[BoxData[
    \({True, True, True, True}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(RegularIndexQ\  /@ {la, lo, ua, uo}\)\(\ \)\( (*\ 
      is\ \(\(Symbol\)\(?\)\)\ *) \)\)\)], "Input"],

Cell[BoxData[
    \({True, True, True, True}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(DummyIndexQ\  /@ {"\<l$1\>", "\<u$1\>"}\)\(\ \)\( (*\ 
      is\ String\ *) \)\)\)], "Input"],

Cell[BoxData[
    \({True, True}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Index Classes", "Subsection"],

Cell[CellGroupData[{

Cell["Component", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ComponentIndexQ\  /@ {\(-1\), \(-2\), 1, 2}\)], "Input"],

Cell[BoxData[
    \({True, True, True, True}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Normal", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(NormalIndexQ\  /@ {la, lb, "\<l$1\>", ua, ub, "\<u$1\>"}\)], "Input"],

Cell[BoxData[
    \({True, True, True, True, True, True}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Greek", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(GreekIndexQ\  /@ {l\[Alpha], l\[Tau], "\<l@1\>", u\[Alpha], 
        u\[Tau], "\<u@1\>"}\)], "Input"],

Cell[BoxData[
    \({True, True, True, True, True, True}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Capital", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(CapitalIndexQ\  /@ {lA, lO, "\<l#1\>", uA, uO, "\<u#1\>"}\)], "Input"],

Cell[BoxData[
    \({True, True, True, True, True, True}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Bar", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(BarIndexQ\  /@ {lba, lbb, "\<l!1\>", uba, ubb, "\<u!1\>"}\)], "Input"],

Cell[BoxData[
    \({True, True, True, True, True, True}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Dot", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(DotIndexQ\  /@ {lda, ldb, "\<l~1\>", uda, udb, "\<u~1\>"}\)], "Input"],

Cell[BoxData[
    \({True, True, True, True, True, True}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Hat", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(HatIndexQ\  /@ {lha, lhb, "\<l%1\>", uha, uhb, "\<u%1\>"}\)], "Input"],

Cell[BoxData[
    \({True, True, True, True, True, True}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["One", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(OneIndexQ\  /@ {l0, "\<l0\>", u0, "\<u0\>"}\)], "Input"],

Cell[BoxData[
    \({True, True, True, True}\)], "Output"]
}, Open  ]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["DnIndexQ", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(DnIndexQ\  /@ \ dnIndexL\)], "Input"],

Cell[BoxData[
    \({True, True, True, True, True, True, True, True}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(DnIndexQ\  /@ \ upIndexL\)], "Input"],

Cell[BoxData[
    \({False, False, False, False, False, False, False, False}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(DnIndexQ[#, NormalIndexQ] &\)\ \  /@ \ dnIndexL\)], "Input"],

Cell[BoxData[
    \({False, True, False, False, False, False, False, False}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Dummy", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dummy[]\)], "Input"],

Cell[BoxData[
    \("l$1"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dummy\  /@ \ {NormalIndexQ, GreekIndexQ, CapitalIndexQ, BarIndexQ, 
        DotIndexQ, HatIndexQ, OneIndexQ}\)], "Input"],

Cell[BoxData[
    \({"l$2", "l@1", "l#1", "l!1", "l~1", "l%1", "l0"}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["DummyPair", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(DummyPair[]\)], "Input"],

Cell[BoxData[
    \({"l$3", "u$3"}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(DummyPair\  /@ \ {NormalIndexQ, GreekIndexQ, CapitalIndexQ, BarIndexQ, 
        DotIndexQ, HatIndexQ, OneIndexQ}\)], "Input"],

Cell[BoxData[
    \({{"l$4", "u$4"}, {"l@2", "u@2"}, {"l#2", "u#2"}, {"l!2", 
        "u!2"}, {"l~2", "u~2"}, {"l%2", "u%2"}, {"l0", "u0"}}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["FlipIndex", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(FlipIndex\  /@ \ dnIndexL\)], "Input"],

Cell[BoxData[
    \({1, ua, u\[Mu], uA, uba, uda, uha, u0}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(FlipIndex\  /@ \ %\)], "Input"],

Cell[BoxData[
    \({\(-1\), la, l\[Mu], lA, lba, lda, lha, l0}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(FlipIndex[#, CapitalIndexQ] &\)\  /@ \ %\)], "Input"],

Cell[BoxData[
    \({\(-1\), la, l\[Mu], uA, lba, lda, lha, l0}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["GetPairs", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(GetPairs[indexL]\)], "Input"],

Cell[BoxData[
    \({{la, ua}, {lA, uA}, {lba, uba}, {lda, uda}, {lha, uha}, {l\[Mu], 
        u\[Mu]}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(PairQ[Sequence\  @@ \ %]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(GetPairs[indexL, NormalIndexQ]\)], "Input"],

Cell[BoxData[
    \({{la, ua}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(PairQ[Sequence\  @@ \ %, NormalIndexQ]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(GetPairs[indexL, GreekIndexQ]\)], "Input"],

Cell[BoxData[
    \({{l\[Mu], u\[Mu]}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(PairQ[Sequence\  @@ \ %, GreekIndexQ]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(GetPairs[indexL, CapitalIndexQ]\)], "Input"],

Cell[BoxData[
    \({{lA, uA}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(PairQ[Sequence\  @@ \ %, CapitalIndexQ]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(GetPairs[indexL, HatIndexQ]\)], "Input"],

Cell[BoxData[
    \({{lha, uha}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(PairQ[Sequence\  @@ \ %, HatIndexQ]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(GetPairs[indexL, BarIndexQ]\)], "Input"],

Cell[BoxData[
    \({{lba, uba}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(PairQ[Sequence\  @@ \ %, BarIndexQ]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(GetPairs[indexL, DotIndexQ]\)], "Input"],

Cell[BoxData[
    \({{lda, uda}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(PairQ[Sequence\  @@ \ %, DotIndexQ]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["IndexOrderedQ", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(IndexOrderedQ[lb, la]\)], "Input"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(IndexOrderedQ[{lb, la, lc}]\)], "Input"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(IndexOrderedQ[{la, lb, ld}, {la, lb, lc}]\)], "Input"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["PairQ", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \({PairQ[la, ua], PairQ[la, ub], PairQ[\(-1\), 1], 
      PairQ[la, la]}\)], "Input"],

Cell[BoxData[
    \({True, False, False, False}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({PairQ[l\[Mu], u\[Mu]], PairQ[l\[Mu], u\[Nu]], 
      PairQ[l\[Mu], l\[Mu]]}\)], "Input"],

Cell[BoxData[
    \({True, False, False}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({PairQ[lA, uA], PairQ[lA, uB], PairQ[lA, lA]}\)], "Input"],

Cell[BoxData[
    \({True, False, False}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({PairQ[lha, uha], PairQ[lha, uhb], PairQ[lha, lha]}\)], "Input"],

Cell[BoxData[
    \({True, False, False}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({PairQ[lba, uba], PairQ[lba, ubb], PairQ[lba, lba]}\)], "Input"],

Cell[BoxData[
    \({True, False, False}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({PairQ[lda, uda], PairQ[lda, udb], PairQ[lda, lda]}\)], "Input"],

Cell[BoxData[
    \({True, False, False}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(PairQ[l0, u0]\)\(\ \ \)\( (*\ 
      for\ one - dimensional\ *) \)\)\)], "Input"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(PairQ[{la, ua}, {l\[Mu], u\[Mu]}, {lA, uA}, {lha, uha}, {lba, 
        uba}, {lda, uda}]\)], "Input"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({PairQ[la, ua, NormalIndexQ], PairQ[la, ua, GreekIndexQ]}\)], "Input"],

Cell[BoxData[
    \({True, False}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({PairQ[l\[Mu], u\[Mu], NormalIndexQ], 
      PairQ[l\[Mu], u\[Mu], GreekIndexQ]}\)], "Input"],

Cell[BoxData[
    \({False, True}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({PairQ[{la, ua}, {lb, ub}, NormalIndexQ], 
      PairQ[{la, ua}, {l\[Mu], u\[Mu]}, GreekIndexQ], 
      PairQ[{l\[Mu], u\[Mu]}, {l\[Nu], u\[Nu]}, GreekIndexQ]}\)], "Input"],

Cell[BoxData[
    \({True, False, True}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["TensorialIndexQ", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(TensorialIndexQ\  /@ \ dnIndexL\)], "Input"],

Cell[BoxData[
    \({False, True, True, True, True, True, True, False}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(TensorialIndexQ[#, GreekIndexQ] &\)\  /@ \ dnIndexL\)], "Input"],

Cell[BoxData[
    \({False, False, True, False, False, False, False, False}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["ToDnIndex", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ToDnIndex\  /@ \ upIndexL\)], "Input"],

Cell[BoxData[
    \({\(-1\), la, l\[Mu], lA, lba, lda, lha, l0}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ToDnIndex[#, BarIndexQ] &\)\  /@ \ upIndexL\)], "Input"],

Cell[BoxData[
    \({1, ua, u\[Mu], uA, lba, uda, uha, u0}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["ToUpIndex", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ToUpIndex\  /@ \ dnIndexL\)], "Input"],

Cell[BoxData[
    \({1, ua, u\[Mu], uA, uba, uda, uha, u0}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ToUpIndex[#, CapitalIndexQ] &\)\  /@ \ dnIndexL\)], "Input"],

Cell[BoxData[
    \({\(-1\), la, l\[Mu], uA, lba, lda, lha, l0}\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["UpIndexQ", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(UpIndexQ\  /@ \ upIndexL\)], "Input"],

Cell[BoxData[
    \({True, True, True, True, True, True, True, True}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(UpIndexQ\  /@ \ dnIndexL\)], "Input"],

Cell[BoxData[
    \({False, False, False, False, False, False, False, False}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(UpIndexQ[#, GreekIndexQ] &\)\ \  /@ \ upIndexL\)], "Input"],

Cell[BoxData[
    \({False, False, True, False, False, False, False, False}\)], "Output"]
}, Open  ]]
}, Closed]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{},
WindowSize->{688, 694},
WindowMargins->{{5, Automatic}, {1, Automatic}},
Visible->True,
InputAliases->{"notation"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftRightArrow]", " ",
           
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation>"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongRightArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation<"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "symb"->RowBox[ {"Symbolize", "[", 
        TagBox[ 
        "\[Placeholder]", NotationBoxTag, TagStyle -> 
          "NotationTemplateStyle"], "]"}], 
    "infixnotation"->RowBox[ {"InfixNotation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "addia"->RowBox[ {"AddInputAlias", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "pattwraper"->TagBox[ 
      "\[Placeholder]", NotationPatternTag, TagStyle -> 
        "NotationPatternWrapperStyle"], 
    "madeboxeswraper"->TagBox[ 
      "\[Placeholder]", NotationMadeBoxesTag, TagStyle -> 
        "NotationMadeBoxesWrapperStyle"], 
    "Vdefine"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
            OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
            NotationBoxTag, TagStyle -> "NotationTemplateStyle"], " ", 
          "\[DoubleLongLeftRightArrow]", " ", 
          TagBox[ 
            RowBox[ {"Vector", "[", "\[Placeholder]", "]"}], NotationBoxTag, 
            TagStyle -> "NotationTemplateStyle"]}], "]"}], 
    "ivec"->OverscriptBox[ "\[DotlessI]", "^"], 
    "jvec"->OverscriptBox[ "\[DotlessJ]", "^"], 
    "vect"->OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
    "xvec"->OverscriptBox[ "x", "^"], "yvec"->OverscriptBox[ "y", "^"], 
    "zvec"->OverscriptBox[ "z", "^"], "rvec"->OverscriptBox[ "r", "^"], 
    "tvec"->OverscriptBox[ "\[Theta]", "^"], 
    "pvec"->OverscriptBox[ "\[Phi]", "^"]},
Magnification->1,
StyleDefinitions -> "Demo.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 82, 2, 81, "Subtitle"],
Cell[1802, 53, 57, 1, 54, "Input"],
Cell[1862, 56, 139, 2, 77, "Input"],
Cell[2004, 60, 92, 1, 54, "Input"],
Cell[2099, 63, 87, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[2211, 68, 34, 0, 77, "Section"],

Cell[CellGroupData[{
Cell[2270, 72, 33, 0, 69, "Subsection"],

Cell[CellGroupData[{
Cell[2328, 76, 135, 2, 77, "Input"],
Cell[2466, 80, 58, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2561, 86, 126, 2, 77, "Input"],
Cell[2690, 90, 58, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2785, 96, 117, 2, 54, "Input"],
Cell[2905, 100, 46, 1, 54, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[3000, 107, 35, 0, 41, "Subsection"],

Cell[CellGroupData[{
Cell[3060, 111, 34, 0, 57, "Subsubsection"],

Cell[CellGroupData[{
Cell[3119, 115, 76, 1, 54, "Input"],
Cell[3198, 118, 58, 1, 54, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[3305, 125, 31, 0, 35, "Subsubsection"],

Cell[CellGroupData[{
Cell[3361, 129, 89, 1, 54, "Input"],
Cell[3453, 132, 70, 1, 54, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[3572, 139, 30, 0, 35, "Subsubsection"],

Cell[CellGroupData[{
Cell[3627, 143, 121, 2, 54, "Input"],
Cell[3751, 147, 70, 1, 54, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[3870, 154, 32, 0, 35, "Subsubsection"],

Cell[CellGroupData[{
Cell[3927, 158, 90, 1, 54, "Input"],
Cell[4020, 161, 70, 1, 54, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[4139, 168, 28, 0, 35, "Subsubsection"],

Cell[CellGroupData[{
Cell[4192, 172, 90, 1, 54, "Input"],
Cell[4285, 175, 70, 1, 54, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[4404, 182, 28, 0, 35, "Subsubsection"],

Cell[CellGroupData[{
Cell[4457, 186, 90, 1, 54, "Input"],
Cell[4550, 189, 70, 1, 54, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[4669, 196, 28, 0, 35, "Subsubsection"],

Cell[CellGroupData[{
Cell[4722, 200, 90, 1, 54, "Input"],
Cell[4815, 203, 70, 1, 54, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[4934, 210, 28, 0, 35, "Subsubsection"],

Cell[CellGroupData[{
Cell[4987, 214, 76, 1, 54, "Input"],
Cell[5066, 217, 58, 1, 54, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[5197, 226, 27, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[5249, 230, 57, 1, 54, "Input"],
Cell[5309, 233, 82, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5428, 239, 57, 1, 54, "Input"],
Cell[5488, 242, 90, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5615, 248, 82, 1, 54, "Input"],
Cell[5700, 251, 89, 1, 54, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[5838, 258, 24, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[5887, 262, 40, 1, 54, "Input"],
Cell[5930, 265, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6006, 271, 141, 2, 77, "Input"],
Cell[6150, 275, 82, 1, 54, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[6281, 282, 28, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[6334, 286, 44, 1, 54, "Input"],
Cell[6381, 289, 48, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6466, 295, 145, 2, 100, "Input"],
Cell[6614, 299, 153, 2, 77, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[6816, 307, 28, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[6869, 311, 58, 1, 54, "Input"],
Cell[6930, 314, 72, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7039, 320, 51, 1, 54, "Input"],
Cell[7093, 323, 77, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7207, 329, 75, 1, 54, "Input"],
Cell[7285, 332, 77, 1, 54, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[7411, 339, 27, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[7463, 343, 49, 1, 54, "Input"],
Cell[7515, 346, 117, 2, 77, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7669, 353, 57, 1, 54, "Input"],
Cell[7729, 356, 38, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7804, 362, 63, 1, 54, "Input"],
Cell[7870, 365, 44, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7951, 371, 71, 1, 54, "Input"],
Cell[8025, 374, 38, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8100, 380, 62, 1, 54, "Input"],
Cell[8165, 383, 52, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8254, 389, 70, 1, 54, "Input"],
Cell[8327, 392, 38, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8402, 398, 64, 1, 54, "Input"],
Cell[8469, 401, 44, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8550, 407, 72, 1, 54, "Input"],
Cell[8625, 410, 38, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8700, 416, 60, 1, 54, "Input"],
Cell[8763, 419, 46, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8846, 425, 68, 1, 54, "Input"],
Cell[8917, 428, 38, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8992, 434, 60, 1, 54, "Input"],
Cell[9055, 437, 46, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[9138, 443, 68, 1, 54, "Input"],
Cell[9209, 446, 38, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[9284, 452, 60, 1, 54, "Input"],
Cell[9347, 455, 46, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[9430, 461, 68, 1, 54, "Input"],
Cell[9501, 464, 38, 1, 54, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[9588, 471, 32, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[9645, 475, 54, 1, 54, "Input"],
Cell[9702, 478, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[9778, 484, 60, 1, 54, "Input"],
Cell[9841, 487, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[9917, 493, 74, 1, 54, "Input"],
Cell[9994, 496, 39, 1, 54, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[10082, 503, 24, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[10131, 507, 103, 2, 77, "Input"],
Cell[10237, 511, 61, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10335, 517, 109, 2, 54, "Input"],
Cell[10447, 521, 54, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10538, 527, 78, 1, 54, "Input"],
Cell[10619, 530, 54, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10710, 536, 84, 1, 54, "Input"],
Cell[10797, 539, 54, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10888, 545, 84, 1, 54, "Input"],
Cell[10975, 548, 54, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[11066, 554, 84, 1, 54, "Input"],
Cell[11153, 557, 54, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[11244, 563, 105, 2, 54, "Input"],
Cell[11352, 567, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[11428, 573, 121, 2, 77, "Input"],
Cell[11552, 577, 38, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[11627, 583, 90, 1, 77, "Input"],
Cell[11720, 586, 47, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[11804, 592, 113, 2, 77, "Input"],
Cell[11920, 596, 47, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[12004, 602, 192, 3, 100, "Input"],
Cell[12199, 607, 53, 1, 54, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[12301, 614, 34, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[12360, 618, 64, 1, 54, "Input"],
Cell[12427, 621, 84, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[12548, 627, 86, 1, 54, "Input"],
Cell[12637, 630, 89, 1, 54, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[12775, 637, 28, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[12828, 641, 58, 1, 54, "Input"],
Cell[12889, 644, 77, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13003, 650, 78, 1, 54, "Input"],
Cell[13084, 653, 72, 1, 54, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[13205, 660, 28, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[13258, 664, 58, 1, 54, "Input"],
Cell[13319, 667, 72, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13428, 673, 82, 1, 54, "Input"],
Cell[13513, 676, 77, 1, 54, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[13639, 683, 27, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[13691, 687, 57, 1, 54, "Input"],
Cell[13751, 690, 82, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13870, 696, 57, 1, 54, "Input"],
Cell[13930, 699, 90, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[14057, 705, 81, 1, 54, "Input"],
Cell[14141, 708, 89, 1, 54, "Output"]
}, Open  ]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

