(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     87745,       2348]*)
(*NotebookOutlinePosition[     91223,       2437]*)
(*  CellTagsIndexPosition[     91179,       2433]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["Absorb and Absorbg", "Subtitle",
  TextAlignment->Center,
  TextJustification->0],

Cell[BoxData[
    \(<< \ dhPark`Tensor`\)], "Input"],

Cell[BoxData[
    \(Off[MetricgFlag]\)], "Input"],

Cell[CellGroupData[{

Cell["Absorbg", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \({MaxwellF[la, lb]\ Metricg[ub, uc], \ 
      RicciR[la, lb]\ Metricg[ua, ub]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], 
              SequenceForm[ 
                SequenceForm[ "", " "], " "]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["g", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                    SequenceForm[ "", "b"],
                    Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"],
                Editable->False]],
            Subsuperscript[ g, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"]],
            Editable->False]}], ",", 
        RowBox[{
          InterpretationBox[
            SubsuperscriptBox["g", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False]],
            Subsuperscript[ g, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["R", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False]],
            Subsuperscript[ R, 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], 
              SequenceForm[ 
                SequenceForm[ "", " "], " "]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Absorbg[%]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], "c"],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", "a"], " "], 
            SequenceForm[ 
              SequenceForm[ "", " "], "c"]],
          Editable->False], ",", 
        InterpretationBox[\(R\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
          Subsuperscript[ R, "", ""],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Metricg[ub, ud] CD[la, \ MaxwellF[lb, lc]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["F", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ F, 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[Del]", "a"], 
            MaxwellF[ lb, lc]],
          Editable->False], ")"}], " ", 
      InterpretationBox[
        SubsuperscriptBox["g", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                SequenceForm[ "", "b"],
                Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "b"], "d"],
            Editable->False]],
        Subsuperscript[ g, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "b"], "d"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Absorbg[%]\)], "Input"],

Cell[BoxData[
    RowBox[{"-", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["F", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "d"],
                  Editable->False]],
              Subsuperscript[ F, 
                SequenceForm[ 
                  SequenceForm[ "", "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ "", " "], "d"]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[Del]", "a"], 
            MaxwellF[ lc, ud]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(RiemannR[la, lb, lc, ld]\ Metricg[ua, le]\ Metricg[ub, uf]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["g", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                SequenceForm[ "", "e"],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "e"], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], "a"],
            Editable->False]],
        Subsuperscript[ g, 
          SequenceForm[ 
            SequenceForm[ "", "e"], " "], 
          SequenceForm[ 
            SequenceForm[ "", " "], "a"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["g", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                SequenceForm[ "", "b"],
                Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "b"], "f"],
            Editable->False]],
        Subsuperscript[ g, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "b"], "f"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                        SequenceForm[ "", "a"],
                        Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"],
                    Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], "c"],
                Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], "c"], "d"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], " "],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], "c"], "d"], 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], " "], " "]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Absorbg[%]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox["R", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "d"], "e"],
              Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "d"], "e"], " "],
          Editable->False], 
        InterpretationBox[
          RowBox[{
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "],
              Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], " "], "f"],
          Editable->False]],
      Subsuperscript[ R, 
        SequenceForm[ 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ "", "c"], "d"], "e"], " "], 
        SequenceForm[ 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], " "], "f"]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\((RicciR[la, lb]\  + \ MaxwellF[la, lb])\)\ Metricg[ua, ub]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"]],
          Editable->False]}], "+", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Absorbg[%]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\(R\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
      Subsuperscript[ R, "", ""],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(c1\ RicciR[la, lb]\ MaxwellF[ub, lc]\  + \ c2\ MaxwellF[la, lc]\  + \ 
      c3\ RiemannR[la, lb, lc, ld]\ Metricg[ub, ud]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"c2", " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", "a"], "c"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False]}], "-", 
      RowBox[{"c1", " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                  SequenceForm[ "", "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], "b"],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", "c"], " "], 
            SequenceForm[ 
              SequenceForm[ "", " "], "b"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False]}], "+", 
      RowBox[{"c3", " ", 
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "b"], "d"],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "b"], "d"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], "c"], "d"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], "c"], "d"], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], " "]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Absorbg[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"c2", " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", "a"], "c"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False]}], "-", 
      RowBox[{"c1", " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                  SequenceForm[ "", "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], "b"],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", "c"], " "], 
            SequenceForm[ 
              SequenceForm[ "", " "], "b"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False]}], "+", 
      RowBox[{"c3", " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "a"], "c"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(RicciR[la, 
        lb]\  + \ \(\(Metricg[la, 
          lb]\)\(\ \)\(\((RicciR[la, lb]\ Metricg[ua, 
                  ub])\)\^n\)\(\ \)\)\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False], "+", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            RowBox[{
              InterpretationBox[
                SubsuperscriptBox["g", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                        SequenceForm[ "", "a"],
                        Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"],
                    Editable->False]],
                Subsuperscript[ g, 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"]],
                Editable->False], " ", 
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                        SequenceForm[ "", "a"],
                        Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}], ")"}], "n"]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Absorbg[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False], "+", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False], " ", 
        SuperscriptBox[
          InterpretationBox[\(R\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
            Subsuperscript[ R, "", ""],
            Editable->False], "n"]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(RicciR[la, lb]\  + \ 
      Metricg[la, lb]\ TP[RicciR[la, lb]\ Metricg[ua, ub], n\ ]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False], "+", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False], " ", 
        InterpretationBox[
          SuperscriptBox[
            RowBox[{"(", 
              TagBox[
                RowBox[{
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"b\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "b"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"]],
                    Editable->False], " ", 
                  InterpretationBox[
                    SubsuperscriptBox["R", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"b\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "b"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ R, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                HoldForm], ")"}], "n"],
          SequenceForm[ 
            Power[ 
              HoldForm[ 
                Times[ 
                  Metricg[ ua, ub], 
                  RicciR[ la, lb]]], n]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Absorbg[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False], "+", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False], " ", 
        SuperscriptBox[
          InterpretationBox[\(R\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
            Subsuperscript[ R, "", ""],
            Editable->False], "n"]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CD[le, BD[lf, RiemannR[la, lb, lc, ld]]] Metricg[ub, uc] 
      BD[lh, Metricg[ua, ud]]\ Metricg[uf, ug]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[PartialD]"\_"h"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "d"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "d"]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[PartialD]", "h"], 
            Metricg[ ua, ud]],
          Editable->False], ")"}], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[Del]"\_"e"\), "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                  SequenceForm[ "", "a"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"b\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "a"], "b"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"c\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "b"], "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "b"], "c"], "d"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "b"], "c"], "d"], 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[PartialD]", "f"], 
                RiemannR[ la, lb, lc, ld]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[Del]", "e"], 
            BD[ lf, 
              RiemannR[ la, lb, lc, ld]]],
          Editable->False], ")"}], " ", 
      InterpretationBox[
        SubsuperscriptBox["g", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                SequenceForm[ "", "b"],
                Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "b"], "c"],
            Editable->False]],
        Subsuperscript[ g, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "b"], "c"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["g", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\),
                SequenceForm[ "", "f"],
                Editable->False], "\[InvisibleSpace]", "\<\"g\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "f"], "g"],
            Editable->False]],
        Subsuperscript[ g, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "f"], "g"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Absorbg[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[PartialD]"\_"h"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "d"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "d"]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[PartialD]", "h"], 
            Metricg[ ua, ud]],
          Editable->False], ")"}], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[Del]"\_"e"\), "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\("\[PartialD]"\^"g"\),
                  Superscript[ "\[PartialD]", "g"],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                  SequenceForm[ "", "a"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"b\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "a"], "b"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"c\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "b"], "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "b"], "c"], "d"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "b"], "c"], "d"], 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Superscript[ "\[PartialD]", "g"], 
                RiemannR[ la, lb, lc, ld]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[Del]", "e"], 
            BD[ ug, 
              RiemannR[ la, lb, lc, ld]]],
          Editable->False], ")"}], " ", 
      InterpretationBox[
        SubsuperscriptBox["g", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                SequenceForm[ "", "b"],
                Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "b"], "c"],
            Editable->False]],
        Subsuperscript[ g, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "b"], "c"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Metricg[ub, ud] BD[la, \ MaxwellF[lb, lc]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["F", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ F, 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[PartialD]", "a"], 
            MaxwellF[ lb, lc]],
          Editable->False], ")"}], " ", 
      InterpretationBox[
        SubsuperscriptBox["g", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                SequenceForm[ "", "b"],
                Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "b"], "d"],
            Editable->False]],
        Subsuperscript[ g, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "b"], "d"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Absorbg[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["F", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ F, 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[PartialD]", "a"], 
            MaxwellF[ lb, lc]],
          Editable->False], ")"}], " ", 
      InterpretationBox[
        SubsuperscriptBox["g", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                SequenceForm[ "", "b"],
                Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "b"], "d"],
            Editable->False]],
        Subsuperscript[ g, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "b"], "d"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Absorbg[%, {BD}]\)], "Input"],

Cell[BoxData[
    RowBox[{"-", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["F", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "d"],
                  Editable->False]],
              Subsuperscript[ F, 
                SequenceForm[ 
                  SequenceForm[ "", "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ "", " "], "d"]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[PartialD]", "a"], 
            MaxwellF[ lc, ud]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Absorb", "Section"],

Cell[BoxData[
    \(Tdefine[aMetric, "\<\[Gamma]\>", "\<ab\>"]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(aMetric[ua, ub] BD[la, RicciR[lc, ld]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["\[Gamma]", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False]],
        Subsuperscript[ \[Gamma], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "d"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[PartialD]", "a"], 
            RicciR[ lc, ld]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Absorb[%, aMetric]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{
        InterpretationBox[\("\[PartialD]"\^"b"\),
          Superscript[ "\[PartialD]", "b"],
          Editable->False], "\[InvisibleSpace]", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                  SequenceForm[ "", "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "c"], "d"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "c"], "d"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False]}],
      SequenceForm[ 
        Superscript[ "\[PartialD]", "b"], 
        RicciR[ lc, ld]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(Fdefine[{\[Alpha], \[Beta]}, 1, "\<ab\>"]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(XD[\[Beta][lb]] aMetric[ub, lc]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["\[Gamma]", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], "c"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                SequenceForm[ "", "b"],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "b"], " "],
            Editable->False]],
        Subsuperscript[ \[Gamma], 
          SequenceForm[ 
            SequenceForm[ "", " "], "c"], 
          SequenceForm[ 
            SequenceForm[ "", "b"], " "]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{"\<\"d\"\>", "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox[
                TagBox[
                  StyleBox["\[Beta]",
                    FontWeight->"Bold"],
                  (StyleForm[ #, FontWeight -> "Bold"]&)], 
                TagBox[
                  StyleBox[
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False],
                    FontWeight->"Bold"],
                  (StyleForm[ #, FontWeight -> "Bold"]&)], 
                TagBox[
                  StyleBox[
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False],
                    FontWeight->"Bold"],
                  (StyleForm[ #, FontWeight -> "Bold"]&)]],
              Subsuperscript[ 
                StyleForm[ \[Beta], FontWeight -> "Bold"], 
                StyleForm[ 
                  SequenceForm[ "", "b"], FontWeight -> "Bold"], 
                StyleForm[ 
                  SequenceForm[ "", " "], FontWeight -> "Bold"]],
              Editable->False]}],
          SequenceForm[ "d", 
            \[Beta][ lb]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Absorb[%, aMetric, {XD}]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"d\"\>", "\[InvisibleSpace]", 
        InterpretationBox[
          SubsuperscriptBox[
            TagBox[
              StyleBox["\[Beta]",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                  SequenceForm[ "", "c"],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)]],
          Subsuperscript[ 
            StyleForm[ \[Beta], FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ "", "c"], FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ "", " "], FontWeight -> "Bold"]],
          Editable->False]}],
      SequenceForm[ "d", 
        \[Beta][ lc]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(XP[\[Alpha][uc], XD[\[Beta][la]]] aMetric[ub, lc]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["\[Gamma]", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], "c"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                SequenceForm[ "", "b"],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "b"], " "],
            Editable->False]],
        Subsuperscript[ \[Gamma], 
          SequenceForm[ 
            SequenceForm[ "", " "], "c"], 
          SequenceForm[ 
            SequenceForm[ "", "b"], " "]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox[
                TagBox[
                  StyleBox["\[Alpha]",
                    FontWeight->"Bold"],
                  (StyleForm[ #, FontWeight -> "Bold"]&)], 
                TagBox[
                  StyleBox[
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False],
                    FontWeight->"Bold"],
                  (StyleForm[ #, FontWeight -> "Bold"]&)], 
                TagBox[
                  StyleBox[
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False],
                    FontWeight->"Bold"],
                  (StyleForm[ #, FontWeight -> "Bold"]&)]],
              Subsuperscript[ 
                StyleForm[ \[Alpha], FontWeight -> "Bold"], 
                StyleForm[ 
                  SequenceForm[ "", " "], FontWeight -> "Bold"], 
                StyleForm[ 
                  SequenceForm[ "", "c"], FontWeight -> "Bold"]],
              Editable->False], "\[InvisibleSpace]", "\<\"\[Wedge]\"\>", 
            "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{"\<\"d\"\>", "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox[
                    TagBox[
                      StyleBox["\[Beta]",
                        FontWeight->"Bold"],
                      (StyleForm[ #, FontWeight -> "Bold"]&)], 
                    TagBox[
                      StyleBox[
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False],
                        FontWeight->"Bold"],
                      (StyleForm[ #, FontWeight -> "Bold"]&)], 
                    TagBox[
                      StyleBox[
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False],
                        FontWeight->"Bold"],
                      (StyleForm[ #, FontWeight -> "Bold"]&)]],
                  Subsuperscript[ 
                    StyleForm[ \[Beta], FontWeight -> "Bold"], 
                    StyleForm[ 
                      SequenceForm[ "", "a"], FontWeight -> "Bold"], 
                    StyleForm[ 
                      SequenceForm[ "", " "], FontWeight -> "Bold"]],
                  Editable->False]}],
              SequenceForm[ "d", 
                \[Beta][ la]],
              Editable->False]}],
          SequenceForm[ 
            \[Alpha][ uc], "\[Wedge]", 
            XD[ 
              \[Beta][ la]]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Absorb[%, aMetric, {XP}]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox[
            TagBox[
              StyleBox["\[Alpha]",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)]],
          Subsuperscript[ 
            StyleForm[ \[Alpha], FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ "", " "], FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ "", "b"], FontWeight -> "Bold"]],
          Editable->False], "\[InvisibleSpace]", "\<\"\[Wedge]\"\>", 
        "\[InvisibleSpace]", 
        InterpretationBox[
          RowBox[{"\<\"d\"\>", "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox[
                TagBox[
                  StyleBox["\[Beta]",
                    FontWeight->"Bold"],
                  (StyleForm[ #, FontWeight -> "Bold"]&)], 
                TagBox[
                  StyleBox[
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False],
                    FontWeight->"Bold"],
                  (StyleForm[ #, FontWeight -> "Bold"]&)], 
                TagBox[
                  StyleBox[
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False],
                    FontWeight->"Bold"],
                  (StyleForm[ #, FontWeight -> "Bold"]&)]],
              Subsuperscript[ 
                StyleForm[ \[Beta], FontWeight -> "Bold"], 
                StyleForm[ 
                  SequenceForm[ "", "a"], FontWeight -> "Bold"], 
                StyleForm[ 
                  SequenceForm[ "", " "], FontWeight -> "Bold"]],
              Editable->False]}],
          SequenceForm[ "d", 
            \[Beta][ la]],
          Editable->False]}],
      SequenceForm[ 
        \[Alpha][ ub], "\[Wedge]", 
        XD[ 
          \[Beta][ la]]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(XP[\[Alpha][ua], XD[\[Beta][lb]]] aMetric[ub, lc]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["\[Gamma]", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], "c"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                SequenceForm[ "", "b"],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "b"], " "],
            Editable->False]],
        Subsuperscript[ \[Gamma], 
          SequenceForm[ 
            SequenceForm[ "", " "], "c"], 
          SequenceForm[ 
            SequenceForm[ "", "b"], " "]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox[
                TagBox[
                  StyleBox["\[Alpha]",
                    FontWeight->"Bold"],
                  (StyleForm[ #, FontWeight -> "Bold"]&)], 
                TagBox[
                  StyleBox[
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False],
                    FontWeight->"Bold"],
                  (StyleForm[ #, FontWeight -> "Bold"]&)], 
                TagBox[
                  StyleBox[
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False],
                    FontWeight->"Bold"],
                  (StyleForm[ #, FontWeight -> "Bold"]&)]],
              Subsuperscript[ 
                StyleForm[ \[Alpha], FontWeight -> "Bold"], 
                StyleForm[ 
                  SequenceForm[ "", " "], FontWeight -> "Bold"], 
                StyleForm[ 
                  SequenceForm[ "", "a"], FontWeight -> "Bold"]],
              Editable->False], "\[InvisibleSpace]", "\<\"\[Wedge]\"\>", 
            "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{"\<\"d\"\>", "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox[
                    TagBox[
                      StyleBox["\[Beta]",
                        FontWeight->"Bold"],
                      (StyleForm[ #, FontWeight -> "Bold"]&)], 
                    TagBox[
                      StyleBox[
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False],
                        FontWeight->"Bold"],
                      (StyleForm[ #, FontWeight -> "Bold"]&)], 
                    TagBox[
                      StyleBox[
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False],
                        FontWeight->"Bold"],
                      (StyleForm[ #, FontWeight -> "Bold"]&)]],
                  Subsuperscript[ 
                    StyleForm[ \[Beta], FontWeight -> "Bold"], 
                    StyleForm[ 
                      SequenceForm[ "", "b"], FontWeight -> "Bold"], 
                    StyleForm[ 
                      SequenceForm[ "", " "], FontWeight -> "Bold"]],
                  Editable->False]}],
              SequenceForm[ "d", 
                \[Beta][ lb]],
              Editable->False]}],
          SequenceForm[ 
            \[Alpha][ ua], "\[Wedge]", 
            XD[ 
              \[Beta][ lb]]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Absorb[%, aMetric, {XP, XD}]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox[
            TagBox[
              StyleBox["\[Alpha]",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)]],
          Subsuperscript[ 
            StyleForm[ \[Alpha], FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ "", " "], FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ "", "a"], FontWeight -> "Bold"]],
          Editable->False], "\[InvisibleSpace]", "\<\"\[Wedge]\"\>", 
        "\[InvisibleSpace]", 
        InterpretationBox[
          RowBox[{"\<\"d\"\>", "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox[
                TagBox[
                  StyleBox["\[Beta]",
                    FontWeight->"Bold"],
                  (StyleForm[ #, FontWeight -> "Bold"]&)], 
                TagBox[
                  StyleBox[
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False],
                    FontWeight->"Bold"],
                  (StyleForm[ #, FontWeight -> "Bold"]&)], 
                TagBox[
                  StyleBox[
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False],
                    FontWeight->"Bold"],
                  (StyleForm[ #, FontWeight -> "Bold"]&)]],
              Subsuperscript[ 
                StyleForm[ \[Beta], FontWeight -> "Bold"], 
                StyleForm[ 
                  SequenceForm[ "", "c"], FontWeight -> "Bold"], 
                StyleForm[ 
                  SequenceForm[ "", " "], FontWeight -> "Bold"]],
              Editable->False]}],
          SequenceForm[ "d", 
            \[Beta][ lc]],
          Editable->False]}],
      SequenceForm[ 
        \[Alpha][ ua], "\[Wedge]", 
        XD[ 
          \[Beta][ lc]]],
      Editable->False]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Check", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Absorb[MaxwellF[la, lb], \ notT]\)], "Input"],

Cell[BoxData[
    \(Absorb::"usage" \(\(:\)\(\ \)\) 
      "Absorb[expr, aMetric, <covOpL>]"\)], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Absorb[MaxwellF[la, lb], \ RicciR[ua, ub]]\)], "Input"],

Cell[BoxData[
    \(Absorb::"usage" \(\(:\)\(\ \)\) 
      "Absorb[expr, aMetric, <covOpL>]"\)], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Absorb[MaxwellF[la, lb], \ RiemannR]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"not 2nd rank metric:\"\) \!\(RiemannR\) \!\(\"\"\) \
\!\(\"\"\)"\)], "Message"]
}, Open  ]]
}, Closed]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{},
WindowSize->{579, 694},
WindowMargins->{{12, Automatic}, {0, Automatic}},
Visible->True,
InputAliases->{"notation"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftRightArrow]", " ",
           
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation>"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongRightArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation<"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "symb"->RowBox[ {"Symbolize", "[", 
        TagBox[ 
        "\[Placeholder]", NotationBoxTag, TagStyle -> 
          "NotationTemplateStyle"], "]"}], 
    "infixnotation"->RowBox[ {"InfixNotation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "addia"->RowBox[ {"AddInputAlias", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "pattwraper"->TagBox[ 
      "\[Placeholder]", NotationPatternTag, TagStyle -> 
        "NotationPatternWrapperStyle"], 
    "madeboxeswraper"->TagBox[ 
      "\[Placeholder]", NotationMadeBoxesTag, TagStyle -> 
        "NotationMadeBoxesWrapperStyle"], 
    "Vdefine"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
            OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
            NotationBoxTag, TagStyle -> "NotationTemplateStyle"], " ", 
          "\[DoubleLongLeftRightArrow]", " ", 
          TagBox[ 
            RowBox[ {"Vector", "[", "\[Placeholder]", "]"}], NotationBoxTag, 
            TagStyle -> "NotationTemplateStyle"]}], "]"}], 
    "ivec"->OverscriptBox[ "\[DotlessI]", "^"], 
    "jvec"->OverscriptBox[ "\[DotlessJ]", "^"], 
    "vect"->OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
    "xvec"->OverscriptBox[ "x", "^"], "yvec"->OverscriptBox[ "y", "^"], 
    "zvec"->OverscriptBox[ "z", "^"], "rvec"->OverscriptBox[ "r", "^"], 
    "tvec"->OverscriptBox[ "\[Theta]", "^"], 
    "pvec"->OverscriptBox[ "\[Phi]", "^"]},
Magnification->1,
StyleDefinitions -> "Demo.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 87, 2, 81, "Subtitle"],
Cell[1807, 53, 52, 1, 54, "Input"],
Cell[1862, 56, 49, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[1936, 61, 26, 0, 77, "Section"],

Cell[CellGroupData[{
Cell[1987, 65, 110, 2, 77, "Input"],
Cell[2100, 69, 4150, 100, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6287, 174, 43, 1, 54, "Input"],
Cell[6333, 177, 1166, 29, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7536, 211, 75, 1, 54, "Input"],
Cell[7614, 214, 2251, 56, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[9902, 275, 43, 1, 54, "Input"],
Cell[9948, 278, 1339, 32, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[11324, 315, 91, 1, 77, "Input"],
Cell[11418, 318, 4078, 103, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15533, 426, 43, 1, 54, "Input"],
Cell[15579, 429, 2121, 54, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[17737, 488, 93, 1, 77, "Input"],
Cell[17833, 491, 3927, 99, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[21797, 595, 43, 1, 54, "Input"],
Cell[21843, 598, 147, 3, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[22027, 606, 155, 2, 100, "Input"],
Cell[22185, 610, 6400, 160, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[28622, 775, 43, 1, 54, "Input"],
Cell[28668, 778, 3977, 100, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[32682, 883, 172, 4, 100, "Input"],
Cell[32857, 889, 4234, 101, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[37128, 995, 43, 1, 54, "Input"],
Cell[37174, 998, 2109, 54, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[39320, 1057, 118, 2, 100, "Input"],
Cell[39441, 1061, 4935, 123, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[44413, 1189, 43, 1, 54, "Input"],
Cell[44459, 1192, 2109, 54, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[46605, 1251, 137, 2, 100, "Input"],
Cell[46745, 1255, 6699, 158, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[53481, 1418, 43, 1, 54, "Input"],
Cell[53527, 1421, 5907, 137, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[59471, 1563, 75, 1, 54, "Input"],
Cell[59549, 1566, 2261, 56, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[61847, 1627, 43, 1, 54, "Input"],
Cell[61893, 1630, 2261, 56, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[64191, 1691, 49, 1, 54, "Input"],
Cell[64243, 1694, 1349, 32, 56, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[65641, 1732, 25, 0, 49, "Section"],
Cell[65669, 1734, 75, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[65769, 1739, 71, 1, 54, "Input"],
Cell[65843, 1742, 2273, 56, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[68153, 1803, 51, 1, 54, "Input"],
Cell[68207, 1806, 1281, 33, 56, "Output"]
}, Open  ]],
Cell[69503, 1842, 74, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[69602, 1847, 64, 1, 54, "Input"],
Cell[69669, 1850, 2332, 58, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[72038, 1913, 57, 1, 54, "Input"],
Cell[72098, 1916, 1231, 32, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[73366, 1953, 82, 1, 54, "Input"],
Cell[73451, 1956, 3948, 97, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[77436, 2058, 57, 1, 54, "Input"],
Cell[77496, 2061, 2653, 67, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[80186, 2133, 82, 1, 54, "Input"],
Cell[80271, 2136, 3948, 97, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[84256, 2238, 61, 1, 54, "Input"],
Cell[84320, 2241, 2653, 67, 55, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[87022, 2314, 24, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[87071, 2318, 65, 1, 54, "Input"],
Cell[87139, 2321, 107, 2, 51, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[87283, 2328, 75, 1, 54, "Input"],
Cell[87361, 2331, 107, 2, 51, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[87505, 2338, 69, 1, 54, "Input"],
Cell[87577, 2341, 140, 3, 28, "Message"]
}, Open  ]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

