(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     60658,       1666]*)
(*NotebookOutlinePosition[     64136,       1755]*)
(*  CellTagsIndexPosition[     64092,       1751]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["ApplyRules", "Subtitle",
  TextAlignment->Center,
  TextJustification->0],

Cell[BoxData[
    \(<< \ dhPark`Tensor`\)], "Input"],

Cell[BoxData[
    \(Tdefine[a, "\<a\>"]; Tdefine[{b, c}, "\<ab\>"]\)], "Input"],

Cell["See MathTensor Book!", "Text"],

Cell[CellGroupData[{

Cell["Trule and ApplyRules", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(aRule = 
      Trule[b[la_, ub_], a[la] a[ub] a[lc] a[uc], PairQ[{la, ub}]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]la_\),
                SequenceForm[ "", 
                  Pattern[ la, 
                    Blank[ ]]],
                Editable->False], "\[InvisibleSpace]", "ub_"}],
            SequenceForm[ 
              SequenceForm[ "", 
                Pattern[ la, 
                  Blank[ ]]], 
              Pattern[ ub, 
                Blank[ ]]],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", 
              Pattern[ la, 
                Blank[ ]]], 
            Pattern[ ub, 
              Blank[ ]]]],
        Editable->False], "\[RuleDelayed]", 
      RowBox[{
        RowBox[{"DumFresh", "[", 
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["a", 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                  SequenceForm[ "", "p"],
                  Editable->False], 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False]],
              Subsuperscript[ a, 
                SequenceForm[ "", "p"], 
                SequenceForm[ "", " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["a", 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                  SequenceForm[ "", "p"],
                  Editable->False]],
              Subsuperscript[ a, 
                SequenceForm[ "", " "], 
                SequenceForm[ "", "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["a", 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False]],
              Subsuperscript[ a, 
                SequenceForm[ "", "a"], 
                SequenceForm[ "", " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["a", 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False]],
              Subsuperscript[ a, 
                SequenceForm[ "", " "], 
                SequenceForm[ "", "b"]],
              Editable->False]}], "]"}], 
        "/;", \(PairQ[{la, ub}]\)}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(expr1 = b[la, ua] b[lb, ub]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], "a"],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", "a"], " "], 
          SequenceForm[ 
            SequenceForm[ "", " "], "a"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                SequenceForm[ "", "b"],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "b"], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], "b"],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", "b"], " "], 
          SequenceForm[ 
            SequenceForm[ "", " "], "b"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(expr1\)\(/.\)\(aRule\)\(\ \)\)\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
            SequenceForm[ "", "p"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "p"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
            SequenceForm[ "", "q"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "q"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
            SequenceForm[ "", "r"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "r"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"s"\),
            SequenceForm[ "", "s"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "s"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
            SequenceForm[ "", "p"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "p"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
            SequenceForm[ "", "q"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "q"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
            SequenceForm[ "", "r"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "r"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"s"\),
            SequenceForm[ "", "s"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "s"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(bRule = Trule[c[la_, lb_], 2  b[la, lb]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["c", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]la_\),
                SequenceForm[ "", 
                  Pattern[ la, 
                    Blank[ ]]],
                Editable->False], "\[InvisibleSpace]", "lb_"}],
            SequenceForm[ 
              SequenceForm[ "", 
                Pattern[ la, 
                  Blank[ ]]], 
              Pattern[ lb, 
                Blank[ ]]],
            Editable->False]],
        Subsuperscript[ c, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", 
              Pattern[ la, 
                Blank[ ]]], 
            Pattern[ lb, 
              Blank[ ]]]],
        Editable->False], "\[RuleDelayed]", 
      RowBox[{
        RowBox[{"DumFresh", "[", 
          RowBox[{"2", " ", 
            InterpretationBox[
              SubsuperscriptBox["b", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ b, 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False]}], "]"}], "/;", "True"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(rules = {aRule, bRule}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          InterpretationBox[
            SubsuperscriptBox["b", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]la_\),
                    SequenceForm[ "", 
                      Pattern[ la, 
                        Blank[ ]]],
                    Editable->False], "\[InvisibleSpace]", "ub_"}],
                SequenceForm[ 
                  SequenceForm[ "", 
                    Pattern[ la, 
                      Blank[ ]]], 
                  Pattern[ ub, 
                    Blank[ ]]],
                Editable->False]],
            Subsuperscript[ b, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", 
                  Pattern[ la, 
                    Blank[ ]]], 
                Pattern[ ub, 
                  Blank[ ]]]],
            Editable->False], "\[RuleDelayed]", 
          RowBox[{
            RowBox[{"DumFresh", "[", 
              RowBox[{
                InterpretationBox[
                  SubsuperscriptBox["a", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False]],
                  Subsuperscript[ a, 
                    SequenceForm[ "", "p"], 
                    SequenceForm[ "", " "]],
                  Editable->False], " ", 
                InterpretationBox[
                  SubsuperscriptBox["a", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False]],
                  Subsuperscript[ a, 
                    SequenceForm[ "", " "], 
                    SequenceForm[ "", "p"]],
                  Editable->False], " ", 
                InterpretationBox[
                  SubsuperscriptBox["a", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False]],
                  Subsuperscript[ a, 
                    SequenceForm[ "", "a"], 
                    SequenceForm[ "", " "]],
                  Editable->False], " ", 
                InterpretationBox[
                  SubsuperscriptBox["a", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False]],
                  Subsuperscript[ a, 
                    SequenceForm[ "", " "], 
                    SequenceForm[ "", "b"]],
                  Editable->False]}], "]"}], "/;", \(PairQ[{la, ub}]\)}]}], 
        ",", 
        RowBox[{
          InterpretationBox[
            SubsuperscriptBox["c", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]la_\),
                    SequenceForm[ "", 
                      Pattern[ la, 
                        Blank[ ]]],
                    Editable->False], "\[InvisibleSpace]", "lb_"}],
                SequenceForm[ 
                  SequenceForm[ "", 
                    Pattern[ la, 
                      Blank[ ]]], 
                  Pattern[ lb, 
                    Blank[ ]]],
                Editable->False]],
            Subsuperscript[ c, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", 
                  Pattern[ la, 
                    Blank[ ]]], 
                Pattern[ lb, 
                  Blank[ ]]]],
            Editable->False], "\[RuleDelayed]", 
          RowBox[{
            RowBox[{"DumFresh", "[", 
              RowBox[{"2", " ", 
                InterpretationBox[
                  SubsuperscriptBox["b", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False]],
                  Subsuperscript[ b, 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "]],
                  Editable->False]}], "]"}], "/;", "True"}]}]}], 
      "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(rc = c[la, ua] c[lb, ub] /. rules\)], "Input"],

Cell[BoxData[
    RowBox[{"4", " ", 
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                SequenceForm[ "", "p"],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "p"], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], "p"],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", "p"], " "], 
          SequenceForm[ 
            SequenceForm[ "", " "], "p"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                SequenceForm[ "", "q"],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "q"], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], "q"],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", "q"], " "], 
          SequenceForm[ 
            SequenceForm[ "", " "], "q"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(rc\)\(/.\)\(rules\)\(\ \)\)\)], "Input"],

Cell[BoxData[
    RowBox[{"4", " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
            SequenceForm[ "", "p"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "p"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
            SequenceForm[ "", "q"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "q"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
            SequenceForm[ "", "r"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "r"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"s"\),
            SequenceForm[ "", "s"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "s"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
            SequenceForm[ "", "p"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "p"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
            SequenceForm[ "", "q"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "q"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
            SequenceForm[ "", "r"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "r"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"s"\),
            SequenceForm[ "", "s"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "s"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(Tdefine[f, "\<\>"]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(cRule = Trule[f[], b[la, lb] b[ua, ub]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
        Subsuperscript[ f, "", ""],
        Editable->False], "\[RuleDelayed]", 
      RowBox[{
        RowBox[{"DumFresh", "[", 
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["b", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$12"\),
                      SequenceForm[ "", "$12"],
                      Editable->False], "\[InvisibleSpace]", "\<\"$13\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "$12"], "$13"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                      SequenceForm[ "", "   "],
                      Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "   "], "   "],
                  Editable->False]],
              Subsuperscript[ b, 
                SequenceForm[ 
                  SequenceForm[ "", "$12"], "$13"], 
                SequenceForm[ 
                  SequenceForm[ "", "   "], "   "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["b", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                      SequenceForm[ "", "   "],
                      Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "   "], "   "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$12"\),
                      SequenceForm[ "", "$12"],
                      Editable->False], "\[InvisibleSpace]", "\<\"$13\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "$12"], "$13"],
                  Editable->False]],
              Subsuperscript[ b, 
                SequenceForm[ 
                  SequenceForm[ "", "   "], "   "], 
                SequenceForm[ 
                  SequenceForm[ "", "$12"], "$13"]],
              Editable->False]}], "]"}], "/;", "True"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(f[]\^2\)\(/.\)\(cRule\)\(\ \ \)\( (*\ 
        Pitfall\ for\ dummies\ *) \)\)\)], "Input"],

Cell[BoxData[
    RowBox[{
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["b", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$14"\),
                  SequenceForm[ "", "$14"],
                  Editable->False], "\[InvisibleSpace]", "\<\"$15\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "$14"], "$15"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                  SequenceForm[ "", "   "],
                  Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "   "], "   "],
              Editable->False]],
          Subsuperscript[ b, 
            SequenceForm[ 
              SequenceForm[ "", "$14"], "$15"], 
            SequenceForm[ 
              SequenceForm[ "", "   "], "   "]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["b", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                  SequenceForm[ "", "   "],
                  Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "   "], "   "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$14"\),
                  SequenceForm[ "", "$14"],
                  Editable->False], "\[InvisibleSpace]", "\<\"$15\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "$14"], "$15"],
              Editable->False]],
          Subsuperscript[ b, 
            SequenceForm[ 
              SequenceForm[ "", "   "], "   "], 
            SequenceForm[ 
              SequenceForm[ "", "$14"], "$15"]],
          Editable->False], "2"]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ApplyRules[f[]\^2, cRule]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                SequenceForm[ "", "p"],
                Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "p"], "q"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", "p"], "q"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                SequenceForm[ "", "r"],
                Editable->False], "\[InvisibleSpace]", "\<\"s\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "r"], "s"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", "r"], "s"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                SequenceForm[ "", "p"],
                Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "p"], "q"],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "p"], "q"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                SequenceForm[ "", "r"],
                Editable->False], "\[InvisibleSpace]", "\<\"s\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "r"], "s"],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "r"], "s"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(f[] b[la, ua] /. {aRule, cRule}\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
            SequenceForm[ "", "p"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "p"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
            SequenceForm[ "", "q"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "q"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
            SequenceForm[ "", "p"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "p"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
            SequenceForm[ "", "q"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "q"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                SequenceForm[ "", "r"],
                Editable->False], "\[InvisibleSpace]", "\<\"s\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "r"], "s"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", "r"], "s"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                SequenceForm[ "", "r"],
                Editable->False], "\[InvisibleSpace]", "\<\"s\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "r"], "s"],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "r"], "s"]],
        Editable->False]}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Tset", "Section"],

Cell[BoxData[
    \(Tset[b[la_, lb_], a[la] a[lb] a[lc] a[uc], PairQ[la, lb]]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(b[la, ua]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
            SequenceForm[ "", "p"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "p"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
            SequenceForm[ "", "q"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "q"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
            SequenceForm[ "", "p"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "p"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
            SequenceForm[ "", "q"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "q"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(Tset[c[la_, lb_], 2  b[la, lb]]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(c[la, lb]\)], "Input"],

Cell[BoxData[
    RowBox[{"2", " ", 
      InterpretationBox[
        SubsuperscriptBox["b", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ b, 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(c[la, ua]\)], "Input"],

Cell[BoxData[
    RowBox[{"2", " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
            SequenceForm[ "", "p"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "p"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
            SequenceForm[ "", "q"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "q"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
            SequenceForm[ "", "p"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "p"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
            SequenceForm[ "", "q"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "q"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(c[la, ua] b[lb, ub]\)], "Input"],

Cell[BoxData[
    RowBox[{"2", " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
            SequenceForm[ "", "p"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "p"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
            SequenceForm[ "", "q"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "q"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
            SequenceForm[ "", "r"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "r"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"s"\),
            SequenceForm[ "", "s"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "s"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
            SequenceForm[ "", "p"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "p"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
            SequenceForm[ "", "q"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "q"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
            SequenceForm[ "", "r"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "r"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"s"\),
            SequenceForm[ "", "s"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "s"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(Tset[ScalarR[], b[la, ua] b[lb, ub]]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ScalarR[]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
            SequenceForm[ "", "p"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "p"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
            SequenceForm[ "", "q"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "q"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
            SequenceForm[ "", "r"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "r"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"s"\),
            SequenceForm[ "", "s"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "s"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
            SequenceForm[ "", "p"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "p"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
            SequenceForm[ "", "q"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "q"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
            SequenceForm[ "", "r"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "r"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"s"\),
            SequenceForm[ "", "s"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "s"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(ScalarR[]\^2\)\(\ \ \)\( (*\ 
      error\ as\ in\ MathTensor\ *) \)\)\)], "Input"],

Cell[BoxData[
    RowBox[{
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["a", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$49"\),
              SequenceForm[ "", "$49"],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
              SequenceForm[ "", "   "],
              Editable->False]],
          Subsuperscript[ a, 
            SequenceForm[ "", "$49"], 
            SequenceForm[ "", "   "]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["a", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$50"\),
              SequenceForm[ "", "$50"],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
              SequenceForm[ "", "   "],
              Editable->False]],
          Subsuperscript[ a, 
            SequenceForm[ "", "$50"], 
            SequenceForm[ "", "   "]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["a", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$51"\),
              SequenceForm[ "", "$51"],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
              SequenceForm[ "", "   "],
              Editable->False]],
          Subsuperscript[ a, 
            SequenceForm[ "", "$51"], 
            SequenceForm[ "", "   "]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["a", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$52"\),
              SequenceForm[ "", "$52"],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
              SequenceForm[ "", "   "],
              Editable->False]],
          Subsuperscript[ a, 
            SequenceForm[ "", "$52"], 
            SequenceForm[ "", "   "]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["a", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
              SequenceForm[ "", "   "],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$49"\),
              SequenceForm[ "", "$49"],
              Editable->False]],
          Subsuperscript[ a, 
            SequenceForm[ "", "   "], 
            SequenceForm[ "", "$49"]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["a", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
              SequenceForm[ "", "   "],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$50"\),
              SequenceForm[ "", "$50"],
              Editable->False]],
          Subsuperscript[ a, 
            SequenceForm[ "", "   "], 
            SequenceForm[ "", "$50"]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["a", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
              SequenceForm[ "", "   "],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$51"\),
              SequenceForm[ "", "$51"],
              Editable->False]],
          Subsuperscript[ a, 
            SequenceForm[ "", "   "], 
            SequenceForm[ "", "$51"]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["a", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
              SequenceForm[ "", "   "],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$52"\),
              SequenceForm[ "", "$52"],
              Editable->False]],
          Subsuperscript[ a, 
            SequenceForm[ "", "   "], 
            SequenceForm[ "", "$52"]],
          Editable->False], "2"]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(TP[ScalarR[], 2]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SuperscriptBox[
        RowBox[{"(", 
          TagBox[
            RowBox[{
              InterpretationBox[
                SubsuperscriptBox["a", 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                    SequenceForm[ "", "p"],
                    Editable->False], 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False]],
                Subsuperscript[ a, 
                  SequenceForm[ "", "p"], 
                  SequenceForm[ "", " "]],
                Editable->False], " ", 
              InterpretationBox[
                SubsuperscriptBox["a", 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                    SequenceForm[ "", "q"],
                    Editable->False], 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False]],
                Subsuperscript[ a, 
                  SequenceForm[ "", "q"], 
                  SequenceForm[ "", " "]],
                Editable->False], " ", 
              InterpretationBox[
                SubsuperscriptBox["a", 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                    SequenceForm[ "", "r"],
                    Editable->False], 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False]],
                Subsuperscript[ a, 
                  SequenceForm[ "", "r"], 
                  SequenceForm[ "", " "]],
                Editable->False], " ", 
              InterpretationBox[
                SubsuperscriptBox["a", 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"s"\),
                    SequenceForm[ "", "s"],
                    Editable->False], 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False]],
                Subsuperscript[ a, 
                  SequenceForm[ "", "s"], 
                  SequenceForm[ "", " "]],
                Editable->False], " ", 
              InterpretationBox[
                SubsuperscriptBox["a", 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                    SequenceForm[ "", "p"],
                    Editable->False]],
                Subsuperscript[ a, 
                  SequenceForm[ "", " "], 
                  SequenceForm[ "", "p"]],
                Editable->False], " ", 
              InterpretationBox[
                SubsuperscriptBox["a", 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                    SequenceForm[ "", "q"],
                    Editable->False]],
                Subsuperscript[ a, 
                  SequenceForm[ "", " "], 
                  SequenceForm[ "", "q"]],
                Editable->False], " ", 
              InterpretationBox[
                SubsuperscriptBox["a", 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                    SequenceForm[ "", "r"],
                    Editable->False]],
                Subsuperscript[ a, 
                  SequenceForm[ "", " "], 
                  SequenceForm[ "", "r"]],
                Editable->False], " ", 
              InterpretationBox[
                SubsuperscriptBox["a", 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], 
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"s"\),
                    SequenceForm[ "", "s"],
                    Editable->False]],
                Subsuperscript[ a, 
                  SequenceForm[ "", " "], 
                  SequenceForm[ "", "s"]],
                Editable->False]}],
            HoldForm], ")"}], "2"],
      SequenceForm[ 
        Power[ 
          HoldForm[ 
            Times[ 
              a[ "l$1"], 
              a[ "l$2"], 
              a[ "l$3"], 
              a[ "l$4"], 
              a[ "u$1"], 
              a[ "u$2"], 
              a[ "u$3"], 
              a[ "u$4"]]], 2]],
      Editable->False]], "Output"]
}, Open  ]]
}, Closed]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{},
WindowSize->{645, 694},
WindowMargins->{{34, Automatic}, {0, Automatic}},
Visible->True,
InputAliases->{"notation"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftRightArrow]", " ",
           
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation>"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongRightArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation<"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "symb"->RowBox[ {"Symbolize", "[", 
        TagBox[ 
        "\[Placeholder]", NotationBoxTag, TagStyle -> 
          "NotationTemplateStyle"], "]"}], 
    "infixnotation"->RowBox[ {"InfixNotation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "addia"->RowBox[ {"AddInputAlias", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "pattwraper"->TagBox[ 
      "\[Placeholder]", NotationPatternTag, TagStyle -> 
        "NotationPatternWrapperStyle"], 
    "madeboxeswraper"->TagBox[ 
      "\[Placeholder]", NotationMadeBoxesTag, TagStyle -> 
        "NotationMadeBoxesWrapperStyle"], 
    "Vdefine"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
            OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
            NotationBoxTag, TagStyle -> "NotationTemplateStyle"], " ", 
          "\[DoubleLongLeftRightArrow]", " ", 
          TagBox[ 
            RowBox[ {"Vector", "[", "\[Placeholder]", "]"}], NotationBoxTag, 
            TagStyle -> "NotationTemplateStyle"]}], "]"}], 
    "ivec"->OverscriptBox[ "\[DotlessI]", "^"], 
    "jvec"->OverscriptBox[ "\[DotlessJ]", "^"], 
    "vect"->OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
    "xvec"->OverscriptBox[ "x", "^"], "yvec"->OverscriptBox[ "y", "^"], 
    "zvec"->OverscriptBox[ "z", "^"], "rvec"->OverscriptBox[ "r", "^"], 
    "tvec"->OverscriptBox[ "\[Theta]", "^"], 
    "pvec"->OverscriptBox[ "\[Phi]", "^"]},
Magnification->1,
StyleDefinitions -> "Demo.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 79, 2, 81, "Subtitle"],
Cell[1799, 53, 52, 1, 54, "Input"],
Cell[1854, 56, 79, 1, 54, "Input"],
Cell[1936, 59, 36, 0, 45, "Text"],

Cell[CellGroupData[{
Cell[1997, 63, 39, 0, 77, "Section"],

Cell[CellGroupData[{
Cell[2061, 67, 108, 2, 77, "Input"],
Cell[2172, 71, 3435, 87, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5644, 163, 60, 1, 54, "Input"],
Cell[5707, 166, 1867, 49, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7611, 220, 67, 1, 54, "Input"],
Cell[7681, 223, 3657, 97, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[11375, 325, 73, 1, 54, "Input"],
Cell[11451, 328, 2384, 62, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13872, 395, 55, 1, 54, "Input"],
Cell[13930, 398, 6546, 158, 82, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[20513, 561, 66, 1, 54, "Input"],
Cell[20582, 564, 1877, 49, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[22496, 618, 64, 1, 54, "Input"],
Cell[22563, 621, 3667, 97, 57, "Output"]
}, Open  ]],
Cell[26245, 721, 51, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[26321, 726, 72, 1, 54, "Input"],
Cell[26396, 729, 2452, 55, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[28885, 789, 114, 2, 56, "Input"],
Cell[29002, 793, 2075, 51, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[31114, 849, 58, 1, 56, "Input"],
Cell[31175, 852, 3701, 97, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[34913, 954, 64, 1, 54, "Input"],
Cell[34980, 957, 3679, 97, 57, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[38708, 1060, 23, 0, 49, "Section"],
Cell[38734, 1062, 90, 1, 77, "Input"],

Cell[CellGroupData[{
Cell[38849, 1067, 42, 1, 54, "Input"],
Cell[38894, 1070, 1845, 49, 57, "Output"]
}, Open  ]],
Cell[40754, 1122, 64, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[40843, 1127, 42, 1, 54, "Input"],
Cell[40888, 1130, 960, 25, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[41885, 1160, 42, 1, 54, "Input"],
Cell[41930, 1163, 1855, 49, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[43822, 1217, 52, 1, 54, "Input"],
Cell[43877, 1220, 3667, 97, 57, "Output"]
}, Open  ]],
Cell[47559, 1320, 69, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[47653, 1325, 42, 1, 54, "Input"],
Cell[47698, 1328, 3657, 97, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[51392, 1430, 107, 2, 56, "Input"],
Cell[51502, 1434, 4169, 105, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[55708, 1544, 49, 1, 54, "Input"],
Cell[55760, 1547, 4870, 115, 58, "Output"]
}, Open  ]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

