(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[   3423530,      80872]*)
(*NotebookOutlinePosition[   3424298,      80899]*)
(*  CellTagsIndexPosition[   3424254,      80895]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["Bianchi Identities in Torsionic SpaceTime", "Title",
  FontSize->24],

Cell[BoxData[
    \(<< \ dhPark`Tensor`\)], "Input"],

Cell[BoxData[
    \(Off[TorsionFreeFlag]\)], "Input"],

Cell[CellGroupData[{

Cell["First Kind", "Section"],

Cell[TextData[{
  "Anti-symmetric part of ",
  Cell[BoxData[
      \(TraditionalForm\`R\_\(a\[InvisibleSpace]b\[InvisibleSpace]c\)\^d\)]],
  " == Anti-symmetric part of ",
  Cell[BoxData[
      \(TraditionalForm\`\[Del]\_a t\_\(b\[InvisibleSpace]c\)\^d\  - \ \
\(t\_\(a\[InvisibleSpace]b\)\^p\) t\_\(c\[InvisibleSpace]p\)\^d\)]]
}], "Text",
  TextAlignment->Center],

Cell[CellGroupData[{

Cell[BoxData[
    \(lhs = Antisymmetrize[{la, lb, lc}, RiemannR[la, lb, lc, ud]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "d"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "d"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], "a"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], "a"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "d"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(RiemannToAffine[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(-\(1\/3\)\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "a"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "a"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "a"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "a"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"c\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "c"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "d"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "d"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "a"], 
              AffineG[ lb, lc, ud]],
            Editable->False], ")"}]}], "-", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"b\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "b"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "d"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "b"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "d"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "a"], 
              AffineG[ lc, lb, ud]],
            Editable->False], ")"}]}], "-", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"c\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "c"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "d"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "d"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "b"], 
              AffineG[ la, lc, ud]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"a\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "a"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "a"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "d"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "a"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "d"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "b"], 
              AffineG[ lc, la, ud]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"b\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "d"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "d"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "c"], 
              AffineG[ la, lb, ud]],
            Editable->False], ")"}]}], "-", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"a\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "a"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "a"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "d"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "a"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "d"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "c"], 
              AffineG[ lb, la, ud]],
            Editable->False], ")"}]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(lhsRc = AffineToMetric[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["t", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"c\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "c"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "d"],
                    Editable->False]],
                Subsuperscript[ t, 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "d"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "a"], 
              Torsiont[ lb, lc, ud]],
            Editable->False], ")"}]}], "-", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["t", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"c\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "c"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "d"],
                    Editable->False]],
                Subsuperscript[ t, 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "d"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "b"], 
              Torsiont[ la, lc, ud]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["t", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"b\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "d"],
                    Editable->False]],
                Subsuperscript[ t, 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "d"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "c"], 
              Torsiont[ la, lb, ud]],
            Editable->False], ")"}]}], "-", 
      RowBox[{\(1\/6\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\("\[PartialD]"\^"d"\),
                Superscript[ "\[PartialD]", "d"],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["g", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                        SequenceForm[ "", "c"],
                        Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "p"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ g, 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "p"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Superscript[ "\[PartialD]", "d"], 
              Metricg[ lc, "l$1"]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/6\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["g", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                        SequenceForm[ "", "c"],
                        Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "q"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ g, 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "q"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "p"], 
              Metricg[ lc, "l$2"]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\),
                  SequenceForm[ "", "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "d"], "q"],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "d"], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/6\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["g", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                        SequenceForm[ "", "p"],
                        Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "q"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ g, 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "c"], 
              Metricg[ "l$1", "l$2"]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\),
                  SequenceForm[ "", "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "d"], "q"],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "d"], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/6\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "p"], " "], "c"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], "d"], " "],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "p"], " "], "c"], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], "d"], " "]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/6\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\("\[PartialD]"\^"d"\),
                Superscript[ "\[PartialD]", "d"],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["g", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                        SequenceForm[ "", "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "p"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ g, 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Superscript[ "\[PartialD]", "d"], 
              Metricg[ lb, "l$1"]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/6\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["g", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                        SequenceForm[ "", "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "q"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ g, 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "q"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "p"], 
              Metricg[ lb, "l$2"]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\),
                  SequenceForm[ "", "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "d"], "q"],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "d"], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/6\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["g", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                        SequenceForm[ "", "p"],
                        Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "q"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ g, 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "b"], 
              Metricg[ "l$1", "l$2"]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\),
                  SequenceForm[ "", "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "d"], "q"],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "d"], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/6\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "p"], " "], "b"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], "d"], " "],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "p"], " "], "b"], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], "d"], " "]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/6\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/6\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\("\[PartialD]"\^"d"\),
                Superscript[ "\[PartialD]", "d"],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["g", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                        SequenceForm[ "", "a"],
                        Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "p"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ g, 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Superscript[ "\[PartialD]", "d"], 
              Metricg[ la, "l$1"]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/6\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["g", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                        SequenceForm[ "", "a"],
                        Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "q"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ g, 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "q"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "p"], 
              Metricg[ la, "l$2"]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\),
                  SequenceForm[ "", "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "d"], "q"],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "d"], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/6\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["g", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                        SequenceForm[ "", "p"],
                        Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "q"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ g, 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "a"], 
              Metricg[ "l$1", "l$2"]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\),
                  SequenceForm[ "", "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "d"], "q"],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "d"], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/6\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "p"], " "], "a"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], "d"], " "],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "p"], " "], "a"], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], "d"], " "]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/6\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/6\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], " "], "p"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], "d"], " "],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], " "], "p"], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], "d"], " "]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/6\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], " "], "p"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], "d"], " "],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], " "], "p"], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], "d"], " "]],
          Editable->False]}], "+", 
      RowBox[{\(1\/6\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/6\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], " "], "p"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], "d"], " "],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], " "], "p"], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], "d"], " "]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(rhs = 
      Antisymmetrize[{la, lb, lc}, 
        CD[la, Torsiont[lb, lc, ud]]\  - \ 
          Torsiont[la, lb, ue] Torsiont[lc, le, ud]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["t", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"c\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "c"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "d"],
                    Editable->False]],
                Subsuperscript[ t, 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "d"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[Del]", "a"], 
              Torsiont[ lb, lc, ud]],
            Editable->False], ")"}]}], "-", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[Del]"\_"b"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["t", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"c\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "c"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "d"],
                    Editable->False]],
                Subsuperscript[ t, 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "d"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[Del]", "b"], 
              Torsiont[ la, lc, ud]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[Del]"\_"c"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["t", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"b\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "d"],
                    Editable->False]],
                Subsuperscript[ t, 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "d"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[Del]", "c"], 
              Torsiont[ la, lb, ud]],
            Editable->False], ")"}]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "e"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "e"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "e"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "e"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "e"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "e"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "e"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "e"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "e"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CDtoAffine[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["t", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"c\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "c"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "d"],
                    Editable->False]],
                Subsuperscript[ t, 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "d"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "a"], 
              Torsiont[ lb, lc, ud]],
            Editable->False], ")"}]}], "-", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["t", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"c\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "c"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "d"],
                    Editable->False]],
                Subsuperscript[ t, 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "d"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "b"], 
              Torsiont[ la, lc, ud]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["t", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"b\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "d"],
                    Editable->False]],
                Subsuperscript[ t, 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "d"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "c"], 
              Torsiont[ la, lb, ud]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "a"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "a"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "e"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "e"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "e"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "e"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "e"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "e"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "a"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "a"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "e"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "e"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "e"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(rhsRc = AffineToMetric[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["t", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"c\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "c"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "d"],
                    Editable->False]],
                Subsuperscript[ t, 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "d"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "a"], 
              Torsiont[ lb, lc, ud]],
            Editable->False], ")"}]}], "-", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["t", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"c\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "c"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "d"],
                    Editable->False]],
                Subsuperscript[ t, 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "d"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "b"], 
              Torsiont[ la, lc, ud]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["t", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"b\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "d"],
                    Editable->False]],
                Subsuperscript[ t, 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "d"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "c"], 
              Torsiont[ la, lb, ud]],
            Editable->False], ")"}]}], "-", 
      RowBox[{\(1\/6\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\("\[PartialD]"\^"d"\),
                Superscript[ "\[PartialD]", "d"],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["g", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                        SequenceForm[ "", "c"],
                        Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "p"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ g, 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "p"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Superscript[ "\[PartialD]", "d"], 
              Metricg[ lc, "l$1"]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/6\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["g", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                        SequenceForm[ "", "c"],
                        Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "q"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ g, 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "q"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "p"], 
              Metricg[ lc, "l$2"]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\),
                  SequenceForm[ "", "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "d"], "q"],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "d"], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/6\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["g", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                        SequenceForm[ "", "p"],
                        Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "q"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ g, 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "c"], 
              Metricg[ "l$1", "l$2"]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\),
                  SequenceForm[ "", "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "d"], "q"],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "d"], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/6\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "p"], " "], "c"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], "d"], " "],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "p"], " "], "c"], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], "d"], " "]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/6\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\("\[PartialD]"\^"d"\),
                Superscript[ "\[PartialD]", "d"],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["g", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                        SequenceForm[ "", "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "p"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ g, 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Superscript[ "\[PartialD]", "d"], 
              Metricg[ lb, "l$1"]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/6\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["g", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                        SequenceForm[ "", "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "q"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ g, 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "q"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "p"], 
              Metricg[ lb, "l$2"]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\),
                  SequenceForm[ "", "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "d"], "q"],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "d"], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/6\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["g", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                        SequenceForm[ "", "p"],
                        Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "q"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ g, 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "b"], 
              Metricg[ "l$1", "l$2"]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\),
                  SequenceForm[ "", "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "d"], "q"],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "d"], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/6\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "p"], " "], "b"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], "d"], " "],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "p"], " "], "b"], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], "d"], " "]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/2\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/6\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\("\[PartialD]"\^"d"\),
                Superscript[ "\[PartialD]", "d"],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["g", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                        SequenceForm[ "", "a"],
                        Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "p"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ g, 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Superscript[ "\[PartialD]", "d"], 
              Metricg[ la, "l$1"]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/6\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["g", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                        SequenceForm[ "", "a"],
                        Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "q"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ g, 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "q"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "p"], 
              Metricg[ la, "l$2"]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\),
                  SequenceForm[ "", "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "d"], "q"],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "d"], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/6\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["g", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                        SequenceForm[ "", "p"],
                        Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "q"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ g, 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "a"], 
              Metricg[ "l$1", "l$2"]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\),
                  SequenceForm[ "", "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "d"], "q"],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "d"], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/6\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "p"], " "], "a"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], "d"], " "],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "p"], " "], "a"], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], "d"], " "]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/2\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/6\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], " "], "p"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], "d"], " "],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], " "], "p"], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], "d"], " "]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "e"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "e"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "e"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "e"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "e"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "e"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/6\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], " "], "p"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], "d"], " "],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], " "], "p"], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], "d"], " "]],
          Editable->False]}], "+", 
      RowBox[{\(1\/2\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "e"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "e"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "e"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/6\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], " "], "p"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], "d"], " "],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], " "], "p"], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], "d"], " "]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(lhsRc\  - \ rhsRc\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "e"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "e"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "e"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "e"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "e"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "e"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "e"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "e"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "d"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "e"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "d"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Tsimplify[%]\)], "Input"],

Cell[BoxData[
    \(0\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Second Kind", "Section"],

Cell[TextData[{
  "Anti-symmetric part of ",
  Cell[BoxData[
      \(TraditionalForm\`\[Del]\_a R\_\(b\[InvisibleSpace]c\[InvisibleSpace]d\
\)\^e\)]],
  " == Anti-symmetric part of ",
  Cell[BoxData[
      \(TraditionalForm\`\(t\_\(a\[InvisibleSpace]b\)\^p\) 
        R\_\(c\[InvisibleSpace]p\[InvisibleSpace]d\)\^e\)]]
}], "Text",
  TextAlignment->Center],

Cell[CellGroupData[{

Cell[BoxData[
    \(lhs = 
      Antisymmetrize[{la, lb, lc}, 
        CD[la, RiemannR[lb, lc, ld, ue]]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"b"\),
                                SequenceForm[ "", "b"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"c\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "b"], "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "b"], "c"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "c"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[Del]", "a"], 
              RiemannR[ lb, lc, ld, ue]],
            Editable->False], ")"}]}], "-", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[Del]"\_"b"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                SequenceForm[ "", "a"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"c\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "c"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "c"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[Del]", "b"], 
              RiemannR[ la, lc, ld, ue]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[Del]"\_"c"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                SequenceForm[ "", "a"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"b\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "b"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "b"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[Del]", "c"], 
              RiemannR[ la, lb, ld, ue]],
            Editable->False], ")"}]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CDtoAffine[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"b"\),
                                SequenceForm[ "", "b"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"c\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "b"], "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "b"], "c"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "c"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "a"], 
              RiemannR[ lb, lc, ld, ue]],
            Editable->False], ")"}]}], "-", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                SequenceForm[ "", "a"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"c\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "c"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "c"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "b"], 
              RiemannR[ la, lc, ld, ue]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                SequenceForm[ "", "a"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"b\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "b"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "b"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "c"], 
              RiemannR[ la, lb, ld, ue]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "p"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "p"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "e"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "p"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "p"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "e"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "e"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "e"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "p"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "p"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "p"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "e"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "a"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "a"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "p"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "p"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "e"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "e"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "p"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "p"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "p"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "e"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "a"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "a"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "p"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "p"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "p"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "e"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(RiemannToAffine[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(-\(1\/3\)\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "q"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "p"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "q"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "q"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "q"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "q"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "p"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "q"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "q"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "q"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "q"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "p"], "q"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "q"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "q"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "p"], "q"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "q"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "q"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "q"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "p"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "q"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "q"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "q"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "q"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "p"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "a"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "a"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "q"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "q"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "q"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "q"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "p"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "q"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "q"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "q"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "a"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "a"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "q"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "p"], "q"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "q"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "a"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "a"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "q"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "p"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "q"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "q"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "q"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "q"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "p"], "q"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "q"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "q"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "p"], "q"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "q"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "q"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "q"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "p"], "q"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "a"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "a"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "q"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "q"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "p"], 
              AffineG[ la, ld, ue]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "p"], 
              AffineG[ la, ld, ue]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "p"], 
              AffineG[ lb, ld, ue]],
            Editable->False], ")"}]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "a"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "a"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "p"], 
              AffineG[ lb, ld, ue]],
            Editable->False], ")"}]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "p"], 
              AffineG[ lc, ld, ue]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "a"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "a"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "p"], 
              AffineG[ lc, ld, ue]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "a"], 
              AffineG[ "l$1", ld, ue]],
            Editable->False], ")"}]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "a"], 
              AffineG[ "l$1", ld, ue]],
            Editable->False], ")"}]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "b"], 
              AffineG[ "l$1", ld, ue]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "a"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "a"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "b"], 
              AffineG[ "l$1", ld, ue]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "c"], 
              AffineG[ "l$1", ld, ue]],
            Editable->False], ")"}]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "a"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "a"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "c"], 
              AffineG[ "l$1", ld, ue]],
            Editable->False], ")"}]}]}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(lhsRc = AffineToMetric[%];\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(rhs = 
      Antisymmetrize[{la, lb, lc}, 
        Torsiont[la, lb, uf] RiemannR[lc, lf, ld, ue]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "f"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "f"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "f"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "f"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "f"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "f"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "f"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "f"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "f"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "f"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "f"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "f"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "f"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "f"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "f"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(RiemannToAffine[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(-\(1\/3\)\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\),
                      SequenceForm[ "", "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "f"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "f"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "f"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "f"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "f"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "c"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\),
                      SequenceForm[ "", "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "f"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "f"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "f"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "f"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "f"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "c"], 
              AffineG[ lf, ld, ue]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "f"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "f"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "f"], 
              AffineG[ lc, ld, ue]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "f"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "f"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\),
                      SequenceForm[ "", "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "f"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "f"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "f"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "f"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "f"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\),
                      SequenceForm[ "", "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "f"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "f"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "f"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "f"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "f"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "b"], 
              AffineG[ lf, ld, ue]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "f"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "f"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "f"], 
              AffineG[ lb, ld, ue]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "f"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "f"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\),
                      SequenceForm[ "", "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "f"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "f"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "f"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "f"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "f"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "e"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "e"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\),
                      SequenceForm[ "", "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "f"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "f"], "d"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "f"], "d"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "f"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "f"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "a"], 
              AffineG[ lf, ld, ue]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "f"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "f"]],
          Editable->False]}], "-", 
      RowBox[{\(1\/3\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "e"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "d"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "f"], 
              AffineG[ la, ld, ue]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["t", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "f"],
              Editable->False]],
          Subsuperscript[ t, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "f"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(rhsRc = AffineToMetric[%];\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(Timing[Tsimplify[lhsRc\  - \ rhsRc]]\)\(\ \)\( (*\ 
      long\ calculation\ *) \)\)\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{\(6.369`\ Second\), ",", 
        RowBox[{
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\("\[PartialD]"\^"e"\),
                        Superscript[ "\[PartialD]", "e"],
                        Editable->False], "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"c"\),
                                SequenceForm[ "", "c"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"d\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "c"], "d"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "c"], "d"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Superscript[ "\[PartialD]", "e"], 
                      Metricg[ lc, ld]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  BD[ ue, 
                    Metricg[ lc, ld]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"c"\),
                                SequenceForm[ "", "c"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"d\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "c"], "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "c"], "d"], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"e\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], "e"],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"], " "], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], "e"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Torsiont[ lc, ld, ue]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"c"\),
                                SequenceForm[ "", "c"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "c"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "c"], " "], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "c"], " "], "d"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Torsiont[ lc, ue, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"c\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], " "], "c"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "d"], " "], "c"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Torsiont[ ld, ue, lc]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\("\[PartialD]"\^"e"\),
                        Superscript[ "\[PartialD]", "e"],
                        Editable->False], "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"p\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], "p"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], "p"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Superscript[ "\[PartialD]", "e"], 
                      Metricg[ ld, "l$1"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  BD[ ue, 
                    Metricg[ ld, "l$1"]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "q"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "q"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ue, "u$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "q"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "q"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ ue, "u$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"p"\),
                                SequenceForm[ "", "p"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "p"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "p"], " "], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "p"], " "], "d"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Torsiont[ "l$1", ue, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"p\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], "p"], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"e\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], "e"],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"], " "], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], "e"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Torsiont[ ld, "l$1", ue]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], " "], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "d"], " "], "p"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Torsiont[ ld, ue, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "q"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "q"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ue, "u$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lc, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lc, "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                      SequenceForm[ "", "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "r"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "r"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lc, "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                      SequenceForm[ "", "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "r"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "r"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"p"\),
                                SequenceForm[ "", "p"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"q\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "p"], "q"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "p"], "q"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Subscript[ "\[PartialD]", "d"], 
                      Metricg[ "l$1", "l$2"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  BD[ ld, 
                    Metricg[ "l$1", "l$2"]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"c"\),
                                SequenceForm[ "", "c"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"q\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "c"], "q"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "c"], "q"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Subscript[ "\[PartialD]", "p"], 
                      Metricg[ lc, "l$2"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  BD[ "l$1", 
                    Metricg[ lc, "l$2"]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"q"\),
                    Superscript[ "\[PartialD]", "q"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "q"], 
                  Metricg[ lc, "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"q"\),
                    Superscript[ "\[PartialD]", "q"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "q"], 
                  Metricg[ lc, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"s\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "s"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "s"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ ld, "l$4"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"s\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "s"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "s"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"s\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "s"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "s"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lc, "l$4"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"s\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "s"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "s"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"r"\),
                            SequenceForm[ "", "r"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"s\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "r"], "s"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "r"], "s"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ "l$3", "l$4"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                      SequenceForm[ "", "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "r"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "r"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"s\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "s"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "s"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "p"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ ue, "u$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ "l$2", "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lc, ld]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ "l$2", "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lc, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                      SequenceForm[ "", "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "r"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "r"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lc, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                      SequenceForm[ "", "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "r"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "r"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lc, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ "l$1", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lc, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lc, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lc, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lc, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lc, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lc, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lc, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lc, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lc, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"r"\),
                            SequenceForm[ "", "r"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "r"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "r"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ "l$3", "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"r"\),
                            SequenceForm[ "", "r"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"s\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "r"], "s"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "r"], "s"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ "l$3", "l$4"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"s\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "s"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "s"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lc, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\)\
,
                          SequenceForm[ "", "r"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "r"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "r"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "r"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\)\
,
                          SequenceForm[ "", "r"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "r"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "r"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "r"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\("\[PartialD]"\^"e"\),
                        Superscript[ "\[PartialD]", "e"],
                        Editable->False], "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"f\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], "f"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], "f"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Superscript[ "\[PartialD]", "e"], 
                      Metricg[ ld, lf]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  BD[ ue, 
                    Metricg[ ld, lf]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"f\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], "f"], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"e\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], "e"],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "f"], " "], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], "e"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Torsiont[ ld, lf, ue]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"f\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], " "], "f"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "d"], " "], "f"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Torsiont[ ld, ue, lf]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"f"\),
                                SequenceForm[ "", "f"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "f"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "f"], " "], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "f"], " "], "d"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Torsiont[ lf, ue, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "p"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ ue, "u$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\("\[PartialD]"\^"e"\),
                        Superscript[ "\[PartialD]", "e"],
                        Editable->False], "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"c"\),
                                SequenceForm[ "", "c"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"d\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "c"], "d"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "c"], "d"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Superscript[ "\[PartialD]", "e"], 
                      Metricg[ lc, ld]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  BD[ ue, 
                    Metricg[ lc, ld]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "p"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ ue, "u$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "p"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ue, "u$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lc, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "p"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ue, "u$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"c"\),
                                SequenceForm[ "", "c"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"d\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "c"], "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "c"], "d"], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"e\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], "e"],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"], " "], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], "e"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Torsiont[ lc, ld, ue]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"c"\),
                                SequenceForm[ "", "c"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "c"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "c"], " "], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "c"], " "], "d"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Torsiont[ lc, ue, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"c\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], " "], "c"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "d"], " "], "c"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Torsiont[ ld, ue, lc]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"f\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "f"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, lf]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lc, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lc, ld]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lc, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lc, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lc, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"f"\),
                                SequenceForm[ "", "f"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"p\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "f"], "p"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "f"], "p"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Subscript[ "\[PartialD]", "d"], 
                      Metricg[ lf, "l$1"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  BD[ ld, 
                    Metricg[ lf, "l$1"]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"c"\),
                                SequenceForm[ "", "c"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"p\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "c"], "p"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "c"], "p"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Subscript[ "\[PartialD]", "f"], 
                      Metricg[ lc, "l$1"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  BD[ lf, 
                    Metricg[ lc, "l$1"]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lc, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lc, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"f\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "f"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, lf]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"f\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "f"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, lf]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lc, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lc, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lc, ld]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lc, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lf, "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ld, "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lc, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"f\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "f"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, lf]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lc, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\("\[PartialD]"\^"e"\),
                        Superscript[ "\[PartialD]", "e"],
                        Editable->False], "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"b"\),
                                SequenceForm[ "", "b"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"d\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "b"], "d"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "b"], "d"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Superscript[ "\[PartialD]", "e"], 
                      Metricg[ lb, ld]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  BD[ ue, 
                    Metricg[ lb, ld]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"b"\),
                                SequenceForm[ "", "b"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"d\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "b"], "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "b"], "d"], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"e\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], "e"],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "d"], " "], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], "e"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Torsiont[ lb, ld, ue]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"b"\),
                                SequenceForm[ "", "b"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "b"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "b"], " "], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "b"], " "], "d"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Torsiont[ lb, ue, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"b\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], " "], "b"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "d"], " "], "b"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Torsiont[ ld, ue, lb]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\("\[PartialD]"\^"e"\),
                        Superscript[ "\[PartialD]", "e"],
                        Editable->False], "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"p\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], "p"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], "p"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Superscript[ "\[PartialD]", "e"], 
                      Metricg[ ld, "l$1"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  BD[ ue, 
                    Metricg[ ld, "l$1"]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "q"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "q"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ue, "u$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "q"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "q"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ ue, "u$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"p"\),
                                SequenceForm[ "", "p"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "p"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "p"], " "], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "p"], " "], "d"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Torsiont[ "l$1", ue, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"p\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], "p"], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"e\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], "e"],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"], " "], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], "e"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Torsiont[ ld, "l$1", ue]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], " "], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "d"], " "], "p"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Torsiont[ ld, ue, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "q"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "q"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ue, "u$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lb, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lb, "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                      SequenceForm[ "", "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "r"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "r"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lb, "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                      SequenceForm[ "", "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "r"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "r"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"p"\),
                                SequenceForm[ "", "p"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"q\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "p"], "q"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "p"], "q"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Subscript[ "\[PartialD]", "d"], 
                      Metricg[ "l$1", "l$2"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  BD[ ld, 
                    Metricg[ "l$1", "l$2"]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"b"\),
                                SequenceForm[ "", "b"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"q\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "b"], "q"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "b"], "q"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Subscript[ "\[PartialD]", "p"], 
                      Metricg[ lb, "l$2"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  BD[ "l$1", 
                    Metricg[ lb, "l$2"]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"q"\),
                    Superscript[ "\[PartialD]", "q"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "q"], 
                  Metricg[ lb, "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"q"\),
                    Superscript[ "\[PartialD]", "q"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "q"], 
                  Metricg[ lb, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"s\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "s"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "s"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ ld, "l$4"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"s\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "s"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "s"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"s\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "s"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "s"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lb, "l$4"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"s\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "s"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "s"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"r"\),
                            SequenceForm[ "", "r"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"s\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "r"], "s"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "r"], "s"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ "l$3", "l$4"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                      SequenceForm[ "", "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "r"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "r"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"s\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "s"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "s"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "p"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ ue, "u$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ "l$2", "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, ld]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ "l$2", "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lb, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                      SequenceForm[ "", "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "r"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "r"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lb, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                      SequenceForm[ "", "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "r"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "r"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ "l$1", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lb, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lb, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lb, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lb, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"r"\),
                            SequenceForm[ "", "r"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "r"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "r"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ "l$3", "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"r"\),
                            SequenceForm[ "", "r"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"s\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "r"], "s"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "r"], "s"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ "l$3", "l$4"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"s\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "s"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "s"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\)\
,
                          SequenceForm[ "", "r"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "r"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "r"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "r"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\)\
,
                          SequenceForm[ "", "r"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "r"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "r"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "r"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\("\[PartialD]"\^"e"\),
                        Superscript[ "\[PartialD]", "e"],
                        Editable->False], "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"f\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], "f"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], "f"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Superscript[ "\[PartialD]", "e"], 
                      Metricg[ ld, lf]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  BD[ ue, 
                    Metricg[ ld, lf]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"f\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], "f"], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"e\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], "e"],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "f"], " "], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], "e"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Torsiont[ ld, lf, ue]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"f\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], " "], "f"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "d"], " "], "f"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Torsiont[ ld, ue, lf]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"f"\),
                                SequenceForm[ "", "f"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "f"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "f"], " "], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "f"], " "], "d"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Torsiont[ lf, ue, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "p"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ ue, "u$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\("\[PartialD]"\^"e"\),
                        Superscript[ "\[PartialD]", "e"],
                        Editable->False], "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"b"\),
                                SequenceForm[ "", "b"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"d\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "b"], "d"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "b"], "d"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Superscript[ "\[PartialD]", "e"], 
                      Metricg[ lb, ld]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  BD[ ue, 
                    Metricg[ lb, ld]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "p"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ ue, "u$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "p"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ue, "u$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lb, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "p"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ue, "u$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"b"\),
                                SequenceForm[ "", "b"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"d\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "b"], "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "b"], "d"], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"e\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], "e"],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "d"], " "], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], "e"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Torsiont[ lb, ld, ue]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"b"\),
                                SequenceForm[ "", "b"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "b"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "b"], " "], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "b"], " "], "d"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Torsiont[ lb, ue, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"b\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], " "], "b"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "d"], " "], "b"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Torsiont[ ld, ue, lb]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"f\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "f"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, lf]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lb, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, ld]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lb, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lb, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lb, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"f"\),
                                SequenceForm[ "", "f"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"p\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "f"], "p"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "f"], "p"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Subscript[ "\[PartialD]", "d"], 
                      Metricg[ lf, "l$1"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  BD[ ld, 
                    Metricg[ lf, "l$1"]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"b"\),
                                SequenceForm[ "", "b"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"p\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "b"], "p"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "b"], "p"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Subscript[ "\[PartialD]", "f"], 
                      Metricg[ lb, "l$1"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  BD[ lf, 
                    Metricg[ lb, "l$1"]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"f\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "f"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, lf]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"f\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "f"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, lf]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lb, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, ld]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lf, "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ld, "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lb, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"f\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "f"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, lf]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"f\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "f"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, lf]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], "e"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], "e"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "q"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], "e"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], "e"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\("\[PartialD]"\^"e"\),
                        Superscript[ "\[PartialD]", "e"],
                        Editable->False], "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                SequenceForm[ "", "a"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"d\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "d"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "d"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Superscript[ "\[PartialD]", "e"], 
                      Metricg[ la, ld]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  BD[ ue, 
                    Metricg[ la, ld]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                SequenceForm[ "", "a"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"d\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "d"], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"e\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], "e"],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"], " "], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], "e"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Torsiont[ la, ld, ue]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                SequenceForm[ "", "a"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "a"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], " "], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "a"], " "], "d"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Torsiont[ la, ue, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"a\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], " "], "a"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "d"], " "], "a"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Torsiont[ ld, ue, la]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\("\[PartialD]"\^"e"\),
                        Superscript[ "\[PartialD]", "e"],
                        Editable->False], "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"p\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], "p"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], "p"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Superscript[ "\[PartialD]", "e"], 
                      Metricg[ ld, "l$1"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  BD[ ue, 
                    Metricg[ ld, "l$1"]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "q"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "q"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ue, "u$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "q"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "q"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ ue, "u$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"p"\),
                                SequenceForm[ "", "p"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "p"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "p"], " "], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "p"], " "], "d"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Torsiont[ "l$1", ue, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"p\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], "p"], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"e\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], "e"],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"], " "], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], "e"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Torsiont[ ld, "l$1", ue]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], " "], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "d"], " "], "p"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Torsiont[ ld, ue, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "q"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "q"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ue, "u$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ la, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ la, "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                      SequenceForm[ "", "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "r"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "r"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ la, "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                      SequenceForm[ "", "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "r"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "r"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"p"\),
                                SequenceForm[ "", "p"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"q\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "p"], "q"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "p"], "q"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Subscript[ "\[PartialD]", "d"], 
                      Metricg[ "l$1", "l$2"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  BD[ ld, 
                    Metricg[ "l$1", "l$2"]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                SequenceForm[ "", "a"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"q\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "q"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "q"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Subscript[ "\[PartialD]", "p"], 
                      Metricg[ la, "l$2"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  BD[ "l$1", 
                    Metricg[ la, "l$2"]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"q"\),
                    Superscript[ "\[PartialD]", "q"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "q"], 
                  Metricg[ la, "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"q"\),
                    Superscript[ "\[PartialD]", "q"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "q"], 
                  Metricg[ la, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"s\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "s"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "s"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ ld, "l$4"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"s\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "s"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "s"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"s\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "s"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "s"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ la, "l$4"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"s\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "s"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "s"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"r"\),
                            SequenceForm[ "", "r"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"s\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "r"], "s"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "r"], "s"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ "l$3", "l$4"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                      SequenceForm[ "", "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "r"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "r"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"s\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "s"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "s"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "q"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "q"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "p"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ ue, "u$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ "l$2", "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ la, ld]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ "l$2", "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ la, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                      SequenceForm[ "", "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "r"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "r"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ la, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                      SequenceForm[ "", "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "r"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "r"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ la, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ "l$1", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ la, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ la, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ la, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ la, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ la, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ la, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ la, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ la, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ la, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"r"\),
                            SequenceForm[ "", "r"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "r"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "r"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ "l$3", "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"r"\),
                            SequenceForm[ "", "r"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"s\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "r"], "s"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "r"], "s"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ "l$3", "l$4"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"s\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "s"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "s"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ la, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\)\
,
                          SequenceForm[ "", "r"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "r"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "r"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "r"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\)\
,
                          SequenceForm[ "", "r"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "r"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "r"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "r"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\("\[PartialD]"\^"e"\),
                        Superscript[ "\[PartialD]", "e"],
                        Editable->False], "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"f\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], "f"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], "f"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Superscript[ "\[PartialD]", "e"], 
                      Metricg[ ld, lf]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  BD[ ue, 
                    Metricg[ ld, lf]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"f\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], "f"], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"e\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], "e"],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "f"], " "], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], "e"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Torsiont[ ld, lf, ue]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"f\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], " "], "f"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "d"], " "], "f"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Torsiont[ ld, ue, lf]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"f"\),
                                SequenceForm[ "", "f"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "f"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "f"], " "], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "f"], " "], "d"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Torsiont[ lf, ue, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "p"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ ue, "u$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\("\[PartialD]"\^"e"\),
                        Superscript[ "\[PartialD]", "e"],
                        Editable->False], "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                SequenceForm[ "", "a"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"d\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "d"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "d"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Superscript[ "\[PartialD]", "e"], 
                      Metricg[ la, ld]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  BD[ ue, 
                    Metricg[ la, ld]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "p"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ ue, "u$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "p"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ue, "u$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ la, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "p"],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ue, "u$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                SequenceForm[ "", "a"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"d\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "d"], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"e\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], "e"],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"], " "], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], "e"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Torsiont[ la, ld, ue]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                SequenceForm[ "", "a"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "a"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], " "], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "a"], " "], "d"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Torsiont[ la, ue, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["t", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                SequenceForm[ "", "d"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "d"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"a\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "d"], " "], "a"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"e\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "e"], " "],
                        Editable->False]],
                    Subsuperscript[ t, 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "d"], " "], "a"], 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "e"], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Torsiont[ ld, ue, la]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"f\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "f"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, lf]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ la, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ la, ld]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ la, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ la, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ la, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"f"\),
                                SequenceForm[ "", "f"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"p\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "f"], "p"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "f"], "p"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Subscript[ "\[PartialD]", "d"], 
                      Metricg[ lf, "l$1"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  BD[ ld, 
                    Metricg[ lf, "l$1"]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/6\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                      InterpretationBox[
                        SubsuperscriptBox["g", 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                SequenceForm[ "", "a"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"p\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "p"],
                            Editable->False], 
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "],
                            Editable->False]],
                        Subsuperscript[ g, 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "p"], 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "]],
                        Editable->False]}],
                    SequenceForm[ 
                      Subscript[ "\[PartialD]", "f"], 
                      Metricg[ la, "l$1"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  BD[ lf, 
                    Metricg[ la, "l$1"]]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ la, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ la, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"f\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "f"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, lf]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"f\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "f"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, lf]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ la, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ la, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ la, ld]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ la, "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lf, "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ld, "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                      SequenceForm[ "", "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ la, "l$1"]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\),
                      SequenceForm[ "", "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "q"], "p"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "q"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"f\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "f"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, lf]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ la, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"f\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "f"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, lf]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"f\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "f"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, lf]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/24\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/24\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "q"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/24\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/24\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"f\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "f"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, lf]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"f\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "f"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, lf]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], "e"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], "e"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "q"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], "e"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], "e"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "q"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"f\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "f"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, lf]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "q"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "q"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "q"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "q"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "q"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "q"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lc, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "q"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "q"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lb, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "q"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "q"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ la, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "q"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "q"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lc, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"r\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "r"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "r"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"r\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "r"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "r"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"r\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "r"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "r"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"r\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "r"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "r"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ la, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"r\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "r"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "r"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"r\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "r"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "r"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "r"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lc, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lb, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ la, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lc, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "r"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "r"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "r"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "r"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "r"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "r"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "r"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "r"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ la, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "r"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "r"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "r"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "r"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"q"\)\
,
                          SequenceForm[ "", "q"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "q"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "q"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "q"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lf, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lc, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lc, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lb, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ la, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ la, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "q"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "q"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"r\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "r"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "r"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$3"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "r"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "r"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "q"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "q"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lc, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "f"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "f"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lc, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "f"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "f"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "f"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "f"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "f"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "f"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lb, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "f"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "f"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "f"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "f"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "f"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "f"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "f"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "f"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "f"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "f"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ la, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "f"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "f"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ la, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "f"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "f"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "f"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "f"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "f"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "f"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "f"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "f"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "f"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "f"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "f"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "f"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "f"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "f"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "f"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], "f"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lc, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ la, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lc, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lc, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ lb, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"e"\),
                    Superscript[ "\[PartialD]", "e"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "e"], 
                  Metricg[ la, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ la, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\),
                      SequenceForm[ "", "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], "e"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lc, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], "e"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], "e"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lb, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], "e"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], "e"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ la, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], "e"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], "e"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lc, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ la, ld]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], " "], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "p"], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], "p"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], "p"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lc, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "p"]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lb, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ la, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"f"\)\
,
                          SequenceForm[ "", "f"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "f"], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "f"], " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "e"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "e"], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "f"], " "], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"], "p"]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lc, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lb, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ la, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"f"\),
                            SequenceForm[ "", "f"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "f"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "f"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lf, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"f"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "f"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lc, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "b"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ lb, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  Metricg[ ld, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ la, "l$1"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "f"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "p"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "f"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "p"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"], " "]],
              Editable->False]}], "-", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                            SequenceForm[ "", "d"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ ld, "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"], " "]],
              Editable->False]}], "+", 
          RowBox[{\(1\/12\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"p"\),
                            SequenceForm[ "", "p"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "p"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "d"], 
                  Metricg[ "l$1", "l$2"]],
                Editable->False], ")"}], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["t", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "q"], " "],
                  Editable->False]],
              Subsuperscript[ t, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "c"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "q"], " "]],
              Editable->False]}]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[%[\([2]\)] // \ Can]\)], "Input"],

Cell[BoxData[
    \({29.53200000000004`\ Second, 0}\)], "Output"]
}, Open  ]]
}, Closed]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{},
WindowSize->{695, 680},
WindowMargins->{{19, Automatic}, {Automatic, 5}},
Magnification->1,
StyleDefinitions -> "Classroom.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 74, 1, 43, "Title"],
Cell[1794, 52, 52, 1, 56, "Input"],
Cell[1849, 55, 53, 1, 56, "Input"],

Cell[CellGroupData[{
Cell[1927, 60, 29, 0, 78, "Section"],
Cell[1959, 62, 365, 9, 41, "Text"],

Cell[CellGroupData[{
Cell[2349, 75, 93, 1, 56, "Input"],
Cell[2445, 78, 7398, 184, 69, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[9880, 267, 51, 1, 56, "Input"],
Cell[9934, 270, 32918, 775, 151, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[42889, 1050, 58, 1, 56, "Input"],
Cell[42950, 1053, 68310, 1633, 274, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[111297, 2691, 172, 4, 102, "Input"],
Cell[111472, 2697, 16194, 388, 110, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[127703, 3090, 46, 1, 56, "Input"],
Cell[127752, 3093, 45114, 1081, 151, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[172903, 4179, 58, 1, 56, "Input"],
Cell[172964, 4182, 77856, 1864, 315, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[250857, 6051, 50, 1, 56, "Input"],
Cell[250910, 6054, 19125, 463, 110, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[270072, 6522, 45, 1, 56, "Input"],
Cell[270120, 6525, 35, 1, 53, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[270204, 6532, 30, 0, 50, "Section"],
Cell[270237, 6534, 356, 10, 41, "Text"],

Cell[CellGroupData[{
Cell[270618, 6548, 117, 3, 79, "Input"],
Cell[270738, 6553, 9390, 211, 69, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[280165, 6769, 46, 1, 56, "Input"],
Cell[280214, 6772, 58116, 1399, 192, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[338367, 8176, 51, 1, 56, "Input"],
Cell[338421, 8179, 104288, 2461, 356, "Output"]
}, Open  ]],
Cell[442724, 10643, 63, 1, 56, "Input"],

Cell[CellGroupData[{
Cell[442812, 10648, 130, 3, 79, "Input"],
Cell[442945, 10653, 12123, 298, 69, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[455105, 10956, 51, 1, 56, "Input"],
Cell[455159, 10959, 51818, 1231, 192, "Output"]
}, Open  ]],
Cell[506992, 12193, 63, 1, 56, "Input"],

Cell[CellGroupData[{
Cell[507080, 12198, 121, 2, 79, "Input"],
Cell[507204, 12202, 2916133, 68657, 9320, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3423374, 80864, 60, 1, 56, "Input"],
Cell[3423437, 80867, 65, 1, 53, "Output"]
}, Open  ]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

