(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     51421,       1295]*)
(*NotebookOutlinePosition[     54899,       1384]*)
(*  CellTagsIndexPosition[     54855,       1380]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["Dnup", "Subtitle",
  TextAlignment->Center,
  TextJustification->0],

Cell[BoxData[
    \(<< \ dhPark`Tensor`\)], "Input"],

Cell[CellGroupData[{

Cell["Dnup", "Section"],

Cell[BoxData[
    \(Tdefine[{a, V}, "\<a\>"]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(BD[la, CD[lb, RiemannR[uc, ld, le, lc]]] a[ua]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"-", 
        InterpretationBox[
          SubsuperscriptBox["a", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
              SequenceForm[ "", "a"],
              Editable->False]],
          Subsuperscript[ a, 
            SequenceForm[ "", " "], 
            SequenceForm[ "", "a"]],
          Editable->False]}], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"b"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "e"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "e"], 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "b"], 
                RicciR[ ld, le]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[PartialD]", "a"], 
            CD[ lb, 
              RicciR[ ld, le]]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dnup[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"-", 
        InterpretationBox[
          SubsuperscriptBox["a", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
              SequenceForm[ "", "a"],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False]],
          Subsuperscript[ a, 
            SequenceForm[ "", "a"], 
            SequenceForm[ "", " "]],
          Editable->False]}], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[PartialD]"\^"a"\),
              Superscript[ "\[PartialD]", "a"],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"b"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"e\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "e"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "e"], 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "b"], 
                RicciR[ ld, le]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[PartialD]", "a"], 
            CD[ lb, 
              RicciR[ ld, le]]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(BD[ua, CD[ub, RiemannR[lc, lb, le, lf]]] a[uc] V[la]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"-", 
        InterpretationBox[
          SubsuperscriptBox["a", 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False], 
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
              SequenceForm[ "", "c"],
              Editable->False]],
          Subsuperscript[ a, 
            SequenceForm[ "", " "], 
            SequenceForm[ "", "c"]],
          Editable->False]}], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[PartialD]"\^"a"\),
              Superscript[ "\[PartialD]", "a"],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\("\[Del]"\^"b"\),
                  Superscript[ "\[Del]", "b"],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"b"\),
                                  SequenceForm[ "", "b"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"c\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "b"], "c"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"e\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", "b"], "c"], "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "b"], "c"], "e"], "f"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "c"], "e"], "f"], 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Superscript[ "\[Del]", "b"], 
                RiemannR[ lb, lc, le, lf]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[PartialD]", "a"], 
            CD[ ub, 
              RiemannR[ lb, lc, le, lf]]],
          Editable->False], ")"}], " ", 
      InterpretationBox[
        SubsuperscriptBox["V", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
            SequenceForm[ "", "a"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ V, 
          SequenceForm[ "", "a"], 
          SequenceForm[ "", " "]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dnup[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
            SequenceForm[ "", "c"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "c"]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"b"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"c"\),
                                  SequenceForm[ "", "c"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "c"], " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"e\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", "c"], " "], "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "c"], " "], "e"], "f"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"b\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], "b"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", " "], "b"], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "b"], " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "c"], " "], "e"], "f"], 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "b"], " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "b"], 
                RiemannR[ lc, ub, le, lf]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[PartialD]", "a"], 
            CD[ lb, 
              RiemannR[ lc, ub, le, lf]]],
          Editable->False], ")"}], " ", 
      InterpretationBox[
        SubsuperscriptBox["V", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
            SequenceForm[ "", "a"],
            Editable->False]],
        Subsuperscript[ V, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "a"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CD[ua, BD[lb, RiemannR[la, ld, le, lf]]] a[ub]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
            SequenceForm[ "", "b"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "b"]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[Del]"\^"a"\),
              Superscript[ "\[Del]", "a"],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                  SequenceForm[ "", "a"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"d\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "a"], "d"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"e\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "d"], "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "d"], "e"], "f"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"], "e"], "f"], 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[PartialD]", "b"], 
                RiemannR[ la, ld, le, lf]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[Del]", "a"], 
            BD[ lb, 
              RiemannR[ la, ld, le, lf]]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dnup[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
            SequenceForm[ "", "b"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "b"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[Del]"\^"a"\),
              Superscript[ "\[Del]", "a"],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\("\[PartialD]"\^"b"\),
                  Superscript[ "\[PartialD]", "b"],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                  SequenceForm[ "", "a"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"d\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "a"], "d"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"e\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "d"], "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "d"], "e"], "f"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"], "e"], "f"], 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Superscript[ "\[PartialD]", "b"], 
                RiemannR[ la, ld, le, lf]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[Del]", "a"], 
            BD[ ub, 
              RiemannR[ la, ld, le, lf]]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CD[ua, BD[la, RiemannR[lb, ld, le, lf]]] a[ub]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
            SequenceForm[ "", "b"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "b"]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[Del]"\^"a"\),
              Superscript[ "\[Del]", "a"],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"b"\),
                                  SequenceForm[ "", "b"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"d\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "b"], "d"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"e\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", "b"], "d"], "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "b"], "d"], "e"], "f"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "d"], "e"], "f"], 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[PartialD]", "a"], 
                RiemannR[ lb, ld, le, lf]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[Del]", "a"], 
            BD[ la, 
              RiemannR[ lb, ld, le, lf]]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dnup[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
            SequenceForm[ "", "b"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "b"]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\("\[PartialD]"\^"a"\),
                  Superscript[ "\[PartialD]", "a"],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"b"\),
                                  SequenceForm[ "", "b"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"d\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "b"], "d"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"e\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", "b"], "d"], "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "b"], "d"], "e"], "f"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "d"], "e"], "f"], 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Superscript[ "\[PartialD]", "a"], 
                RiemannR[ lb, ld, le, lf]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[Del]", "a"], 
            BD[ ua, 
              RiemannR[ lb, ld, le, lf]]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CD[ua, LD[V, RiemannR[la, ld, le, lf]]] a[ud]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\),
            SequenceForm[ "", "d"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "d"]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[Del]"\^"a"\),
              Superscript[ "\[Del]", "a"],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{\("\[ScriptCapitalL]"\_"V"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                  SequenceForm[ "", "a"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"d\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "a"], "d"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"e\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "d"], "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "d"], "e"], "f"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"], "e"], "f"], 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[ScriptCapitalL]", "V"], 
                RiemannR[ la, ld, le, lf]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[Del]", "a"], 
            LD[ V, 
              RiemannR[ la, ld, le, lf]]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dnup[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\),
            SequenceForm[ "", "d"],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", " "], 
          SequenceForm[ "", "d"]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[Del]"\^"a"\),
              Superscript[ "\[Del]", "a"],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{\("\[ScriptCapitalL]"\_"V"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"a"\),
                                  SequenceForm[ "", "a"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"d\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "a"], "d"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"e\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", "a"], "d"], "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "d"], "e"], "f"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "d"], "e"], "f"], 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[ScriptCapitalL]", "V"], 
                RiemannR[ la, ld, le, lf]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[Del]", "a"], 
            LD[ V, 
              RiemannR[ la, ld, le, lf]]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dnup[%, {CD, LD}]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["a", 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\),
            SequenceForm[ "", "d"],
            Editable->False], 
          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
            SequenceForm[ "", " "],
            Editable->False]],
        Subsuperscript[ a, 
          SequenceForm[ "", "d"], 
          SequenceForm[ "", " "]],
        Editable->False], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{\("\[ScriptCapitalL]"\_"V"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"e"\),
                                  SequenceForm[ "", "e"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"f\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "e"], "f"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", "e"], "f"], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "e"], "f"], " "], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"a\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "], "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "], "a"], "d"],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "f"], " "], " "], 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], "a"], "d"]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[ScriptCapitalL]", "V"], 
                RiemannR[ le, lf, ua, ud]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[Del]", "a"], 
            LD[ V, 
              RiemannR[ le, lf, ua, ud]]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(Fdefine[{\[Alpha], \[Beta]}, 1, "\<ab\>"]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(XP[\[Alpha][ua], XD[\[Beta][la]]]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox[
            TagBox[
              StyleBox["\[Alpha]",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)]],
          Subsuperscript[ 
            StyleForm[ \[Alpha], FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ "", " "], FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ "", "a"], FontWeight -> "Bold"]],
          Editable->False], "\[InvisibleSpace]", "\<\"\[Wedge]\"\>", 
        "\[InvisibleSpace]", 
        InterpretationBox[
          RowBox[{"\<\"d\"\>", "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox[
                TagBox[
                  StyleBox["\[Beta]",
                    FontWeight->"Bold"],
                  (StyleForm[ #, FontWeight -> "Bold"]&)], 
                TagBox[
                  StyleBox[
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False],
                    FontWeight->"Bold"],
                  (StyleForm[ #, FontWeight -> "Bold"]&)], 
                TagBox[
                  StyleBox[
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False],
                    FontWeight->"Bold"],
                  (StyleForm[ #, FontWeight -> "Bold"]&)]],
              Subsuperscript[ 
                StyleForm[ \[Beta], FontWeight -> "Bold"], 
                StyleForm[ 
                  SequenceForm[ "", "a"], FontWeight -> "Bold"], 
                StyleForm[ 
                  SequenceForm[ "", " "], FontWeight -> "Bold"]],
              Editable->False]}],
          SequenceForm[ "d", 
            \[Beta][ la]],
          Editable->False]}],
      SequenceForm[ 
        \[Alpha][ ua], "\[Wedge]", 
        XD[ 
          \[Beta][ la]]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dnup[%]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox[
            TagBox[
              StyleBox["\[Alpha]",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)]],
          Subsuperscript[ 
            StyleForm[ \[Alpha], FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ "", "a"], FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ "", " "], FontWeight -> "Bold"]],
          Editable->False], "\[InvisibleSpace]", "\<\"\[Wedge]\"\>", 
        "\[InvisibleSpace]", 
        InterpretationBox[
          RowBox[{"\<\"d\"\>", "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox[
                TagBox[
                  StyleBox["\[Beta]",
                    FontWeight->"Bold"],
                  (StyleForm[ #, FontWeight -> "Bold"]&)], 
                TagBox[
                  StyleBox[
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False],
                    FontWeight->"Bold"],
                  (StyleForm[ #, FontWeight -> "Bold"]&)], 
                TagBox[
                  StyleBox[
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False],
                    FontWeight->"Bold"],
                  (StyleForm[ #, FontWeight -> "Bold"]&)]],
              Subsuperscript[ 
                StyleForm[ \[Beta], FontWeight -> "Bold"], 
                StyleForm[ 
                  SequenceForm[ "", " "], FontWeight -> "Bold"], 
                StyleForm[ 
                  SequenceForm[ "", "a"], FontWeight -> "Bold"]],
              Editable->False]}],
          SequenceForm[ "d", 
            \[Beta][ ua]],
          Editable->False]}],
      SequenceForm[ 
        \[Alpha][ la], "\[Wedge]", 
        XD[ 
          \[Beta][ ua]]],
      Editable->False]], "Output"]
}, Open  ]]
}, Closed]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{},
WindowSize->{579, 694},
WindowMargins->{{12, Automatic}, {0, Automatic}},
Visible->True,
InputAliases->{"notation"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftRightArrow]", " ",
           
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation>"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongRightArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation<"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "symb"->RowBox[ {"Symbolize", "[", 
        TagBox[ 
        "\[Placeholder]", NotationBoxTag, TagStyle -> 
          "NotationTemplateStyle"], "]"}], 
    "infixnotation"->RowBox[ {"InfixNotation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "addia"->RowBox[ {"AddInputAlias", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "pattwraper"->TagBox[ 
      "\[Placeholder]", NotationPatternTag, TagStyle -> 
        "NotationPatternWrapperStyle"], 
    "madeboxeswraper"->TagBox[ 
      "\[Placeholder]", NotationMadeBoxesTag, TagStyle -> 
        "NotationMadeBoxesWrapperStyle"], 
    "Vdefine"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
            OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
            NotationBoxTag, TagStyle -> "NotationTemplateStyle"], " ", 
          "\[DoubleLongLeftRightArrow]", " ", 
          TagBox[ 
            RowBox[ {"Vector", "[", "\[Placeholder]", "]"}], NotationBoxTag, 
            TagStyle -> "NotationTemplateStyle"]}], "]"}], 
    "ivec"->OverscriptBox[ "\[DotlessI]", "^"], 
    "jvec"->OverscriptBox[ "\[DotlessJ]", "^"], 
    "vect"->OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
    "xvec"->OverscriptBox[ "x", "^"], "yvec"->OverscriptBox[ "y", "^"], 
    "zvec"->OverscriptBox[ "z", "^"], "rvec"->OverscriptBox[ "r", "^"], 
    "tvec"->OverscriptBox[ "\[Theta]", "^"], 
    "pvec"->OverscriptBox[ "\[Phi]", "^"]},
Magnification->1,
StyleDefinitions -> "Demo.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 73, 2, 81, "Subtitle"],
Cell[1793, 53, 52, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[1870, 58, 23, 0, 77, "Section"],
Cell[1896, 60, 57, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[1978, 65, 79, 1, 77, "Input"],
Cell[2060, 68, 2300, 58, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4397, 131, 40, 1, 54, "Input"],
Cell[4440, 134, 2413, 61, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6890, 200, 85, 1, 77, "Input"],
Cell[6978, 203, 4740, 110, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[11755, 318, 40, 1, 54, "Input"],
Cell[11798, 321, 4461, 103, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[16296, 429, 79, 1, 77, "Input"],
Cell[16378, 432, 4116, 94, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[20531, 531, 40, 1, 54, "Input"],
Cell[20574, 534, 4241, 97, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[24852, 636, 79, 1, 77, "Input"],
Cell[24934, 639, 4116, 94, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[29087, 738, 40, 1, 54, "Input"],
Cell[29130, 741, 4133, 94, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[33300, 840, 78, 1, 77, "Input"],
Cell[33381, 843, 4127, 94, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[37545, 942, 40, 1, 54, "Input"],
Cell[37588, 945, 4127, 94, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[41752, 1044, 50, 1, 54, "Input"],
Cell[41805, 1047, 4019, 91, 56, "Output"]
}, Open  ]],
Cell[45839, 1141, 74, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[45938, 1146, 66, 1, 54, "Input"],
Cell[46007, 1149, 2653, 67, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[48697, 1221, 40, 1, 54, "Input"],
Cell[48740, 1224, 2653, 67, 55, "Output"]
}, Open  ]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

