(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     24328,        710]*)
(*NotebookOutlinePosition[     25091,        737]*)
(*  CellTagsIndexPosition[     25047,        733]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["Define Differential Forms", "Subtitle",
  TextAlignment->Center,
  TextJustification->0],

Cell[BoxData[
    \(<< \ dhPark`Tensor`\)], "Input"],

Cell[CellGroupData[{

Cell["Fdefine", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Fdefine[\[Alpha], 1]; \ \[Alpha][]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox[
        TagBox[
          StyleBox["\[Alpha]",
            FontWeight->"Bold"],
          (StyleForm[ #, FontWeight -> "Bold"]&)], 
        TagBox[
          StyleBox["\<\"\"\>",
            FontWeight->"Bold"],
          (StyleForm[ #, FontWeight -> "Bold"]&)], 
        TagBox[
          StyleBox["\<\"\"\>",
            FontWeight->"Bold"],
          (StyleForm[ #, FontWeight -> "Bold"]&)]],
      Subsuperscript[ 
        StyleForm[ \[Alpha], FontWeight -> "Bold"], 
        StyleForm[ "", FontWeight -> "Bold"], 
        StyleForm[ "", FontWeight -> "Bold"]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Fdefine[\[Alpha], 1, "\<-ba\>"]; \ \[Alpha][lb, la]\)], "Input"],

Cell[BoxData[
    RowBox[{"-", 
      InterpretationBox[
        SubsuperscriptBox[
          TagBox[
            StyleBox["\[Alpha]",
              FontWeight->"Bold"],
            (StyleForm[ #, FontWeight -> "Bold"]&)], 
          TagBox[
            StyleBox[
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False],
              FontWeight->"Bold"],
            (StyleForm[ #, FontWeight -> "Bold"]&)], 
          TagBox[
            StyleBox[
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False],
              FontWeight->"Bold"],
            (StyleForm[ #, FontWeight -> "Bold"]&)]],
        Subsuperscript[ 
          StyleForm[ \[Alpha], FontWeight -> "Bold"], 
          StyleForm[ 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"], FontWeight -> "Bold"], 
          StyleForm[ 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], FontWeight -> "Bold"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Fdefine[\[Omega], 2]; \[Omega][]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox[
        TagBox[
          StyleBox["\[Omega]",
            FontWeight->"Bold"],
          (StyleForm[ #, FontWeight -> "Bold"]&)], 
        TagBox[
          StyleBox["\<\"\"\>",
            FontWeight->"Bold"],
          (StyleForm[ #, FontWeight -> "Bold"]&)], 
        TagBox[
          StyleBox["\<\"\"\>",
            FontWeight->"Bold"],
          (StyleForm[ #, FontWeight -> "Bold"]&)]],
      Subsuperscript[ 
        StyleForm[ \[Omega], FontWeight -> "Bold"], 
        StyleForm[ "", FontWeight -> "Bold"], 
        StyleForm[ "", FontWeight -> "Bold"]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Fdefine[\[Omega], 2, "\<a\>"]; \[Omega][la]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox[
        TagBox[
          StyleBox["\[Omega]",
            FontWeight->"Bold"],
          (StyleForm[ #, FontWeight -> "Bold"]&)], 
        TagBox[
          StyleBox[
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
              SequenceForm[ "", "a"],
              Editable->False],
            FontWeight->"Bold"],
          (StyleForm[ #, FontWeight -> "Bold"]&)], 
        TagBox[
          StyleBox[
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False],
            FontWeight->"Bold"],
          (StyleForm[ #, FontWeight -> "Bold"]&)]],
      Subsuperscript[ 
        StyleForm[ \[Omega], FontWeight -> "Bold"], 
        StyleForm[ 
          SequenceForm[ "", "a"], FontWeight -> "Bold"], 
        StyleForm[ 
          SequenceForm[ "", " "], FontWeight -> "Bold"]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Fdefine[{\[Alpha], \[Beta]}, 1]; {\[Alpha][], \[Beta][]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox[
            TagBox[
              StyleBox["\[Alpha]",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox["\<\"\"\>",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox["\<\"\"\>",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)]],
          Subsuperscript[ 
            StyleForm[ \[Alpha], FontWeight -> "Bold"], 
            StyleForm[ "", FontWeight -> "Bold"], 
            StyleForm[ "", FontWeight -> "Bold"]],
          Editable->False], ",", 
        InterpretationBox[
          SubsuperscriptBox[
            TagBox[
              StyleBox["\[Beta]",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox["\<\"\"\>",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox["\<\"\"\>",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)]],
          Subsuperscript[ 
            StyleForm[ \[Beta], FontWeight -> "Bold"], 
            StyleForm[ "", FontWeight -> "Bold"], 
            StyleForm[ "", FontWeight -> "Bold"]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Fdefine[{A, B}, 1, "\<ab\>"]; {A[la, ub], B[ua, lb]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox[
            TagBox[
              StyleBox["A",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "b"],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)]],
          Subsuperscript[ 
            StyleForm[ A, FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], " "], FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], "b"], FontWeight -> "Bold"]],
          Editable->False], ",", 
        InterpretationBox[
          SubsuperscriptBox[
            TagBox[
              StyleBox["B",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "b"],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)]],
          Subsuperscript[ 
            StyleForm[ B, FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], "b"], FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], " "], FontWeight -> "Bold"]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Fdefine[{A, B}, {"\<\[Alpha]\>", "\<\[Beta]\>"}, 1]; {A[], 
      B[]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox[
            TagBox[
              StyleBox["\[Alpha]",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox["\<\"\"\>",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox["\<\"\"\>",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)]],
          Subsuperscript[ 
            StyleForm[ \[Alpha], FontWeight -> "Bold"], 
            StyleForm[ "", FontWeight -> "Bold"], 
            StyleForm[ "", FontWeight -> "Bold"]],
          Editable->False], ",", 
        InterpretationBox[
          SubsuperscriptBox[
            TagBox[
              StyleBox["\[Beta]",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox["\<\"\"\>",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox["\<\"\"\>",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)]],
          Subsuperscript[ 
            StyleForm[ \[Beta], FontWeight -> "Bold"], 
            StyleForm[ "", FontWeight -> "Bold"], 
            StyleForm[ "", FontWeight -> "Bold"]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Fdefine[{A, B}, {"\<\[Alpha]\>", "\<\[Beta]\>"}, 1, "\<a\>"]; {A[la], 
      B[ua]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox[
            TagBox[
              StyleBox["\[Alpha]",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)]],
          Subsuperscript[ 
            StyleForm[ \[Alpha], FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ "", "a"], FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ "", " "], FontWeight -> "Bold"]],
          Editable->False], ",", 
        InterpretationBox[
          SubsuperscriptBox[
            TagBox[
              StyleBox["\[Beta]",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)]],
          Subsuperscript[ 
            StyleForm[ \[Beta], FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ "", " "], FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ "", "a"], FontWeight -> "Bold"]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Fdefine[{A, B}, {1, 2}]; {A[], B[]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox[
            TagBox[
              StyleBox["A",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox["\<\"\"\>",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox["\<\"\"\>",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)]],
          Subsuperscript[ 
            StyleForm[ A, FontWeight -> "Bold"], 
            StyleForm[ "", FontWeight -> "Bold"], 
            StyleForm[ "", FontWeight -> "Bold"]],
          Editable->False], ",", 
        InterpretationBox[
          SubsuperscriptBox[
            TagBox[
              StyleBox["B",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox["\<\"\"\>",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox["\<\"\"\>",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)]],
          Subsuperscript[ 
            StyleForm[ B, FontWeight -> "Bold"], 
            StyleForm[ "", FontWeight -> "Bold"], 
            StyleForm[ "", FontWeight -> "Bold"]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Fdefine[{A, B}, {1, 2}, "\<ba\>"]; {A[lb, la], B[la, lb]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox[
            TagBox[
              StyleBox["A",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)]],
          Subsuperscript[ 
            StyleForm[ A, FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], FontWeight -> "Bold"]],
          Editable->False], ",", 
        InterpretationBox[
          SubsuperscriptBox[
            TagBox[
              StyleBox["B",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)]],
          Subsuperscript[ 
            StyleForm[ B, FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], FontWeight -> "Bold"]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Fdefine[{A, B}, {"\<\[Alpha]\>", "\<\[Beta]\>"}, {1, 2}]; {A[], 
      B[]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox[
            TagBox[
              StyleBox["\[Alpha]",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox["\<\"\"\>",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox["\<\"\"\>",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)]],
          Subsuperscript[ 
            StyleForm[ \[Alpha], FontWeight -> "Bold"], 
            StyleForm[ "", FontWeight -> "Bold"], 
            StyleForm[ "", FontWeight -> "Bold"]],
          Editable->False], ",", 
        InterpretationBox[
          SubsuperscriptBox[
            TagBox[
              StyleBox["\[Beta]",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox["\<\"\"\>",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox["\<\"\"\>",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)]],
          Subsuperscript[ 
            StyleForm[ \[Beta], FontWeight -> "Bold"], 
            StyleForm[ "", FontWeight -> "Bold"], 
            StyleForm[ "", FontWeight -> "Bold"]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Fdefine[{A, B}, {"\<\[Alpha]\>", "\<\[Beta]\>"}, {1, 2}, "\<a\>"]; {A[
        la], B[ua]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox[
            TagBox[
              StyleBox["\[Alpha]",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)]],
          Subsuperscript[ 
            StyleForm[ \[Alpha], FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ "", "a"], FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ "", " "], FontWeight -> "Bold"]],
          Editable->False], ",", 
        InterpretationBox[
          SubsuperscriptBox[
            TagBox[
              StyleBox["\[Beta]",
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)], 
            TagBox[
              StyleBox[
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False],
                FontWeight->"Bold"],
              (StyleForm[ #, FontWeight -> "Bold"]&)]],
          Subsuperscript[ 
            StyleForm[ \[Beta], FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ "", " "], FontWeight -> "Bold"], 
            StyleForm[ 
              SequenceForm[ "", "a"], FontWeight -> "Bold"]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(ClearName[A]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(A[]\)], "Input"],

Cell[BoxData[
    \(A[]\)], "Output"]
}, Open  ]]
}, Closed]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{},
WindowSize->{575, 668},
WindowMargins->{{15, Automatic}, {Automatic, 5}},
Magnification->1,
StyleDefinitions -> "Demo.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 94, 2, 81, "Subtitle"],
Cell[1814, 53, 52, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[1891, 58, 26, 0, 77, "Section"],

Cell[CellGroupData[{
Cell[1942, 62, 67, 1, 54, "Input"],
Cell[2012, 65, 662, 19, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2711, 89, 84, 1, 54, "Input"],
Cell[2798, 92, 1560, 40, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4395, 137, 65, 1, 54, "Input"],
Cell[4463, 140, 662, 19, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5162, 164, 76, 1, 54, "Input"],
Cell[5241, 167, 978, 27, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6256, 199, 89, 1, 54, "Input"],
Cell[6348, 202, 1498, 40, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7883, 247, 85, 1, 77, "Input"],
Cell[7971, 250, 3232, 80, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[11240, 335, 103, 2, 77, "Input"],
Cell[11346, 339, 1498, 40, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[12881, 384, 116, 2, 77, "Input"],
Cell[13000, 388, 2194, 56, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15231, 449, 68, 1, 54, "Input"],
Cell[15302, 452, 1472, 40, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[16811, 497, 90, 1, 77, "Input"],
Cell[16904, 500, 3232, 80, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[20173, 585, 108, 2, 77, "Input"],
Cell[20284, 589, 1498, 40, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[21819, 634, 123, 2, 77, "Input"],
Cell[21945, 638, 2194, 56, 55, "Output"]
}, Open  ]],
Cell[24154, 697, 45, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[24224, 702, 36, 1, 54, "Input"],
Cell[24263, 705, 37, 1, 54, "Output"]
}, Open  ]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

