(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    201280,       5235]*)
(*NotebookOutlinePosition[    204758,       5324]*)
(*  CellTagsIndexPosition[    204714,       5320]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["for Dummies", "Subtitle",
  TextAlignment->Center,
  TextJustification->0],

Cell[BoxData[
    \(<< \ dhPark`Tensor`\)], "Input"],

Cell[BoxData[
    \(Off[AutoCanFlag]\)], "Input"],

Cell[BoxData[
    \(Tdefine[R, "\<abcd\>"]; Tdefine[A, "\<ab\>"]\)], "Input"],

Cell[CellGroupData[{

Cell["Dum", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(expr = 
      A\ R[la, lb, ua, uc] A[lc, ub] + \ a\ R[la, lb, ub, ua]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"A", " ", 
        InterpretationBox[
          SubsuperscriptBox["A", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                  SequenceForm[ "", "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "c"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], "b"],
              Editable->False]],
          Subsuperscript[ A, 
            SequenceForm[ 
              SequenceForm[ "", "c"], " "], 
            SequenceForm[ 
              SequenceForm[ "", " "], "b"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "a"], "c"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "a"], "c"]],
          Editable->False]}], "+", 
      RowBox[{"a", " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "b"], "a"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "b"], "a"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dum[expr]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"A", " ", 
        InterpretationBox[
          SubsuperscriptBox["A", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\),
                  SequenceForm[ "", "r"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "r"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], "q"],
              Editable->False]],
          Subsuperscript[ A, 
            SequenceForm[ 
              SequenceForm[ "", "r"], " "], 
            SequenceForm[ 
              SequenceForm[ "", " "], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "q"], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"], " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "p"], "r"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "q"], " "], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"], "r"]],
          Editable->False]}], "+", 
      RowBox[{"a", " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"s"\)\
,
                          SequenceForm[ "", "s"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"t\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "s"], "t"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "s"], "t"], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "s"], "t"], " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"t\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "t"],
                  Editable->False], "\[InvisibleSpace]", "\<\"s\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "t"], "s"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "s"], "t"], " "], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "t"], "s"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(a\ A[la, lb] 
      A[ua, ub] \((RicciR[lc, ld] RicciR[uc, ud])\)\^2\)], "Input"],

Cell[BoxData[
    RowBox[{"a", " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"]],
        Editable->False], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                  SequenceForm[ "", "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "c"], "d"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "c"], "d"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                  SequenceForm[ "", "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "c"], "d"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "c"], "d"]],
          Editable->False], "2"]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(Dum[%]\)\(\ \)\( (*\ NOT\ Dum\ for\ Powers\ *) \)\)\)], "Input"],

Cell[BoxData[
    RowBox[{"a", " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"u"\),
                SequenceForm[ "", "u"],
                Editable->False], "\[InvisibleSpace]", "\<\"v\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "u"], "v"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", "u"], "v"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"u"\),
                SequenceForm[ "", "u"],
                Editable->False], "\[InvisibleSpace]", "\<\"v\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "u"], "v"],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "u"], "v"]],
        Editable->False], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                  SequenceForm[ "", "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "c"], "d"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "c"], "d"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                  SequenceForm[ "", "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "c"], "d"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "c"], "d"]],
          Editable->False], "2"]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(a\ A[la, lb] A[ua, ub] TP[RicciR[lc, ld] RicciR[uc, ud], 2]\)], "Input"],

Cell[BoxData[
    RowBox[{"a", " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"]],
        Editable->False], " ", 
      InterpretationBox[
        SuperscriptBox[
          RowBox[{"(", 
            TagBox[
              RowBox[{
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"], 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "]],
                  Editable->False], " ", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"]],
                  Editable->False]}],
              HoldForm], ")"}], "2"],
        SequenceForm[ 
          Power[ 
            HoldForm[ 
              Times[ 
                RicciR[ lc, ld], 
                RicciR[ uc, ud]]], 2]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dum[%]\)], "Input"],

Cell[BoxData[
    RowBox[{"a", " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"w"\),
                SequenceForm[ "", "w"],
                Editable->False], "\[InvisibleSpace]", "\<\"x\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "w"], "x"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", "w"], "x"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"w"\),
                SequenceForm[ "", "w"],
                Editable->False], "\[InvisibleSpace]", "\<\"x\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "w"], "x"],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "w"], "x"]],
        Editable->False], " ", 
      InterpretationBox[
        SuperscriptBox[
          RowBox[{"(", 
            TagBox[
              RowBox[{
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"y"\)\
,
                          SequenceForm[ "", "y"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"z\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "y"], "z"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", "y"], "z"], 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "]],
                  Editable->False], " ", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"y"\)\
,
                          SequenceForm[ "", "y"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"z\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "y"], "z"],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], 
                    SequenceForm[ 
                      SequenceForm[ "", "y"], "z"]],
                  Editable->False]}],
              HoldForm], ")"}], "2"],
        SequenceForm[ 
          Power[ 
            HoldForm[ 
              Times[ 
                RicciR[ "l$10", "l$11"], 
                RicciR[ "u$10", "u$11"]]], 2]],
        Editable->False]}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["DumFresh", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dum[expr]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"A", " ", 
        InterpretationBox[
          SubsuperscriptBox["A", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$14"\),
                  SequenceForm[ "", "$14"],
                  Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "$14"], "   "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                  SequenceForm[ "", "   "],
                  Editable->False], "\[InvisibleSpace]", "\<\"$13\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "   "], "$13"],
              Editable->False]],
          Subsuperscript[ A, 
            SequenceForm[ 
              SequenceForm[ "", "$14"], "   "], 
            SequenceForm[ 
              SequenceForm[ "", "   "], "$13"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$\
12"\),
                          SequenceForm[ "", "$12"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"$13\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "$12"], "$13"],
                      Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "$12"], "$13"], "   "],
                  Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "$12"], "$13"], "   "], "   "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   \
"\),
                          SequenceForm[ "", "   "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"   \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "   "], "   "],
                      Editable->False], "\[InvisibleSpace]", "\<\"$12\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "   "], "   "], "$12"],
                  Editable->False], "\[InvisibleSpace]", "\<\"$14\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "   "], "   "], "$12"], "$14"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "$12"], "$13"], "   "], "   "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "   "], "   "], "$12"], "$14"]],
          Editable->False]}], "+", 
      RowBox[{"a", " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$\
15"\),
                          SequenceForm[ "", "$15"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"$16\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "$15"], "$16"],
                      Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "$15"], "$16"], "   "],
                  Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "$15"], "$16"], "   "], "   "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   \
"\),
                          SequenceForm[ "", "   "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"   \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "   "], "   "],
                      Editable->False], "\[InvisibleSpace]", "\<\"$16\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "   "], "   "], "$16"],
                  Editable->False], "\[InvisibleSpace]", "\<\"$15\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "   "], "   "], "$16"], "$15"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "$15"], "$16"], "   "], "   "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "   "], "   "], "$16"], "$15"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dum[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"A", " ", 
        InterpretationBox[
          SubsuperscriptBox["A", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$14"\),
                  SequenceForm[ "", "$14"],
                  Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "$14"], "   "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                  SequenceForm[ "", "   "],
                  Editable->False], "\[InvisibleSpace]", "\<\"$13\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "   "], "$13"],
              Editable->False]],
          Subsuperscript[ A, 
            SequenceForm[ 
              SequenceForm[ "", "$14"], "   "], 
            SequenceForm[ 
              SequenceForm[ "", "   "], "$13"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$\
12"\),
                          SequenceForm[ "", "$12"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"$13\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "$12"], "$13"],
                      Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "$12"], "$13"], "   "],
                  Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "$12"], "$13"], "   "], "   "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   \
"\),
                          SequenceForm[ "", "   "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"   \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "   "], "   "],
                      Editable->False], "\[InvisibleSpace]", "\<\"$12\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "   "], "   "], "$12"],
                  Editable->False], "\[InvisibleSpace]", "\<\"$14\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "   "], "   "], "$12"], "$14"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "$12"], "$13"], "   "], "   "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "   "], "   "], "$12"], "$14"]],
          Editable->False]}], "+", 
      RowBox[{"a", " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$\
15"\),
                          SequenceForm[ "", "$15"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"$16\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "$15"], "$16"],
                      Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "$15"], "$16"], "   "],
                  Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "$15"], "$16"], "   "], "   "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   \
"\),
                          SequenceForm[ "", "   "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"   \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "   "], "   "],
                      Editable->False], "\[InvisibleSpace]", "\<\"$16\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "   "], "   "], "$16"],
                  Editable->False], "\[InvisibleSpace]", "\<\"$15\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "   "], "   "], "$16"], "$15"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "$15"], "$16"], "   "], "   "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "   "], "   "], "$16"], "$15"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(DumFresh[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"A", " ", 
        InterpretationBox[
          SubsuperscriptBox["A", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$19"\),
                  SequenceForm[ "", "$19"],
                  Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "$19"], "   "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                  SequenceForm[ "", "   "],
                  Editable->False], "\[InvisibleSpace]", "\<\"$18\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "   "], "$18"],
              Editable->False]],
          Subsuperscript[ A, 
            SequenceForm[ 
              SequenceForm[ "", "$19"], "   "], 
            SequenceForm[ 
              SequenceForm[ "", "   "], "$18"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$\
17"\),
                          SequenceForm[ "", "$17"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"$18\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "$17"], "$18"],
                      Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "$17"], "$18"], "   "],
                  Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "$17"], "$18"], "   "], "   "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   \
"\),
                          SequenceForm[ "", "   "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"   \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "   "], "   "],
                      Editable->False], "\[InvisibleSpace]", "\<\"$17\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "   "], "   "], "$17"],
                  Editable->False], "\[InvisibleSpace]", "\<\"$19\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "   "], "   "], "$17"], "$19"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "$17"], "$18"], "   "], "   "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "   "], "   "], "$17"], "$19"]],
          Editable->False]}], "+", 
      RowBox[{"a", " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$\
20"\),
                          SequenceForm[ "", "$20"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"$21\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "$20"], "$21"],
                      Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "$20"], "$21"], "   "],
                  Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "$20"], "$21"], "   "], "   "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   \
"\),
                          SequenceForm[ "", "   "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"   \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "   "], "   "],
                      Editable->False], "\[InvisibleSpace]", "\<\"$21\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "   "], "   "], "$21"],
                  Editable->False], "\[InvisibleSpace]", "\<\"$20\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "   "], "   "], "$21"], "$20"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "$20"], "$21"], "   "], "   "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "   "], "   "], "$21"], "$20"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dum[
      a\ A[la, lb] 
        A[ua, ub] \((RicciR[lc, ld] RicciR[uc, ud])\)\^2]\)], "Input"],

Cell[BoxData[
    RowBox[{"a", " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$22"\),
                SequenceForm[ "", "$22"],
                Editable->False], "\[InvisibleSpace]", "\<\"$23\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "$22"], "$23"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                SequenceForm[ "", "   "],
                Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "   "], "   "],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", "$22"], "$23"], 
          SequenceForm[ 
            SequenceForm[ "", "   "], "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                SequenceForm[ "", "   "],
                Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "   "], "   "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$22"\),
                SequenceForm[ "", "$22"],
                Editable->False], "\[InvisibleSpace]", "\<\"$23\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "$22"], "$23"],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", "   "], "   "], 
          SequenceForm[ 
            SequenceForm[ "", "$22"], "$23"]],
        Editable->False], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                  SequenceForm[ "", "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "c"], "d"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "c"], "d"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                  SequenceForm[ "", "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "c"], "d"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "c"], "d"]],
          Editable->False], "2"]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(DumFresh[%]\)], "Input"],

Cell[BoxData[
    RowBox[{"a", " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$24"\),
                SequenceForm[ "", "$24"],
                Editable->False], "\[InvisibleSpace]", "\<\"$25\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "$24"], "$25"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                SequenceForm[ "", "   "],
                Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "   "], "   "],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", "$24"], "$25"], 
          SequenceForm[ 
            SequenceForm[ "", "   "], "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                SequenceForm[ "", "   "],
                Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "   "], "   "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$24"\),
                SequenceForm[ "", "$24"],
                Editable->False], "\[InvisibleSpace]", "\<\"$25\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "$24"], "$25"],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", "   "], "   "], 
          SequenceForm[ 
            SequenceForm[ "", "$24"], "$25"]],
        Editable->False], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                  SequenceForm[ "", "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "c"], "d"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "c"], "d"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                  SequenceForm[ "", "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "c"], "d"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "c"], "d"]],
          Editable->False], "2"]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dum[
      a\ A[la, lb] A[ua, ub] TP[RicciR[lc, ld] RicciR[uc, ud], 2]]\)], "Input"],

Cell[BoxData[
    RowBox[{"a", " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$26"\),
                SequenceForm[ "", "$26"],
                Editable->False], "\[InvisibleSpace]", "\<\"$27\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "$26"], "$27"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                SequenceForm[ "", "   "],
                Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "   "], "   "],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", "$26"], "$27"], 
          SequenceForm[ 
            SequenceForm[ "", "   "], "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                SequenceForm[ "", "   "],
                Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "   "], "   "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$26"\),
                SequenceForm[ "", "$26"],
                Editable->False], "\[InvisibleSpace]", "\<\"$27\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "$26"], "$27"],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", "   "], "   "], 
          SequenceForm[ 
            SequenceForm[ "", "$26"], "$27"]],
        Editable->False], " ", 
      InterpretationBox[
        SuperscriptBox[
          RowBox[{"(", 
            TagBox[
              RowBox[{
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$\
28"\),
                          SequenceForm[ "", "$28"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"$29\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "$28"], "$29"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   \
"\),
                          SequenceForm[ "", "   "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"   \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "   "], "   "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", "$28"], "$29"], 
                    SequenceForm[ 
                      SequenceForm[ "", "   "], "   "]],
                  Editable->False], " ", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   \
"\),
                          SequenceForm[ "", "   "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"   \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "   "], "   "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$\
28"\),
                          SequenceForm[ "", "$28"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"$29\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "$28"], "$29"],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", "   "], "   "], 
                    SequenceForm[ 
                      SequenceForm[ "", "$28"], "$29"]],
                  Editable->False]}],
              HoldForm], ")"}], "2"],
        SequenceForm[ 
          Power[ 
            HoldForm[ 
              Times[ 
                RicciR[ "l$28", "l$29"], 
                RicciR[ "u$28", "u$29"]]], 2]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(DumFresh[%]\)], "Input"],

Cell[BoxData[
    RowBox[{"a", " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$30"\),
                SequenceForm[ "", "$30"],
                Editable->False], "\[InvisibleSpace]", "\<\"$31\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "$30"], "$31"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                SequenceForm[ "", "   "],
                Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "   "], "   "],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", "$30"], "$31"], 
          SequenceForm[ 
            SequenceForm[ "", "   "], "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                SequenceForm[ "", "   "],
                Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "   "], "   "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$30"\),
                SequenceForm[ "", "$30"],
                Editable->False], "\[InvisibleSpace]", "\<\"$31\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "$30"], "$31"],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", "   "], "   "], 
          SequenceForm[ 
            SequenceForm[ "", "$30"], "$31"]],
        Editable->False], " ", 
      InterpretationBox[
        SuperscriptBox[
          RowBox[{"(", 
            TagBox[
              RowBox[{
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$\
32"\),
                          SequenceForm[ "", "$32"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"$33\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "$32"], "$33"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   \
"\),
                          SequenceForm[ "", "   "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"   \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "   "], "   "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", "$32"], "$33"], 
                    SequenceForm[ 
                      SequenceForm[ "", "   "], "   "]],
                  Editable->False], " ", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   \
"\),
                          SequenceForm[ "", "   "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"   \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "   "], "   "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$\
32"\),
                          SequenceForm[ "", "$32"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"$33\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "$32"], "$33"],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", "   "], "   "], 
                    SequenceForm[ 
                      SequenceForm[ "", "$32"], "$33"]],
                  Editable->False]}],
              HoldForm], ")"}], "2"],
        SequenceForm[ 
          Power[ 
            HoldForm[ 
              Times[ 
                RicciR[ "l$32", "l$33"], 
                RicciR[ "u$32", "u$33"]]], 2]],
        Editable->False]}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["ResetDummies", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dum[expr]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"A", " ", 
        InterpretationBox[
          SubsuperscriptBox["A", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$36"\),
                  SequenceForm[ "", "$36"],
                  Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "$36"], "   "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                  SequenceForm[ "", "   "],
                  Editable->False], "\[InvisibleSpace]", "\<\"$35\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "   "], "$35"],
              Editable->False]],
          Subsuperscript[ A, 
            SequenceForm[ 
              SequenceForm[ "", "$36"], "   "], 
            SequenceForm[ 
              SequenceForm[ "", "   "], "$35"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$\
34"\),
                          SequenceForm[ "", "$34"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"$35\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "$34"], "$35"],
                      Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "$34"], "$35"], "   "],
                  Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "$34"], "$35"], "   "], "   "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   \
"\),
                          SequenceForm[ "", "   "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"   \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "   "], "   "],
                      Editable->False], "\[InvisibleSpace]", "\<\"$34\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "   "], "   "], "$34"],
                  Editable->False], "\[InvisibleSpace]", "\<\"$36\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "   "], "   "], "$34"], "$36"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "$34"], "$35"], "   "], "   "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "   "], "   "], "$34"], "$36"]],
          Editable->False]}], "+", 
      RowBox[{"a", " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$\
37"\),
                          SequenceForm[ "", "$37"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"$38\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "$37"], "$38"],
                      Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "$37"], "$38"], "   "],
                  Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "$37"], "$38"], "   "], "   "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   \
"\),
                          SequenceForm[ "", "   "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"   \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "   "], "   "],
                      Editable->False], "\[InvisibleSpace]", "\<\"$38\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "   "], "   "], "$38"],
                  Editable->False], "\[InvisibleSpace]", "\<\"$37\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "   "], "   "], "$38"], "$37"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "$37"], "$38"], "   "], "   "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "   "], "   "], "$38"], "$37"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ResetDummies[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"a", " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\)\
,
                          SequenceForm[ "", "p"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "p"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "p"], "q"], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "p"], "q"], " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "q"],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "q"], "p"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "p"], "q"], " "], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "q"], "p"]],
          Editable->False]}], "+", 
      RowBox[{"A", " ", 
        InterpretationBox[
          SubsuperscriptBox["A", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                  SequenceForm[ "", "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], "q"],
              Editable->False]],
          Subsuperscript[ A, 
            SequenceForm[ 
              SequenceForm[ "", "p"], " "], 
            SequenceForm[ 
              SequenceForm[ "", " "], "q"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\)\
,
                          SequenceForm[ "", "r"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"q\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "r"], "q"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "r"], "q"], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "r"], "q"], " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"r\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "r"],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "r"], "p"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "r"], "q"], " "], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "r"], "p"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dum[
      a\ A[la, lb] 
        A[ua, ub] \((RicciR[lc, ld] RicciR[uc, ud])\)\^2]\)], "Input"],

Cell[BoxData[
    RowBox[{"a", " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$39"\),
                SequenceForm[ "", "$39"],
                Editable->False], "\[InvisibleSpace]", "\<\"$40\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "$39"], "$40"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                SequenceForm[ "", "   "],
                Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "   "], "   "],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", "$39"], "$40"], 
          SequenceForm[ 
            SequenceForm[ "", "   "], "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                SequenceForm[ "", "   "],
                Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "   "], "   "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$39"\),
                SequenceForm[ "", "$39"],
                Editable->False], "\[InvisibleSpace]", "\<\"$40\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "$39"], "$40"],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", "   "], "   "], 
          SequenceForm[ 
            SequenceForm[ "", "$39"], "$40"]],
        Editable->False], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                  SequenceForm[ "", "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "c"], "d"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "c"], "d"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                  SequenceForm[ "", "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "c"], "d"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "c"], "d"]],
          Editable->False], "2"]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ResetDummies[%]\)], "Input"],

Cell[BoxData[
    RowBox[{"a", " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                SequenceForm[ "", "p"],
                Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "p"], "q"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", "p"], "q"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                SequenceForm[ "", "p"],
                Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "p"], "q"],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "p"], "q"]],
        Editable->False], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                  SequenceForm[ "", "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "c"], "d"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "c"], "d"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                  SequenceForm[ "", "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "c"], "d"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "c"], "d"]],
          Editable->False], "2"]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dum[
      a\ A[la, lb] A[ua, ub] TP[RicciR[lc, ld] RicciR[uc, ud], 2]]\)], "Input"],

Cell[BoxData[
    RowBox[{"a", " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$41"\),
                SequenceForm[ "", "$41"],
                Editable->False], "\[InvisibleSpace]", "\<\"$42\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "$41"], "$42"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                SequenceForm[ "", "   "],
                Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "   "], "   "],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", "$41"], "$42"], 
          SequenceForm[ 
            SequenceForm[ "", "   "], "   "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   "\),
                SequenceForm[ "", "   "],
                Editable->False], "\[InvisibleSpace]", "\<\"   \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "   "], "   "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$41"\),
                SequenceForm[ "", "$41"],
                Editable->False], "\[InvisibleSpace]", "\<\"$42\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "$41"], "$42"],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", "   "], "   "], 
          SequenceForm[ 
            SequenceForm[ "", "$41"], "$42"]],
        Editable->False], " ", 
      InterpretationBox[
        SuperscriptBox[
          RowBox[{"(", 
            TagBox[
              RowBox[{
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$\
43"\),
                          SequenceForm[ "", "$43"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"$44\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "$43"], "$44"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   \
"\),
                          SequenceForm[ "", "   "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"   \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "   "], "   "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", "$43"], "$44"], 
                    SequenceForm[ 
                      SequenceForm[ "", "   "], "   "]],
                  Editable->False], " ", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"   \
"\),
                          SequenceForm[ "", "   "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"   \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "   "], "   "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"$\
43"\),
                          SequenceForm[ "", "$43"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"$44\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "$43"], "$44"],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", "   "], "   "], 
                    SequenceForm[ 
                      SequenceForm[ "", "$43"], "$44"]],
                  Editable->False]}],
              HoldForm], ")"}], "2"],
        SequenceForm[ 
          Power[ 
            HoldForm[ 
              Times[ 
                RicciR[ "l$43", "l$44"], 
                RicciR[ "u$43", "u$44"]]], 2]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ResetDummies[%]\)], "Input"],

Cell[BoxData[
    RowBox[{"a", " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                SequenceForm[ "", "p"],
                Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "p"], "q"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", "p"], "q"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                SequenceForm[ "", "p"],
                Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "p"], "q"],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "p"], "q"]],
        Editable->False], " ", 
      InterpretationBox[
        SuperscriptBox[
          RowBox[{"(", 
            TagBox[
              RowBox[{
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\)\
,
                          SequenceForm[ "", "r"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"s\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "r"], "s"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", "r"], "s"], 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "]],
                  Editable->False], " ", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"r"\)\
,
                          SequenceForm[ "", "r"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"s\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "r"], "s"],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], 
                    SequenceForm[ 
                      SequenceForm[ "", "r"], "s"]],
                  Editable->False]}],
              HoldForm], ")"}], "2"],
        SequenceForm[ 
          Power[ 
            HoldForm[ 
              Times[ 
                RicciR[ "l$3", "l$4"], 
                RicciR[ "u$3", "u$4"]]], 2]],
        Editable->False]}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["SplitDum", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(R[la, lb, ua, ub]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox["R", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], " "],
              Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "], " "],
          Editable->False], 
        InterpretationBox[
          RowBox[{
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "a"],
              Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "a"], "b"],
          Editable->False]],
      Subsuperscript[ R, 
        SequenceForm[ 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"], " "], " "], 
        SequenceForm[ 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], "a"], "b"]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(SplitDum[{la, li, lj}, {lb, lk, ll, lm}, %]\)\(\ \)\)\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"i"\),
                        SequenceForm[ "", "i"],
                        Editable->False], "\[InvisibleSpace]", "\<\"k\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "i"], "k"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "i"], "k"], " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "i"], "k"], " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"i\"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "i"],
                Editable->False], "\[InvisibleSpace]", "\<\"k\"\>"}],
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "i"], "k"],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "i"], "k"], " "], " "], 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "i"], "k"]],
        Editable->False], "+", 
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"i"\),
                        SequenceForm[ "", "i"],
                        Editable->False], "\[InvisibleSpace]", "\<\"l\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "i"], "l"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "i"], "l"], " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "i"], "l"], " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"i\"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "i"],
                Editable->False], "\[InvisibleSpace]", "\<\"l\"\>"}],
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "i"], "l"],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "i"], "l"], " "], " "], 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "i"], "l"]],
        Editable->False], "+", 
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"i"\),
                        SequenceForm[ "", "i"],
                        Editable->False], "\[InvisibleSpace]", "\<\"m\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "i"], "m"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "i"], "m"], " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "i"], "m"], " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"i\"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "i"],
                Editable->False], "\[InvisibleSpace]", "\<\"m\"\>"}],
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "i"], "m"],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "i"], "m"], " "], " "], 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "i"], "m"]],
        Editable->False], "+", 
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"j"\),
                        SequenceForm[ "", "j"],
                        Editable->False], "\[InvisibleSpace]", "\<\"k\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "j"], "k"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "j"], "k"], " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "j"], "k"], " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"j\"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "j"],
                Editable->False], "\[InvisibleSpace]", "\<\"k\"\>"}],
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "j"], "k"],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "j"], "k"], " "], " "], 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "j"], "k"]],
        Editable->False], "+", 
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"j"\),
                        SequenceForm[ "", "j"],
                        Editable->False], "\[InvisibleSpace]", "\<\"l\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "j"], "l"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "j"], "l"], " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "j"], "l"], " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"j\"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "j"],
                Editable->False], "\[InvisibleSpace]", "\<\"l\"\>"}],
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "j"], "l"],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "j"], "l"], " "], " "], 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "j"], "l"]],
        Editable->False], "+", 
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"j"\),
                        SequenceForm[ "", "j"],
                        Editable->False], "\[InvisibleSpace]", "\<\"m\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "j"], "m"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "j"], "m"], " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "j"], "m"], " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"j\"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "j"],
                Editable->False], "\[InvisibleSpace]", "\<\"m\"\>"}],
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "j"], "m"],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "j"], "m"], " "], " "], 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "j"], "m"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(R[la, lb, lc, ua] R[ub, uc, ud, uf]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                        SequenceForm[ "", "a"],
                        Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"],
                    Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], "c"],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], "c"], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "],
                Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "a"],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], "c"], " "], 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], " "], "a"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                        SequenceForm[ "", "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"],
                    Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], "d"],
                Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], "d"], "f"],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], " "], " "], 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], "d"], "f"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SplitDum[{la, \(-1\), li}, {lb, \(-2\), lj}, {lc, \(-3\), 
        lk}, %]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                          SequenceForm[ "", 1],
                          Editable->False], "\[InvisibleSpace]", "2"}],
                      SequenceForm[ 
                        SequenceForm[ "", 1], 2],
                      Editable->False], "\[InvisibleSpace]", "3"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", 1], 2], 3],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", 1], 2], 3], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "1"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], 1],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", 1], 2], 3], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], 1]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                          SequenceForm[ "", 2],
                          Editable->False], "\[InvisibleSpace]", "3"}],
                      SequenceForm[ 
                        SequenceForm[ "", 2], 3],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", 2], 3], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", 2], 3], "d"], "f"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", 2], 3], "d"], "f"]],
          Editable->False]}], "+", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                          SequenceForm[ "", 1],
                          Editable->False], "\[InvisibleSpace]", "2"}],
                      SequenceForm[ 
                        SequenceForm[ "", 1], 2],
                      Editable->False], "\[InvisibleSpace]", "\<\"k\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", 1], 2], "k"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", 1], 2], "k"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "1"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], 1],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", 1], 2], "k"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], 1]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                          SequenceForm[ "", 2],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"k\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", 2], "k"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", 2], "k"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", 2], "k"], "d"], "f"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", 2], "k"], "d"], "f"]],
          Editable->False]}], "+", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                          SequenceForm[ "", 2],
                          Editable->False], "\[InvisibleSpace]", "3"}],
                      SequenceForm[ 
                        SequenceForm[ "", 2], 3],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", 2], 3], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", 2], 3], "d"], "f"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", 2], 3], "d"], "f"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"i"\)\
,
                          SequenceForm[ "", "i"],
                          Editable->False], "\[InvisibleSpace]", "2"}],
                      SequenceForm[ 
                        SequenceForm[ "", "i"], 2],
                      Editable->False], "\[InvisibleSpace]", "3"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "i"], 2], 3],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "i"], 2], 3], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"i\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], "i"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "i"], 2], 3], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "i"]],
          Editable->False]}], "+", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                          SequenceForm[ "", 2],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"k\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", 2], "k"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", 2], "k"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", 2], "k"], "d"], "f"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", 2], "k"], "d"], "f"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"i"\)\
,
                          SequenceForm[ "", "i"],
                          Editable->False], "\[InvisibleSpace]", "2"}],
                      SequenceForm[ 
                        SequenceForm[ "", "i"], 2],
                      Editable->False], "\[InvisibleSpace]", "\<\"k\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "i"], 2], "k"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "i"], 2], "k"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"i\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], "i"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "i"], 2], "k"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "i"]],
          Editable->False]}], "+", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                          SequenceForm[ "", 1],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"j\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", 1], "j"],
                      Editable->False], "\[InvisibleSpace]", "3"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", 1], "j"], 3],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", 1], "j"], 3], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "1"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], 1],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", 1], "j"], 3], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], 1]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"j"\)\
,
                          SequenceForm[ "", "j"],
                          Editable->False], "\[InvisibleSpace]", "3"}],
                      SequenceForm[ 
                        SequenceForm[ "", "j"], 3],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "j"], 3], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "j"], 3], "d"], "f"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "j"], 3], "d"], "f"]],
          Editable->False]}], "+", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"i"\)\
,
                          SequenceForm[ "", "i"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"j\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "i"], "j"],
                      Editable->False], "\[InvisibleSpace]", "3"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "i"], "j"], 3],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "i"], "j"], 3], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"i\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], "i"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "i"], "j"], 3], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "i"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"j"\)\
,
                          SequenceForm[ "", "j"],
                          Editable->False], "\[InvisibleSpace]", "3"}],
                      SequenceForm[ 
                        SequenceForm[ "", "j"], 3],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "j"], 3], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "j"], 3], "d"], "f"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "j"], 3], "d"], "f"]],
          Editable->False]}], "+", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                          SequenceForm[ "", 1],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"j\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", 1], "j"],
                      Editable->False], "\[InvisibleSpace]", "\<\"k\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", 1], "j"], "k"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", 1], "j"], "k"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "1"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], 1],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", 1], "j"], "k"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], 1]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"j"\)\
,
                          SequenceForm[ "", "j"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"k\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "j"], "k"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "j"], "k"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "j"], "k"], "d"], "f"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "j"], "k"], "d"], "f"]],
          Editable->False]}], "+", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"i"\)\
,
                          SequenceForm[ "", "i"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"j\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "i"], "j"],
                      Editable->False], "\[InvisibleSpace]", "\<\"k\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "i"], "j"], "k"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "i"], "j"], "k"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"i\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], "i"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "i"], "j"], "k"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], "i"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"j"\)\
,
                          SequenceForm[ "", "j"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"k\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "j"], "k"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "j"], "k"], "d"],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "j"], "k"], "d"], "f"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "j"], "k"], "d"], "f"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SplitDum[{la, \(-5\), li}, A[la, ua]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]5\),
                SequenceForm[ "", 5],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", 5], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "5"}],
            SequenceForm[ 
              SequenceForm[ "", " "], 5],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", 5], " "], 
          SequenceForm[ 
            SequenceForm[ "", " "], 5]],
        Editable->False], "+", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"i"\),
                SequenceForm[ "", "i"],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "i"], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\"i\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], "i"],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", "i"], " "], 
          SequenceForm[ 
            SequenceForm[ "", " "], "i"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SplitDum[{la, \(-5\), li}, {lb, \(-5\), lj}, A[ua, la]]\)], "Input"],

Cell[BoxData[
    \(Msg::"warn" \(\(:\)\(\ \)\) 
      "\!\(\"no index or sub-index:\"\) \!\(lb\) \!\(\"in\"\) \!\({la, ua}\)"\
\)], "Message"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "5"}],
            SequenceForm[ 
              SequenceForm[ "", " "], 5],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]5\),
                SequenceForm[ "", 5],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", 5], " "],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", " "], 5], 
          SequenceForm[ 
            SequenceForm[ "", 5], " "]],
        Editable->False], "+", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\"i\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], "i"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"i"\),
                SequenceForm[ "", "i"],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "i"], " "],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", " "], "i"], 
          SequenceForm[ 
            SequenceForm[ "", "i"], " "]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SplitDum[{la, \(-1\), \(-2\), li, lj}, A[la, ua]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                SequenceForm[ "", 2],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", 2], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "2"}],
            SequenceForm[ 
              SequenceForm[ "", " "], 2],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", 2], " "], 
          SequenceForm[ 
            SequenceForm[ "", " "], 2]],
        Editable->False], "+", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                SequenceForm[ "", 1],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", 1], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "1"}],
            SequenceForm[ 
              SequenceForm[ "", " "], 1],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", 1], " "], 
          SequenceForm[ 
            SequenceForm[ "", " "], 1]],
        Editable->False], "+", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"i"\),
                SequenceForm[ "", "i"],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "i"], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\"i\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], "i"],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", "i"], " "], 
          SequenceForm[ 
            SequenceForm[ "", " "], "i"]],
        Editable->False], "+", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"j"\),
                SequenceForm[ "", "j"],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "j"], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\"j\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], "j"],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", "j"], " "], 
          SequenceForm[ 
            SequenceForm[ "", " "], "j"]],
        Editable->False]}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["SumDum", "Section"],

Cell[BoxData[
    \(\(Dimension = 2;\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(SumDum[A[la, ua]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                SequenceForm[ "", 2],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", 2], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "2"}],
            SequenceForm[ 
              SequenceForm[ "", " "], 2],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", 2], " "], 
          SequenceForm[ 
            SequenceForm[ "", " "], 2]],
        Editable->False], "+", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                SequenceForm[ "", 1],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", 1], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "1"}],
            SequenceForm[ 
              SequenceForm[ "", " "], 1],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", 1], " "], 
          SequenceForm[ 
            SequenceForm[ "", " "], 1]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(Dimension =. ;\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(SumDum[{1, 3}, A[la, ua]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
                SequenceForm[ "", 3],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", 3], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "3"}],
            SequenceForm[ 
              SequenceForm[ "", " "], 3],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", 3], " "], 
          SequenceForm[ 
            SequenceForm[ "", " "], 3]],
        Editable->False], "+", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                SequenceForm[ "", 2],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", 2], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "2"}],
            SequenceForm[ 
              SequenceForm[ "", " "], 2],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", 2], " "], 
          SequenceForm[ 
            SequenceForm[ "", " "], 2]],
        Editable->False], "+", 
      InterpretationBox[
        SubsuperscriptBox["A", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                SequenceForm[ "", 1],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", 1], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "1"}],
            SequenceForm[ 
              SequenceForm[ "", " "], 1],
            Editable->False]],
        Subsuperscript[ A, 
          SequenceForm[ 
            SequenceForm[ "", 1], " "], 
          SequenceForm[ 
            SequenceForm[ "", " "], 1]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\((RicciR[la, lb] RicciR[ua, ub])\)\^2\)], "Input"],

Cell[BoxData[
    RowBox[{
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"]],
          Editable->False], "2"]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SumDum[{1, 3}, %]\)], "Input"],

Cell[BoxData[
    RowBox[{
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"]],
          Editable->False], "2"]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(TP[RicciR[la, lb] RicciR[ua, ub], 2]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SuperscriptBox[
        RowBox[{"(", 
          TagBox[
            RowBox[{
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                        SequenceForm[ "", "a"],
                        Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False], " ", 
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                        SequenceForm[ "", "a"],
                        Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"]],
                Editable->False]}],
            HoldForm], ")"}], "2"],
      SequenceForm[ 
        Power[ 
          HoldForm[ 
            Times[ 
              RicciR[ la, lb], 
              RicciR[ ua, ub]]], 2]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SumDum[{1, 3}, %]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SuperscriptBox[
          RowBox[{"(", 
            TagBox[
              RowBox[{
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
                          SequenceForm[ "", 3],
                          Editable->False], "\[InvisibleSpace]", "3"}],
                      SequenceForm[ 
                        SequenceForm[ "", 3], 3],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", 3], 3], 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "]],
                  Editable->False], " ", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
                          SequenceForm[ "", 3],
                          Editable->False], "\[InvisibleSpace]", "3"}],
                      SequenceForm[ 
                        SequenceForm[ "", 3], 3],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], 
                    SequenceForm[ 
                      SequenceForm[ "", 3], 3]],
                  Editable->False]}],
              HoldForm], ")"}], "2"],
        SequenceForm[ 
          Power[ 
            HoldForm[ 
              Times[ 
                RicciR[ -3, -3], 
                RicciR[ 3, 3]]], 2]],
        Editable->False], "+", 
      InterpretationBox[
        SuperscriptBox[
          RowBox[{"(", 
            TagBox[
              RowBox[{
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
                          SequenceForm[ "", 3],
                          Editable->False], "\[InvisibleSpace]", "2"}],
                      SequenceForm[ 
                        SequenceForm[ "", 3], 2],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", 3], 2], 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "]],
                  Editable->False], " ", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
                          SequenceForm[ "", 3],
                          Editable->False], "\[InvisibleSpace]", "2"}],
                      SequenceForm[ 
                        SequenceForm[ "", 3], 2],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], 
                    SequenceForm[ 
                      SequenceForm[ "", 3], 2]],
                  Editable->False]}],
              HoldForm], ")"}], "2"],
        SequenceForm[ 
          Power[ 
            HoldForm[ 
              Times[ 
                RicciR[ -3, -2], 
                RicciR[ 3, 2]]], 2]],
        Editable->False], "+", 
      InterpretationBox[
        SuperscriptBox[
          RowBox[{"(", 
            TagBox[
              RowBox[{
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
                          SequenceForm[ "", 3],
                          Editable->False], "\[InvisibleSpace]", "1"}],
                      SequenceForm[ 
                        SequenceForm[ "", 3], 1],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", 3], 1], 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "]],
                  Editable->False], " ", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]3\),
                          SequenceForm[ "", 3],
                          Editable->False], "\[InvisibleSpace]", "1"}],
                      SequenceForm[ 
                        SequenceForm[ "", 3], 1],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], 
                    SequenceForm[ 
                      SequenceForm[ "", 3], 1]],
                  Editable->False]}],
              HoldForm], ")"}], "2"],
        SequenceForm[ 
          Power[ 
            HoldForm[ 
              Times[ 
                RicciR[ -3, -1], 
                RicciR[ 3, 1]]], 2]],
        Editable->False], "+", 
      InterpretationBox[
        SuperscriptBox[
          RowBox[{"(", 
            TagBox[
              RowBox[{
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                          SequenceForm[ "", 2],
                          Editable->False], "\[InvisibleSpace]", "3"}],
                      SequenceForm[ 
                        SequenceForm[ "", 2], 3],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", 2], 3], 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "]],
                  Editable->False], " ", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                          SequenceForm[ "", 2],
                          Editable->False], "\[InvisibleSpace]", "3"}],
                      SequenceForm[ 
                        SequenceForm[ "", 2], 3],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], 
                    SequenceForm[ 
                      SequenceForm[ "", 2], 3]],
                  Editable->False]}],
              HoldForm], ")"}], "2"],
        SequenceForm[ 
          Power[ 
            HoldForm[ 
              Times[ 
                RicciR[ -2, -3], 
                RicciR[ 2, 3]]], 2]],
        Editable->False], "+", 
      InterpretationBox[
        SuperscriptBox[
          RowBox[{"(", 
            TagBox[
              RowBox[{
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                          SequenceForm[ "", 2],
                          Editable->False], "\[InvisibleSpace]", "2"}],
                      SequenceForm[ 
                        SequenceForm[ "", 2], 2],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", 2], 2], 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "]],
                  Editable->False], " ", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                          SequenceForm[ "", 2],
                          Editable->False], "\[InvisibleSpace]", "2"}],
                      SequenceForm[ 
                        SequenceForm[ "", 2], 2],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], 
                    SequenceForm[ 
                      SequenceForm[ "", 2], 2]],
                  Editable->False]}],
              HoldForm], ")"}], "2"],
        SequenceForm[ 
          Power[ 
            HoldForm[ 
              Times[ 
                RicciR[ -2, -2], 
                RicciR[ 2, 2]]], 2]],
        Editable->False], "+", 
      InterpretationBox[
        SuperscriptBox[
          RowBox[{"(", 
            TagBox[
              RowBox[{
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                          SequenceForm[ "", 2],
                          Editable->False], "\[InvisibleSpace]", "1"}],
                      SequenceForm[ 
                        SequenceForm[ "", 2], 1],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", 2], 1], 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "]],
                  Editable->False], " ", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]2\),
                          SequenceForm[ "", 2],
                          Editable->False], "\[InvisibleSpace]", "1"}],
                      SequenceForm[ 
                        SequenceForm[ "", 2], 1],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], 
                    SequenceForm[ 
                      SequenceForm[ "", 2], 1]],
                  Editable->False]}],
              HoldForm], ")"}], "2"],
        SequenceForm[ 
          Power[ 
            HoldForm[ 
              Times[ 
                RicciR[ -2, -1], 
                RicciR[ 2, 1]]], 2]],
        Editable->False], "+", 
      InterpretationBox[
        SuperscriptBox[
          RowBox[{"(", 
            TagBox[
              RowBox[{
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                          SequenceForm[ "", 1],
                          Editable->False], "\[InvisibleSpace]", "3"}],
                      SequenceForm[ 
                        SequenceForm[ "", 1], 3],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", 1], 3], 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "]],
                  Editable->False], " ", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                          SequenceForm[ "", 1],
                          Editable->False], "\[InvisibleSpace]", "3"}],
                      SequenceForm[ 
                        SequenceForm[ "", 1], 3],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], 
                    SequenceForm[ 
                      SequenceForm[ "", 1], 3]],
                  Editable->False]}],
              HoldForm], ")"}], "2"],
        SequenceForm[ 
          Power[ 
            HoldForm[ 
              Times[ 
                RicciR[ -1, -3], 
                RicciR[ 1, 3]]], 2]],
        Editable->False], "+", 
      InterpretationBox[
        SuperscriptBox[
          RowBox[{"(", 
            TagBox[
              RowBox[{
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                          SequenceForm[ "", 1],
                          Editable->False], "\[InvisibleSpace]", "2"}],
                      SequenceForm[ 
                        SequenceForm[ "", 1], 2],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", 1], 2], 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "]],
                  Editable->False], " ", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                          SequenceForm[ "", 1],
                          Editable->False], "\[InvisibleSpace]", "2"}],
                      SequenceForm[ 
                        SequenceForm[ "", 1], 2],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], 
                    SequenceForm[ 
                      SequenceForm[ "", 1], 2]],
                  Editable->False]}],
              HoldForm], ")"}], "2"],
        SequenceForm[ 
          Power[ 
            HoldForm[ 
              Times[ 
                RicciR[ -1, -2], 
                RicciR[ 1, 2]]], 2]],
        Editable->False], "+", 
      InterpretationBox[
        SuperscriptBox[
          RowBox[{"(", 
            TagBox[
              RowBox[{
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                          SequenceForm[ "", 1],
                          Editable->False], "\[InvisibleSpace]", "1"}],
                      SequenceForm[ 
                        SequenceForm[ "", 1], 1],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", 1], 1], 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "]],
                  Editable->False], " ", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                          SequenceForm[ "", 1],
                          Editable->False], "\[InvisibleSpace]", "1"}],
                      SequenceForm[ 
                        SequenceForm[ "", 1], 1],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], 
                    SequenceForm[ 
                      SequenceForm[ "", 1], 1]],
                  Editable->False]}],
              HoldForm], ")"}], "2"],
        SequenceForm[ 
          Power[ 
            HoldForm[ 
              Times[ 
                RicciR[ -1, -1], 
                RicciR[ 1, 1]]], 2]],
        Editable->False]}]], "Output"]
}, Open  ]]
}, Closed]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{},
WindowSize->{647, 694},
WindowMargins->{{45, Automatic}, {Automatic, 0}},
Visible->True,
InputAliases->{"notation"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftRightArrow]", " ",
           
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation>"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongRightArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation<"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "symb"->RowBox[ {"Symbolize", "[", 
        TagBox[ 
        "\[Placeholder]", NotationBoxTag, TagStyle -> 
          "NotationTemplateStyle"], "]"}], 
    "infixnotation"->RowBox[ {"InfixNotation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "addia"->RowBox[ {"AddInputAlias", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "pattwraper"->TagBox[ 
      "\[Placeholder]", NotationPatternTag, TagStyle -> 
        "NotationPatternWrapperStyle"], 
    "madeboxeswraper"->TagBox[ 
      "\[Placeholder]", NotationMadeBoxesTag, TagStyle -> 
        "NotationMadeBoxesWrapperStyle"], 
    "Vdefine"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
            OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
            NotationBoxTag, TagStyle -> "NotationTemplateStyle"], " ", 
          "\[DoubleLongLeftRightArrow]", " ", 
          TagBox[ 
            RowBox[ {"Vector", "[", "\[Placeholder]", "]"}], NotationBoxTag, 
            TagStyle -> "NotationTemplateStyle"]}], "]"}], 
    "ivec"->OverscriptBox[ "\[DotlessI]", "^"], 
    "jvec"->OverscriptBox[ "\[DotlessJ]", "^"], 
    "vect"->OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
    "xvec"->OverscriptBox[ "x", "^"], "yvec"->OverscriptBox[ "y", "^"], 
    "zvec"->OverscriptBox[ "z", "^"], "rvec"->OverscriptBox[ "r", "^"], 
    "tvec"->OverscriptBox[ "\[Theta]", "^"], 
    "pvec"->OverscriptBox[ "\[Phi]", "^"]},
Magnification->1,
StyleDefinitions -> "Demo.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 80, 2, 81, "Subtitle"],
Cell[1800, 53, 52, 1, 54, "Input"],
Cell[1855, 56, 49, 1, 54, "Input"],
Cell[1907, 59, 77, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[2009, 64, 22, 0, 77, "Section"],

Cell[CellGroupData[{
Cell[2056, 68, 102, 2, 77, "Input"],
Cell[2161, 72, 5898, 147, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8096, 224, 42, 1, 54, "Input"],
Cell[8141, 227, 5898, 147, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[14076, 379, 101, 2, 56, "Input"],
Cell[14180, 383, 3863, 99, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[18080, 487, 88, 1, 54, "Input"],
Cell[18171, 490, 3863, 99, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[22071, 594, 92, 1, 77, "Input"],
Cell[22166, 597, 4741, 122, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[26944, 724, 39, 1, 54, "Input"],
Cell[26986, 727, 4757, 122, 58, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[31792, 855, 27, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[31844, 859, 42, 1, 54, "Input"],
Cell[31889, 862, 6070, 147, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[37996, 1014, 39, 1, 54, "Input"],
Cell[38038, 1017, 6070, 147, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[44145, 1169, 44, 1, 54, "Input"],
Cell[44192, 1172, 6070, 147, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[50299, 1324, 115, 3, 78, "Input"],
Cell[50417, 1329, 3919, 99, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[54373, 1433, 44, 1, 54, "Input"],
Cell[54420, 1436, 3919, 99, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[58376, 1540, 104, 2, 77, "Input"],
Cell[58483, 1544, 4869, 122, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[63389, 1671, 44, 1, 54, "Input"],
Cell[63436, 1674, 4869, 122, 58, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[68354, 1802, 31, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[68410, 1806, 42, 1, 54, "Input"],
Cell[68455, 1809, 6070, 147, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[74562, 1961, 48, 1, 54, "Input"],
Cell[74613, 1964, 5898, 147, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[80548, 2116, 115, 3, 78, "Input"],
Cell[80666, 2121, 3919, 99, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[84622, 2225, 48, 1, 54, "Input"],
Cell[84673, 2228, 3863, 99, 59, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[88573, 2332, 104, 2, 77, "Input"],
Cell[88680, 2336, 4869, 122, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[93586, 2463, 48, 1, 54, "Input"],
Cell[93637, 2466, 4753, 122, 58, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[98439, 2594, 27, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[98491, 2598, 50, 1, 54, "Input"],
Cell[98544, 2601, 2121, 54, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[100702, 2660, 90, 1, 54, "Input"],
Cell[100795, 2663, 13299, 325, 59, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[114131, 2993, 68, 1, 54, "Input"],
Cell[114202, 2996, 4455, 109, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[118694, 3110, 107, 2, 77, "Input"],
Cell[118804, 3114, 38193, 945, 82, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[157034, 4064, 70, 1, 54, "Input"],
Cell[157107, 4067, 1847, 49, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[158991, 4121, 88, 1, 54, "Input"],
Cell[159082, 4124, 143, 3, 28, "Message"],
Cell[159228, 4129, 1847, 49, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[161112, 4183, 82, 1, 54, "Input"],
Cell[161197, 4186, 3661, 97, 59, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[164907, 4289, 25, 0, 49, "Section"],
Cell[164935, 4291, 51, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[165011, 4296, 50, 1, 54, "Input"],
Cell[165064, 4299, 1827, 49, 56, "Output"]
}, Open  ]],
Cell[166906, 4351, 51, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[166982, 4356, 58, 1, 54, "Input"],
Cell[167043, 4359, 2724, 73, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[169804, 4437, 71, 1, 56, "Input"],
Cell[169878, 4440, 2019, 51, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[171934, 4496, 50, 1, 54, "Input"],
Cell[171987, 4499, 2019, 51, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[174043, 4555, 69, 1, 54, "Input"],
Cell[174115, 4558, 2552, 61, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[176704, 4624, 50, 1, 54, "Input"],
Cell[176757, 4627, 24495, 604, 82, "Output"]
}, Open  ]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

