(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     21202,        695]*)
(*NotebookOutlinePosition[     24680,        784]*)
(*  CellTagsIndexPosition[     24636,        780]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["On and Off", "Subtitle",
  TextAlignment->Center,
  TextJustification->0],

Cell[BoxData[
    \(<< \ dhPark`Tensor`\)], "Input"],

Cell[CellGroupData[{

Cell["On and Off", "Section"],

Cell[CellGroupData[{

Cell["SyntaxCheckFlag", "Subsubsection"],

Cell[BoxData[
    \(On[SyntaxCheckFlag]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(CD[la, RicciR[lb, uc] RicciR[lc, lb]]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"duplicated indices:\"\) \!\({lb, uc, lc, lb}\) \!\(\"\"\) \!\(\"\
\"\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(Off[SyntaxCheckFlag]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(CD[la, RicciR[lb, uc] RicciR[lc, lb]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                        SequenceForm[ "", "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], "c"],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "c"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[Del]", "a"], 
              RicciR[ lb, uc]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "b"], "c"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False]}], "+", 
      RowBox[{
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                        SequenceForm[ "", "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[Del]", "a"], 
              RicciR[ lb, lc]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], "c"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "b"], " "], 
            SequenceForm[ 
              SequenceForm[ "", " "], "c"]],
          Editable->False]}]}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["CoordinateBasisFlag", "Subsubsection"],

Cell[BoxData[
    \(Off[CoordinateBasisFlag]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Symmetries[AffineG]\)], "Input"],

Cell[BoxData[
    \("+abc"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(BD[la, RicciR[lb, lc]]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{\("D"\_"a"\), "\[InvisibleSpace]", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "b"], "c"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False]}],
      SequenceForm[ 
        Subscript[ "D", "a"], 
        RicciR[ lb, lc]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(On[CoordinateBasisFlag]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Symmetries[AffineG]\)], "Input"],

Cell[BoxData[
    \("+abc+bac"\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(BD[la, RicciR[lb, lc]]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "b"], "c"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False]}],
      SequenceForm[ 
        Subscript[ "\[PartialD]", "a"], 
        RicciR[ lb, lc]],
      Editable->False]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["MetricgFlag", "Subsubsection"],

Cell[BoxData[
    \(Off[MetricgFlag]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(RicciR[la, lb]\ Metricg[ua, ub]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["g", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False]],
        Subsuperscript[ g, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(On[MetricgFlag]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(RicciR[la, lb]\ Metricg[ua, ub]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\(R\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
      Subsuperscript[ R, "", ""],
      Editable->False]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["EvaluateBDFlag", "Subsubsection"],

Cell[BoxData[
    \(Off[EvaluateBDFlag]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(BD[1, a]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{
        InterpretationBox[\("\[PartialD]"\^1\),
          Superscript[ "\[PartialD]", 1],
          Editable->False], "\[InvisibleSpace]", "a"}],
      SequenceForm[ 
        Superscript[ "\[PartialD]", 1], a],
      Editable->False]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(On[EvaluateBDFlag]\)], "Input"],

Cell[BoxData[
    \(SetCoordinates[{t, x}]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(BD[1, a]\)], "Input"],

Cell[BoxData[
    \(0\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["AutoCanFlag", "Subsubsection"],

Cell[BoxData[
    \(Off[AutoCanFlag]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(MaxwellF[lb, la]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox["F", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
              SequenceForm[ "", "b"],
              Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
          SequenceForm[ 
            SequenceForm[ "", "b"], "a"],
          Editable->False], 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
          SequenceForm[ 
            SequenceForm[ "", " "], " "],
          Editable->False]],
      Subsuperscript[ F, 
        SequenceForm[ 
          SequenceForm[ "", "b"], "a"], 
        SequenceForm[ 
          SequenceForm[ "", " "], " "]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(On[AutoCanFlag]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(MaxwellF[lb, la]\)], "Input"],

Cell[BoxData[
    RowBox[{"-", 
      InterpretationBox[
        SubsuperscriptBox["F", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ F, 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False]}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["TorsionFreeFlag", "Subsubsection"],

Cell[BoxData[
    \(On[TorsionFreeFlag]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Torsiont[lb, la, uc]\)], "Input"],

Cell[BoxData[
    \(Torsiont[lb, la, uc]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(AffineG[lb, la, uc]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox["\[CapitalGamma]", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"],
              Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"], " "],
          Editable->False], 
        InterpretationBox[
          RowBox[{
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], "c"],
          Editable->False]],
      Subsuperscript[ \[CapitalGamma], 
        SequenceForm[ 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"], " "], 
        SequenceForm[ 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], "c"]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Symmetries[RiemannR]\)], "Input"],

Cell[BoxData[
    \("+abcd-abdc-bacd+badc+cdab-cdba-dcab+dcba"\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(Off[TorsionFreeFlag]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Torsiont[lb, la, uc]\)], "Input"],

Cell[BoxData[
    RowBox[{"-", 
      InterpretationBox[
        SubsuperscriptBox["t", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "c"],
            Editable->False]],
        Subsuperscript[ t, 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"], " "], 
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], "c"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(AffineG[lb, la, uc]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox["\[CapitalGamma]", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "b"], "a"],
              Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ "", "b"], "a"], " "],
          Editable->False], 
        InterpretationBox[
          RowBox[{
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
          SequenceForm[ 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], "c"],
          Editable->False]],
      Subsuperscript[ \[CapitalGamma], 
        SequenceForm[ 
          SequenceForm[ 
            SequenceForm[ "", "b"], "a"], " "], 
        SequenceForm[ 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], "c"]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(Symmetries[RiemannR]\)\(\ \ \)\( (*\ CurvatureR\ *) \)\)\)], "Input"],

Cell[BoxData[
    \("+abcd-abdc-bacd+badc"\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(On[TorsionFreeFlag]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Torsiont[la, lb, uc]\)], "Input"],

Cell[BoxData[
    \("Removed"\)], "Output"]
}, Open  ]]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{},
WindowSize->{645, 694},
WindowMargins->{{24, Automatic}, {1, Automatic}},
Visible->True,
InputAliases->{"notation"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftRightArrow]", " ",
           
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation>"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongRightArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation<"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "symb"->RowBox[ {"Symbolize", "[", 
        TagBox[ 
        "\[Placeholder]", NotationBoxTag, TagStyle -> 
          "NotationTemplateStyle"], "]"}], 
    "infixnotation"->RowBox[ {"InfixNotation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "addia"->RowBox[ {"AddInputAlias", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "pattwraper"->TagBox[ 
      "\[Placeholder]", NotationPatternTag, TagStyle -> 
        "NotationPatternWrapperStyle"], 
    "madeboxeswraper"->TagBox[ 
      "\[Placeholder]", NotationMadeBoxesTag, TagStyle -> 
        "NotationMadeBoxesWrapperStyle"], 
    "Vdefine"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
            OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
            NotationBoxTag, TagStyle -> "NotationTemplateStyle"], " ", 
          "\[DoubleLongLeftRightArrow]", " ", 
          TagBox[ 
            RowBox[ {"Vector", "[", "\[Placeholder]", "]"}], NotationBoxTag, 
            TagStyle -> "NotationTemplateStyle"]}], "]"}], 
    "ivec"->OverscriptBox[ "\[DotlessI]", "^"], 
    "jvec"->OverscriptBox[ "\[DotlessJ]", "^"], 
    "vect"->OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
    "xvec"->OverscriptBox[ "x", "^"], "yvec"->OverscriptBox[ "y", "^"], 
    "zvec"->OverscriptBox[ "z", "^"], "rvec"->OverscriptBox[ "r", "^"], 
    "tvec"->OverscriptBox[ "\[Theta]", "^"], 
    "pvec"->OverscriptBox[ "\[Phi]", "^"]},
Magnification->1,
StyleDefinitions -> "Demo.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 79, 2, 81, "Subtitle"],
Cell[1799, 53, 52, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[1876, 58, 29, 0, 77, "Section"],

Cell[CellGroupData[{
Cell[1930, 62, 40, 0, 57, "Subsubsection"],
Cell[1973, 64, 52, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[2050, 69, 70, 1, 54, "Input"],
Cell[2123, 72, 147, 3, 28, "Message"],
Cell[2273, 77, 39, 1, 54, "Output"]
}, Open  ]],
Cell[2327, 81, 53, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[2405, 86, 70, 1, 54, "Input"],
Cell[2478, 89, 4719, 113, 55, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[7246, 208, 44, 0, 35, "Subsubsection"],
Cell[7293, 210, 57, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[7375, 215, 52, 1, 54, "Input"],
Cell[7430, 218, 40, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7507, 224, 55, 1, 54, "Input"],
Cell[7565, 227, 1160, 30, 55, "Output"]
}, Open  ]],
Cell[8740, 260, 56, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[8821, 265, 52, 1, 54, "Input"],
Cell[8876, 268, 44, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8957, 274, 55, 1, 54, "Input"],
Cell[9015, 277, 1180, 30, 55, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[10244, 313, 36, 0, 35, "Subsubsection"],
Cell[10283, 315, 49, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[10357, 320, 64, 1, 54, "Input"],
Cell[10424, 323, 1867, 49, 56, "Output"]
}, Open  ]],
Cell[12306, 375, 48, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[12379, 380, 64, 1, 54, "Input"],
Cell[12446, 383, 147, 3, 55, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[12642, 392, 39, 0, 35, "Subsubsection"],
Cell[12684, 394, 52, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[12761, 399, 41, 1, 54, "Input"],
Cell[12805, 402, 297, 8, 55, "Output"]
}, Open  ]],
Cell[13117, 413, 51, 1, 54, "Input"],
Cell[13171, 416, 55, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[13251, 421, 41, 1, 54, "Input"],
Cell[13295, 424, 35, 1, 54, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[13379, 431, 36, 0, 35, "Subsubsection"],
Cell[13418, 433, 49, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[13492, 438, 49, 1, 54, "Input"],
Cell[13544, 441, 887, 24, 55, "Output"]
}, Open  ]],
Cell[14446, 468, 48, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[14519, 473, 49, 1, 54, "Input"],
Cell[14571, 476, 955, 25, 55, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[15575, 507, 40, 0, 35, "Subsubsection"],
Cell[15618, 509, 52, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[15695, 514, 53, 1, 54, "Input"],
Cell[15751, 517, 54, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15842, 523, 52, 1, 54, "Input"],
Cell[15897, 526, 1469, 38, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[17403, 569, 53, 1, 54, "Input"],
Cell[17459, 572, 76, 1, 54, "Output"]
}, Open  ]],
Cell[17550, 576, 53, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[17628, 581, 53, 1, 54, "Input"],
Cell[17684, 584, 1537, 39, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19258, 628, 52, 1, 54, "Input"],
Cell[19313, 631, 1469, 38, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[20819, 674, 93, 1, 54, "Input"],
Cell[20915, 677, 56, 1, 54, "Output"]
}, Open  ]],
Cell[20986, 681, 52, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[21063, 686, 53, 1, 54, "Input"],
Cell[21119, 689, 43, 1, 54, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

