(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     21106,        668]*)
(*NotebookOutlinePosition[     24584,        757]*)
(*  CellTagsIndexPosition[     24540,        753]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["SyntaxCheck", "Subtitle",
  TextAlignment->Center,
  TextJustification->0],

Cell[BoxData[
    \(<< \ dhPark`Tensor`\)], "Input"],

Cell[CellGroupData[{

Cell["SyntexCheck", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(a\ ScalarR[]\ MaxwellF[lb, ua] + \ b\ RicciR[lb, la]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"b", " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False]}], "+", 
      RowBox[{"a", " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], "a"],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", "b"], " "], 
            SequenceForm[ 
              SequenceForm[ "", " "], "a"]],
          Editable->False], " ", 
        InterpretationBox[\(R\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
          Subsuperscript[ R, "", ""],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SyntaxCheck[%]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"incompatible free indices:\"\) \!\({la, lb}\) \!\(\"and\"\) \
\!\({lb, ua}\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(RicciR[la, la]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox["R", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
              SequenceForm[ "", "a"],
              Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
          SequenceForm[ 
            SequenceForm[ "", "a"], "a"],
          Editable->False], 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
          SequenceForm[ 
            SequenceForm[ "", " "], " "],
          Editable->False]],
      Subsuperscript[ R, 
        SequenceForm[ 
          SequenceForm[ "", "a"], "a"], 
        SequenceForm[ 
          SequenceForm[ "", " "], " "]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SyntaxCheck[%]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"duplicated indices:\"\) \!\({la, la}\) \!\(\"\"\) \
\!\(\"\"\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(RicciR[la, lb] MaxwellF[lb, ua]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["F", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                SequenceForm[ "", "b"],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "b"], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], "a"],
            Editable->False]],
        Subsuperscript[ F, 
          SequenceForm[ 
            SequenceForm[ "", "b"], " "], 
          SequenceForm[ 
            SequenceForm[ "", " "], "a"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SyntaxCheck[%]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"duplicated indices:\"\) \!\({lb, ua, la, lb}\) \!\(\"\"\) \!\(\"\
\"\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(RicciR[la]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox["R", 
        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
          SequenceForm[ "", "a"],
          Editable->False], 
        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
          SequenceForm[ "", " "],
          Editable->False]],
      Subsuperscript[ R, 
        SequenceForm[ "", "a"], 
        SequenceForm[ "", " "]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SyntaxCheck[%]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\({la}\) \!\(\"has invalid number of indices for\"\) \!\(RicciR\) \!\
\(\"\"\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(RicciR[la, lB]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox["R", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
              SequenceForm[ "", "a"],
              Editable->False], "\[InvisibleSpace]", "\<\"B\"\>"}],
          SequenceForm[ 
            SequenceForm[ "", "a"], "B"],
          Editable->False], 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
          SequenceForm[ 
            SequenceForm[ "", " "], " "],
          Editable->False]],
      Subsuperscript[ R, 
        SequenceForm[ 
          SequenceForm[ "", "a"], "B"], 
        SequenceForm[ 
          SequenceForm[ "", " "], " "]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SyntaxCheck[%]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"invalid index\"\) \!\(lB\) \!\(\"\"\) \!\(\"\"\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CD[la, RicciR[lb, uc] RicciR[lc, lb]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                        SequenceForm[ "", "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], "c"],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "c"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[Del]", "a"], 
              RicciR[ lb, uc]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "b"], "c"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False]}], "+", 
      RowBox[{
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                        SequenceForm[ "", "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[Del]", "a"], 
              RicciR[ lb, lc]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], "c"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "b"], " "], 
            SequenceForm[ 
              SequenceForm[ "", " "], "c"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SyntaxCheck[%]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"duplicated indices:\"\) \!\({la, lb, uc, lb, lc}\) \!\(\"\"\) \!\
\(\"\"\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CD[lA, RicciR[la, uc]]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{\("\[Del]"\_"A"\), "\[InvisibleSpace]", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], "c"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "a"], " "], 
            SequenceForm[ 
              SequenceForm[ "", " "], "c"]],
          Editable->False]}],
      SequenceForm[ 
        Subscript[ "\[Del]", "A"], 
        RicciR[ la, uc]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SyntaxCheck[%]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"invalid index\"\) \!\(lA\) \!\(\"\"\) \!\(\"\"\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\((RicciR[la, la])\)\^2\)], "Input"],

Cell[BoxData[
    SuperscriptBox[
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "a"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ "", "a"], "a"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False], "2"]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SyntaxCheck[%]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"non-scalar expression in Power:\"\) \!\(R\_\(\(\(\"\" \
\[InvisibleSpace] \"a\"\)\) \[InvisibleSpace] \"a\"\)\%\(\(\(\"\" \
\[InvisibleSpace] \" \"\)\) \[InvisibleSpace] \" \"\)\) \!\(\"\"\) \
\!\(\"\"\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(TP[RicciR[la, lb], 2]\)], "Input"],

Cell[BoxData[
    SuperscriptBox[
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False], "2"]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SyntaxCheck[%]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"non-scalar expression in Power:\"\) \!\(R\_\(\(\(\"\" \
\[InvisibleSpace] \"a\"\)\) \[InvisibleSpace] \"b\"\)\%\(\(\(\"\" \
\[InvisibleSpace] \" \"\)\) \[InvisibleSpace] \" \"\)\) \!\(\"\"\) \
\!\(\"\"\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(LD[V, RicciR[la, ub]]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{\("\[ScriptCapitalL]"\_V\), "\[InvisibleSpace]", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], "b"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "a"], " "], 
            SequenceForm[ 
              SequenceForm[ "", " "], "b"]],
          Editable->False]}],
      SequenceForm[ 
        Subscript[ "\[ScriptCapitalL]", V], 
        RicciR[ la, ub]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SyntaxCheck[%]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"non-vector:\"\) \!\(V\) \!\(\"\"\) \!\(\"\"\)"\)], "Message"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]]
}, Closed]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{},
WindowSize->{645, 694},
WindowMargins->{{34, Automatic}, {0, Automatic}},
Visible->True,
InputAliases->{"notation"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftRightArrow]", " ",
           
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation>"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongRightArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation<"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "symb"->RowBox[ {"Symbolize", "[", 
        TagBox[ 
        "\[Placeholder]", NotationBoxTag, TagStyle -> 
          "NotationTemplateStyle"], "]"}], 
    "infixnotation"->RowBox[ {"InfixNotation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "addia"->RowBox[ {"AddInputAlias", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "pattwraper"->TagBox[ 
      "\[Placeholder]", NotationPatternTag, TagStyle -> 
        "NotationPatternWrapperStyle"], 
    "madeboxeswraper"->TagBox[ 
      "\[Placeholder]", NotationMadeBoxesTag, TagStyle -> 
        "NotationMadeBoxesWrapperStyle"], 
    "Vdefine"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
            OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
            NotationBoxTag, TagStyle -> "NotationTemplateStyle"], " ", 
          "\[DoubleLongLeftRightArrow]", " ", 
          TagBox[ 
            RowBox[ {"Vector", "[", "\[Placeholder]", "]"}], NotationBoxTag, 
            TagStyle -> "NotationTemplateStyle"]}], "]"}], 
    "ivec"->OverscriptBox[ "\[DotlessI]", "^"], 
    "jvec"->OverscriptBox[ "\[DotlessJ]", "^"], 
    "vect"->OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
    "xvec"->OverscriptBox[ "x", "^"], "yvec"->OverscriptBox[ "y", "^"], 
    "zvec"->OverscriptBox[ "z", "^"], "rvec"->OverscriptBox[ "r", "^"], 
    "tvec"->OverscriptBox[ "\[Theta]", "^"], 
    "pvec"->OverscriptBox[ "\[Phi]", "^"]},
Magnification->1,
StyleDefinitions -> "Demo.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 80, 2, 81, "Subtitle"],
Cell[1800, 53, 52, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[1877, 58, 30, 0, 77, "Section"],

Cell[CellGroupData[{
Cell[1932, 62, 85, 1, 54, "Input"],
Cell[2020, 65, 2158, 54, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4215, 124, 47, 1, 54, "Input"],
Cell[4265, 127, 153, 3, 51, "Message"],
Cell[4421, 132, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4497, 138, 47, 1, 54, "Input"],
Cell[4547, 141, 887, 24, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5471, 170, 47, 1, 54, "Input"],
Cell[5521, 173, 139, 3, 28, "Message"],
Cell[5663, 178, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5739, 184, 64, 1, 54, "Input"],
Cell[5806, 187, 1867, 49, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7710, 241, 47, 1, 54, "Input"],
Cell[7760, 244, 147, 3, 28, "Message"],
Cell[7910, 249, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7986, 255, 43, 1, 54, "Input"],
Cell[8032, 258, 447, 12, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8516, 275, 47, 1, 54, "Input"],
Cell[8566, 278, 151, 3, 51, "Message"],
Cell[8720, 283, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8796, 289, 47, 1, 54, "Input"],
Cell[8846, 292, 887, 24, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[9770, 321, 47, 1, 54, "Input"],
Cell[9820, 324, 125, 2, 28, "Message"],
Cell[9948, 328, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10024, 334, 70, 1, 54, "Input"],
Cell[10097, 337, 4719, 113, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[14853, 455, 47, 1, 54, "Input"],
Cell[14903, 458, 151, 3, 51, "Message"],
Cell[15057, 463, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15133, 469, 55, 1, 54, "Input"],
Cell[15191, 472, 1170, 30, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[16398, 507, 47, 1, 54, "Input"],
Cell[16448, 510, 125, 2, 28, "Message"],
Cell[16576, 514, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[16652, 520, 56, 1, 56, "Input"],
Cell[16711, 523, 961, 25, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[17709, 553, 47, 1, 54, "Input"],
Cell[17759, 556, 280, 5, 29, "Message"],
Cell[18042, 563, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[18118, 569, 54, 1, 54, "Input"],
Cell[18175, 572, 961, 25, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19173, 602, 47, 1, 54, "Input"],
Cell[19223, 605, 280, 5, 29, "Message"],
Cell[19506, 612, 39, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19582, 618, 54, 1, 54, "Input"],
Cell[19639, 621, 1188, 30, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[20864, 656, 47, 1, 54, "Input"],
Cell[20914, 659, 122, 2, 28, "Message"],
Cell[21039, 663, 39, 1, 54, "Output"]
}, Open  ]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

