(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     62462,       1694]*)
(*NotebookOutlinePosition[     65940,       1783]*)
(*  CellTagsIndexPosition[     65896,       1779]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["Tensorial Operators", "Subtitle",
  TextAlignment->Center,
  TextJustification->0],

Cell[BoxData[
    \(<< \ dhPark`Tensor`\)], "Input"],

Cell[BoxData[
    \(Tdefine[f, "\<\>"]; Tdefine[v, "\<a\>"]\)], "Input"],

Cell[BoxData[
    \(SetAttributes[{c1, c2}, Constant]\)], "Input"],

Cell[CellGroupData[{

Cell["Ordinary Derivative", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \({BD[1, v[la]], \ BD[la, v[ua]], BD[la, v[lb]]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[PartialD]"\^1\),
              Superscript[ "\[PartialD]", 1],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["v", 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False]],
              Subsuperscript[ v, 
                SequenceForm[ "", "a"], 
                SequenceForm[ "", " "]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[PartialD]", 1], 
            v[ la]],
          Editable->False], ",", 
        InterpretationBox[
          RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["v", 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False]],
              Subsuperscript[ v, 
                SequenceForm[ "", " "], 
                SequenceForm[ "", "a"]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[PartialD]", "a"], 
            v[ ua]],
          Editable->False], ",", 
        InterpretationBox[
          RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["v", 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False], 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False]],
              Subsuperscript[ v, 
                SequenceForm[ "", "b"], 
                SequenceForm[ "", " "]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[PartialD]", "a"], 
            v[ lb]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({BD[lb, la, MaxwellF[ua, ub]], BD[lb, la, RicciR[ua, ub]]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{"0", ",", 
        InterpretationBox[
          RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["R", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False]],
                  Subsuperscript[ R, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[PartialD]", "b"], 
                RicciR[ ua, ub]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[PartialD]", "a"], 
            BD[ lb, 
              RicciR[ ua, ub]]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(BD[la, RiemannR[ua, ub, lb, lc]]\)], "Input"],

Cell[BoxData[
    RowBox[{"-", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "a"],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ "", "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ "", " "], "a"]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[PartialD]", "a"], 
            RicciR[ lc, ua]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(BD[la, RiemannR[ua, lb, lc, ld]]\ Metricg[ub, uc]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"-", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"b"\),
                                SequenceForm[ "", "b"],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\" \"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", "b"], " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"c\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", "b"], " "], "c"],
                        Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "b"], " "], "c"], "d"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[
                            RowBox[{
                              
                              InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                SequenceForm[ "", " "],
                                Editable->False], 
                              "\[InvisibleSpace]", "\<\"a\"\>"}],
                            SequenceForm[ 
                              SequenceForm[ "", " "], "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ 
                            SequenceForm[ "", " "], "a"], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "a"], " "], " "],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "], "c"], "d"], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], "a"], " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "a"], 
              RiemannR[ lb, ua, lc, ld]],
            Editable->False], ")"}]}], " ", 
      InterpretationBox[
        SubsuperscriptBox["g", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                SequenceForm[ "", "b"],
                Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "b"], "c"],
            Editable->False]],
        Subsuperscript[ g, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "b"], "c"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(BD[ua, \ 
      c1\ RicciR[la, lb]\  + \ 
        c2\ MaxwellF[la, lc]\ RicciR[uc, lb]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"c1", " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\("\[PartialD]"\^"a"\),
                Superscript[ "\[PartialD]", "a"],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                        SequenceForm[ "", "a"],
                        Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Superscript[ "\[PartialD]", "a"], 
              RicciR[ la, lb]],
            Editable->False], ")"}]}], "+", 
      RowBox[{"c2", " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\("\[PartialD]"\^"a"\),
                Superscript[ "\[PartialD]", "a"],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                        SequenceForm[ "", "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], "c"],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "c"]],
                Editable->False]}],
            SequenceForm[ 
              Superscript[ "\[PartialD]", "a"], 
              RicciR[ lb, uc]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", "a"], "c"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False]}], "+", 
      RowBox[{"c2", " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\("\[PartialD]"\^"a"\),
                Superscript[ "\[PartialD]", "a"],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["F", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                        SequenceForm[ "", "a"],
                        Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ F, 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Superscript[ "\[PartialD]", "a"], 
              MaxwellF[ la, lc]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], "c"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "b"], " "], 
            SequenceForm[ 
              SequenceForm[ "", " "], "c"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(BD[la, \ f[]^n]\)], "Input"],

Cell[BoxData[
    RowBox[{"n", " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
              Subsuperscript[ f, "", ""],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[PartialD]", "a"], 
            f[ ]],
          Editable->False], ")"}], " ", 
      SuperscriptBox[
        InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
          Subsuperscript[ f, "", ""],
          Editable->False], \(\(-1\) + n\)]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(BD[la, TP[f[], n]]\)], "Input"],

Cell[BoxData[
    RowBox[{"n", " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
              Subsuperscript[ f, "", ""],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[PartialD]", "a"], 
            f[ ]],
          Editable->False], ")"}], " ", 
      SuperscriptBox[
        InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
          Subsuperscript[ f, "", ""],
          Editable->False], \(\(-1\) + n\)]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(BD[lc, \ \((RicciR[la, lb]\ Metricg[ua, ub])\)^n]\)], "Input"],

Cell[BoxData[
    RowBox[{"n", " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
            InterpretationBox[\(R\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
              Subsuperscript[ R, "", ""],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[PartialD]", "c"], 
            ScalarR[ ]],
          Editable->False], ")"}], " ", 
      SuperscriptBox[
        InterpretationBox[\(R\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
          Subsuperscript[ R, "", ""],
          Editable->False], \(\(-1\) + n\)]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(BD[aa, RiemannR[la, ub, ua, ud]]\)\(\ \ \)\( (*\ 
      no\ SyntexCheck\ *) \)\)\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{
        InterpretationBox[\("\[PartialD]"\^"a"\),
          Superscript[ "\[PartialD]", "a"],
          Editable->False], "\[InvisibleSpace]", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "b"], "d"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "b"], "d"]],
          Editable->False]}],
      SequenceForm[ 
        Superscript[ "\[PartialD]", "a"], 
        RicciR[ ub, ud]],
      Editable->False]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Covariant Derivative", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \({CD[la, v[ua]], \ CD[1, v[la]], \ CD[\(-1\), v[1]]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["v", 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False]],
              Subsuperscript[ v, 
                SequenceForm[ "", " "], 
                SequenceForm[ "", "a"]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[Del]", "a"], 
            v[ ua]],
          Editable->False], ",", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[Del]"\^1\),
              Superscript[ "\[Del]", 1],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["v", 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False]],
              Subsuperscript[ v, 
                SequenceForm[ "", "a"], 
                SequenceForm[ "", " "]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[Del]", 1], 
            v[ la]],
          Editable->False], ",", 
        InterpretationBox[
          RowBox[{\("\[Del]"\_1\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["v", 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                  SequenceForm[ "", 1],
                  Editable->False]],
              Subsuperscript[ v, 
                SequenceForm[ "", " "], 
                SequenceForm[ "", 1]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[Del]", 1], 
            v[ 1]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({CD[la, lb, lc, MaxwellF[ld, le]], CD[la, lb, v[lc]]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"b"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{\("\[Del]"\_"c"\), "\[InvisibleSpace]", 
                    InterpretationBox[
                      SubsuperscriptBox["F", 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"d"\),
                              SequenceForm[ "", "d"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"e\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", "d"], "e"],
                          Editable->False], 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
" "\),
                              SequenceForm[ "", " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "],
                          Editable->False]],
                      Subsuperscript[ F, 
                        SequenceForm[ 
                          SequenceForm[ "", "d"], "e"], 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "]],
                      Editable->False]}],
                  SequenceForm[ 
                    Subscript[ "\[Del]", "c"], 
                    MaxwellF[ ld, le]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "b"], 
                CD[ lc, 
                  MaxwellF[ ld, le]]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[Del]", "a"], 
            CD[ lb, 
              CD[ lc, 
                MaxwellF[ ld, le]]]],
          Editable->False], ",", 
        InterpretationBox[
          RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"b"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["v", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False]],
                  Subsuperscript[ v, 
                    SequenceForm[ "", "c"], 
                    SequenceForm[ "", " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "b"], 
                v[ lc]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[Del]", "a"], 
            CD[ lb, 
              v[ lc]]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({CD[la, \ Metricg[lb, lc]], CD[la, Metricg[\(-1\), uc]]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{"0", ",", 
        InterpretationBox[
          RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                      SequenceForm[ "", 1],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", 1], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "c"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", 1], " "], 
                SequenceForm[ 
                  SequenceForm[ "", " "], "c"]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[Del]", "a"], 
            Metricg[ -1, uc]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CD[la, RiemannR[ua, lb, ub, lc]]\)], "Input"],

Cell[BoxData[
    RowBox[{"-", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "a"],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ "", "c"], " "], 
                SequenceForm[ 
                  SequenceForm[ "", " "], "a"]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[Del]", "a"], 
            RicciR[ lc, ua]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CD[la, RiemannR[ua, lb, lc, ld]]\ Metricg[ub, uc]\)], "Input"],

Cell[BoxData[
    RowBox[{"-", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\),
                      SequenceForm[ "", "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "d"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "a"],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ "", "d"], " "], 
                SequenceForm[ 
                  SequenceForm[ "", " "], "a"]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[Del]", "a"], 
            RicciR[ ld, ua]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CD[ua, \ 
      c1\ RicciR[la, lb]\  + \ 
        c2\ MaxwellF[la, lc]\ RicciR[uc, lb]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"c1", " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\("\[Del]"\^"a"\),
                Superscript[ "\[Del]", "a"],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                        SequenceForm[ "", "a"],
                        Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Superscript[ "\[Del]", "a"], 
              RicciR[ la, lb]],
            Editable->False], ")"}]}], "+", 
      RowBox[{"c2", " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\("\[Del]"\^"a"\),
                Superscript[ "\[Del]", "a"],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                        SequenceForm[ "", "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], "c"],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "c"]],
                Editable->False]}],
            SequenceForm[ 
              Superscript[ "\[Del]", "a"], 
              RicciR[ lb, uc]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", "a"], "c"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False]}], "+", 
      RowBox[{"c2", " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\("\[Del]"\^"a"\),
                Superscript[ "\[Del]", "a"],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["F", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                        SequenceForm[ "", "a"],
                        Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ F, 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Superscript[ "\[Del]", "a"], 
              MaxwellF[ la, lc]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], "c"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "b"], " "], 
            SequenceForm[ 
              SequenceForm[ "", " "], "c"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CD[la, \ f[]^n]\)], "Input"],

Cell[BoxData[
    RowBox[{"n", " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
              Subsuperscript[ f, "", ""],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[Del]", "a"], 
            f[ ]],
          Editable->False], ")"}], " ", 
      SuperscriptBox[
        InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
          Subsuperscript[ f, "", ""],
          Editable->False], \(\(-1\) + n\)]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CD[lc, \ \((RicciR[la, lb]\ Metricg[ua, ub])\)^n]\)], "Input"],

Cell[BoxData[
    RowBox[{"n", " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[Del]"\_"c"\), "\[InvisibleSpace]", 
            InterpretationBox[\(R\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
              Subsuperscript[ R, "", ""],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[Del]", "c"], 
            ScalarR[ ]],
          Editable->False], ")"}], " ", 
      SuperscriptBox[
        InterpretationBox[\(R\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
          Subsuperscript[ R, "", ""],
          Editable->False], \(\(-1\) + n\)]}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Lie Derivative", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \({LD[v, v[la]], LD[v, \ v[ua]], LD[v, v[1]]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        InterpretationBox[
          RowBox[{\("\[ScriptCapitalL]"\_"v"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["v", 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False]],
              Subsuperscript[ v, 
                SequenceForm[ "", "a"], 
                SequenceForm[ "", " "]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[ScriptCapitalL]", "v"], 
            v[ la]],
          Editable->False], ",", "0", ",", 
        InterpretationBox[
          RowBox[{\("\[ScriptCapitalL]"\_"v"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["v", 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], 
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                  SequenceForm[ "", 1],
                  Editable->False]],
              Subsuperscript[ v, 
                SequenceForm[ "", " "], 
                SequenceForm[ "", 1]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[ScriptCapitalL]", "v"], 
            v[ 1]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(LD[v, RiemannR[la, lb, ub, uc]]\)], "Input"],

Cell[BoxData[
    RowBox[{"-", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[ScriptCapitalL]"\_"v"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "c"],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ "", "a"], " "], 
                SequenceForm[ 
                  SequenceForm[ "", " "], "c"]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[ScriptCapitalL]", "v"], 
            RicciR[ la, uc]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(LD[v, RiemannR[la, lb, lc, ld]]\ Metricg[ub, uc]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[ScriptCapitalL]"\_"v"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                              SequenceForm[ "", "a"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"b\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "b"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"], "c"], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
" "\),
                              SequenceForm[ "", " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], " "], " "],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], "c"], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "], " "]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[ScriptCapitalL]", "v"], 
            RiemannR[ la, lb, lc, ld]],
          Editable->False], ")"}], " ", 
      InterpretationBox[
        SubsuperscriptBox["g", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                SequenceForm[ "", "b"],
                Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "b"], "c"],
            Editable->False]],
        Subsuperscript[ g, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "b"], "c"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(LD[v, \ 
      c1\ RicciR[la, lb]\  + \ 
        c2\ MaxwellF[la, lc]\ RicciR[uc, lb]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"c1", " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[ScriptCapitalL]"\_"v"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                        SequenceForm[ "", "a"],
                        Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[ScriptCapitalL]", "v"], 
              RicciR[ la, lb]],
            Editable->False], ")"}]}], "+", 
      RowBox[{"c2", " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[ScriptCapitalL]"\_"v"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["R", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                        SequenceForm[ "", "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "b"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], "c"],
                    Editable->False]],
                Subsuperscript[ R, 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], "c"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[ScriptCapitalL]", "v"], 
              RicciR[ lb, uc]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "c"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", "a"], "c"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False]}], "+", 
      RowBox[{"c2", " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[ScriptCapitalL]"\_"v"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["F", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                        SequenceForm[ "", "a"],
                        Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "c"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ F, 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "c"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[ScriptCapitalL]", "v"], 
              MaxwellF[ la, lc]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "b"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], "c"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "b"], " "], 
            SequenceForm[ 
              SequenceForm[ "", " "], "c"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(LD[v, \ f[]^n]\)], "Input"],

Cell[BoxData[
    RowBox[{"n", " ", 
      SuperscriptBox[
        InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
          Subsuperscript[ f, "", ""],
          Editable->False], \(\(-1\) + n\)], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[ScriptCapitalL]"\_"v"\), "\[InvisibleSpace]", 
            InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
              Subsuperscript[ f, "", ""],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[ScriptCapitalL]", "v"], 
            f[ ]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(LD[v, TP[f[], n]]\)], "Input"],

Cell[BoxData[
    RowBox[{"n", " ", 
      SuperscriptBox[
        InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
          Subsuperscript[ f, "", ""],
          Editable->False], \(\(-1\) + n\)], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[ScriptCapitalL]"\_"v"\), "\[InvisibleSpace]", 
            InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
              Subsuperscript[ f, "", ""],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[ScriptCapitalL]", "v"], 
            f[ ]],
          Editable->False], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(LD[v, \ \((RicciR[la, lb]\ Metricg[ua, ub])\)^n]\)], "Input"],

Cell[BoxData[
    RowBox[{"n", " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[ScriptCapitalL]"\_"v"\), "\[InvisibleSpace]", 
            InterpretationBox[\(R\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
              Subsuperscript[ R, "", ""],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[ScriptCapitalL]", "v"], 
            ScalarR[ ]],
          Editable->False], ")"}], " ", 
      SuperscriptBox[
        InterpretationBox[\(R\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
          Subsuperscript[ R, "", ""],
          Editable->False], \(\(-1\) + n\)]}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Tensor Power", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(TP[RicciR[la, lb]]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      SubsuperscriptBox["R", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
              SequenceForm[ "", "a"],
              Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"],
          Editable->False], 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
              SequenceForm[ "", " "],
              Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
          SequenceForm[ 
            SequenceForm[ "", " "], " "],
          Editable->False]],
      Subsuperscript[ R, 
        SequenceForm[ 
          SequenceForm[ "", "a"], "b"], 
        SequenceForm[ 
          SequenceForm[ "", " "], " "]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(TP[a\ RicciR[la, lb], 2]\)\(\ \ \)\( (*\ 
      no\ syntax\ check\ *) \)\)\)], "Input"],

Cell[BoxData[
    RowBox[{\(a\^2\), " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False], "2"]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(TP[a\ f[], 2]\)], "Input"],

Cell[BoxData[
    RowBox[{\(a\^2\), " ", 
      SuperscriptBox[
        InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
          Subsuperscript[ f, "", ""],
          Editable->False], "2"]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(TP[a\ f[] RicciR[la, lb], 2]\)], "Input"],

Cell[BoxData[
    RowBox[{\(a\^2\), " ", 
      SuperscriptBox[
        InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
          Subsuperscript[ f, "", ""],
          Editable->False], "2"], " ", 
      SuperscriptBox[
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"], 
            SequenceForm[ 
              SequenceForm[ "", " "], " "]],
          Editable->False], "2"]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(TP[\ f[]\ v[la]\ v[ua] a\ z[lc], 2]\)], "Input"],

Cell[BoxData[
    RowBox[{\(a\^2\), " ", 
      SuperscriptBox[
        InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
          Subsuperscript[ f, "", ""],
          Editable->False], "2"], " ", 
      InterpretationBox[
        SuperscriptBox[
          RowBox[{"(", 
            TagBox[
              RowBox[{
                InterpretationBox[
                  SubsuperscriptBox["v", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False]],
                  Subsuperscript[ v, 
                    SequenceForm[ "", "a"], 
                    SequenceForm[ "", " "]],
                  Editable->False], " ", 
                InterpretationBox[
                  SubsuperscriptBox["v", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False]],
                  Subsuperscript[ v, 
                    SequenceForm[ "", " "], 
                    SequenceForm[ "", "a"]],
                  Editable->False]}],
              HoldForm], ")"}], "2"],
        SequenceForm[ 
          Power[ 
            HoldForm[ 
              Times[ 
                v[ la], 
                v[ ua]]], 2]],
        Editable->False], " ", \(z[lc]\^2\)}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(TP[RicciR[la, lb], 1, 2]\)], "Input"],

Cell[BoxData[
    \(Msg::"err" \(\(:\)\(\ \)\) 
      "\!\(\"two arguments are required.\"\) \!\(\"\"\) \!\(\"\"\) \
\!\(\"\"\)"\)], "Message"]
}, Open  ]]
}, Closed]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{},
WindowSize->{664, 694},
WindowMargins->{{18, Automatic}, {Automatic, 0}},
Visible->True,
InputAliases->{"notation"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftRightArrow]", " ",
           
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation>"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongRightArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation<"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "symb"->RowBox[ {"Symbolize", "[", 
        TagBox[ 
        "\[Placeholder]", NotationBoxTag, TagStyle -> 
          "NotationTemplateStyle"], "]"}], 
    "infixnotation"->RowBox[ {"InfixNotation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "addia"->RowBox[ {"AddInputAlias", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "pattwraper"->TagBox[ 
      "\[Placeholder]", NotationPatternTag, TagStyle -> 
        "NotationPatternWrapperStyle"], 
    "madeboxeswraper"->TagBox[ 
      "\[Placeholder]", NotationMadeBoxesTag, TagStyle -> 
        "NotationMadeBoxesWrapperStyle"], 
    "Vdefine"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
            OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
            NotationBoxTag, TagStyle -> "NotationTemplateStyle"], " ", 
          "\[DoubleLongLeftRightArrow]", " ", 
          TagBox[ 
            RowBox[ {"Vector", "[", "\[Placeholder]", "]"}], NotationBoxTag, 
            TagStyle -> "NotationTemplateStyle"]}], "]"}], 
    "ivec"->OverscriptBox[ "\[DotlessI]", "^"], 
    "jvec"->OverscriptBox[ "\[DotlessJ]", "^"], 
    "vect"->OverscriptBox[ "\[Placeholder]", "\[RightVector]"], 
    "xvec"->OverscriptBox[ "x", "^"], "yvec"->OverscriptBox[ "y", "^"], 
    "zvec"->OverscriptBox[ "z", "^"], "rvec"->OverscriptBox[ "r", "^"], 
    "tvec"->OverscriptBox[ "\[Theta]", "^"], 
    "pvec"->OverscriptBox[ "\[Phi]", "^"]},
Magnification->1,
StyleDefinitions -> "Demo.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 88, 2, 81, "Subtitle"],
Cell[1808, 53, 52, 1, 54, "Input"],
Cell[1863, 56, 72, 1, 54, "Input"],
Cell[1938, 59, 66, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[2029, 64, 38, 0, 77, "Section"],

Cell[CellGroupData[{
Cell[2092, 68, 79, 1, 54, "Input"],
Cell[2174, 71, 2378, 59, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4589, 135, 91, 1, 77, "Input"],
Cell[4683, 138, 1821, 45, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6541, 188, 65, 1, 54, "Input"],
Cell[6609, 191, 1347, 32, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7993, 228, 82, 1, 54, "Input"],
Cell[8078, 231, 4069, 95, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[12184, 331, 120, 3, 77, "Input"],
Cell[12307, 336, 6519, 154, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[18863, 495, 48, 1, 54, "Input"],
Cell[18914, 498, 613, 15, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19564, 518, 51, 1, 54, "Input"],
Cell[19618, 521, 613, 15, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[20268, 541, 82, 1, 54, "Input"],
Cell[20353, 544, 619, 15, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[21009, 564, 117, 2, 77, "Input"],
Cell[21129, 568, 1281, 33, 56, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[22459, 607, 39, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[22523, 611, 84, 1, 54, "Input"],
Cell[22610, 614, 2332, 59, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[24979, 678, 86, 1, 54, "Input"],
Cell[25068, 681, 3247, 78, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[28352, 764, 89, 1, 54, "Input"],
Cell[28444, 767, 1335, 32, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[29816, 804, 65, 1, 54, "Input"],
Cell[29884, 807, 1337, 32, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[31258, 844, 82, 1, 54, "Input"],
Cell[31343, 847, 1337, 32, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[32717, 884, 120, 3, 77, "Input"],
Cell[32840, 889, 6474, 154, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[39351, 1048, 48, 1, 54, "Input"],
Cell[39402, 1051, 603, 15, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[40042, 1071, 82, 1, 54, "Input"],
Cell[40127, 1074, 609, 15, 56, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[40785, 1095, 33, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[40843, 1099, 76, 1, 54, "Input"],
Cell[40922, 1102, 1561, 38, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[42520, 1145, 64, 1, 54, "Input"],
Cell[42587, 1148, 1359, 32, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[43983, 1185, 81, 1, 54, "Input"],
Cell[44067, 1188, 3925, 94, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[48029, 1287, 119, 3, 77, "Input"],
Cell[48151, 1292, 6198, 145, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[54386, 1442, 47, 1, 54, "Input"],
Cell[54436, 1445, 625, 15, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[55098, 1465, 50, 1, 54, "Input"],
Cell[55151, 1468, 625, 15, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[55813, 1488, 81, 1, 54, "Input"],
Cell[55897, 1491, 631, 15, 56, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[56577, 1512, 31, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[56633, 1516, 51, 1, 54, "Input"],
Cell[56687, 1519, 887, 24, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[57611, 1548, 111, 2, 54, "Input"],
Cell[57725, 1552, 1041, 26, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[58803, 1583, 46, 1, 54, "Input"],
Cell[58852, 1586, 217, 5, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[59106, 1596, 61, 1, 54, "Input"],
Cell[59170, 1599, 1210, 30, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[60417, 1634, 68, 1, 54, "Input"],
Cell[60488, 1637, 1706, 42, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[62231, 1684, 57, 1, 54, "Input"],
Cell[62291, 1687, 143, 3, 28, "Message"]
}, Open  ]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

