(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    288097,       7129]*)
(*NotebookOutlinePosition[    288859,       7156]*)
(*  CellTagsIndexPosition[    288815,       7152]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["Tsimplify", "Subtitle",
  TextAlignment->Center,
  TextJustification->0],

Cell[BoxData[
    \(<< \ dhPark`Tensor`\)], "Input"],

Cell[BoxData[
    \(Tdefine[f, "\<\>"]; Tdefine[v, "\<a\>"]\)], "Input"],

Cell[BoxData[
    \(Tdefine[A, "\<ab\>"]; Tdefine[B, "\<ba\>"]\)], "Input"],

Cell[CellGroupData[{

Cell["Single Tensor", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \({MaxwellF[la, ua], MaxwellF[1, 1], MaxwellF[\(-1\), 1]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]1\),
                  SequenceForm[ "", 1],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", 1], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "1"}],
              SequenceForm[ 
                SequenceForm[ "", " "], 1],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", 1], " "], 
            SequenceForm[ 
              SequenceForm[ "", " "], 1]],
          Editable->False]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({BD[la, lb, MaxwellF[ua, ub]], BD[la, ub, MaxwellF[ua, lb]]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{"0", ",", 
        RowBox[{"-", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\("\[PartialD]"\^"b"\),
                      Superscript[ "\[PartialD]", "b"],
                      Editable->False], "\[InvisibleSpace]", 
                    InterpretationBox[
                      SubsuperscriptBox["F", 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                              SequenceForm[ "", "b"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", "b"], " "],
                          Editable->False], 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
" "\),
                              SequenceForm[ "", " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"a\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", " "], "a"],
                          Editable->False]],
                      Subsuperscript[ F, 
                        SequenceForm[ 
                          SequenceForm[ "", "b"], " "], 
                        SequenceForm[ 
                          SequenceForm[ "", " "], "a"]],
                      Editable->False]}],
                  SequenceForm[ 
                    Superscript[ "\[PartialD]", "b"], 
                    MaxwellF[ lb, ua]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[PartialD]", "a"], 
                BD[ ub, 
                  MaxwellF[ lb, ua]]],
              Editable->False], ")"}]}]}], "}"}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Tensor Product", "Section"],

Cell[CellGroupData[{

Cell["Two Tensors", "Subsection"],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
    \(TraditionalForm\`\(A\_\([a\[InvisibleSpace]b]\)\) 
        S\^\((a\[InvisibleSpace]b)\)\  = \ \(\(0\)\(?\)\)\)]]], \
"Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(RicciR[la, lb]\ \ MaxwellF[ua, ub]\)], "Input"],

Cell[BoxData[
    RowBox[{
      InterpretationBox[
        SubsuperscriptBox["F", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False]],
        Subsuperscript[ F, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"]],
        Editable->False], " ", 
      InterpretationBox[
        SubsuperscriptBox["R", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ R, 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Tsimplify[%]\)], "Input"],

Cell[BoxData[
    \(0\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({RicciR[la, lb]\ \ BD[lc, MaxwellF[ua, ub]], 
      RicciR[la, ub]\ \ BD[lc, MaxwellF[ua, lb]]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["F", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False]],
                  Subsuperscript[ F, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[PartialD]", "c"], 
                MaxwellF[ ua, ub]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["R", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False]],
            Subsuperscript[ R, 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], 
              SequenceForm[ 
                SequenceForm[ "", " "], " "]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{"-", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["F", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"a\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], "a"],
                        Editable->False]],
                    Subsuperscript[ F, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], "a"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  MaxwellF[ lb, ua]],
                Editable->False], ")"}]}], " ", 
          InterpretationBox[
            SubsuperscriptBox["R", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "b"],
                Editable->False]],
            Subsuperscript[ R, 
              SequenceForm[ 
                SequenceForm[ "", "a"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "b"]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Tsimplify[%]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{"0", ",", 
        RowBox[{
          RowBox[{"-", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["F", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"a\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], "a"],
                        Editable->False]],
                    Subsuperscript[ F, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], "a"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  MaxwellF[ lb, ua]],
                Editable->False], ")"}]}], " ", 
          InterpretationBox[
            SubsuperscriptBox["R", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "b"],
                Editable->False]],
            Subsuperscript[ R, 
              SequenceForm[ 
                SequenceForm[ "", "a"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "b"]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
    \(TraditionalForm\`\[Del]\_a\(\[Del]\_b 
            f\)\ A\^\([a\[InvisibleSpace]b]\)\  = \ \(\(0\)\(?\)\)\)]]], \
"Subsubsection"],

Cell[BoxData[
    \(Off[TorsionFreeFlag]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(expr = {CD[la, lb, f[]] MaxwellF[ua, ub], 
        CD[la, lb, RicciR[lc, ld]] MaxwellF[ua, ub]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{\("\[Del]"\_"b"\), "\[InvisibleSpace]", 
                    
                    InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\
\),
                      Subsuperscript[ f, "", ""],
                      Editable->False]}],
                  SequenceForm[ 
                    Subscript[ "\[Del]", "b"], 
                    f[ ]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "a"], 
                CD[ lb, 
                  f[ ]]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{\("\[Del]"\_"b"\), "\[InvisibleSpace]", 
                    InterpretationBox[
                      SubsuperscriptBox["R", 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                              SequenceForm[ "", "c"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"d\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", "c"], "d"],
                          Editable->False], 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
" "\),
                              SequenceForm[ "", " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "],
                          Editable->False]],
                      Subsuperscript[ R, 
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"], 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "]],
                      Editable->False]}],
                  SequenceForm[ 
                    Subscript[ "\[Del]", "b"], 
                    RicciR[ lc, ld]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "a"], 
                CD[ lb, 
                  RicciR[ lc, ld]]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Tsimplify[expr]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{\("\[Del]"\_"b"\), "\[InvisibleSpace]", 
                    
                    InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\
\),
                      Subsuperscript[ f, "", ""],
                      Editable->False]}],
                  SequenceForm[ 
                    Subscript[ "\[Del]", "b"], 
                    f[ ]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "a"], 
                CD[ lb, 
                  f[ ]]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{\("\[Del]"\_"b"\), "\[InvisibleSpace]", 
                    InterpretationBox[
                      SubsuperscriptBox["R", 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                              SequenceForm[ "", "c"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"d\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", "c"], "d"],
                          Editable->False], 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
" "\),
                              SequenceForm[ "", " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "],
                          Editable->False]],
                      Subsuperscript[ R, 
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"], 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "]],
                      Editable->False]}],
                  SequenceForm[ 
                    Subscript[ "\[Del]", "b"], 
                    RicciR[ lc, ld]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "a"], 
                CD[ lb, 
                  RicciR[ lc, ld]]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(On[TorsionFreeFlag]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Tsimplify[expr]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{"0", ",", 
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{\("\[Del]"\_"b"\), "\[InvisibleSpace]", 
                    InterpretationBox[
                      SubsuperscriptBox["R", 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                              SequenceForm[ "", "c"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"d\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", "c"], "d"],
                          Editable->False], 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
" "\),
                              SequenceForm[ "", " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "],
                          Editable->False]],
                      Subsuperscript[ R, 
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"], 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "]],
                      Editable->False]}],
                  SequenceForm[ 
                    Subscript[ "\[Del]", "b"], 
                    RicciR[ lc, ld]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "a"], 
                CD[ lb, 
                  RicciR[ lc, ld]]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({CD[la, ub, f[]] MaxwellF[ua, lb], 
      BD[lc, CD[la, ub, f[]]] MaxwellF[ua, lb]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          RowBox[{"-", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\("\[Del]"\^"b"\),
                        Superscript[ "\[Del]", "b"],
                        Editable->False], "\[InvisibleSpace]", 
                      
                      InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\
\)\),
                        Subsuperscript[ f, "", ""],
                        Editable->False]}],
                    SequenceForm[ 
                      Superscript[ "\[Del]", "b"], 
                      f[ ]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[Del]", "a"], 
                  CD[ ub, 
                    f[ ]]],
                Editable->False], ")"}]}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                    SequenceForm[ "", "b"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "b"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "a"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "b"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "a"]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{"-", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[\("\[Del]"\^"b"\),
                            Superscript[ "\[Del]", "b"],
                            Editable->False], "\[InvisibleSpace]", 
                          
                          InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\
\>"\)\),
                            Subsuperscript[ f, "", ""],
                            Editable->False]}],
                        SequenceForm[ 
                          Superscript[ "\[Del]", "b"], 
                          f[ ]],
                        Editable->False]}],
                    SequenceForm[ 
                      Subscript[ "\[Del]", "a"], 
                      CD[ ub, 
                        f[ ]]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  CD[ la, 
                    CD[ ub, 
                      f[ ]]]],
                Editable->False], ")"}]}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                    SequenceForm[ "", "b"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "b"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "a"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "b"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "a"]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Tsimplify[%]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{"0", ",", 
        RowBox[{
          RowBox[{"-", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
                      InterpretationBox[
                        RowBox[{
                          InterpretationBox[\("\[Del]"\^"b"\),
                            Superscript[ "\[Del]", "b"],
                            Editable->False], "\[InvisibleSpace]", 
                          
                          InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\
\>"\)\),
                            Subsuperscript[ f, "", ""],
                            Editable->False]}],
                        SequenceForm[ 
                          Superscript[ "\[Del]", "b"], 
                          f[ ]],
                        Editable->False]}],
                    SequenceForm[ 
                      Subscript[ "\[Del]", "a"], 
                      CD[ ub, 
                        f[ ]]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "c"], 
                  CD[ la, 
                    CD[ ub, 
                      f[ ]]]],
                Editable->False], ")"}]}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                    SequenceForm[ "", "b"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "b"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "a"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "b"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "a"]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
    \(TraditionalForm\`\[PartialD]\_a\(\[PartialD]\_b \
T\_\(c\[InvisibleSpace]d\)\)\ A\^\([a\[InvisibleSpace]b]\)\  = \ \(\(0\)\(?\)\
\)\)]]], "Subsubsection"],

Cell[BoxData[
    \(Off[CoordinateBasisFlag]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(expr = {BD[la, lb, f[]] MaxwellF[ua, ub], 
        BD[la, lb, RicciR[lc, ld]] MaxwellF[ua, ub], 
        BD[lc, ua, lb, RicciR[ld, le]] MaxwellF[la, ub], 
        CD[lc, BD[ua, lb, RicciR[ld, le]]] MaxwellF[la, ub]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("D"\_"a"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{\("D"\_"b"\), "\[InvisibleSpace]", 
                    
                    InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\
\),
                      Subsuperscript[ f, "", ""],
                      Editable->False]}],
                  SequenceForm[ 
                    Subscript[ "D", "b"], 
                    f[ ]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "D", "a"], 
                BD[ lb, 
                  f[ ]]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("D"\_"a"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{\("D"\_"b"\), "\[InvisibleSpace]", 
                    InterpretationBox[
                      SubsuperscriptBox["R", 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                              SequenceForm[ "", "c"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"d\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", "c"], "d"],
                          Editable->False], 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
" "\),
                              SequenceForm[ "", " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "],
                          Editable->False]],
                      Subsuperscript[ R, 
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"], 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "]],
                      Editable->False]}],
                  SequenceForm[ 
                    Subscript[ "D", "b"], 
                    RicciR[ lc, ld]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "D", "a"], 
                BD[ lb, 
                  RicciR[ lc, ld]]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("D"\_"c"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\("D"\^"a"\),
                      Superscript[ "D", "a"],
                      Editable->False], "\[InvisibleSpace]", 
                    InterpretationBox[
                      RowBox[{\("D"\_"b"\), "\[InvisibleSpace]", 
                        InterpretationBox[
                          SubsuperscriptBox["R", 
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                  SequenceForm[ "", "d"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"e\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "d"], "e"],
                              Editable->False], 
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False]],
                          Subsuperscript[ R, 
                            SequenceForm[ 
                              SequenceForm[ "", "d"], "e"], 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "]],
                          Editable->False]}],
                      SequenceForm[ 
                        Subscript[ "D", "b"], 
                        RicciR[ ld, le]],
                      Editable->False]}],
                  SequenceForm[ 
                    Superscript[ "D", "a"], 
                    BD[ lb, 
                      RicciR[ ld, le]]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "D", "c"], 
                BD[ ua, 
                  BD[ lb, 
                    RicciR[ ld, le]]]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "a"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "b"]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"c"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\("D"\^"a"\),
                      Superscript[ "D", "a"],
                      Editable->False], "\[InvisibleSpace]", 
                    InterpretationBox[
                      RowBox[{\("D"\_"b"\), "\[InvisibleSpace]", 
                        InterpretationBox[
                          SubsuperscriptBox["R", 
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                  SequenceForm[ "", "d"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"e\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "d"], "e"],
                              Editable->False], 
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False]],
                          Subsuperscript[ R, 
                            SequenceForm[ 
                              SequenceForm[ "", "d"], "e"], 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "]],
                          Editable->False]}],
                      SequenceForm[ 
                        Subscript[ "D", "b"], 
                        RicciR[ ld, le]],
                      Editable->False]}],
                  SequenceForm[ 
                    Superscript[ "D", "a"], 
                    BD[ lb, 
                      RicciR[ ld, le]]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "c"], 
                BD[ ua, 
                  BD[ lb, 
                    RicciR[ ld, le]]]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "a"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "b"]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Tsimplify[expr]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("D"\_"a"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{\("D"\_"b"\), "\[InvisibleSpace]", 
                    
                    InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\
\),
                      Subsuperscript[ f, "", ""],
                      Editable->False]}],
                  SequenceForm[ 
                    Subscript[ "D", "b"], 
                    f[ ]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "D", "a"], 
                BD[ lb, 
                  f[ ]]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("D"\_"a"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{\("D"\_"b"\), "\[InvisibleSpace]", 
                    InterpretationBox[
                      SubsuperscriptBox["R", 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                              SequenceForm[ "", "c"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"d\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", "c"], "d"],
                          Editable->False], 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
" "\),
                              SequenceForm[ "", " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "],
                          Editable->False]],
                      Subsuperscript[ R, 
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"], 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "]],
                      Editable->False]}],
                  SequenceForm[ 
                    Subscript[ "D", "b"], 
                    RicciR[ lc, ld]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "D", "a"], 
                BD[ lb, 
                  RicciR[ lc, ld]]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("D"\_"c"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\("D"\^"a"\),
                      Superscript[ "D", "a"],
                      Editable->False], "\[InvisibleSpace]", 
                    InterpretationBox[
                      RowBox[{\("D"\_"b"\), "\[InvisibleSpace]", 
                        InterpretationBox[
                          SubsuperscriptBox["R", 
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                  SequenceForm[ "", "d"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"e\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "d"], "e"],
                              Editable->False], 
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False]],
                          Subsuperscript[ R, 
                            SequenceForm[ 
                              SequenceForm[ "", "d"], "e"], 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "]],
                          Editable->False]}],
                      SequenceForm[ 
                        Subscript[ "D", "b"], 
                        RicciR[ ld, le]],
                      Editable->False]}],
                  SequenceForm[ 
                    Superscript[ "D", "a"], 
                    BD[ lb, 
                      RicciR[ ld, le]]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "D", "c"], 
                BD[ ua, 
                  BD[ lb, 
                    RicciR[ ld, le]]]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "a"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "b"]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"c"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\("D"\^"a"\),
                      Superscript[ "D", "a"],
                      Editable->False], "\[InvisibleSpace]", 
                    InterpretationBox[
                      RowBox[{\("D"\_"b"\), "\[InvisibleSpace]", 
                        InterpretationBox[
                          SubsuperscriptBox["R", 
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                  SequenceForm[ "", "d"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"e\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "d"], "e"],
                              Editable->False], 
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False]],
                          Subsuperscript[ R, 
                            SequenceForm[ 
                              SequenceForm[ "", "d"], "e"], 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "]],
                          Editable->False]}],
                      SequenceForm[ 
                        Subscript[ "D", "b"], 
                        RicciR[ ld, le]],
                      Editable->False]}],
                  SequenceForm[ 
                    Superscript[ "D", "a"], 
                    BD[ lb, 
                      RicciR[ ld, le]]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "c"], 
                BD[ ua, 
                  BD[ lb, 
                    RicciR[ ld, le]]]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "a"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "b"]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(On[CoordinateBasisFlag]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(expr\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                    
                    InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\
\),
                      Subsuperscript[ f, "", ""],
                      Editable->False]}],
                  SequenceForm[ 
                    Subscript[ "\[PartialD]", "b"], 
                    f[ ]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[PartialD]", "a"], 
                BD[ lb, 
                  f[ ]]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                    InterpretationBox[
                      SubsuperscriptBox["R", 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                              SequenceForm[ "", "c"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"d\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", "c"], "d"],
                          Editable->False], 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
" "\),
                              SequenceForm[ "", " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "],
                          Editable->False]],
                      Subsuperscript[ R, 
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"], 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "]],
                      Editable->False]}],
                  SequenceForm[ 
                    Subscript[ "\[PartialD]", "b"], 
                    RicciR[ lc, ld]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[PartialD]", "a"], 
                BD[ lb, 
                  RicciR[ lc, ld]]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\("\[PartialD]"\^"a"\),
                      Superscript[ "\[PartialD]", "a"],
                      Editable->False], "\[InvisibleSpace]", 
                    InterpretationBox[
                      RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                        InterpretationBox[
                          SubsuperscriptBox["R", 
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                  SequenceForm[ "", "d"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"e\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "d"], "e"],
                              Editable->False], 
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False]],
                          Subsuperscript[ R, 
                            SequenceForm[ 
                              SequenceForm[ "", "d"], "e"], 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "]],
                          Editable->False]}],
                      SequenceForm[ 
                        Subscript[ "\[PartialD]", "b"], 
                        RicciR[ ld, le]],
                      Editable->False]}],
                  SequenceForm[ 
                    Superscript[ "\[PartialD]", "a"], 
                    BD[ lb, 
                      RicciR[ ld, le]]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[PartialD]", "c"], 
                BD[ ua, 
                  BD[ lb, 
                    RicciR[ ld, le]]]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "a"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "b"]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"c"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\("\[PartialD]"\^"a"\),
                      Superscript[ "\[PartialD]", "a"],
                      Editable->False], "\[InvisibleSpace]", 
                    InterpretationBox[
                      RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                        InterpretationBox[
                          SubsuperscriptBox["R", 
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                  SequenceForm[ "", "d"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"e\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "d"], "e"],
                              Editable->False], 
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False]],
                          Subsuperscript[ R, 
                            SequenceForm[ 
                              SequenceForm[ "", "d"], "e"], 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "]],
                          Editable->False]}],
                      SequenceForm[ 
                        Subscript[ "\[PartialD]", "b"], 
                        RicciR[ ld, le]],
                      Editable->False]}],
                  SequenceForm[ 
                    Superscript[ "\[PartialD]", "a"], 
                    BD[ lb, 
                      RicciR[ ld, le]]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "c"], 
                BD[ ua, 
                  BD[ lb, 
                    RicciR[ ld, le]]]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "a"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "b"]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Tsimplify[expr]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[PartialD]"\_"c"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\("\[PartialD]"\^"a"\),
                      Superscript[ "\[PartialD]", "a"],
                      Editable->False], "\[InvisibleSpace]", 
                    InterpretationBox[
                      RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                        InterpretationBox[
                          SubsuperscriptBox["R", 
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]"d"\),
                                  SequenceForm[ "", "d"],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\"e\"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", "d"], "e"],
                              Editable->False], 
                            InterpretationBox[
                              RowBox[{
                                
                                InterpretationBox[\(\*"\<\"\"\>"\
\[InvisibleSpace]" "\),
                                  SequenceForm[ "", " "],
                                  Editable->False], 
                                "\[InvisibleSpace]", "\<\" \"\>"}],
                              SequenceForm[ 
                                SequenceForm[ "", " "], " "],
                              Editable->False]],
                          Subsuperscript[ R, 
                            SequenceForm[ 
                              SequenceForm[ "", "d"], "e"], 
                            SequenceForm[ 
                              SequenceForm[ "", " "], " "]],
                          Editable->False]}],
                      SequenceForm[ 
                        Subscript[ "\[PartialD]", "b"], 
                        RicciR[ ld, le]],
                      Editable->False]}],
                  SequenceForm[ 
                    Superscript[ "\[PartialD]", "a"], 
                    BD[ lb, 
                      RicciR[ ld, le]]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[PartialD]", "c"], 
                BD[ ua, 
                  BD[ lb, 
                    RicciR[ ld, le]]]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "a"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "b"]],
            Editable->False]}], ",", "0"}], "}"}]], "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Three Tensors", "Subsection"],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
    \(TraditionalForm\`\(A\^\([a\[InvisibleSpace]b]\)\) \(v\_a\) v\_b\  = \ 
      0\)]]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \({MaxwellF[ua, ub] v[la] v[lb], MaxwellF[ua, lb] v[la] v[ub], 
      MaxwellF[ua, lb] v[la] CD[lc, v[ub]], 
      MaxwellF[ua, lb] CD[uc, v[la]] CD[lc, v[ub]]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["v", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False]],
            Subsuperscript[ v, 
              SequenceForm[ "", "a"], 
              SequenceForm[ "", " "]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["v", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                SequenceForm[ "", "b"],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False]],
            Subsuperscript[ v, 
              SequenceForm[ "", "b"], 
              SequenceForm[ "", " "]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{"-", 
            InterpretationBox[
              SubsuperscriptBox["F", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "a"],
                  Editable->False]],
              Subsuperscript[ F, 
                SequenceForm[ 
                  SequenceForm[ "", "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ "", " "], "a"]],
              Editable->False]}], " ", 
          InterpretationBox[
            SubsuperscriptBox["v", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False]],
            Subsuperscript[ v, 
              SequenceForm[ "", "a"], 
              SequenceForm[ "", " "]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["v", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                SequenceForm[ "", "b"],
                Editable->False]],
            Subsuperscript[ v, 
              SequenceForm[ "", " "], 
              SequenceForm[ "", "b"]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{"-", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[Del]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["v", 
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], 
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                        SequenceForm[ "", "b"],
                        Editable->False]],
                    Subsuperscript[ v, 
                      SequenceForm[ "", " "], 
                      SequenceForm[ "", "b"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[Del]", "c"], 
                  v[ ub]],
                Editable->False], ")"}]}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                    SequenceForm[ "", "b"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "b"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "a"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "b"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "a"]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["v", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False]],
            Subsuperscript[ v, 
              SequenceForm[ "", "a"], 
              SequenceForm[ "", " "]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{"-", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[Del]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["v", 
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], 
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                        SequenceForm[ "", "b"],
                        Editable->False]],
                    Subsuperscript[ v, 
                      SequenceForm[ "", " "], 
                      SequenceForm[ "", "b"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[Del]", "c"], 
                  v[ ub]],
                Editable->False], ")"}]}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\("\[Del]"\^"c"\),
                  Superscript[ "\[Del]", "c"],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["v", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False]],
                  Subsuperscript[ v, 
                    SequenceForm[ "", "a"], 
                    SequenceForm[ "", " "]],
                  Editable->False]}],
              SequenceForm[ 
                Superscript[ "\[Del]", "c"], 
                v[ la]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                    SequenceForm[ "", "b"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "b"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "a"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "b"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "a"]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Tsimplify[%]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
        RowBox[{
          RowBox[{"-", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[Del]"\_"c"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["v", 
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], 
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                        SequenceForm[ "", "b"],
                        Editable->False]],
                    Subsuperscript[ v, 
                      SequenceForm[ "", " "], 
                      SequenceForm[ "", "b"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[Del]", "c"], 
                  v[ ub]],
                Editable->False], ")"}]}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                    SequenceForm[ "", "b"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "b"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "a"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "b"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "a"]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["v", 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], 
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False]],
            Subsuperscript[ v, 
              SequenceForm[ "", "a"], 
              SequenceForm[ "", " "]],
            Editable->False]}], ",", "0"}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({MaxwellF[la, lb]\ A[ua, lc]\ A[ub, uc], 
      MaxwellF[la, lb]\ A[ua, lc]\ A[ub, ud]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          InterpretationBox[
            SubsuperscriptBox["A", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "c"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], " "],
                Editable->False]],
            Subsuperscript[ A, 
              SequenceForm[ 
                SequenceForm[ "", " "], "c"], 
              SequenceForm[ 
                SequenceForm[ "", "a"], " "]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["A", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                    SequenceForm[ "", "b"],
                    Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"],
                Editable->False]],
            Subsuperscript[ A, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], 
              SequenceForm[ 
                SequenceForm[ "", " "], " "]],
            Editable->False]}], ",", 
        RowBox[{
          InterpretationBox[
            SubsuperscriptBox["A", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "c"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], " "],
                Editable->False]],
            Subsuperscript[ A, 
              SequenceForm[ 
                SequenceForm[ "", " "], "c"], 
              SequenceForm[ 
                SequenceForm[ "", "a"], " "]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["A", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                    SequenceForm[ "", "b"],
                    Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "b"], "d"],
                Editable->False]],
            Subsuperscript[ A, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "b"], "d"]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], 
              SequenceForm[ 
                SequenceForm[ "", " "], " "]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Tsimplify[%]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{"0", ",", 
        RowBox[{
          InterpretationBox[
            SubsuperscriptBox["A", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "c"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], " "],
                Editable->False]],
            Subsuperscript[ A, 
              SequenceForm[ 
                SequenceForm[ "", " "], "c"], 
              SequenceForm[ 
                SequenceForm[ "", "a"], " "]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["A", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                    SequenceForm[ "", "b"],
                    Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "b"], "d"],
                Editable->False]],
            Subsuperscript[ A, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "b"], "d"]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], 
              SequenceForm[ 
                SequenceForm[ "", " "], " "]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({MaxwellF[la, lb]\ BD[ld, A[ua, lc]]\ BD[ud, A[ub, uc]], 
      MaxwellF[la, lb]\ CD[ld, A[ua, lc]]\ CD[ud, A[ub, uc]], 
      MaxwellF[la, lb]\ CD[ld, A[ua, lc]]\ A[ub, uc]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "c"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "c"], 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[PartialD]", "d"], 
                A[ ua, lc]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\("\[PartialD]"\^"d"\),
                  Superscript[ "\[PartialD]", "d"],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"]],
                  Editable->False]}],
              SequenceForm[ 
                Superscript[ "\[PartialD]", "d"], 
                A[ ub, uc]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], 
              SequenceForm[ 
                SequenceForm[ "", " "], " "]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"d"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "c"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "c"], 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "d"], 
                A[ ua, lc]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\("\[Del]"\^"d"\),
                  Superscript[ "\[Del]", "d"],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"]],
                  Editable->False]}],
              SequenceForm[ 
                Superscript[ "\[Del]", "d"], 
                A[ ub, uc]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], 
              SequenceForm[ 
                SequenceForm[ "", " "], " "]],
            Editable->False]}], ",", 
        RowBox[{
          InterpretationBox[
            SubsuperscriptBox["A", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                    SequenceForm[ "", "b"],
                    Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"],
                Editable->False]],
            Subsuperscript[ A, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"]],
            Editable->False], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"d"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "c"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "c"], 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "d"], 
                A[ ua, lc]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], 
              SequenceForm[ 
                SequenceForm[ "", " "], " "]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Tsimplify[%]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[PartialD]"\_"d"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "c"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "c"], 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[PartialD]", "d"], 
                A[ ua, lc]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\("\[PartialD]"\^"d"\),
                  Superscript[ "\[PartialD]", "d"],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "c"],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "c"]],
                  Editable->False]}],
              SequenceForm[ 
                Superscript[ "\[PartialD]", "d"], 
                A[ ub, uc]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], 
              SequenceForm[ 
                SequenceForm[ "", " "], " "]],
            Editable->False]}], ",", "0", ",", 
        RowBox[{
          InterpretationBox[
            SubsuperscriptBox["A", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                    SequenceForm[ "", "b"],
                    Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"],
                Editable->False]],
            Subsuperscript[ A, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"]],
            Editable->False], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"d"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], "c"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], " "],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], "c"], 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "d"], 
                A[ ua, lc]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], 
              SequenceForm[ 
                SequenceForm[ "", " "], " "]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
    \(TraditionalForm\`\(A\^\([a\[InvisibleSpace]b]\)\) \[Del]\_a v\_c \[Del]\
\_b v\^c\  = \ 0\)]]], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \({MaxwellF[ua, lb] BD[la, f[]] BD[ub, f[]], 
      MaxwellF[ua, ub] BD[la, v[lc]] BD[lb, v[uc]], 
      MaxwellF[ua, ub] CD[la, v[lc]] CD[lb, v[uc]]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          RowBox[{"-", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                  
                  InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
                    
                    Subsuperscript[ f, "", ""],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "a"], 
                  f[ ]],
                Editable->False], ")"}]}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\("\[PartialD]"\^"b"\),
                  Superscript[ "\[PartialD]", "b"],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[\(f\_\(\*"\<\"\"\>"\)\%\(\*"\<\"\"\>"\)\),
                  Subsuperscript[ f, "", ""],
                  Editable->False]}],
              SequenceForm[ 
                Superscript[ "\[PartialD]", "b"], 
                f[ ]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                    SequenceForm[ "", "b"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "b"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "a"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "b"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "a"]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["v", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False]],
                  Subsuperscript[ v, 
                    SequenceForm[ "", "c"], 
                    SequenceForm[ "", " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[PartialD]", "a"], 
                v[ lc]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["v", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False]],
                  Subsuperscript[ v, 
                    SequenceForm[ "", " "], 
                    SequenceForm[ "", "c"]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[PartialD]", "b"], 
                v[ uc]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["v", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False]],
                  Subsuperscript[ v, 
                    SequenceForm[ "", "c"], 
                    SequenceForm[ "", " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "a"], 
                v[ lc]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"b"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["v", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False]],
                  Subsuperscript[ v, 
                    SequenceForm[ "", " "], 
                    SequenceForm[ "", "c"]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "b"], 
                v[ uc]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Tsimplify[%]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{"0", ",", 
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["v", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False]],
                  Subsuperscript[ v, 
                    SequenceForm[ "", "c"], 
                    SequenceForm[ "", " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[PartialD]", "a"], 
                v[ lc]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["v", 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], 
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False]],
                  Subsuperscript[ v, 
                    SequenceForm[ "", " "], 
                    SequenceForm[ "", "c"]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[PartialD]", "b"], 
                v[ uc]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"]],
            Editable->False]}], ",", "0"}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MaxwellF[la, lb]\ BD[ua, \ Metricg[lc, ld]]\ BD[ub, \ 
        Metricg[uc, ud]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[PartialD]"\^"a"\),
              Superscript[ "\[PartialD]", "a"],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "d"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[PartialD]", "a"], 
            Metricg[ lc, ld]],
          Editable->False], ")"}], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[PartialD]"\^"b"\),
              Superscript[ "\[PartialD]", "b"],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "d"]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[PartialD]", "b"], 
            Metricg[ uc, ud]],
          Editable->False], ")"}], " ", 
      InterpretationBox[
        SubsuperscriptBox["F", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ F, 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(Tsimplify[%]\)\(\ \ \)\( (*\ this\ is\ zero\ *) \)\)\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[PartialD]"\^"a"\),
              Superscript[ "\[PartialD]", "a"],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "d"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[PartialD]", "a"], 
            Metricg[ lc, ld]],
          Editable->False], ")"}], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{
            InterpretationBox[\("\[PartialD]"\^"b"\),
              Superscript[ "\[PartialD]", "b"],
              Editable->False], "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "d"]],
              Editable->False]}],
          SequenceForm[ 
            Superscript[ "\[PartialD]", "b"], 
            Metricg[ uc, ud]],
          Editable->False], ")"}], " ", 
      InterpretationBox[
        SubsuperscriptBox["F", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "b"],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False]],
        Subsuperscript[ F, 
          SequenceForm[ 
            SequenceForm[ "", "a"], "b"], 
          SequenceForm[ 
            SequenceForm[ "", " "], " "]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({MaxwellF[ua, ub]\ BD[la, A[lc, ld]]\ BD[lb, A[uc, ud]], 
      MaxwellF[ua, ub]\ CD[la, A[lc, ld]]\ CD[lb, A[uc, ud]], 
      MaxwellF[ua, ub]\ CD[la, A[lc, ld]]\ CD[lb, A[ud, uc]]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"], 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[PartialD]", "a"], 
                A[ lc, ld]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[PartialD]", "b"], 
                A[ uc, ud]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"], 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "a"], 
                A[ lc, ld]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"b"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "b"], 
                A[ uc, ud]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"], 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "a"], 
                A[ lc, ld]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"b"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"d"\)\
,
                          SequenceForm[ "", "d"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "d"], "c"],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], 
                    SequenceForm[ 
                      SequenceForm[ "", "d"], "c"]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "b"], 
                A[ ud, uc]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Tsimplify[%]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"], 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[PartialD]", "a"], 
                A[ lc, ld]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  SubsuperscriptBox["A", 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], 
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False]],
                  Subsuperscript[ A, 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[PartialD]", "b"], 
                A[ uc, ud]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"]],
            Editable->False]}], ",", "0", ",", "0"}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({MaxwellF[la, lb]\ CD[le, ua, A[lc, ld]]\ CD[lf, ub, A[uc, ud]], 
      MaxwellF[la, lb]\ CD[le, ua, A[lc, ld]]\ CD[ue, ub, 
          A[uc, ud]]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"e"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\("\[Del]"\^"a"\),
                      Superscript[ "\[Del]", "a"],
                      Editable->False], "\[InvisibleSpace]", 
                    InterpretationBox[
                      SubsuperscriptBox["A", 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                              SequenceForm[ "", "c"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"d\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", "c"], "d"],
                          Editable->False], 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
" "\),
                              SequenceForm[ "", " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "],
                          Editable->False]],
                      Subsuperscript[ A, 
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"], 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "]],
                      Editable->False]}],
                  SequenceForm[ 
                    Superscript[ "\[Del]", "a"], 
                    A[ lc, ld]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "e"], 
                CD[ ua, 
                  A[ lc, ld]]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"f"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\("\[Del]"\^"b"\),
                      Superscript[ "\[Del]", "b"],
                      Editable->False], "\[InvisibleSpace]", 
                    InterpretationBox[
                      SubsuperscriptBox["A", 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
" "\),
                              SequenceForm[ "", " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "],
                          Editable->False], 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                              SequenceForm[ "", "c"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"d\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", "c"], "d"],
                          Editable->False]],
                      Subsuperscript[ A, 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], 
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"]],
                      Editable->False]}],
                  SequenceForm[ 
                    Superscript[ "\[Del]", "b"], 
                    A[ uc, ud]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "f"], 
                CD[ ub, 
                  A[ uc, ud]]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], 
              SequenceForm[ 
                SequenceForm[ "", " "], " "]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"e"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\("\[Del]"\^"a"\),
                      Superscript[ "\[Del]", "a"],
                      Editable->False], "\[InvisibleSpace]", 
                    InterpretationBox[
                      SubsuperscriptBox["A", 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                              SequenceForm[ "", "c"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"d\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", "c"], "d"],
                          Editable->False], 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
" "\),
                              SequenceForm[ "", " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "],
                          Editable->False]],
                      Subsuperscript[ A, 
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"], 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "]],
                      Editable->False]}],
                  SequenceForm[ 
                    Superscript[ "\[Del]", "a"], 
                    A[ lc, ld]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "e"], 
                CD[ ua, 
                  A[ lc, ld]]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\("\[Del]"\^"e"\),
                  Superscript[ "\[Del]", "e"],
                  Editable->False], "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\("\[Del]"\^"b"\),
                      Superscript[ "\[Del]", "b"],
                      Editable->False], "\[InvisibleSpace]", 
                    InterpretationBox[
                      SubsuperscriptBox["A", 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
" "\),
                              SequenceForm[ "", " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "],
                          Editable->False], 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                              SequenceForm[ "", "c"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"d\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", "c"], "d"],
                          Editable->False]],
                      Subsuperscript[ A, 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], 
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"]],
                      Editable->False]}],
                  SequenceForm[ 
                    Superscript[ "\[Del]", "b"], 
                    A[ uc, ud]],
                  Editable->False]}],
              SequenceForm[ 
                Superscript[ "\[Del]", "e"], 
                CD[ ub, 
                  A[ uc, ud]]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], 
              SequenceForm[ 
                SequenceForm[ "", " "], " "]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Tsimplify[%]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"e"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\("\[Del]"\^"a"\),
                      Superscript[ "\[Del]", "a"],
                      Editable->False], "\[InvisibleSpace]", 
                    InterpretationBox[
                      SubsuperscriptBox["A", 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                              SequenceForm[ "", "c"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"d\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", "c"], "d"],
                          Editable->False], 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
" "\),
                              SequenceForm[ "", " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "],
                          Editable->False]],
                      Subsuperscript[ A, 
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"], 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "]],
                      Editable->False]}],
                  SequenceForm[ 
                    Superscript[ "\[Del]", "a"], 
                    A[ lc, ld]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "e"], 
                CD[ ua, 
                  A[ lc, ld]]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"f"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\("\[Del]"\^"b"\),
                      Superscript[ "\[Del]", "b"],
                      Editable->False], "\[InvisibleSpace]", 
                    InterpretationBox[
                      SubsuperscriptBox["A", 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
" "\),
                              SequenceForm[ "", " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "],
                          Editable->False], 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                              SequenceForm[ "", "c"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"d\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", "c"], "d"],
                          Editable->False]],
                      Subsuperscript[ A, 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], 
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"]],
                      Editable->False]}],
                  SequenceForm[ 
                    Superscript[ "\[Del]", "b"], 
                    A[ uc, ud]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "f"], 
                CD[ ub, 
                  A[ uc, ud]]],
              Editable->False], ")"}], " ", 
          InterpretationBox[
            SubsuperscriptBox["F", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False]],
            Subsuperscript[ F, 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], 
              SequenceForm[ 
                SequenceForm[ "", " "], " "]],
            Editable->False]}], ",", "0"}], "}"}]], "Output"]
}, Open  ]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Multi-Terms", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \({A[la, ua] + A[ua, la], 
      CD[la, lb, A[ua, ub]]\  + \ CD[lc, ld, A[uc, ud]]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          InterpretationBox[
            SubsuperscriptBox["A", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "a"],
                Editable->False]],
            Subsuperscript[ A, 
              SequenceForm[ 
                SequenceForm[ "", "a"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "a"]],
            Editable->False], "+", 
          InterpretationBox[
            SubsuperscriptBox["A", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "a"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], " "],
                Editable->False]],
            Subsuperscript[ A, 
              SequenceForm[ 
                SequenceForm[ "", " "], "a"], 
              SequenceForm[ 
                SequenceForm[ "", "a"], " "]],
            Editable->False]}], ",", 
        RowBox[{
          InterpretationBox[
            RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                RowBox[{\("\[Del]"\_"b"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["A", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"b\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "b"],
                        Editable->False]],
                    Subsuperscript[ A, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[Del]", "b"], 
                  A[ ua, ub]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[Del]", "a"], 
              CD[ lb, 
                A[ ua, ub]]],
            Editable->False], "+", 
          InterpretationBox[
            RowBox[{\("\[Del]"\_"c"\), "\[InvisibleSpace]", 
              InterpretationBox[
                RowBox[{\("\[Del]"\_"d"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["A", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"c"\),
                            SequenceForm[ "", "c"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"d\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "c"], "d"],
                        Editable->False]],
                    Subsuperscript[ A, 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], 
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[Del]", "d"], 
                  A[ uc, ud]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[Del]", "c"], 
              CD[ ld, 
                A[ uc, ud]]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Tsimplify[%]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{"2", " ", 
          InterpretationBox[
            SubsuperscriptBox["A", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "a"],
                Editable->False]],
            Subsuperscript[ A, 
              SequenceForm[ 
                SequenceForm[ "", "a"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "a"]],
            Editable->False]}], ",", 
        RowBox[{"2", " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
                InterpretationBox[
                  RowBox[{\("\[Del]"\_"b"\), "\[InvisibleSpace]", 
                    InterpretationBox[
                      SubsuperscriptBox["A", 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
" "\),
                              SequenceForm[ "", " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "],
                          Editable->False], 
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                              SequenceForm[ "", "a"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"b\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "b"],
                          Editable->False]],
                      Subsuperscript[ A, 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], 
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "b"]],
                      Editable->False]}],
                  SequenceForm[ 
                    Subscript[ "\[Del]", "b"], 
                    A[ ua, ub]],
                  Editable->False]}],
              SequenceForm[ 
                Subscript[ "\[Del]", "a"], 
                CD[ lb, 
                  A[ ua, ub]]],
              Editable->False], ")"}]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({A[la, lb]\ A[ua, ub]\  + \ A[lc, ld]\ A[uc, ud], 
      A[la, lb]\ A[ub, ua]\  + \ A[la, lb]\ A[ua, ub], 
      A[lc, la]\ A[uc, lb]\  + \ A[lc, lb]\ A[uc, la]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["A", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ A, 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["A", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False]],
              Subsuperscript[ A, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"]],
              Editable->False]}], "+", 
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["A", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ A, 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "d"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["A", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"],
                  Editable->False]],
              Subsuperscript[ A, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "d"]],
              Editable->False]}]}], ",", 
        RowBox[{
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["A", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ A, 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["A", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False]],
              Subsuperscript[ A, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"]],
              Editable->False]}], "+", 
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["A", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ A, 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["A", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "a"],
                  Editable->False]],
              Subsuperscript[ A, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "a"]],
              Editable->False]}]}], ",", 
        RowBox[{
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["A", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ A, 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "b"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["A", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "],
                  Editable->False]],
              Subsuperscript[ A, 
                SequenceForm[ 
                  SequenceForm[ "", " "], "a"], 
                SequenceForm[ 
                  SequenceForm[ "", "c"], " "]],
              Editable->False]}], "+", 
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["A", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "a"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ A, 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "a"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["A", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], " "],
                  Editable->False]],
              Subsuperscript[ A, 
                SequenceForm[ 
                  SequenceForm[ "", " "], "b"], 
                SequenceForm[ 
                  SequenceForm[ "", "c"], " "]],
              Editable->False]}]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Tsimplify[%]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{"2", " ", 
          InterpretationBox[
            SubsuperscriptBox["A", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False]],
            Subsuperscript[ A, 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"], 
              SequenceForm[ 
                SequenceForm[ "", " "], " "]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["A", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"],
                Editable->False]],
            Subsuperscript[ A, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "a"], "b"]],
            Editable->False]}], ",", 
        RowBox[{
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["A", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ A, 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["A", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False]],
              Subsuperscript[ A, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"]],
              Editable->False]}], "+", 
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["A", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ A, 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["A", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "a"],
                  Editable->False]],
              Subsuperscript[ A, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "a"]],
              Editable->False]}]}], ",", 
        RowBox[{"2", " ", 
          InterpretationBox[
            SubsuperscriptBox["A", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                    SequenceForm[ "", "c"],
                    Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "c"], "b"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False]],
            Subsuperscript[ A, 
              SequenceForm[ 
                SequenceForm[ "", "c"], "b"], 
              SequenceForm[ 
                SequenceForm[ "", " "], " "]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["A", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "a"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                    SequenceForm[ "", "c"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "c"], " "],
                Editable->False]],
            Subsuperscript[ A, 
              SequenceForm[ 
                SequenceForm[ "", " "], "a"], 
              SequenceForm[ 
                SequenceForm[ "", "c"], " "]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({RicciR[la, uc]\ RicciR[lc, lb]\  + \ RicciR[le, la]\ RicciR[lb, ue], 
      RiemannR[la, lb, ld, le]\ RicciR[ua, ue]\  + \ 
        RiemannR[lb, le, lc, ld]\ RicciR[ue, uc]}\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "c"],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ "", "a"], " "], 
                SequenceForm[ 
                  SequenceForm[ "", " "], "c"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "c"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False]}], "+", 
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "e"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "e"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], "e"],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ "", "b"], " "], 
                SequenceForm[ 
                  SequenceForm[ "", " "], "e"]],
              Editable->False]}]}], ",", 
        RowBox[{
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "e"],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                              SequenceForm[ "", "a"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"b\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", "a"], "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "b"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"], "d"], "e"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
" "\),
                              SequenceForm[ "", " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], " "], " "],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], "d"], "e"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "], " "]],
              Editable->False]}], "+", 
          RowBox[{
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\),
                      SequenceForm[ "", "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "e"],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "e"]],
              Editable->False], " ", 
            InterpretationBox[
              SubsuperscriptBox["R", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                              SequenceForm[ "", "b"],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\"e\"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", "b"], "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"c\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "e"], "c"],
                      Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "e"], "c"], "d"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        InterpretationBox[
                          RowBox[{
                            
                            InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
" "\),
                              SequenceForm[ "", " "],
                              Editable->False], 
                            "\[InvisibleSpace]", "\<\" \"\>"}],
                          SequenceForm[ 
                            SequenceForm[ "", " "], " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], " "], " "],
                  Editable->False]],
              Subsuperscript[ R, 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "e"], "c"], "d"], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "], " "]],
              Editable->False]}]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Tsimplify[%]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{"2", " ", 
          InterpretationBox[
            SubsuperscriptBox["R", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], "c"],
                Editable->False]],
            Subsuperscript[ R, 
              SequenceForm[ 
                SequenceForm[ "", "a"], " "], 
              SequenceForm[ 
                SequenceForm[ "", " "], "c"]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["R", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                    SequenceForm[ "", "b"],
                    Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "b"], "c"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False]],
            Subsuperscript[ R, 
              SequenceForm[ 
                SequenceForm[ "", "b"], "c"], 
              SequenceForm[ 
                SequenceForm[ "", " "], " "]],
            Editable->False]}], ",", 
        RowBox[{"2", " ", 
          InterpretationBox[
            SubsuperscriptBox["R", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                    SequenceForm[ "", " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                    SequenceForm[ "", "a"],
                    Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                SequenceForm[ 
                  SequenceForm[ "", "a"], "e"],
                Editable->False]],
            Subsuperscript[ R, 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], 
              SequenceForm[ 
                SequenceForm[ "", "a"], "e"]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["R", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"b\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"], "d"],
                    Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], "d"], "e"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "], " "],
                Editable->False]],
            Subsuperscript[ R, 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], "d"], "e"], 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], " "]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CD[la, lb, MaxwellF[ua, ub]]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{\("\[Del]"\_"a"\), "\[InvisibleSpace]", 
        InterpretationBox[
          RowBox[{\("\[Del]"\_"b"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["F", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"],
                  Editable->False]],
              Subsuperscript[ F, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[Del]", "b"], 
            MaxwellF[ ua, ub]],
          Editable->False]}],
      SequenceForm[ 
        Subscript[ "\[Del]", "a"], 
        CD[ lb, 
          MaxwellF[ ua, ub]]],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(CDtoAffine[CDtoAffine[%]]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "b"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "b"]],
          Editable->False], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["F", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                        SequenceForm[ "", "a"],
                        Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "p"],
                    Editable->False]],
                Subsuperscript[ F, 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "a"], 
              MaxwellF[ ua, "u$1"]],
            Editable->False], ")"}]}], "-", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "a"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "a"]],
          Editable->False], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["F", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                        SequenceForm[ "", "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "p"],
                    Editable->False]],
                Subsuperscript[ F, 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "a"], 
              MaxwellF[ ub, "u$1"]],
            Editable->False], ")"}]}], "-", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "a"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "a"]],
          Editable->False], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"b"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["F", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                        SequenceForm[ "", "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "p"],
                    Editable->False]],
                Subsuperscript[ F, 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "b"], 
              MaxwellF[ ub, "u$1"]],
            Editable->False], ")"}]}], "+", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "a"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "a"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "q"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "q"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "b"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "q"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "b"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"p"\),
                  SequenceForm[ "", "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "p"], "q"],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "p"], "q"]],
          Editable->False]}], "+", 
      RowBox[{
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "b"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "p"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "b"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "a"], 
              AffineG[ lb, "l$1", ub]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "p"],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "a"], "p"]],
          Editable->False]}], "-", 
      RowBox[{
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["\[CapitalGamma]", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "a"],
                    Editable->False]],
                Subsuperscript[ \[CapitalGamma], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "p"], " "], 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "a"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "a"], 
              AffineG[ lb, "l$1", ua]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "b"], "p"],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "b"], "p"]],
          Editable->False]}], "-", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                      SequenceForm[ "", "a"],
                      Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "p"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "p"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"a\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "a"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "a"], "p"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "a"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["\[CapitalGamma]", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "q"],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "q"], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "p"],
              Editable->False]],
          Subsuperscript[ \[CapitalGamma], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", "b"], "q"], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ "", " "], " "], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "b"], "q"],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "b"], "q"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Tsimplify[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["\[CapitalGamma]", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\)\
,
                          SequenceForm[ "", "b"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"p\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "p"], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"b\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "b"],
                  Editable->False]],
              Subsuperscript[ \[CapitalGamma], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "p"], " "], 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "b"]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[PartialD]", "a"], 
            AffineG[ lb, "l$1", ub]],
          Editable->False], ")"}], " ", 
      InterpretationBox[
        SubsuperscriptBox["F", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "p"],
            Editable->False]],
        Subsuperscript[ F, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "a"], "p"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(AffineToMetric[%]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(-\(1\/2\)\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"b"\),
                    Superscript[ "\[PartialD]", "b"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "b"], 
                  Metricg[ lb, "l$1"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "a"], 
              BD[ ub, 
                Metricg[ lb, "l$1"]]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "p"],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "a"], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/2\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["g", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                        SequenceForm[ "", "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "q"],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False]],
                Subsuperscript[ g, 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "q"], 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "p"], 
              Metricg[ lb, "l$2"]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                SubsuperscriptBox["g", 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                        SequenceForm[ "", " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "],
                    Editable->False], 
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                        SequenceForm[ "", "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ "", "b"], "q"],
                    Editable->False]],
                Subsuperscript[ g, 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], 
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "q"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "a"], 
              Metricg[ ub, "u$2"]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "p"],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "a"], "p"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/2\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[\("\[PartialD]"\^"p"\),
                    Superscript[ "\[PartialD]", "p"],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"q"\),
                            SequenceForm[ "", "q"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"p\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "q"], "p"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "q"], "p"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Superscript[ "\[PartialD]", "p"], 
                  Metricg[ "l$2", "l$1"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "a"], 
              BD[ "u$1", 
                Metricg[ "l$2", "l$1"]]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "q"],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "a"], "q"]],
          Editable->False]}], "+", 
      RowBox[{\(1\/2\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
              InterpretationBox[
                RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubsuperscriptBox["g", 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"b"\),
                            SequenceForm[ "", "b"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"q\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "b"], "q"],
                        Editable->False], 
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False]],
                    Subsuperscript[ g, 
                      SequenceForm[ 
                        SequenceForm[ "", "b"], "q"], 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "]],
                    Editable->False]}],
                SequenceForm[ 
                  Subscript[ "\[PartialD]", "p"], 
                  Metricg[ lb, "l$2"]],
                Editable->False]}],
            SequenceForm[ 
              Subscript[ "\[PartialD]", "a"], 
              BD[ "l$1", 
                Metricg[ lb, "l$2"]]],
            Editable->False], ")"}], " ", 
        InterpretationBox[
          SubsuperscriptBox["F", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                  SequenceForm[ "", "a"],
                  Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "a"], "p"],
              Editable->False]],
          Subsuperscript[ F, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "a"], "p"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["g", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                  SequenceForm[ "", " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ "", " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                  SequenceForm[ "", "b"],
                  Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
              SequenceForm[ 
                SequenceForm[ "", "b"], "q"],
              Editable->False]],
          Subsuperscript[ g, 
            SequenceForm[ 
              SequenceForm[ "", " "], " "], 
            SequenceForm[ 
              SequenceForm[ "", "b"], "q"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(Tsimplify[%]\)\(\ \ \)\( (*\ should\ be\ zero\ *) \)\)\)], "Input"],

Cell[BoxData[
    RowBox[{\(1\/2\), " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[PartialD]"\_"p"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "q"],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "q"], 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[PartialD]", "p"], 
            Metricg[ lb, "l$2"]],
          Editable->False], ")"}], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{\("\[PartialD]"\_"a"\), "\[InvisibleSpace]", 
            InterpretationBox[
              SubsuperscriptBox["g", 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                      SequenceForm[ "", " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "],
                  Editable->False], 
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"b"\),
                      SequenceForm[ "", "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"q\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ "", "b"], "q"],
                  Editable->False]],
              Subsuperscript[ g, 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], 
                SequenceForm[ 
                  SequenceForm[ "", "b"], "q"]],
              Editable->False]}],
          SequenceForm[ 
            Subscript[ "\[PartialD]", "a"], 
            Metricg[ ub, "u$2"]],
          Editable->False], ")"}], " ", 
      InterpretationBox[
        SubsuperscriptBox["F", 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" "\),
                SequenceForm[ "", " "],
                Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
            SequenceForm[ 
              SequenceForm[ "", " "], " "],
            Editable->False], 
          InterpretationBox[
            RowBox[{
              InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\),
                SequenceForm[ "", "a"],
                Editable->False], "\[InvisibleSpace]", "\<\"p\"\>"}],
            SequenceForm[ 
              SequenceForm[ "", "a"], "p"],
            Editable->False]],
        Subsuperscript[ F, 
          SequenceForm[ 
            SequenceForm[ "", " "], " "], 
          SequenceForm[ 
            SequenceForm[ "", "a"], "p"]],
        Editable->False]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(expr = 
      RiemannR[la, lb, lc, ld] RiemannR[le, lf, uc, ud] 
          RiemannR[ua, ub, ue, uf]\  + \ 
        RiemannR[lc, ld, ug, uh] RiemannR[le, lf, lg, lh] 
          RiemannR[uc, ud, ue, uf]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], "c"], "d"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], "c"], "d"], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], " "]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "f"], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "f"], " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "c"],
                  Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "c"], "d"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "f"], " "], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "c"], "d"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"a"\)\
,
                          SequenceForm[ "", "a"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"b\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], "e"],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], "e"], "f"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "a"], "b"], "e"], "f"]],
          Editable->False]}], "+", 
      RowBox[{
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"], " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\"g\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "g"],
                  Editable->False], "\[InvisibleSpace]", "\<\"h\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "g"], "h"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "d"], " "], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], "g"], "h"]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"e"\)\
,
                          SequenceForm[ "", "e"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"f\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "f"],
                      Editable->False], "\[InvisibleSpace]", "\<\"g\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "f"], "g"],
                  Editable->False], "\[InvisibleSpace]", "\<\"h\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "f"], "g"], "h"],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], " "],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "e"], "f"], "g"], "h"], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], " "]],
          Editable->False], " ", 
        InterpretationBox[
          SubsuperscriptBox["R", 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                          SequenceForm[ "", " "],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\" \"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "],
                      Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "],
                  Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], " "],
              Editable->False], 
            InterpretationBox[
              RowBox[{
                InterpretationBox[
                  RowBox[{
                    InterpretationBox[
                      RowBox[{
                        
                        InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]"c"\)\
,
                          SequenceForm[ "", "c"],
                          Editable->False], 
                        "\[InvisibleSpace]", "\<\"d\"\>"}],
                      SequenceForm[ 
                        SequenceForm[ "", "c"], "d"],
                      Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "c"], "d"], "e"],
                  Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "c"], "d"], "e"], "f"],
              Editable->False]],
          Subsuperscript[ R, 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", " "], " "], " "], " "], 
            SequenceForm[ 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ "", "c"], "d"], "e"], "f"]],
          Editable->False]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Timing[Tsimplify[expr]]\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{\(0.54`\ Second\), ",", 
        RowBox[{"2", " ", 
          InterpretationBox[
            SubsuperscriptBox["R", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"b\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"], "c"],
                    Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], "c"], "d"],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "], " "],
                Editable->False]],
            Subsuperscript[ R, 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], "c"], "d"], 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], " "]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["R", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"e"\),
                            SequenceForm[ "", "e"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"f\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "e"], "f"],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "e"], "f"], " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "e"], "f"], " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\"c\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], "c"],
                    Editable->False], "\[InvisibleSpace]", "\<\"d\"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], "c"], "d"],
                Editable->False]],
            Subsuperscript[ R, 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "e"], "f"], " "], " "], 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], "c"], "d"]],
            Editable->False], " ", 
          InterpretationBox[
            SubsuperscriptBox["R", 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]" \
"\),
                            SequenceForm[ "", " "],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\" \"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", " "], " "],
                        Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", " "], " "], " "],
                    Editable->False], "\[InvisibleSpace]", "\<\" \"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", " "], " "], " "], " "],
                Editable->False], 
              InterpretationBox[
                RowBox[{
                  InterpretationBox[
                    RowBox[{
                      InterpretationBox[
                        RowBox[{
                          
                          InterpretationBox[\(\*"\<\"\"\>"\[InvisibleSpace]\
"a"\),
                            SequenceForm[ "", "a"],
                            Editable->False], 
                          "\[InvisibleSpace]", "\<\"b\"\>"}],
                        SequenceForm[ 
                          SequenceForm[ "", "a"], "b"],
                        Editable->False], "\[InvisibleSpace]", "\<\"e\"\>"}],
                    SequenceForm[ 
                      SequenceForm[ 
                        SequenceForm[ "", "a"], "b"], "e"],
                    Editable->False], "\[InvisibleSpace]", "\<\"f\"\>"}],
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ 
                      SequenceForm[ "", "a"], "b"], "e"], "f"],
                Editable->False]],
            Subsuperscript[ R, 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", " "], " "], " "], " "], 
              SequenceForm[ 
                SequenceForm[ 
                  SequenceForm[ 
                    SequenceForm[ "", "a"], "b"], "e"], "f"]],
            Editable->False]}]}], "}"}]], "Output"]
}, Open  ]]
}, Closed]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
WindowToolbars->{},
WindowSize->{598, 679},
WindowMargins->{{5, Automatic}, {Automatic, 6}},
Magnification->1,
StyleDefinitions -> "Demo.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 78, 2, 81, "Subtitle"],
Cell[1798, 53, 52, 1, 54, "Input"],
Cell[1853, 56, 72, 1, 54, "Input"],
Cell[1928, 59, 75, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[2028, 64, 32, 0, 77, "Section"],

Cell[CellGroupData[{
Cell[2085, 68, 88, 1, 77, "Input"],
Cell[2176, 71, 1025, 26, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3238, 102, 93, 1, 77, "Input"],
Cell[3334, 105, 2181, 50, 56, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[5564, 161, 33, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[5622, 165, 33, 0, 69, "Subsection"],

Cell[CellGroupData[{
Cell[5680, 169, 167, 3, 59, "Subsubsection"],

Cell[CellGroupData[{
Cell[5872, 176, 67, 1, 54, "Input"],
Cell[5942, 179, 1867, 49, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7846, 233, 45, 1, 54, "Input"],
Cell[7894, 236, 35, 1, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7966, 242, 128, 2, 77, "Input"],
Cell[8097, 246, 5298, 127, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13432, 378, 45, 1, 54, "Input"],
Cell[13480, 381, 2737, 65, 56, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[16266, 452, 164, 3, 35, "Subsubsection"],
Cell[16433, 457, 53, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[16511, 462, 128, 2, 100, "Input"],
Cell[16642, 466, 4781, 115, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[21460, 586, 48, 1, 54, "Input"],
Cell[21511, 589, 4781, 115, 56, "Output"]
}, Open  ]],
Cell[26307, 707, 52, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[26384, 712, 48, 1, 54, "Input"],
Cell[26435, 715, 3028, 71, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[29500, 791, 116, 2, 77, "Input"],
Cell[29619, 795, 4374, 106, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[34030, 906, 45, 1, 54, "Input"],
Cell[34078, 909, 2421, 58, 56, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[36548, 973, 188, 3, 35, "Subsubsection"],
Cell[36739, 978, 57, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[36821, 983, 248, 4, 192, "Input"],
Cell[37072, 989, 11775, 275, 79, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[48884, 1269, 48, 1, 54, "Input"],
Cell[48935, 1272, 11775, 275, 79, "Output"]
}, Open  ]],
Cell[60725, 1550, 56, 1, 54, "Input"],

Cell[CellGroupData[{
Cell[60806, 1555, 37, 1, 54, "Input"],
Cell[60846, 1558, 11975, 275, 79, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[72858, 1838, 48, 1, 54, "Input"],
Cell[72909, 1841, 3672, 82, 56, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[76642, 1930, 35, 0, 41, "Subsection"],

Cell[CellGroupData[{
Cell[76702, 1934, 135, 2, 57, "Subsubsection"],

Cell[CellGroupData[{
Cell[76862, 1940, 191, 3, 146, "Input"],
Cell[77056, 1945, 9505, 225, 79, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[86598, 2175, 45, 1, 54, "Input"],
Cell[86646, 2178, 2517, 59, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[89200, 2242, 120, 2, 77, "Input"],
Cell[89323, 2246, 6176, 148, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[95536, 2399, 45, 1, 54, "Input"],
Cell[95584, 2402, 3128, 75, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[98749, 2482, 207, 3, 146, "Input"],
Cell[98959, 2487, 12044, 292, 79, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[111040, 2784, 45, 1, 54, "Input"],
Cell[111088, 2787, 7858, 190, 56, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[118995, 2983, 146, 2, 35, "Subsubsection"],

Cell[CellGroupData[{
Cell[119166, 2989, 181, 3, 146, "Input"],
Cell[119350, 2994, 7567, 179, 79, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[126954, 3178, 45, 1, 54, "Input"],
Cell[127002, 3181, 2792, 65, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[129831, 3251, 112, 2, 77, "Input"],
Cell[129946, 3255, 3796, 93, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[133779, 3353, 89, 1, 54, "Input"],
Cell[133871, 3356, 3796, 93, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[137704, 3454, 215, 3, 169, "Input"],
Cell[137922, 3459, 12308, 299, 79, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[150267, 3763, 45, 1, 54, "Input"],
Cell[150315, 3766, 4176, 101, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[154528, 3872, 179, 3, 123, "Input"],
Cell[154710, 3877, 10436, 243, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[165183, 4125, 45, 1, 54, "Input"],
Cell[165231, 4128, 5198, 121, 56, "Output"]
}, Open  ]]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[170502, 4257, 30, 0, 49, "Section"],

Cell[CellGroupData[{
Cell[170557, 4261, 114, 2, 77, "Input"],
Cell[170674, 4265, 5730, 138, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[176441, 4408, 45, 1, 54, "Input"],
Cell[176489, 4411, 3047, 72, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[179573, 4488, 194, 3, 100, "Input"],
Cell[179770, 4493, 12975, 299, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[192782, 4797, 45, 1, 54, "Input"],
Cell[192830, 4800, 8475, 199, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[201342, 5004, 207, 3, 123, "Input"],
Cell[201552, 5009, 11958, 276, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[213547, 5290, 45, 1, 54, "Input"],
Cell[213595, 5293, 5696, 136, 55, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[219328, 5434, 61, 1, 54, "Input"],
Cell[219392, 5437, 1501, 37, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[220930, 5479, 58, 1, 54, "Input"],
Cell[220991, 5482, 23787, 565, 110, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[244815, 6052, 45, 1, 54, "Input"],
Cell[244863, 6055, 3065, 76, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[247965, 6136, 50, 1, 54, "Input"],
Cell[248018, 6139, 13625, 325, 111, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[261680, 6469, 91, 1, 54, "Input"],
Cell[261774, 6472, 3591, 87, 70, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[265402, 6564, 233, 5, 192, "Input"],
Cell[265638, 6571, 14605, 363, 59, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[280280, 6939, 56, 1, 54, "Input"],
Cell[280339, 6942, 7730, 183, 56, "Output"]
}, Open  ]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

